/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
                if (N) \
			(Current) = (Rhs)[1]; \
		else \
		        (Current) = (Rhs)[0]; \
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char     pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int 	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
			        fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in other functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn's cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = mm_strdup("");
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char temp[20];
			char *original_var;
			bool skip_set_var = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(temp, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable) && (!strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement"))))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar && ptr->variable->type->type != ECPGt_char && ptr->variable->type->type != ECPGt_unsigned_char && ptr->variable->type->type != ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, mm_strdup("1"), ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
				sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar || ptr->variable->type->type == ECPGt_char || ptr->variable->type->type == ECPGt_unsigned_char || ptr->variable->type->type == ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				if (ptr->variable->type->type == ECPGt_varchar)
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				else
					sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_struct || ptr->variable->type->type == ECPGt_union)
			{
				sprintf(temp, "%d)))", ecpg_internal_var);
				newvar = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->variable->type->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.members, ptr->variable->type->type, ptr->variable->type->type_name, ptr->variable->type->struct_sizeof), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct || ptr->variable->type->u.element->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newvar = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->variable->type->u.element->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.element->u.members, ptr->variable->type->u.element->type, ptr->variable->type->u.element->type_name, ptr->variable->type->u.element->struct_sizeof), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, ptr->variable->type->u.element->size, ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}

			/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
			if (!skip_set_var)
				result = cat_str(5, result, mm_strdup("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), mm_strdup("), __LINE__);\n"));

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(temp, "%d))", ecpg_internal_var);

				if (ptr->indicator->type->type == ECPGt_struct || ptr->indicator->type->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newind = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->indicator->type->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.members, ptr->indicator->type->type, ptr->indicator->type->type_name, ptr->indicator->type->struct_sizeof), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct || ptr->indicator->type->u.element->type == ECPGt_union)
					{
						sprintf(temp, "%d)))", ecpg_internal_var);
						newind = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->indicator->type->u.element->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.element->u.members, ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->type_name, ptr->indicator->type->u.element->struct_sizeof), 0);
						sprintf(temp, "%d, (", ecpg_internal_var++);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->size, ptr->indicator->type->u.element->counter), ptr->indicator->type->size), 0);
						sprintf(temp, "%d, &(", ecpg_internal_var++);
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				result = cat_str(5, result, mm_strdup("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && !strcmp(cur->function, current_function)))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char * dimension, char * length, enum ECPGttype type_enum, char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
	     type_enum == ECPGt_union) &&
	    initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 268 of yacc.c  */
#line 534 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BEFORE = 372,
     BEGIN_P = 373,
     BETWEEN = 374,
     BIGINT = 375,
     BINARY = 376,
     BIT = 377,
     BOOLEAN_P = 378,
     BOTH = 379,
     BY = 380,
     CACHE = 381,
     CALLED = 382,
     CASCADE = 383,
     CASCADED = 384,
     CASE = 385,
     CAST = 386,
     CATALOG_P = 387,
     CHAIN = 388,
     CHAR_P = 389,
     CHARACTER = 390,
     CHARACTERISTICS = 391,
     CHECK = 392,
     CHECKPOINT = 393,
     CLASS = 394,
     CLOSE = 395,
     CLUSTER = 396,
     COALESCE = 397,
     COLLATE = 398,
     COLLATION = 399,
     COLUMN = 400,
     COMMENT = 401,
     COMMENTS = 402,
     COMMIT = 403,
     COMMITTED = 404,
     CONCURRENTLY = 405,
     CONFIGURATION = 406,
     CONNECTION = 407,
     CONSTRAINT = 408,
     CONSTRAINTS = 409,
     CONTENT_P = 410,
     CONTINUE_P = 411,
     CONVERSION_P = 412,
     COPY = 413,
     COST = 414,
     CREATE = 415,
     CROSS = 416,
     CSV = 417,
     CURRENT_P = 418,
     CURRENT_CATALOG = 419,
     CURRENT_DATE = 420,
     CURRENT_ROLE = 421,
     CURRENT_SCHEMA = 422,
     CURRENT_TIME = 423,
     CURRENT_TIMESTAMP = 424,
     CURRENT_USER = 425,
     CURSOR = 426,
     CYCLE = 427,
     DATA_P = 428,
     DATABASE = 429,
     DAY_P = 430,
     DEALLOCATE = 431,
     DEC = 432,
     DECIMAL_P = 433,
     DECLARE = 434,
     DEFAULT = 435,
     DEFAULTS = 436,
     DEFERRABLE = 437,
     DEFERRED = 438,
     DEFINER = 439,
     DELETE_P = 440,
     DELIMITER = 441,
     DELIMITERS = 442,
     DESC = 443,
     DICTIONARY = 444,
     DISABLE_P = 445,
     DISCARD = 446,
     DISTINCT = 447,
     DO = 448,
     DOCUMENT_P = 449,
     DOMAIN_P = 450,
     DOUBLE_P = 451,
     DROP = 452,
     EACH = 453,
     ELSE = 454,
     ENABLE_P = 455,
     ENCODING = 456,
     ENCRYPTED = 457,
     END_P = 458,
     ENUM_P = 459,
     ESCAPE = 460,
     EXCEPT = 461,
     EXCLUDE = 462,
     EXCLUDING = 463,
     EXCLUSIVE = 464,
     EXECUTE = 465,
     EXISTS = 466,
     EXPLAIN = 467,
     EXTENSION = 468,
     EXTERNAL = 469,
     EXTRACT = 470,
     FALSE_P = 471,
     FAMILY = 472,
     FETCH = 473,
     FIRST_P = 474,
     FLOAT_P = 475,
     FOLLOWING = 476,
     FOR = 477,
     FORCE = 478,
     FOREIGN = 479,
     FORWARD = 480,
     FREEZE = 481,
     FROM = 482,
     FULL = 483,
     FUNCTION = 484,
     FUNCTIONS = 485,
     GLOBAL = 486,
     GRANT = 487,
     GRANTED = 488,
     GREATEST = 489,
     GROUP_P = 490,
     HANDLER = 491,
     HAVING = 492,
     HEADER_P = 493,
     HOLD = 494,
     HOUR_P = 495,
     IDENTITY_P = 496,
     IF_P = 497,
     ILIKE = 498,
     IMMEDIATE = 499,
     IMMUTABLE = 500,
     IMPLICIT_P = 501,
     IN_P = 502,
     INCLUDING = 503,
     INCREMENT = 504,
     INDEX = 505,
     INDEXES = 506,
     INHERIT = 507,
     INHERITS = 508,
     INITIALLY = 509,
     INLINE_P = 510,
     INNER_P = 511,
     INOUT = 512,
     INPUT_P = 513,
     INSENSITIVE = 514,
     INSERT = 515,
     INSTEAD = 516,
     INT_P = 517,
     INTEGER = 518,
     INTERSECT = 519,
     INTERVAL = 520,
     INTO = 521,
     INVOKER = 522,
     IS = 523,
     ISNULL = 524,
     ISOLATION = 525,
     JOIN = 526,
     KEY = 527,
     LABEL = 528,
     LANGUAGE = 529,
     LARGE_P = 530,
     LAST_P = 531,
     LC_COLLATE_P = 532,
     LC_CTYPE_P = 533,
     LEADING = 534,
     LEAST = 535,
     LEFT = 536,
     LEVEL = 537,
     LIKE = 538,
     LIMIT = 539,
     LISTEN = 540,
     LOAD = 541,
     LOCAL = 542,
     LOCALTIME = 543,
     LOCALTIMESTAMP = 544,
     LOCATION = 545,
     LOCK_P = 546,
     MAPPING = 547,
     MATCH = 548,
     MAXVALUE = 549,
     MINUTE_P = 550,
     MINVALUE = 551,
     MODE = 552,
     MONTH_P = 553,
     MOVE = 554,
     NAME_P = 555,
     NAMES = 556,
     NATIONAL = 557,
     NATURAL = 558,
     NCHAR = 559,
     NEXT = 560,
     NO = 561,
     NONE = 562,
     NOT = 563,
     NOTHING = 564,
     NOTIFY = 565,
     NOTNULL = 566,
     NOWAIT = 567,
     NULL_P = 568,
     NULLIF = 569,
     NULLS_P = 570,
     NUMERIC = 571,
     OBJECT_P = 572,
     OF = 573,
     OFF = 574,
     OFFSET = 575,
     OIDS = 576,
     ON = 577,
     ONLY = 578,
     OPERATOR = 579,
     OPTION = 580,
     OPTIONS = 581,
     OR = 582,
     ORDER = 583,
     OUT_P = 584,
     OUTER_P = 585,
     OVER = 586,
     OVERLAPS = 587,
     OVERLAY = 588,
     OWNED = 589,
     OWNER = 590,
     PARSER = 591,
     PARTIAL = 592,
     PARTITION = 593,
     PASSING = 594,
     PASSWORD = 595,
     PLACING = 596,
     PLANS = 597,
     POSITION = 598,
     PRECEDING = 599,
     PRECISION = 600,
     PRESERVE = 601,
     PREPARE = 602,
     PREPARED = 603,
     PRIMARY = 604,
     PRIOR = 605,
     PRIVILEGES = 606,
     PROCEDURAL = 607,
     PROCEDURE = 608,
     QUOTE = 609,
     RANGE = 610,
     READ = 611,
     REAL = 612,
     REASSIGN = 613,
     RECHECK = 614,
     RECURSIVE = 615,
     REF = 616,
     REFERENCES = 617,
     REINDEX = 618,
     RELATIVE_P = 619,
     RELEASE = 620,
     RENAME = 621,
     REPEATABLE = 622,
     REPLACE = 623,
     REPLICA = 624,
     RESET = 625,
     RESTART = 626,
     RESTRICT = 627,
     RETURNING = 628,
     RETURNS = 629,
     REVOKE = 630,
     RIGHT = 631,
     ROLE = 632,
     ROLLBACK = 633,
     ROW = 634,
     ROWS = 635,
     RULE = 636,
     SAVEPOINT = 637,
     SCHEMA = 638,
     SCROLL = 639,
     SEARCH = 640,
     SECOND_P = 641,
     SECURITY = 642,
     SELECT = 643,
     SEQUENCE = 644,
     SEQUENCES = 645,
     SERIALIZABLE = 646,
     SERVER = 647,
     SESSION = 648,
     SESSION_USER = 649,
     SET = 650,
     SETOF = 651,
     SHARE = 652,
     SHOW = 653,
     SIMILAR = 654,
     SIMPLE = 655,
     SMALLINT = 656,
     SOME = 657,
     STABLE = 658,
     STANDALONE_P = 659,
     START = 660,
     STATEMENT = 661,
     STATISTICS = 662,
     STDIN = 663,
     STDOUT = 664,
     STORAGE = 665,
     STRICT_P = 666,
     STRIP_P = 667,
     SUBSTRING = 668,
     SYMMETRIC = 669,
     SYSID = 670,
     SYSTEM_P = 671,
     TABLE = 672,
     TABLES = 673,
     TABLESPACE = 674,
     TEMP = 675,
     TEMPLATE = 676,
     TEMPORARY = 677,
     TEXT_P = 678,
     THEN = 679,
     TIME = 680,
     TIMESTAMP = 681,
     TO = 682,
     TRAILING = 683,
     TRANSACTION = 684,
     TREAT = 685,
     TRIGGER = 686,
     TRIM = 687,
     TRUE_P = 688,
     TRUNCATE = 689,
     TRUSTED = 690,
     TYPE_P = 691,
     UNBOUNDED = 692,
     UNCOMMITTED = 693,
     UNENCRYPTED = 694,
     UNION = 695,
     UNIQUE = 696,
     UNKNOWN = 697,
     UNLISTEN = 698,
     UNLOGGED = 699,
     UNTIL = 700,
     UPDATE = 701,
     USER = 702,
     USING = 703,
     VACUUM = 704,
     VALID = 705,
     VALIDATE = 706,
     VALIDATOR = 707,
     VALUE_P = 708,
     VALUES = 709,
     VARCHAR = 710,
     VARIADIC = 711,
     VARYING = 712,
     VERBOSE = 713,
     VERSION_P = 714,
     VIEW = 715,
     VOLATILE = 716,
     WHEN = 717,
     WHERE = 718,
     WHITESPACE_P = 719,
     WINDOW = 720,
     WITH = 721,
     WITHOUT = 722,
     WORK = 723,
     WRAPPER = 724,
     WRITE = 725,
     XML_P = 726,
     XMLATTRIBUTES = 727,
     XMLCONCAT = 728,
     XMLELEMENT = 729,
     XMLEXISTS = 730,
     XMLFOREST = 731,
     XMLPARSE = 732,
     XMLPI = 733,
     XMLROOT = 734,
     XMLSERIALIZE = 735,
     YEAR_P = 736,
     YES_P = 737,
     ZONE = 738,
     NULLS_FIRST = 739,
     NULLS_LAST = 740,
     WITH_TIME = 741,
     POSTFIXOP = 742,
     UMINUS = 743
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 463 "preproc.y"

	double	dval;
	char	*str;
	int     ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 293 of yacc.c  */
#line 1075 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 1100 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   101118

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  508
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  687
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2691
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4829

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   743

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   495,     2,     2,
     500,   501,   493,   491,   503,   492,   502,   494,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   505,   504,
     488,   487,   489,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   498,     2,   499,   496,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   506,     2,   507,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   490,   497
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   264,   270,   272,   273,   276,   277,   280,
     281,   284,   287,   291,   295,   297,   301,   305,   308,   310,
     312,   315,   318,   321,   325,   329,   335,   341,   342,   346,
     352,   358,   363,   367,   373,   377,   383,   389,   396,   398,
     400,   404,   410,   417,   422,   424,   425,   428,   429,   431,
     433,   435,   437,   439,   441,   444,   448,   452,   456,   460,
     464,   468,   472,   476,   479,   485,   488,   491,   494,   497,
     501,   505,   509,   511,   515,   517,   521,   523,   525,   528,
     531,   534,   536,   538,   540,   542,   544,   546,   548,   552,
     559,   561,   563,   565,   567,   569,   570,   572,   574,   577,
     581,   586,   590,   593,   596,   598,   602,   607,   613,   618,
     621,   626,   628,   630,   632,   634,   636,   639,   642,   645,
     648,   653,   658,   663,   668,   670,   674,   677,   681,   686,
     693,   700,   707,   713,   719,   726,   733,   738,   747,   750,
     754,   761,   766,   770,   774,   778,   782,   786,   791,   796,
     800,   804,   808,   812,   816,   820,   825,   830,   834,   837,
     841,   844,   847,   851,   855,   858,   861,   863,   867,   870,
     872,   874,   875,   878,   879,   882,   883,   887,   890,   891,
     893,   897,   901,   903,   909,   913,   918,   920,   924,   929,
     936,   941,   950,   953,   956,   967,   974,   976,   978,   980,
     982,   984,   986,   990,   993,   994,   996,   998,  1002,  1006,
    1008,  1010,  1014,  1018,  1022,  1026,  1031,  1034,  1036,  1037,
    1040,  1041,  1045,  1046,  1048,  1049,  1051,  1055,  1058,  1060,
    1062,  1064,  1068,  1069,  1071,  1075,  1077,  1089,  1104,  1115,
    1129,  1131,  1133,  1136,  1139,  1142,  1145,  1147,  1148,  1150,
    1151,  1155,  1156,  1158,  1162,  1164,  1168,  1170,  1172,  1174,
    1176,  1178,  1182,  1187,  1190,  1191,  1195,  1197,  1199,  1202,
    1205,  1207,  1211,  1216,  1221,  1224,  1230,  1232,  1235,  1238,
    1241,  1245,  1249,  1253,  1254,  1256,  1258,  1260,  1262,  1264,
    1266,  1270,  1272,  1278,  1286,  1290,  1299,  1304,  1314,  1326,
    1330,  1331,  1333,  1337,  1339,  1342,  1345,  1348,  1349,  1351,
    1355,  1359,  1366,  1371,  1372,  1374,  1376,  1379,  1382,  1383,
    1387,  1391,  1394,  1396,  1398,  1401,  1404,  1409,  1410,  1413,
    1416,  1419,  1420,  1424,  1429,  1434,  1435,  1438,  1439,  1444,
    1445,  1449,  1455,  1459,  1460,  1462,  1466,  1468,  1471,  1475,
    1476,  1482,  1487,  1489,  1490,  1492,  1495,  1498,  1500,  1503,
    1507,  1510,  1513,  1516,  1519,  1523,  1527,  1529,  1533,  1535,
    1536,  1538,  1541,  1543,  1545,  1549,  1556,  1567,  1569,  1570,
    1572,  1575,  1578,  1579,  1582,  1585,  1587,  1588,  1594,  1602,
    1604,  1605,  1612,  1615,  1616,  1620,  1626,  1632,  1641,  1644,
    1645,  1648,  1651,  1654,  1660,  1663,  1664,  1667,  1675,  1686,
    1693,  1700,  1707,  1714,  1722,  1730,  1740,  1750,  1757,  1764,
    1773,  1782,  1791,  1800,  1807,  1814,  1822,  1831,  1838,  1845,
    1853,  1856,  1859,  1862,  1865,  1867,  1870,  1872,  1873,  1880,
    1889,  1897,  1904,  1909,  1910,  1912,  1916,  1921,  1923,  1927,
    1929,  1932,  1935,  1938,  1941,  1943,  1945,  1956,  1959,  1960,
    1963,  1966,  1968,  1969,  1974,  1981,  1987,  1992,  1997,  2006,
    2018,  2022,  2025,  2027,  2031,  2033,  2039,  2048,  2050,  2052,
    2054,  2062,  2072,  2081,  2097,  2118,  2120,  2122,  2125,  2127,
    2131,  2133,  2135,  2137,  2141,  2143,  2147,  2148,  2150,  2151,
    2153,  2155,  2160,  2161,  2163,  2167,  2168,  2170,  2172,  2174,
    2176,  2179,  2180,  2181,  2184,  2187,  2189,  2192,  2195,  2198,
    2205,  2214,  2223,  2228,  2234,  2239,  2244,  2249,  2253,  2261,
    2270,  2277,  2284,  2291,  2298,  2303,  2309,  2313,  2315,  2319,
    2323,  2325,  2327,  2329,  2331,  2333,  2335,  2339,  2343,  2347,
    2349,  2353,  2357,  2359,  2360,  2362,  2366,  2373,  2382,  2391,
    2405,  2407,  2411,  2417,  2424,  2429,  2437,  2440,  2442,  2443,
    2446,  2447,  2450,  2455,  2456,  2458,  2459,  2466,  2475,  2484,
    2486,  2490,  2496,  2502,  2510,  2520,  2528,  2538,  2544,  2551,
    2558,  2563,  2565,  2567,  2569,  2571,  2574,  2576,  2578,  2580,
    2582,  2584,  2586,  2590,  2594,  2598,  2602,  2604,  2608,  2610,
    2613,  2616,  2620,  2626,  2629,  2632,  2633,  2640,  2648,  2656,
    2664,  2673,  2682,  2689,  2698,  2708,  2718,  2726,  2737,  2745,
    2754,  2763,  2772,  2781,  2783,  2785,  2787,  2789,  2791,  2793,
    2795,  2797,  2799,  2801,  2803,  2805,  2807,  2809,  2812,  2814,
    2818,  2820,  2822,  2831,  2841,  2851,  2861,  2871,  2874,  2875,
    2877,  2880,  2882,  2884,  2886,  2888,  2890,  2892,  2894,  2896,
    2899,  2902,  2906,  2911,  2917,  2922,  2928,  2932,  2937,  2941,
    2946,  2948,  2951,  2955,  2959,  2963,  2967,  2972,  2977,  2981,
    2985,  2990,  2995,  3000,  3005,  3007,  3009,  3011,  3012,  3020,
    3028,  3039,  3041,  3043,  3046,  3051,  3057,  3059,  3063,  3066,
    3069,  3072,  3075,  3077,  3080,  3083,  3088,  3092,  3095,  3098,
    3101,  3105,  3108,  3111,  3117,  3123,  3129,  3131,  3135,  3137,
    3140,  3144,  3145,  3147,  3151,  3154,  3161,  3168,  3178,  3182,
    3183,  3187,  3188,  3194,  3197,  3198,  3202,  3206,  3210,  3218,
    3226,  3237,  3239,  3241,  3243,  3258,  3260,  3261,  3263,  3264,
    3266,  3267,  3270,  3271,  3273,  3277,  3283,  3289,  3297,  3300,
    3301,  3303,  3306,  3307,  3309,  3311,  3312,  3314,  3316,  3317,
    3327,  3340,  3348,  3351,  3352,  3356,  3359,  3361,  3365,  3369,
    3372,  3374,  3378,  3382,  3386,  3389,  3392,  3394,  3396,  3398,
    3400,  3403,  3405,  3407,  3409,  3411,  3416,  3422,  3424,  3428,
    3432,  3434,  3437,  3442,  3448,  3450,  3452,  3454,  3456,  3460,
    3464,  3467,  3470,  3473,  3476,  3478,  3481,  3484,  3486,  3488,
    3490,  3494,  3497,  3498,  3501,  3503,  3507,  3513,  3515,  3518,
    3520,  3521,  3527,  3535,  3541,  3549,  3555,  3563,  3567,  3573,
    3579,  3585,  3587,  3591,  3594,  3596,  3599,  3601,  3604,  3616,
    3627,  3638,  3641,  3644,  3645,  3655,  3658,  3659,  3664,  3669,
    3674,  3676,  3678,  3680,  3681,  3689,  3696,  3703,  3710,  3717,
    3724,  3732,  3742,  3752,  3759,  3766,  3773,  3780,  3787,  3795,
    3804,  3814,  3823,  3830,  3837,  3844,  3850,  3856,  3865,  3874,
    3883,  3892,  3899,  3909,  3911,  3912,  3915,  3916,  3924,  3931,
    3938,  3945,  3952,  3959,  3967,  3977,  3987,  3994,  4003,  4012,
    4021,  4030,  4037,  4044,  4052,  4059,  4067,  4074,  4081,  4088,
    4095,  4102,  4110,  4118,  4126,  4136,  4146,  4153,  4160,  4167,
    4176,  4185,  4194,  4201,  4215,  4217,  4219,  4223,  4227,  4229,
    4231,  4233,  4235,  4237,  4239,  4241,  4242,  4244,  4246,  4248,
    4250,  4252,  4254,  4255,  4262,  4271,  4275,  4278,  4279,  4282,
    4285,  4288,  4291,  4295,  4299,  4302,  4305,  4308,  4311,  4315,
    4318,  4324,  4329,  4333,  4337,  4341,  4343,  4345,  4346,  4350,
    4353,  4356,  4358,  4361,  4363,  4367,  4370,  4372,  4373,  4382,
    4393,  4397,  4402,  4407,  4408,  4411,  4417,  4420,  4421,  4425,
    4429,  4433,  4437,  4441,  4445,  4449,  4453,  4457,  4461,  4465,
    4469,  4473,  4478,  4482,  4486,  4488,  4489,  4495,  4502,  4507,
    4510,  4511,  4516,  4520,  4526,  4533,  4538,  4545,  4552,  4558,
    4566,  4568,  4569,  4576,  4588,  4600,  4612,  4626,  4636,  4648,
    4659,  4664,  4667,  4673,  4676,  4677,  4682,  4688,  4694,  4699,
    4706,  4708,  4712,  4714,  4716,  4718,  4720,  4723,  4728,  4730,
    4732,  4734,  4735,  4737,  4738,  4740,  4741,  4745,  4746,  4749,
    4754,  4758,  4764,  4766,  4768,  4770,  4772,  4774,  4776,  4778,
    4780,  4784,  4787,  4789,  4791,  4793,  4795,  4796,  4802,  4807,
    4811,  4812,  4814,  4816,  4818,  4820,  4825,  4834,  4838,  4839,
    4846,  4848,  4853,  4856,  4858,  4862,  4865,  4869,  4870,  4878,
    4881,  4882,  4888,  4892,  4893,  4896,  4899,  4902,  4906,  4908,
    4912,  4914,  4917,  4919,  4920,  4929,  4931,  4935,  4937,  4939,
    4943,  4949,  4952,  4954,  4958,  4966,  4968,  4970,  4971,  4975,
    4978,  4981,  4984,  4985,  4988,  4991,  4993,  4995,  4999,  5003,
    5005,  5008,  5013,  5018,  5021,  5025,  5031,  5037,  5039,  5041,
    5051,  5053,  5056,  5061,  5066,  5071,  5074,  5078,  5080,  5084,
    5091,  5093,  5094,  5097,  5099,  5100,  5104,  5108,  5113,  5118,
    5123,  5128,  5132,  5135,  5137,  5139,  5140,  5142,  5144,  5145,
    5147,  5153,  5155,  5156,  5158,  5159,  5163,  5165,  5169,  5174,
    5178,  5181,  5184,  5186,  5188,  5190,  5191,  5194,  5199,  5205,
    5208,  5212,  5214,  5216,  5218,  5220,  5224,  5225,  5227,  5229,
    5231,  5233,  5235,  5239,  5240,  5243,  5244,  5246,  5250,  5252,
    5253,  5255,  5258,  5263,  5268,  5271,  5272,  5275,  5279,  5282,
    5283,  5285,  5289,  5291,  5294,  5296,  5299,  5305,  5312,  5318,
    5320,  5323,  5325,  5330,  5334,  5339,  5345,  5350,  5356,  5361,
    5367,  5370,  5375,  5377,  5380,  5383,  5386,  5388,  5390,  5391,
    5396,  5399,  5401,  5404,  5407,  5412,  5414,  5418,  5420,  5423,
    5427,  5429,  5432,  5433,  5436,  5441,  5442,  5444,  5445,  5447,
    5451,  5455,  5458,  5462,  5468,  5475,  5478,  5482,  5486,  5491,
    5492,  5494,  5496,  5498,  5500,  5502,  5505,  5511,  5513,  5515,
    5517,  5519,  5522,  5526,  5530,  5531,  5533,  5535,  5537,  5539,
    5541,  5544,  5547,  5550,  5553,  5556,  5558,  5562,  5563,  5565,
    5567,  5569,  5571,  5577,  5580,  5582,  5584,  5586,  5588,  5594,
    5597,  5600,  5603,  5605,  5609,  5613,  5616,  5618,  5619,  5623,
    5624,  5630,  5633,  5639,  5642,  5644,  5647,  5651,  5652,  5654,
    5656,  5658,  5660,  5662,  5664,  5668,  5672,  5676,  5680,  5684,
    5688,  5692,  5693,  5695,  5700,  5702,  5706,  5710,  5716,  5719,
    5722,  5726,  5730,  5734,  5738,  5742,  5746,  5750,  5754,  5758,
    5762,  5765,  5768,  5772,  5776,  5779,  5783,  5789,  5794,  5801,
    5805,  5811,  5816,  5823,  5828,  5835,  5841,  5849,  5853,  5856,
    5861,  5864,  5868,  5872,  5877,  5881,  5886,  5890,  5895,  5901,
    5908,  5915,  5923,  5930,  5938,  5945,  5953,  5957,  5962,  5967,
    5974,  5977,  5981,  5986,  5988,  5992,  5995,  5998,  6002,  6006,
    6010,  6014,  6018,  6022,  6026,  6030,  6034,  6038,  6041,  6044,
    6050,  6057,  6064,  6072,  6076,  6081,  6083,  6085,  6088,  6093,
    6095,  6097,  6099,  6102,  6105,  6108,  6111,  6113,  6118,  6124,
    6131,  6140,  6147,  6155,  6163,  6169,  6171,  6173,  6178,  6180,
    6185,  6187,  6192,  6194,  6199,  6201,  6203,  6205,  6207,  6209,
    6211,  6218,  6223,  6228,  6233,  6238,  6245,  6251,  6257,  6263,
    6268,  6275,  6280,  6285,  6290,  6295,  6301,  6309,  6317,  6327,
    6333,  6338,  6345,  6351,  6359,  6367,  6375,  6378,  6382,  6386,
    6390,  6395,  6396,  6401,  6403,  6407,  6411,  6413,  6415,  6417,
    6420,  6423,  6424,  6427,  6432,  6437,  6444,  6447,  6448,  6450,
    6454,  6458,  6461,  6464,  6465,  6472,  6474,  6475,  6479,  6480,
    6483,  6486,  6487,  6489,  6494,  6497,  6500,  6503,  6506,  6509,
    6514,  6518,  6524,  6526,  6528,  6530,  6532,  6534,  6536,  6538,
    6540,  6542,  6544,  6546,  6548,  6550,  6552,  6554,  6559,  6561,
    6566,  6568,  6573,  6575,  6578,  6580,  6583,  6585,  6589,  6591,
    6595,  6597,  6601,  6603,  6607,  6611,  6615,  6618,  6620,  6624,
    6628,  6629,  6631,  6633,  6635,  6637,  6639,  6641,  6643,  6645,
    6650,  6654,  6657,  6661,  6662,  6666,  6670,  6673,  6676,  6678,
    6679,  6682,  6685,  6689,  6692,  6694,  6696,  6700,  6706,  6708,
    6711,  6716,  6719,  6720,  6722,  6723,  6725,  6728,  6731,  6734,
    6738,  6744,  6746,  6749,  6750,  6753,  6755,  6756,  6758,  6760,
    6762,  6766,  6770,  6772,  6776,  6780,  6783,  6785,  6787,  6789,
    6793,  6795,  6798,  6800,  6804,  6806,  6808,  6810,  6812,  6814,
    6816,  6818,  6821,  6823,  6825,  6827,  6829,  6831,  6834,  6840,
    6843,  6847,  6854,  6856,  6858,  6860,  6862,  6864,  6866,  6868,
    6870,  6872,  6875,  6878,  6880,  6882,  6884,  6886,  6888,  6890,
    6892,  6894,  6896,  6898,  6900,  6902,  6904,  6906,  6908,  6910,
    6912,  6914,  6916,  6918,  6920,  6922,  6924,  6926,  6928,  6930,
    6932,  6934,  6936,  6938,  6940,  6942,  6944,  6946,  6948,  6950,
    6952,  6954,  6956,  6958,  6960,  6962,  6964,  6966,  6968,  6970,
    6972,  6974,  6976,  6978,  6980,  6982,  6984,  6986,  6988,  6990,
    6992,  6994,  6996,  6998,  7000,  7002,  7004,  7006,  7008,  7010,
    7012,  7014,  7016,  7018,  7020,  7022,  7024,  7026,  7028,  7030,
    7032,  7034,  7036,  7038,  7040,  7042,  7044,  7046,  7048,  7050,
    7052,  7054,  7056,  7058,  7060,  7062,  7064,  7066,  7068,  7070,
    7072,  7074,  7076,  7078,  7080,  7082,  7084,  7086,  7088,  7090,
    7092,  7094,  7096,  7098,  7100,  7102,  7104,  7106,  7108,  7110,
    7112,  7114,  7116,  7118,  7120,  7122,  7124,  7126,  7128,  7130,
    7132,  7134,  7136,  7138,  7140,  7142,  7144,  7146,  7148,  7150,
    7152,  7154,  7156,  7158,  7160,  7162,  7164,  7166,  7168,  7170,
    7172,  7174,  7176,  7178,  7180,  7182,  7184,  7186,  7188,  7190,
    7192,  7194,  7196,  7198,  7200,  7202,  7204,  7206,  7208,  7210,
    7212,  7214,  7216,  7218,  7220,  7222,  7224,  7226,  7228,  7230,
    7232,  7234,  7236,  7238,  7240,  7242,  7244,  7246,  7248,  7250,
    7252,  7254,  7256,  7258,  7260,  7262,  7264,  7266,  7268,  7270,
    7272,  7274,  7276,  7278,  7280,  7282,  7284,  7286,  7288,  7290,
    7292,  7294,  7296,  7298,  7300,  7302,  7304,  7306,  7308,  7310,
    7312,  7314,  7316,  7318,  7320,  7322,  7324,  7326,  7328,  7330,
    7332,  7334,  7336,  7338,  7340,  7342,  7344,  7346,  7348,  7350,
    7352,  7354,  7356,  7358,  7360,  7362,  7364,  7366,  7368,  7370,
    7372,  7374,  7376,  7378,  7380,  7382,  7384,  7386,  7388,  7390,
    7392,  7394,  7396,  7398,  7400,  7402,  7404,  7406,  7408,  7410,
    7412,  7414,  7416,  7418,  7420,  7422,  7424,  7426,  7428,  7430,
    7432,  7434,  7436,  7438,  7440,  7442,  7444,  7446,  7448,  7450,
    7452,  7454,  7456,  7458,  7460,  7462,  7464,  7466,  7468,  7470,
    7472,  7474,  7476,  7478,  7480,  7482,  7484,  7486,  7488,  7490,
    7492,  7494,  7496,  7498,  7500,  7502,  7504,  7506,  7508,  7510,
    7512,  7514,  7516,  7518,  7520,  7522,  7524,  7526,  7528,  7530,
    7532,  7534,  7536,  7538,  7540,  7542,  7544,  7546,  7548,  7550,
    7552,  7554,  7556,  7558,  7560,  7562,  7564,  7566,  7568,  7570,
    7572,  7574,  7576,  7578,  7580,  7582,  7584,  7586,  7588,  7590,
    7592,  7594,  7596,  7598,  7600,  7602,  7604,  7606,  7608,  7610,
    7612,  7614,  7616,  7618,  7620,  7622,  7624,  7626,  7628,  7630,
    7632,  7634,  7636,  7638,  7640,  7642,  7644,  7645,  7648,  7653,
    7657,  7660,  7662,  7664,  7666,  7668,  7670,  7671,  7680,  7683,
    7689,  7693,  7696,  7699,  7703,  7711,  7713,  7715,  7717,  7718,
    7721,  7724,  7726,  7727,  7729,  7733,  7735,  7738,  7739,  7742,
    7743,  7746,  7747,  7749,  7753,  7758,  7762,  7764,  7766,  7768,
    7770,  7773,  7774,  7777,  7782,  7783,  7786,  7789,  7792,  7794,
    7796,  7804,  7808,  7810,  7812,  7814,  7816,  7819,  7820,  7822,
    7826,  7830,  7834,  7838,  7839,  7844,  7850,  7856,  7857,  7859,
    7861,  7863,  7866,  7869,  7871,  7874,  7875,  7883,  7884,  7890,
    7891,  7896,  7899,  7902,  7903,  7906,  7908,  7910,  7912,  7914,
    7916,  7918,  7920,  7922,  7924,  7926,  7928,  7934,  7937,  7939,
    7943,  7946,  7949,  7953,  7954,  7960,  7962,  7963,  7969,  7972,
    7975,  7977,  7979,  7981,  7984,  7987,  7991,  7993,  7996,  7999,
    8003,  8007,  8012,  8015,  8017,  8020,  8022,  8024,  8027,  8030,
    8034,  8036,  8038,  8040,  8042,  8043,  8045,  8049,  8055,  8056,
    8059,  8060,  8062,  8065,  8069,  8072,  8074,  8076,  8078,  8079,
    8081,  8083,  8085,  8087,  8089,  8092,  8095,  8099,  8100,  8102,
    8105,  8107,  8112,  8116,  8121,  8125,  8128,  8130,  8134,  8136,
    8138,  8140,  8142,  8145,  8148,  8150,  8153,  8156,  8158,  8160,
    8162,  8167,  8172,  8177,  8182,  8187,  8189,  8190,  8194,  8198,
    8203,  8205,  8209,  8213,  8218,  8220,  8224,  8228,  8230,  8232,
    8234,  8241,  8243,  8247,  8251,  8258,  8260,  8264,  8268,  8270,
    8272,  8275,  8278,  8280,  8282,  8284,  8286,  8288,  8290,  8292,
    8294,  8296,  8298,  8300,  8302,  8304,  8306,  8308,  8310,  8315,
    8320,  8322,  8324,  8329,  8334,  8338,  8339,  8347,  8349,  8350,
    8351,  8359,  8363,  8368,  8372,  8374,  8376,  8378,  8381,  8385,
    8391,  8394,  8400,  8403,  8405,  8407,  8409,  8411,  8413,  8415,
    8417,  8419,  8421,  8423,  8425,  8427,  8429,  8431,  8433,  8435,
    8437,  8439,  8441,  8443,  8445,  8447,  8449,  8451,  8453,  8455,
    8457,  8459,  8461,  8463,  8465,  8467,  8469,  8471,  8473,  8475,
    8477,  8479,  8481,  8483,  8485,  8487,  8489,  8491,  8493,  8495,
    8497,  8499,  8501,  8503,  8505,  8507,  8509,  8511,  8513,  8515,
    8517,  8519,  8521,  8523,  8525,  8527,  8529,  8531,  8533,  8535,
    8537,  8539,  8541,  8543,  8545,  8547,  8549,  8551,  8553,  8555,
    8557,  8559,  8561,  8563,  8565,  8567,  8569,  8571,  8573,  8575,
    8577,  8579,  8581,  8583,  8585,  8587,  8589,  8591,  8593,  8595,
    8597,  8599,  8603,  8605,  8606,  8608,  8611,  8613,  8616,  8618,
    8620,  8622,  8625,  8628,  8630,  8632,  8634,  8636,  8638,  8640,
    8642,  8644,  8646,  8648,  8650,  8652,  8654,  8656,  8658,  8660,
    8663,  8667,  8669,  8672,  8674,  8678,  8680,  8684,  8686,  8688,
    8690,  8692,  8694,  8696,  8698,  8700,  8702,  8704,  8706,  8708,
    8710,  8712,  8714,  8716,  8718,  8720,  8722,  8724,  8726,  8728,
    8730,  8732,  8734,  8736,  8738,  8740,  8742,  8744,  8746,  8748,
    8750,  8752,  8754,  8756,  8758,  8760,  8762,  8764,  8766,  8768,
    8770,  8772,  8774,  8776,  8778,  8780,  8782,  8784,  8786,  8788,
    8790,  8792,  8794,  8796,  8798,  8800,  8802,  8804,  8806,  8809,
    8813,  8816,  8820,  8822,  8826,  8830,  8834,  8838,  8842,  8846,
    8848,  8850,  8851,  8854,  8857,  8859,  8861,  8864,  8866,  8868,
    8870,  8871
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     509,     0,    -1,  1046,    -1,   835,    -1,   836,    -1,   753,
      -1,   841,    -1,   704,    -1,   644,    -1,   647,    -1,   653,
      -1,   667,    -1,   672,    -1,   788,    -1,   526,    -1,   809,
      -1,   810,    -1,   623,    -1,   551,    -1,   562,    -1,   520,
      -1,   518,    -1,   844,    -1,   843,    -1,   676,    -1,   522,
      -1,   521,    -1,   851,    -1,   549,    -1,   565,    -1,   846,
      -1,   727,    -1,   546,    -1,   566,    -1,  1048,    -1,   691,
      -1,   799,    -1,   845,    -1,   840,    -1,   641,    -1,   648,
      -1,   662,    -1,   668,    -1,   769,    -1,   525,    -1,   705,
      -1,   712,    -1,   713,    -1,   630,    -1,   529,    -1,   622,
      -1,   581,    -1,   638,    -1,   677,    -1,   511,    -1,   517,
      -1,   673,    -1,   831,    -1,  1189,    -1,   886,    -1,   693,
      -1,   873,    -1,   550,    -1,   796,    -1,   692,    -1,   801,
      -1,   652,    -1,   666,    -1,   528,    -1,   716,    -1,   717,
      -1,   718,    -1,   636,    -1,   818,    -1,   720,    -1,   640,
      -1,   690,    -1,   523,    -1,   524,    -1,   675,    -1,   839,
      -1,   866,    -1,   857,    -1,   734,    -1,   738,    -1,   749,
      -1,   758,    -1,   868,    -1,   821,    -1,   830,    -1,   875,
      -1,   819,    -1,   863,    -1,   719,    -1,   803,    -1,   792,
      -1,   791,    -1,   793,    -1,   806,    -1,   739,    -1,   750,
      -1,   811,    -1,   730,    -1,   890,    -1,   823,    -1,   725,
      -1,   822,    -1,   879,    -1,   848,    -1,   543,    -1,   533,
      -1,   545,    -1,   828,    -1,  1125,    -1,  1051,    -1,  1068,
      -1,  1126,    -1,  1108,    -1,  1123,    -1,  1109,    -1,  1069,
      -1,  1113,    -1,  1135,    -1,  1127,    -1,  1114,    -1,  1143,
      -1,  1145,    -1,  1138,    -1,  1130,    -1,  1146,    -1,  1149,
      -1,  1151,    -1,    -1,   160,   377,  1039,   512,   513,    -1,
     466,    -1,    -1,   513,   516,    -1,    -1,   514,   515,    -1,
      -1,   340,  1179,    -1,   340,   313,    -1,   202,   340,  1179,
      -1,   439,   340,  1179,    -1,   252,    -1,   152,   284,  1040,
      -1,   450,   445,  1179,    -1,   447,  1029,    -1,  1181,    -1,
     515,    -1,   415,  1038,    -1,    96,  1029,    -1,   377,  1029,
      -1,   247,   377,  1029,    -1,   247,   235,  1029,    -1,   160,
     447,  1039,   512,   513,    -1,   101,   377,  1039,   512,   514,
      -1,    -1,   247,   174,  1031,    -1,   101,   377,  1039,   519,
     544,    -1,   101,   447,  1039,   512,   514,    -1,   101,   447,
    1039,   544,    -1,   197,   377,  1029,    -1,   197,   377,   242,
     211,  1029,    -1,   197,   447,  1029,    -1,   197,   447,   242,
     211,  1029,    -1,   160,   235,  1039,   512,   513,    -1,   101,
     235,  1039,   527,   447,  1029,    -1,    95,    -1,   197,    -1,
     197,   235,  1029,    -1,   197,   235,   242,   211,  1029,    -1,
     160,   383,   530,   115,  1039,   531,    -1,   160,   383,  1159,
     531,    -1,  1159,    -1,    -1,   531,   532,    -1,    -1,   581,
      -1,   758,    -1,   622,    -1,   677,    -1,   738,    -1,   828,
      -1,   395,   534,    -1,   395,   287,   534,    -1,   395,   393,
     534,    -1,   535,   427,   536,    -1,   535,   487,   536,    -1,
     535,   427,   180,    -1,   535,   487,   180,    -1,   535,   227,
     163,    -1,   425,   483,   540,    -1,   429,   826,    -1,   393,
     136,   108,   429,   826,    -1,   132,  1179,    -1,   383,  1179,
      -1,   301,   541,    -1,   377,   542,    -1,   393,   115,   542,
      -1,   393,   115,   180,    -1,   471,   325,   976,    -1,  1158,
      -1,   535,   502,  1159,    -1,   537,    -1,   536,   503,   537,
      -1,   539,    -1,   628,    -1,   356,   438,    -1,   356,   149,
      -1,   367,   356,    -1,   391,    -1,   433,    -1,   216,    -1,
     322,    -1,   542,    -1,  1179,    -1,  1181,    -1,   963,  1179,
     965,    -1,   963,   500,  1038,   501,  1179,   965,    -1,   628,
      -1,   180,    -1,   287,    -1,  1179,    -1,   180,    -1,    -1,
    1041,    -1,  1179,    -1,   370,   535,    -1,   370,   425,   483,
      -1,   370,   429,   270,   282,    -1,   370,   393,   115,    -1,
     370,    99,    -1,   395,   534,    -1,   543,    -1,   398,   535,
    1192,    -1,   398,   425,   483,  1192,    -1,   398,   429,   270,
     282,  1192,    -1,   398,   393,   115,  1192,    -1,   398,    99,
      -1,   395,   154,   547,   548,    -1,    99,    -1,  1027,    -1,
     183,    -1,   244,    -1,   138,    -1,   191,    99,    -1,   191,
     420,    -1,   191,   422,    -1,   191,   342,    -1,   101,   417,
     934,   552,    -1,   101,   250,  1028,   552,    -1,   101,   389,
    1028,   552,    -1,   101,   460,  1028,   552,    -1,   553,    -1,
     552,   503,   553,    -1,    95,   589,    -1,    95,   145,   589,
      -1,   101,   807,  1159,   554,    -1,   101,   807,  1159,   197,
     308,   313,    -1,   101,   807,  1159,   395,   308,   313,    -1,
     101,   807,  1159,   395,   407,  1040,    -1,   101,   807,  1159,
     395,   558,    -1,   101,   807,  1159,   370,   558,    -1,   101,
     807,  1159,   395,   410,  1159,    -1,   197,   807,   242,   211,
    1159,   555,    -1,   197,   807,  1159,   555,    -1,   101,   807,
    1159,   808,   436,   943,   556,   557,    -1,    95,   598,    -1,
     451,   153,  1030,    -1,   197,   153,   242,   211,  1030,   555,
      -1,   197,   153,  1030,   555,    -1,   395,   466,   321,    -1,
     395,   467,   321,    -1,   141,   322,  1030,    -1,   395,   467,
     141,    -1,   200,   431,  1030,    -1,   200,   102,   431,  1030,
      -1,   200,   369,   431,  1030,    -1,   200,   431,    99,    -1,
     200,   431,   447,    -1,   190,   431,  1030,    -1,   190,   431,
      99,    -1,   190,   431,   447,    -1,   200,   381,  1030,    -1,
     200,   102,   381,  1030,    -1,   200,   369,   381,  1030,    -1,
     190,   381,  1030,    -1,   252,  1028,    -1,   306,   252,  1028,
      -1,   318,   723,    -1,   308,   318,    -1,   335,   427,  1039,
      -1,   395,   419,  1030,    -1,   395,   558,    -1,   370,   558,
      -1,   656,    -1,   395,   180,   967,    -1,   197,   180,    -1,
     128,    -1,   372,    -1,    -1,   143,   723,    -1,    -1,   448,
     967,    -1,    -1,   500,   560,   501,    -1,   466,   558,    -1,
      -1,   561,    -1,   560,   503,   561,    -1,  1161,   487,   697,
      -1,  1161,    -1,  1161,   502,  1161,   487,   697,    -1,  1161,
     502,  1161,    -1,   101,   436,   723,   563,    -1,   564,    -1,
     563,   503,   564,    -1,    95,   114,   942,   555,    -1,   197,
     114,   242,   211,  1159,   555,    -1,   197,   114,  1159,   555,
      -1,   101,   114,  1159,   808,   436,   943,   556,   555,    -1,
     140,   887,    -1,   140,    99,    -1,   158,   572,  1028,   600,
     573,   567,   568,   574,   512,   569,    -1,   158,   891,   427,
     568,   512,   569,    -1,   227,    -1,   427,    -1,  1179,    -1,
     408,    -1,   409,    -1,   570,    -1,   500,   576,   501,    -1,
     570,   571,    -1,    -1,   121,    -1,   321,    -1,   186,   842,
    1179,    -1,   313,   842,  1179,    -1,   162,    -1,   238,    -1,
     354,   842,  1179,    -1,   205,   842,  1179,    -1,   223,   354,
     601,    -1,   223,   354,   493,    -1,   223,   308,   313,   601,
      -1,   201,  1179,    -1,   121,    -1,    -1,   466,   321,    -1,
      -1,   575,   187,  1179,    -1,    -1,   448,    -1,    -1,   577,
      -1,   576,   503,   577,    -1,  1161,   578,    -1,   539,    -1,
     628,    -1,   493,    -1,   500,   579,   501,    -1,    -1,   580,
      -1,   579,   503,   580,    -1,   539,    -1,   160,   582,   417,
    1028,   500,   583,   501,   611,   612,   613,   614,    -1,   160,
     582,   417,   242,   308,   211,  1028,   500,   583,   501,   611,
     612,   613,   614,    -1,   160,   582,   417,  1028,   318,   723,
     584,   612,   613,   614,    -1,   160,   582,   417,   242,   308,
     211,  1028,   318,   723,   584,   612,   613,   614,    -1,   422,
      -1,   420,    -1,   287,   422,    -1,   287,   420,    -1,   231,
     422,    -1,   231,   420,    -1,   444,    -1,    -1,   585,    -1,
      -1,   500,   586,   501,    -1,    -1,   587,    -1,   585,   503,
     587,    -1,   588,    -1,   586,   503,   588,    -1,   589,    -1,
     595,    -1,   598,    -1,   590,    -1,   598,    -1,  1159,   943,
     591,    -1,  1159,   466,   326,   591,    -1,   591,   592,    -1,
      -1,   153,  1030,   593,    -1,   593,    -1,   594,    -1,   143,
     723,    -1,   308,   313,    -1,   313,    -1,   441,   785,   615,
      -1,   349,   272,   785,   615,    -1,   137,   500,   967,   501,
      -1,   180,   968,    -1,   362,  1028,   600,   603,   607,    -1,
     182,    -1,   308,   182,    -1,   254,   183,    -1,   254,   244,
      -1,   283,  1028,   596,    -1,   596,   248,   597,    -1,   596,
     208,   597,    -1,    -1,   181,    -1,   154,    -1,   251,    -1,
     410,    -1,   147,    -1,    99,    -1,   153,  1030,   599,    -1,
     599,    -1,   137,   500,   967,   501,   688,    -1,   441,   500,
     601,   501,   785,   615,   688,    -1,   441,   616,   688,    -1,
     349,   272,   500,   601,   501,   785,   615,   688,    -1,   349,
     272,   616,   688,    -1,   207,   762,   500,   604,   501,   785,
     615,   606,   688,    -1,   224,   272,   500,   601,   501,   362,
    1028,   600,   603,   607,   688,    -1,   500,   601,   501,    -1,
      -1,   602,    -1,   601,   503,   602,    -1,  1159,    -1,   293,
     228,    -1,   293,   337,    -1,   293,   400,    -1,    -1,   605,
      -1,   604,   503,   605,    -1,   764,   466,   795,    -1,   764,
     466,   324,   500,   795,   501,    -1,   463,   500,   967,   501,
      -1,    -1,   608,    -1,   609,    -1,   608,   609,    -1,   609,
     608,    -1,    -1,   322,   446,   610,    -1,   322,   185,   610,
      -1,   306,    94,    -1,   372,    -1,   128,    -1,   395,   313,
      -1,   395,   180,    -1,   253,   500,  1027,   501,    -1,    -1,
     466,   558,    -1,   466,   321,    -1,   467,   321,    -1,    -1,
     322,   148,   197,    -1,   322,   148,   185,   380,    -1,   322,
     148,   346,   380,    -1,    -1,   419,  1030,    -1,    -1,   448,
     250,   419,  1030,    -1,    -1,   448,   250,  1034,    -1,  1028,
     618,   612,   613,   614,    -1,   500,   619,   501,    -1,    -1,
     620,    -1,   619,   503,   620,    -1,  1159,    -1,   466,   173,
      -1,   466,   306,   173,    -1,    -1,   160,   582,   389,  1028,
     624,    -1,   101,   389,  1028,   625,    -1,   625,    -1,    -1,
     626,    -1,   625,   626,    -1,   126,   628,    -1,   172,    -1,
     306,   172,    -1,   249,   627,   628,    -1,   294,   628,    -1,
     296,   628,    -1,   306,   294,    -1,   306,   296,    -1,   334,
     125,   723,    -1,   405,   512,   628,    -1,   371,    -1,   371,
     512,   628,    -1,   125,    -1,    -1,  1178,    -1,   492,  1178,
      -1,  1040,    -1,   628,    -1,   629,   503,   628,    -1,   160,
     770,   631,   637,   274,   542,    -1,   160,   770,   631,   637,
     274,   542,   236,   632,   633,   635,    -1,   435,    -1,    -1,
    1030,    -1,  1030,   724,    -1,   255,   632,    -1,    -1,   452,
     632,    -1,   306,   452,    -1,   634,    -1,    -1,   197,   637,
     274,   542,   555,    -1,   197,   637,   274,   242,   211,   542,
     555,    -1,   352,    -1,    -1,   160,   419,  1030,   639,   290,
    1179,    -1,   335,  1030,    -1,    -1,   197,   419,  1030,    -1,
     197,   419,   242,   211,  1030,    -1,   160,   213,  1030,   512,
     642,    -1,   160,   213,   242,   308,   211,  1030,   512,   642,
      -1,   642,   643,    -1,    -1,   383,  1030,    -1,   459,   542,
      -1,   227,   542,    -1,   101,   213,  1030,   446,   645,    -1,
     645,   646,    -1,    -1,   427,   542,    -1,   101,   213,  1030,
     527,    98,  1036,   698,    -1,   101,   213,  1030,   527,   131,
     500,   943,   108,   943,   501,    -1,   101,   213,  1030,   527,
     144,   723,    -1,   101,   213,  1030,   527,   157,   723,    -1,
     101,   213,  1030,   527,   195,   723,    -1,   101,   213,  1030,
     527,   229,   748,    -1,   101,   213,  1030,   527,   637,   274,
    1030,    -1,   101,   213,  1030,   527,   324,   795,   794,    -1,
     101,   213,  1030,   527,   324,   139,   723,   448,  1032,    -1,
     101,   213,  1030,   527,   324,   217,   723,   448,  1032,    -1,
     101,   213,  1030,   527,   383,  1030,    -1,   101,   213,  1030,
     527,   417,   723,    -1,   101,   213,  1030,   527,   423,   385,
     336,   723,    -1,   101,   213,  1030,   527,   423,   385,   189,
     723,    -1,   101,   213,  1030,   527,   423,   385,   421,   723,
      -1,   101,   213,  1030,   527,   423,   385,   151,   723,    -1,
     101,   213,  1030,   527,   389,   723,    -1,   101,   213,  1030,
     527,   460,   723,    -1,   101,   213,  1030,   527,   224,   417,
     723,    -1,   101,   213,  1030,   527,   224,   173,   469,  1030,
      -1,   101,   213,  1030,   527,   392,  1030,    -1,   101,   213,
    1030,   527,   436,   723,    -1,   160,   224,   173,   469,  1030,
     651,   654,    -1,   236,   632,    -1,   306,   236,    -1,   452,
     632,    -1,   306,   452,    -1,   649,    -1,   650,   649,    -1,
     650,    -1,    -1,   197,   224,   173,   469,  1030,   555,    -1,
     197,   224,   173,   469,   242,   211,  1030,   555,    -1,   101,
     224,   173,   469,  1030,   651,   656,    -1,   101,   224,   173,
     469,  1030,   650,    -1,   326,   500,   655,   501,    -1,    -1,
     659,    -1,   655,   503,   659,    -1,   326,   500,   657,   501,
      -1,   658,    -1,   657,   503,   658,    -1,   659,    -1,   395,
     659,    -1,    95,   659,    -1,   197,   660,    -1,   660,   661,
      -1,  1161,    -1,  1179,    -1,   160,   392,  1030,   663,   665,
     224,   173,   469,  1030,   654,    -1,   436,  1179,    -1,    -1,
     459,  1179,    -1,   459,   313,    -1,   664,    -1,    -1,   197,
     392,  1030,   555,    -1,   197,   392,   242,   211,  1030,   555,
      -1,   101,   392,  1030,   664,   656,    -1,   101,   392,  1030,
     664,    -1,   101,   392,  1030,   656,    -1,   160,   224,   417,
    1028,   669,   392,  1030,   654,    -1,   160,   224,   417,   242,
     308,   211,  1028,   669,   392,  1030,   654,    -1,   500,   670,
     501,    -1,   500,   501,    -1,   671,    -1,   670,   503,   671,
      -1,   589,    -1,   101,   224,   417,   934,   552,    -1,   160,
     447,   292,   222,   674,   392,  1030,   654,    -1,   170,    -1,
     447,    -1,  1039,    -1,   197,   447,   292,   222,   674,   392,
    1030,    -1,   197,   447,   292,   242,   211,   222,   674,   392,
    1030,    -1,   101,   447,   292,   222,   674,   392,  1030,   656,
      -1,   160,   431,  1030,   678,   679,   322,  1028,   681,   684,
     210,   353,  1036,   500,   685,   501,    -1,   160,   153,   431,
    1030,    97,   679,   322,  1028,   687,   688,   222,   198,   379,
     684,   210,   353,  1036,   500,   685,   501,    -1,   117,    -1,
      97,    -1,   261,   318,    -1,   680,    -1,   679,   327,   680,
      -1,   260,    -1,   185,    -1,   446,    -1,   446,   318,   601,
      -1,   434,    -1,   222,   682,   683,    -1,    -1,   198,    -1,
      -1,   379,    -1,   406,    -1,   462,   500,   967,   501,    -1,
      -1,   686,    -1,   685,   503,   686,    -1,    -1,  1038,    -1,
    1178,    -1,  1179,    -1,  1161,    -1,   227,  1028,    -1,    -1,
      -1,   688,   689,    -1,   308,   182,    -1,   182,    -1,   254,
     244,    -1,   254,   183,    -1,   308,   450,    -1,   197,   431,
    1030,   322,  1028,   555,    -1,   197,   431,   242,   211,  1030,
     322,  1028,   555,    -1,   160,   110,  1030,   137,   500,   967,
     501,   688,    -1,   197,   110,  1030,   555,    -1,   160,    98,
    1036,   698,   694,    -1,   160,    98,  1036,   699,    -1,   160,
     324,   795,   694,    -1,   160,   436,   723,   694,    -1,   160,
     436,   723,    -1,   160,   436,   723,   108,   500,   940,   501,
      -1,   160,   436,   723,   108,   204,   500,   702,   501,    -1,
     160,   423,   385,   336,   723,   694,    -1,   160,   423,   385,
     189,   723,   694,    -1,   160,   423,   385,   421,   723,   694,
      -1,   160,   423,   385,   151,   723,   694,    -1,   160,   144,
     723,   694,    -1,   160,   144,   723,   227,   723,    -1,   500,
     695,   501,    -1,   696,    -1,   695,   503,   696,    -1,  1161,
     487,   697,    -1,  1161,    -1,   779,    -1,  1045,    -1,   994,
      -1,   628,    -1,  1179,    -1,   500,   999,   501,    -1,   500,
     493,   501,    -1,   500,   700,   501,    -1,   701,    -1,   700,
     503,   701,    -1,  1181,   487,   697,    -1,   703,    -1,    -1,
    1179,    -1,   703,   503,  1179,    -1,   101,   436,   723,    95,
     453,  1179,    -1,   101,   436,   723,    95,   453,  1179,   117,
    1179,    -1,   101,   436,   723,    95,   453,  1179,    97,  1179,
      -1,   160,   324,   139,   723,   708,   222,   436,   943,   448,
    1032,   709,   108,   706,    -1,   707,    -1,   706,   503,   707,
      -1,   324,  1038,   795,   710,   711,    -1,   324,  1038,   795,
     794,   710,   711,    -1,   229,  1038,  1036,   771,    -1,   229,
    1038,   500,   999,   501,  1036,   771,    -1,   410,   943,    -1,
     180,    -1,    -1,   217,   723,    -1,    -1,   222,   385,    -1,
     222,   328,   125,   723,    -1,    -1,   359,    -1,    -1,   160,
     324,   217,   723,   448,  1032,    -1,   101,   324,   217,   723,
     448,  1032,    95,   706,    -1,   101,   324,   217,   723,   448,
    1032,   197,   714,    -1,   715,    -1,   714,   503,   715,    -1,
     324,  1038,   500,   999,   501,    -1,   229,  1038,   500,   999,
     501,    -1,   197,   324,   139,   723,   448,  1032,   555,    -1,
     197,   324,   139,   242,   211,   723,   448,  1032,   555,    -1,
     197,   324,   217,   723,   448,  1032,   555,    -1,   197,   324,
     217,   242,   211,   723,   448,  1032,   555,    -1,   197,   334,
     125,  1029,   555,    -1,   358,   334,   125,  1029,   427,  1030,
      -1,   197,   721,   242,   211,   722,   555,    -1,   197,   721,
     722,   555,    -1,   417,    -1,   389,    -1,   460,    -1,   250,
      -1,   224,   417,    -1,   436,    -1,   195,    -1,   144,    -1,
     157,    -1,   383,    -1,   213,    -1,   423,   385,   336,    -1,
     423,   385,   189,    -1,   423,   385,   421,    -1,   423,   385,
     151,    -1,   723,    -1,   722,   503,   723,    -1,  1159,    -1,
    1159,   724,    -1,   502,  1033,    -1,   724,   502,  1033,    -1,
     434,   901,   935,   726,   555,    -1,   156,   241,    -1,   371,
     241,    -1,    -1,   146,   322,   728,   723,   268,   729,    -1,
     146,   322,    98,  1036,   698,   268,   729,    -1,   146,   322,
     229,  1036,   771,   268,   729,    -1,   146,   322,   324,   795,
     794,   268,   729,    -1,   146,   322,   153,  1030,   322,   723,
     268,   729,    -1,   146,   322,   381,  1030,   322,   723,   268,
     729,    -1,   146,   322,   381,  1030,   268,   729,    -1,   146,
     322,   431,  1030,   322,   723,   268,   729,    -1,   146,   322,
     324,   139,   723,   448,  1032,   268,   729,    -1,   146,   322,
     324,   217,   723,   448,  1032,   268,   729,    -1,   146,   322,
     275,   317,   628,   268,   729,    -1,   146,   322,   131,   500,
     943,   108,   943,   501,   268,   729,    -1,   146,   322,   637,
     274,   723,   268,   729,    -1,   146,   322,   423,   385,   336,
     723,   268,   729,    -1,   146,   322,   423,   385,   189,   723,
     268,   729,    -1,   146,   322,   423,   385,   421,   723,   268,
     729,    -1,   146,   322,   423,   385,   151,   723,   268,   729,
      -1,   145,    -1,   174,    -1,   383,    -1,   250,    -1,   389,
      -1,   417,    -1,   195,    -1,   436,    -1,   460,    -1,   144,
      -1,   157,    -1,   419,    -1,   213,    -1,   377,    -1,   224,
     417,    -1,   392,    -1,   224,   173,   469,    -1,  1179,    -1,
     313,    -1,   387,   273,   731,   322,   732,   723,   268,   733,
      -1,   387,   273,   731,   322,    98,  1036,   698,   268,   733,
      -1,   387,   273,   731,   322,   229,  1036,   771,   268,   733,
      -1,   387,   273,   731,   322,   275,   317,   628,   268,   733,
      -1,   387,   273,   731,   322,   637,   274,   723,   268,   733,
      -1,   222,   542,    -1,    -1,   145,    -1,   224,   417,    -1,
     383,    -1,   389,    -1,   417,    -1,   195,    -1,   436,    -1,
     460,    -1,  1179,    -1,   313,    -1,   218,   735,    -1,   299,
     735,    -1,   218,   735,  1193,    -1,   218,   225,   887,  1194,
      -1,   218,   225,   736,   887,  1194,    -1,   218,   116,   887,
    1194,    -1,   218,   116,   736,   887,  1194,    -1,   299,   225,
     887,    -1,   299,   225,   736,   887,    -1,   299,   116,   887,
      -1,   299,   116,   736,   887,    -1,   887,    -1,   736,   887,
      -1,   305,   737,   887,    -1,   350,   737,   887,    -1,   219,
     737,   887,    -1,   276,   737,   887,    -1,    92,  1040,   737,
     887,    -1,   364,  1040,   737,   887,    -1,  1040,   737,   887,
      -1,    99,   737,   887,    -1,   225,  1040,   737,   887,    -1,
     225,    99,   737,   887,    -1,   116,  1040,   737,   887,    -1,
     116,    99,   737,   887,    -1,   227,    -1,   247,    -1,   736,
      -1,    -1,   232,   740,   322,   743,   427,   744,   746,    -1,
     375,   740,   322,   743,   227,   744,   555,    -1,   375,   232,
     325,   222,   740,   322,   743,   227,   744,   555,    -1,   741,
      -1,    99,    -1,    99,   351,    -1,    99,   500,   601,   501,
      -1,    99,   351,   500,   601,   501,    -1,   742,    -1,   741,
     503,   742,    -1,   388,   600,    -1,   362,   600,    -1,   160,
     600,    -1,  1159,   600,    -1,  1027,    -1,   417,  1027,    -1,
     389,  1027,    -1,   224,   173,   469,  1029,    -1,   224,   392,
    1029,    -1,   229,   747,    -1,   174,  1029,    -1,   274,  1029,
      -1,   275,   317,   629,    -1,   383,  1029,    -1,   419,  1029,
      -1,    99,   418,   247,   383,  1029,    -1,    99,   390,   247,
     383,  1029,    -1,    99,   230,   247,   383,  1029,    -1,   745,
      -1,   744,   503,   745,    -1,  1039,    -1,   235,  1039,    -1,
     466,   232,   325,    -1,    -1,   748,    -1,   747,   503,   748,
      -1,  1036,   771,    -1,   232,   741,   427,  1029,   751,   752,
      -1,   375,   741,   227,  1029,   752,   555,    -1,   375,    96,
     325,   222,   741,   227,  1029,   752,   555,    -1,   466,    96,
     325,    -1,    -1,   233,   125,  1039,    -1,    -1,   101,   180,
     351,   754,   756,    -1,   754,   755,    -1,    -1,   247,   383,
    1029,    -1,   222,   377,  1029,    -1,   222,   447,  1029,    -1,
     232,   740,   322,   757,   427,   744,   746,    -1,   375,   740,
     322,   757,   227,   744,   555,    -1,   375,   232,   325,   222,
     740,   322,   757,   227,   744,   555,    -1,   418,    -1,   230,
      -1,   390,    -1,   160,   759,   250,   760,   761,   322,  1028,
     762,   500,   763,   501,   559,   614,   938,    -1,   441,    -1,
      -1,   150,    -1,    -1,  1034,    -1,    -1,   448,  1032,    -1,
      -1,   764,    -1,   763,   503,   764,    -1,  1159,   765,   766,
     767,   768,    -1,   970,   765,   766,   767,   768,    -1,   500,
     967,   501,   765,   766,   767,   768,    -1,   143,   723,    -1,
      -1,   723,    -1,   448,   723,    -1,    -1,   109,    -1,   188,
      -1,    -1,   484,    -1,   485,    -1,    -1,   160,   770,   229,
    1036,   773,   374,   778,   781,   785,    -1,   160,   770,   229,
    1036,   773,   374,   417,   500,   787,   501,   781,   785,    -1,
     160,   770,   229,  1036,   773,   781,   785,    -1,   327,   368,
      -1,    -1,   500,   772,   501,    -1,   500,   501,    -1,   775,
      -1,   772,   503,   775,    -1,   500,   774,   501,    -1,   500,
     501,    -1,   780,    -1,   774,   503,   780,    -1,   776,   777,
     779,    -1,   777,   776,   779,    -1,   777,   779,    -1,   776,
     779,    -1,   779,    -1,   247,    -1,   329,    -1,   257,    -1,
     247,   329,    -1,   456,    -1,  1160,    -1,   779,    -1,   943,
      -1,  1160,   724,   495,   436,    -1,   396,  1160,   724,   495,
     436,    -1,   775,    -1,   775,   180,   967,    -1,   775,   487,
     967,    -1,   783,    -1,   781,   783,    -1,   127,   322,   313,
     258,    -1,   374,   313,   322,   313,   258,    -1,   411,    -1,
     245,    -1,   403,    -1,   461,    -1,   214,   387,   184,    -1,
     214,   387,   267,    -1,   387,   184,    -1,   387,   267,    -1,
     159,   628,    -1,   380,   628,    -1,   544,    -1,   108,   784,
      -1,   274,   542,    -1,   465,    -1,   782,    -1,  1179,    -1,
    1179,   503,  1179,    -1,   466,   694,    -1,    -1,   777,   779,
      -1,   786,    -1,   787,   503,   786,    -1,   101,   229,   748,
     789,   790,    -1,   782,    -1,   789,   782,    -1,   372,    -1,
      -1,   197,   229,  1036,   771,   555,    -1,   197,   229,   242,
     211,  1036,   771,   555,    -1,   197,    98,  1036,   698,   555,
      -1,   197,    98,   242,   211,  1036,   698,   555,    -1,   197,
     324,   795,   794,   555,    -1,   197,   324,   242,   211,   795,
     794,   555,    -1,   500,   943,   501,    -1,   500,   943,   503,
     943,   501,    -1,   500,   307,   503,   943,   501,    -1,   500,
     943,   503,   307,   501,    -1,   991,    -1,  1159,   502,   795,
      -1,   193,   797,    -1,   798,    -1,   797,   798,    -1,  1179,
      -1,   274,   542,    -1,   160,   131,   500,   943,   108,   943,
     501,   466,   229,   748,   800,    -1,   160,   131,   500,   943,
     108,   943,   501,   467,   229,   800,    -1,   160,   131,   500,
     943,   108,   943,   501,   466,   257,   800,    -1,   108,   246,
      -1,   108,   111,    -1,    -1,   197,   131,   802,   500,   943,
     108,   943,   501,   555,    -1,   242,   211,    -1,    -1,   363,
     804,  1028,   805,    -1,   363,   416,  1030,   805,    -1,   363,
     174,  1030,   805,    -1,   250,    -1,   417,    -1,   223,    -1,
      -1,   101,    98,  1036,   698,   366,   427,  1030,    -1,   101,
     144,   723,   366,   427,  1030,    -1,   101,   157,   723,   366,
     427,  1030,    -1,   101,   174,  1031,   366,   427,  1031,    -1,
     101,   229,   748,   366,   427,  1030,    -1,   101,   235,  1039,
     366,   427,  1039,    -1,   101,   637,   274,  1030,   366,   427,
    1030,    -1,   101,   324,   139,   723,   448,  1032,   366,   427,
    1030,    -1,   101,   324,   217,   723,   448,  1032,   366,   427,
    1030,    -1,   101,   383,  1030,   366,   427,  1030,    -1,   101,
     417,   934,   366,   427,  1030,    -1,   101,   389,  1028,   366,
     427,  1030,    -1,   101,   460,  1028,   366,   427,  1030,    -1,
     101,   250,  1028,   366,   427,  1030,    -1,   101,   224,   417,
     934,   366,   427,  1030,    -1,   101,   417,   934,   366,   807,
    1030,   427,  1030,    -1,   101,   224,   417,   934,   366,   807,
    1030,   427,  1030,    -1,   101,   431,  1030,   322,  1028,   366,
     427,  1030,    -1,   101,   377,  1039,   366,   427,  1039,    -1,
     101,   447,  1039,   366,   427,  1039,    -1,   101,   419,  1030,
     366,   427,  1030,    -1,   101,   419,  1030,   395,   558,    -1,
     101,   419,  1030,   370,   558,    -1,   101,   423,   385,   336,
     723,   366,   427,  1030,    -1,   101,   423,   385,   189,   723,
     366,   427,  1030,    -1,   101,   423,   385,   421,   723,   366,
     427,  1030,    -1,   101,   423,   385,   151,   723,   366,   427,
    1030,    -1,   101,   436,   723,   366,   427,  1030,    -1,   101,
     436,   723,   366,   114,  1030,   427,  1030,   555,    -1,   145,
      -1,    -1,   395,   173,    -1,    -1,   101,    98,  1036,   698,
     395,   383,  1030,    -1,   101,   144,   723,   395,   383,  1030,
      -1,   101,   157,   723,   395,   383,  1030,    -1,   101,   195,
     723,   395,   383,  1030,    -1,   101,   213,   723,   395,   383,
    1030,    -1,   101,   229,   748,   395,   383,  1030,    -1,   101,
     324,   795,   794,   395,   383,  1030,    -1,   101,   324,   139,
     723,   448,  1032,   395,   383,  1030,    -1,   101,   324,   217,
     723,   448,  1032,   395,   383,  1030,    -1,   101,   417,   934,
     395,   383,  1030,    -1,   101,   423,   385,   336,   723,   395,
     383,  1030,    -1,   101,   423,   385,   189,   723,   395,   383,
    1030,    -1,   101,   423,   385,   421,   723,   395,   383,  1030,
      -1,   101,   423,   385,   151,   723,   395,   383,  1030,    -1,
     101,   389,  1028,   395,   383,  1030,    -1,   101,   460,  1028,
     395,   383,  1030,    -1,   101,   224,   417,   934,   395,   383,
    1030,    -1,   101,   436,   723,   395,   383,  1030,    -1,   101,
      98,  1036,   698,   335,   427,  1039,    -1,   101,   144,   723,
     335,   427,  1039,    -1,   101,   157,   723,   335,   427,  1039,
      -1,   101,   174,  1031,   335,   427,  1039,    -1,   101,   195,
     723,   335,   427,  1039,    -1,   101,   229,   748,   335,   427,
    1039,    -1,   101,   637,   274,  1030,   335,   427,  1039,    -1,
     101,   275,   317,   628,   335,   427,  1039,    -1,   101,   324,
     795,   794,   335,   427,  1039,    -1,   101,   324,   139,   723,
     448,  1032,   335,   427,  1039,    -1,   101,   324,   217,   723,
     448,  1032,   335,   427,  1039,    -1,   101,   383,  1030,   335,
     427,  1039,    -1,   101,   436,   723,   335,   427,  1039,    -1,
     101,   419,  1030,   335,   427,  1039,    -1,   101,   423,   385,
     189,   723,   335,   427,  1039,    -1,   101,   423,   385,   151,
     723,   335,   427,  1039,    -1,   101,   224,   173,   469,  1030,
     335,   427,  1039,    -1,   101,   392,  1030,   335,   427,  1039,
      -1,   160,   770,   381,  1030,   108,   322,   816,   427,  1028,
     938,   193,   817,   812,    -1,   309,    -1,   814,    -1,   500,
     813,   501,    -1,   813,   504,   815,    -1,   815,    -1,   890,
      -1,   868,    -1,   879,    -1,   873,    -1,   819,    -1,   814,
      -1,    -1,   388,    -1,   446,    -1,   185,    -1,   260,    -1,
     261,    -1,   100,    -1,    -1,   197,   381,  1030,   322,  1028,
     555,    -1,   197,   381,   242,   211,  1030,   322,  1028,   555,
      -1,   310,  1159,   820,    -1,   503,  1179,    -1,    -1,   285,
    1159,    -1,   443,  1159,    -1,   443,   493,    -1,    91,   824,
      -1,   118,   824,   827,    -1,   405,   429,   827,    -1,   148,
     824,    -1,   203,   824,    -1,   378,   824,    -1,   382,  1159,
      -1,   365,   382,  1159,    -1,   365,  1159,    -1,   378,   824,
     427,   382,  1159,    -1,   378,   824,   427,  1159,    -1,   347,
     429,  1179,    -1,   148,   348,  1179,    -1,   378,   348,  1179,
      -1,   468,    -1,   429,    -1,    -1,   270,   282,   538,    -1,
     356,   323,    -1,   356,   470,    -1,   182,    -1,   308,   182,
      -1,   825,    -1,   826,   503,   825,    -1,   826,   825,    -1,
     826,    -1,    -1,   160,   582,   460,  1028,   600,   108,   890,
     829,    -1,   160,   327,   368,   582,   460,  1028,   600,   108,
     890,   829,    -1,   466,   137,   325,    -1,   466,   129,   137,
     325,    -1,   466,   287,   137,   325,    -1,    -1,   286,  1035,
      -1,   160,   174,  1031,   512,   832,    -1,   832,   833,    -1,
      -1,   419,   834,  1030,    -1,   419,   834,   180,    -1,   290,
     834,  1179,    -1,   290,   834,   180,    -1,   421,   834,  1030,
      -1,   421,   834,   180,    -1,   201,   834,  1179,    -1,   201,
     834,  1038,    -1,   201,   834,   180,    -1,   277,   834,  1179,
      -1,   277,   834,   180,    -1,   278,   834,  1179,    -1,   278,
     834,   180,    -1,   152,   284,   834,  1040,    -1,   335,   834,
    1030,    -1,   335,   834,   180,    -1,   487,    -1,    -1,   101,
     174,  1031,   512,   837,    -1,   101,   174,  1031,   395,   419,
    1030,    -1,   101,   174,  1031,   544,    -1,   837,   838,    -1,
      -1,   152,   284,   834,  1040,    -1,   197,   174,  1031,    -1,
     197,   174,   242,   211,  1031,    -1,   160,   195,   723,   842,
     943,   591,    -1,   101,   195,   723,   554,    -1,   101,   195,
     723,   197,   308,   313,    -1,   101,   195,   723,   395,   308,
     313,    -1,   101,   195,   723,    95,   598,    -1,   101,   195,
     723,   197,   153,  1030,   555,    -1,   108,    -1,    -1,   101,
     423,   385,   189,   723,   694,    -1,   101,   423,   385,   151,
     723,    95,   292,   222,  1029,   466,   722,    -1,   101,   423,
     385,   151,   723,   101,   292,   222,  1029,   466,   722,    -1,
     101,   423,   385,   151,   723,   101,   292,   368,   723,   466,
     723,    -1,   101,   423,   385,   151,   723,   101,   292,   222,
    1029,   368,   723,   466,   723,    -1,   101,   423,   385,   151,
     723,   197,   292,   222,  1029,    -1,   101,   423,   385,   151,
     723,   197,   292,   242,   211,   222,  1029,    -1,   160,   708,
     157,   723,   222,  1179,   427,  1179,   227,   723,    -1,   141,
     853,  1028,   847,    -1,   141,   853,    -1,   141,   853,  1034,
     322,  1028,    -1,   448,  1034,    -1,    -1,   449,   854,   855,
     853,    -1,   449,   854,   855,   853,  1028,    -1,   449,   854,
     855,   853,   851,    -1,   449,   500,   849,   501,    -1,   449,
     500,   849,   501,  1028,   856,    -1,   850,    -1,   849,   503,
     850,    -1,   852,    -1,   458,    -1,   226,    -1,   228,    -1,
     852,   853,    -1,   852,   853,  1028,   856,    -1,   104,    -1,
     103,    -1,   458,    -1,    -1,   228,    -1,    -1,   226,    -1,
      -1,   500,  1029,   501,    -1,    -1,   212,   858,    -1,   212,
     852,   853,   858,    -1,   212,   458,   858,    -1,   212,   500,
     859,   501,   858,    -1,   890,    -1,   868,    -1,   879,    -1,
     873,    -1,   886,    -1,  1048,    -1,   866,    -1,   860,    -1,
     859,   503,   860,    -1,   861,   862,    -1,  1041,    -1,   852,
      -1,   539,    -1,   628,    -1,    -1,   347,  1067,   864,   108,
     865,    -1,   347,  1067,   227,  1112,    -1,   500,   999,   501,
      -1,    -1,   890,    -1,   868,    -1,   879,    -1,   873,    -1,
     210,  1067,   867,  1191,    -1,   160,   582,   417,   617,   108,
     210,  1067,   867,    -1,   500,   996,   501,    -1,    -1,   898,
     260,   266,  1028,   869,   872,    -1,   890,    -1,   500,   870,
     501,   890,    -1,   180,   454,    -1,   871,    -1,   870,   503,
     871,    -1,  1159,  1020,    -1,   373,  1025,  1192,    -1,    -1,
     898,   185,   227,   936,   874,   939,   872,    -1,   448,   927,
      -1,    -1,   291,   901,   935,   876,   878,    -1,   247,   877,
     297,    -1,    -1,    93,   397,    -1,   379,   397,    -1,   379,
     209,    -1,   397,   446,   209,    -1,   397,    -1,   397,   379,
     209,    -1,   209,    -1,    93,   209,    -1,   312,    -1,    -1,
     898,   446,   936,   395,   880,   926,   939,   872,    -1,   881,
      -1,   880,   503,   881,    -1,   882,    -1,   883,    -1,   884,
     487,  1022,    -1,   500,   885,   501,   487,  1024,    -1,  1159,
    1020,    -1,   884,    -1,   885,   503,   884,    -1,   179,   887,
     888,   171,   889,   222,   890,    -1,  1030,    -1,  1172,    -1,
      -1,   888,   306,   384,    -1,   888,   384,    -1,   888,   121,
      -1,   888,   259,    -1,    -1,   466,   239,    -1,   467,   239,
      -1,   892,    -1,   891,    -1,   500,   892,   501,    -1,   500,
     891,   501,    -1,   894,    -1,   893,   905,    -1,   893,   904,
     920,   909,    -1,   893,   904,   908,   921,    -1,   895,   893,
      -1,   895,   893,   905,    -1,   895,   893,   904,   920,   909,
      -1,   895,   893,   904,   908,   921,    -1,   894,    -1,   891,
      -1,   388,   903,  1025,   899,   926,   938,   918,   919,   979,
      -1,   925,    -1,   417,   934,    -1,   893,   440,   902,   893,
      -1,   893,   264,   902,   893,    -1,   893,   206,   902,   893,
      -1,   466,   896,    -1,   466,   360,   896,    -1,   897,    -1,
     896,   503,   897,    -1,  1030,   856,   108,   500,   865,   501,
      -1,   895,    -1,    -1,   266,   900,    -1,  1192,    -1,    -1,
     422,   901,  1028,    -1,   420,   901,  1028,    -1,   287,   422,
     901,  1028,    -1,   287,   420,   901,  1028,    -1,   231,   422,
     901,  1028,    -1,   231,   420,   901,  1028,    -1,   444,   901,
    1028,    -1,   417,  1028,    -1,  1028,    -1,   417,    -1,    -1,
      99,    -1,   192,    -1,    -1,   192,    -1,   192,   322,   500,
     996,   501,    -1,    99,    -1,    -1,   905,    -1,    -1,   328,
     125,   906,    -1,   907,    -1,   906,   503,   907,    -1,   967,
     448,   994,   768,    -1,   967,   767,   768,    -1,   910,   911,
      -1,   911,   910,    -1,   910,    -1,   911,    -1,   908,    -1,
      -1,   284,   912,    -1,   284,   912,   503,   913,    -1,   218,
     917,   914,   916,   323,    -1,   320,   913,    -1,   320,   915,
     916,    -1,   967,    -1,    99,    -1,   967,    -1,  1040,    -1,
     500,   967,   501,    -1,    -1,   969,    -1,   379,    -1,   380,
      -1,   219,    -1,   305,    -1,   235,   125,   996,    -1,    -1,
     237,   967,    -1,    -1,   922,    -1,   222,   356,   323,    -1,
     920,    -1,    -1,   923,    -1,   922,   923,    -1,   222,   446,
     924,   878,    -1,   222,   397,   924,   878,    -1,   318,  1027,
      -1,    -1,   454,  1024,    -1,   925,   503,  1024,    -1,   227,
     927,    -1,    -1,   928,    -1,   927,   503,   928,    -1,   934,
      -1,   934,   930,    -1,   937,    -1,   937,   930,    -1,   937,
     108,   500,   941,   501,    -1,   937,   108,  1159,   500,   941,
     501,    -1,   937,  1159,   500,   941,   501,    -1,   891,    -1,
     891,   930,    -1,   929,    -1,   500,   929,   501,   930,    -1,
     500,   929,   501,    -1,   928,   161,   271,   928,    -1,   928,
     931,   271,   928,   933,    -1,   928,   271,   928,   933,    -1,
     928,   303,   931,   271,   928,    -1,   928,   303,   271,   928,
      -1,   108,  1159,   500,  1029,   501,    -1,   108,  1159,    -1,
    1159,   500,  1029,   501,    -1,  1159,    -1,   228,   932,    -1,
     281,   932,    -1,   376,   932,    -1,   256,    -1,   330,    -1,
      -1,   448,   500,  1029,   501,    -1,   322,   967,    -1,  1028,
      -1,  1028,   493,    -1,   323,  1028,    -1,   323,   500,  1028,
     501,    -1,   934,    -1,   935,   503,   934,    -1,   934,    -1,
     934,  1159,    -1,   934,   108,  1159,    -1,   970,    -1,   463,
     967,    -1,    -1,   463,   967,    -1,   463,   163,   318,   887,
      -1,    -1,   941,    -1,    -1,   942,    -1,   941,   503,   942,
      -1,  1159,   943,   556,    -1,   945,   944,    -1,   396,   945,
     944,    -1,   945,   107,   498,  1038,   499,    -1,   396,   945,
     107,   498,  1038,   499,    -1,   945,   107,    -1,   396,   945,
     107,    -1,   944,   498,   499,    -1,   944,   498,  1190,   499,
      -1,    -1,   947,    -1,   949,    -1,   951,    -1,   955,    -1,
     962,    -1,   963,   965,    -1,   963,   500,  1038,   501,   965,
      -1,   949,    -1,   952,    -1,   956,    -1,   962,    -1,  1160,
     948,    -1,  1160,   724,   948,    -1,   500,   996,   501,    -1,
      -1,   262,    -1,   263,    -1,   401,    -1,   120,    -1,   357,
      -1,   220,   950,    -1,   196,   345,    -1,   178,   948,    -1,
     177,   948,    -1,   316,   948,    -1,   123,    -1,   500,  1038,
     501,    -1,    -1,   953,    -1,   954,    -1,   953,    -1,   954,
      -1,   122,   960,   500,   996,   501,    -1,   122,   960,    -1,
     957,    -1,   958,    -1,   957,    -1,   958,    -1,   959,   500,
    1038,   501,   961,    -1,   959,   961,    -1,   135,   960,    -1,
     134,   960,    -1,   455,    -1,   302,   135,   960,    -1,   302,
     134,   960,    -1,   304,   960,    -1,   457,    -1,    -1,   135,
     395,  1159,    -1,    -1,   426,   500,  1038,   501,   964,    -1,
     426,   964,    -1,   425,   500,  1038,   501,   964,    -1,   425,
     964,    -1,   265,    -1,   486,   483,    -1,   467,   425,   483,
      -1,    -1,   481,    -1,   298,    -1,   175,    -1,   240,    -1,
     295,    -1,   966,    -1,   481,   427,   298,    -1,   175,   427,
     240,    -1,   175,   427,   295,    -1,   175,   427,   966,    -1,
     240,   427,   295,    -1,   240,   427,   966,    -1,   295,   427,
     966,    -1,    -1,   386,    -1,   386,   500,  1038,   501,    -1,
     969,    -1,   967,    88,   943,    -1,   967,   143,   723,    -1,
     967,   113,   425,   483,   967,    -1,   491,   967,    -1,   492,
     967,    -1,   967,   491,   967,    -1,   967,   492,   967,    -1,
     967,   493,   967,    -1,   967,   494,   967,    -1,   967,   495,
     967,    -1,   967,   496,   967,    -1,   967,   488,   967,    -1,
     967,   489,   967,    -1,   967,   487,   967,    -1,   967,   993,
     967,    -1,   993,   967,    -1,   967,   993,    -1,   967,   105,
     967,    -1,   967,   327,   967,    -1,   308,   967,    -1,   967,
     283,   967,    -1,   967,   283,   967,   205,   967,    -1,   967,
     308,   283,   967,    -1,   967,   308,   283,   967,   205,   967,
      -1,   967,   243,   967,    -1,   967,   243,   967,   205,   967,
      -1,   967,   308,   243,   967,    -1,   967,   308,   243,   967,
     205,   967,    -1,   967,   399,   427,   967,    -1,   967,   399,
     427,   967,   205,   967,    -1,   967,   308,   399,   427,   967,
      -1,   967,   308,   399,   427,   967,   205,   967,    -1,   967,
     268,   313,    -1,   967,   269,    -1,   967,   268,   308,   313,
      -1,   967,   311,    -1,   989,   332,   989,    -1,   967,   268,
     433,    -1,   967,   268,   308,   433,    -1,   967,   268,   216,
      -1,   967,   268,   308,   216,    -1,   967,   268,   442,    -1,
     967,   268,   308,   442,    -1,   967,   268,   192,   227,   967,
      -1,   967,   268,   308,   192,   227,   967,    -1,   967,   268,
     318,   500,   999,   501,    -1,   967,   268,   308,   318,   500,
     999,   501,    -1,   967,   119,  1021,   968,   105,   968,    -1,
     967,   308,   119,  1021,   968,   105,   968,    -1,   967,   119,
     414,   968,   105,   968,    -1,   967,   308,   119,   414,   968,
     105,   968,    -1,   967,   247,  1011,    -1,   967,   308,   247,
    1011,    -1,   967,   995,   990,   891,    -1,   967,   995,   990,
     500,   967,   501,    -1,   441,   891,    -1,   967,   268,   194,
      -1,   967,   268,   308,   194,    -1,   969,    -1,   968,    88,
     943,    -1,   491,   968,    -1,   492,   968,    -1,   968,   491,
     968,    -1,   968,   492,   968,    -1,   968,   493,   968,    -1,
     968,   494,   968,    -1,   968,   495,   968,    -1,   968,   496,
     968,    -1,   968,   488,   968,    -1,   968,   489,   968,    -1,
     968,   487,   968,    -1,   968,   993,   968,    -1,   993,   968,
      -1,   968,   993,    -1,   968,   268,   192,   227,   968,    -1,
     968,   268,   308,   192,   227,   968,    -1,   968,   268,   318,
     500,   999,   501,    -1,   968,   268,   308,   318,   500,   999,
     501,    -1,   968,   268,   194,    -1,   968,   268,   308,   194,
      -1,  1017,    -1,  1037,    -1,  1176,  1020,    -1,   500,   967,
     501,  1020,    -1,  1012,    -1,   970,    -1,   891,    -1,   891,
    1019,    -1,   211,   891,    -1,   107,   891,    -1,   107,  1000,
      -1,   989,    -1,  1036,   500,   501,   982,    -1,  1036,   500,
     997,   501,   982,    -1,  1036,   500,   456,   998,   501,   982,
      -1,  1036,   500,   997,   503,   456,   998,   501,   982,    -1,
    1036,   500,   997,   905,   501,   982,    -1,  1036,   500,    99,
     997,   904,   501,   982,    -1,  1036,   500,   192,   997,   904,
     501,   982,    -1,  1036,   500,   493,   501,   982,    -1,   165,
      -1,   168,    -1,   168,   500,  1038,   501,    -1,   169,    -1,
     169,   500,  1038,   501,    -1,   288,    -1,   288,   500,  1038,
     501,    -1,   289,    -1,   289,   500,  1038,   501,    -1,   166,
      -1,   170,    -1,   394,    -1,   447,    -1,   164,    -1,   167,
      -1,   131,   500,   967,   108,   943,   501,    -1,   215,   500,
    1002,   501,    -1,   333,   500,  1004,   501,    -1,   343,   500,
    1006,   501,    -1,   413,   500,  1007,   501,    -1,   430,   500,
     967,   108,   943,   501,    -1,   432,   500,   124,  1010,   501,
      -1,   432,   500,   279,  1010,   501,    -1,   432,   500,   428,
    1010,   501,    -1,   432,   500,  1010,   501,    -1,   314,   500,
     967,   503,   967,   501,    -1,   142,   500,   996,   501,    -1,
     234,   500,   996,   501,    -1,   280,   500,   996,   501,    -1,
     473,   500,   996,   501,    -1,   474,   500,   300,  1161,   501,
      -1,   474,   500,   300,  1161,   503,   973,   501,    -1,   474,
     500,   300,  1161,   503,   996,   501,    -1,   474,   500,   300,
    1161,   503,   973,   503,   996,   501,    -1,   475,   500,   969,
     978,   501,    -1,   476,   500,   974,   501,    -1,   477,   500,
     976,   967,   977,   501,    -1,   478,   500,   300,  1161,   501,
      -1,   478,   500,   300,  1161,   503,   967,   501,    -1,   479,
     500,   967,   503,   971,   972,   501,    -1,   480,   500,   976,
     967,   108,   945,   501,    -1,   459,   967,    -1,   459,   306,
     453,    -1,   503,   404,   482,    -1,   503,   404,   306,    -1,
     503,   404,   306,   453,    -1,    -1,   472,   500,   974,   501,
      -1,   975,    -1,   974,   503,   975,    -1,   967,   108,  1161,
      -1,   967,    -1,   194,    -1,   155,    -1,   346,   464,    -1,
     412,   464,    -1,    -1,   339,   969,    -1,   339,   969,   125,
     361,    -1,   339,   125,   361,   969,    -1,   339,   125,   361,
     969,   125,   361,    -1,   465,   980,    -1,    -1,   981,    -1,
     980,   503,   981,    -1,  1159,   108,   983,    -1,   331,   983,
      -1,   331,  1159,    -1,    -1,   500,   984,   985,   904,   986,
     501,    -1,  1159,    -1,    -1,   338,   125,   996,    -1,    -1,
     355,   987,    -1,   380,   987,    -1,    -1,   988,    -1,   119,
     988,   105,   988,    -1,   437,   344,    -1,   437,   221,    -1,
     163,   379,    -1,   967,   344,    -1,   967,   221,    -1,   379,
     500,   996,   501,    -1,   379,   500,   501,    -1,   500,   996,
     503,   967,   501,    -1,   106,    -1,   402,    -1,    99,    -1,
      85,    -1,   992,    -1,   491,    -1,   492,    -1,   493,    -1,
     494,    -1,   495,    -1,   496,    -1,   488,    -1,   489,    -1,
     487,    -1,    85,    -1,   324,   500,   795,   501,    -1,   991,
      -1,   324,   500,   795,   501,    -1,   991,    -1,   324,   500,
     795,   501,    -1,   283,    -1,   308,   283,    -1,   243,    -1,
     308,   243,    -1,   967,    -1,   996,   503,   967,    -1,   998,
      -1,   997,   503,   998,    -1,   967,    -1,   777,    90,   967,
      -1,   943,    -1,   999,   503,   943,    -1,   498,   996,   499,
      -1,   498,  1001,   499,    -1,   498,   499,    -1,  1000,    -1,
    1001,   503,  1000,    -1,  1003,   227,   967,    -1,    -1,  1181,
      -1,   481,    -1,   298,    -1,   175,    -1,   240,    -1,   295,
      -1,   386,    -1,  1179,    -1,   967,  1005,  1008,  1009,    -1,
     967,  1005,  1008,    -1,   341,   967,    -1,   968,   247,   968,
      -1,    -1,   967,  1008,  1009,    -1,   967,  1009,  1008,    -1,
     967,  1008,    -1,   967,  1009,    -1,   996,    -1,    -1,   227,
     967,    -1,   222,   967,    -1,   967,   227,   996,    -1,   227,
     996,    -1,   996,    -1,   891,    -1,   500,   996,   501,    -1,
     130,  1016,  1013,  1015,   203,    -1,  1014,    -1,  1013,  1014,
      -1,   462,   967,   424,   967,    -1,   199,   967,    -1,    -1,
     967,    -1,    -1,  1159,    -1,  1159,  1019,    -1,   502,  1033,
      -1,   502,   493,    -1,   498,   967,   499,    -1,   498,   967,
     505,   967,   499,    -1,  1018,    -1,  1019,  1018,    -1,    -1,
    1020,  1018,    -1,   112,    -1,    -1,   967,    -1,   180,    -1,
    1022,    -1,  1023,   503,  1022,    -1,   500,  1023,   501,    -1,
    1026,    -1,  1025,   503,  1026,    -1,   967,   108,  1161,    -1,
     967,  1181,    -1,   967,    -1,   493,    -1,  1028,    -1,  1027,
     503,  1028,    -1,  1159,    -1,  1159,  1019,    -1,  1030,    -1,
    1029,   503,  1030,    -1,  1159,    -1,  1159,    -1,  1159,    -1,
    1161,    -1,  1159,    -1,  1179,    -1,  1160,    -1,  1159,  1019,
      -1,  1038,    -1,  1178,    -1,  1179,    -1,  1177,    -1,    84,
      -1,  1036,  1179,    -1,  1036,   500,   997,   501,  1179,    -1,
     946,  1179,    -1,   963,  1179,   965,    -1,   963,   500,  1038,
     501,  1179,   965,    -1,   433,    -1,   216,    -1,   313,    -1,
    1173,    -1,  1171,    -1,    86,    -1,  1041,    -1,  1038,    -1,
    1173,    -1,   491,  1038,    -1,   492,  1038,    -1,  1181,    -1,
    1042,    -1,  1043,    -1,  1044,    -1,    91,    -1,    92,    -1,
      93,    -1,    94,    -1,    95,    -1,    96,    -1,    97,    -1,
      98,    -1,   100,    -1,   101,    -1,   102,    -1,   110,    -1,
     111,    -1,   113,    -1,   114,    -1,   116,    -1,   117,    -1,
     118,    -1,   125,    -1,   126,    -1,   127,    -1,   128,    -1,
     129,    -1,   132,    -1,   133,    -1,   136,    -1,   138,    -1,
     139,    -1,   140,    -1,   141,    -1,   144,    -1,   146,    -1,
     147,    -1,   148,    -1,   149,    -1,   151,    -1,   154,    -1,
     155,    -1,   156,    -1,   157,    -1,   158,    -1,   159,    -1,
     162,    -1,   171,    -1,   172,    -1,   173,    -1,   174,    -1,
     176,    -1,   179,    -1,   181,    -1,   183,    -1,   184,    -1,
     185,    -1,   186,    -1,   187,    -1,   189,    -1,   190,    -1,
     191,    -1,   194,    -1,   195,    -1,   196,    -1,   197,    -1,
     198,    -1,   200,    -1,   201,    -1,   202,    -1,   204,    -1,
     205,    -1,   207,    -1,   208,    -1,   209,    -1,   210,    -1,
     212,    -1,   213,    -1,   214,    -1,   217,    -1,   219,    -1,
     221,    -1,   223,    -1,   225,    -1,   229,    -1,   230,    -1,
     231,    -1,   233,    -1,   236,    -1,   238,    -1,   239,    -1,
     241,    -1,   242,    -1,   244,    -1,   245,    -1,   246,    -1,
     248,    -1,   249,    -1,   250,    -1,   251,    -1,   252,    -1,
     253,    -1,   255,    -1,   259,    -1,   260,    -1,   261,    -1,
     267,    -1,   270,    -1,   272,    -1,   273,    -1,   274,    -1,
     275,    -1,   276,    -1,   277,    -1,   278,    -1,   282,    -1,
     285,    -1,   286,    -1,   287,    -1,   290,    -1,   291,    -1,
     292,    -1,   293,    -1,   294,    -1,   296,    -1,   297,    -1,
     299,    -1,   300,    -1,   301,    -1,   305,    -1,   306,    -1,
     309,    -1,   310,    -1,   312,    -1,   315,    -1,   317,    -1,
     318,    -1,   319,    -1,   321,    -1,   324,    -1,   325,    -1,
     326,    -1,   334,    -1,   335,    -1,   336,    -1,   337,    -1,
     338,    -1,   339,    -1,   340,    -1,   342,    -1,   344,    -1,
     347,    -1,   348,    -1,   346,    -1,   350,    -1,   351,    -1,
     352,    -1,   353,    -1,   354,    -1,   355,    -1,   356,    -1,
     358,    -1,   359,    -1,   360,    -1,   361,    -1,   363,    -1,
     364,    -1,   365,    -1,   366,    -1,   367,    -1,   368,    -1,
     369,    -1,   370,    -1,   371,    -1,   372,    -1,   374,    -1,
     375,    -1,   377,    -1,   378,    -1,   380,    -1,   381,    -1,
     382,    -1,   383,    -1,   384,    -1,   385,    -1,   387,    -1,
     389,    -1,   390,    -1,   391,    -1,   392,    -1,   393,    -1,
     395,    -1,   397,    -1,   398,    -1,   400,    -1,   403,    -1,
     404,    -1,   405,    -1,   406,    -1,   407,    -1,   408,    -1,
     409,    -1,   410,    -1,   411,    -1,   412,    -1,   415,    -1,
     416,    -1,   418,    -1,   419,    -1,   420,    -1,   421,    -1,
     422,    -1,   423,    -1,   429,    -1,   431,    -1,   434,    -1,
     435,    -1,   436,    -1,   437,    -1,   438,    -1,   439,    -1,
     442,    -1,   443,    -1,   444,    -1,   445,    -1,   446,    -1,
     449,    -1,   450,    -1,   451,    -1,   452,    -1,   453,    -1,
     457,    -1,   459,    -1,   460,    -1,   461,    -1,   464,    -1,
     467,    -1,   468,    -1,   469,    -1,   470,    -1,   471,    -1,
     482,    -1,   483,    -1,   119,    -1,   120,    -1,   122,    -1,
     123,    -1,   135,    -1,   142,    -1,   177,    -1,   178,    -1,
     211,    -1,   215,    -1,   220,    -1,   234,    -1,   257,    -1,
     263,    -1,   265,    -1,   280,    -1,   302,    -1,   304,    -1,
     307,    -1,   314,    -1,   316,    -1,   329,    -1,   333,    -1,
     343,    -1,   345,    -1,   357,    -1,   379,    -1,   396,    -1,
     401,    -1,   413,    -1,   425,    -1,   426,    -1,   430,    -1,
     432,    -1,   455,    -1,   472,    -1,   473,    -1,   474,    -1,
     475,    -1,   476,    -1,   477,    -1,   478,    -1,   479,    -1,
     480,    -1,   115,    -1,   121,    -1,   150,    -1,   161,    -1,
     167,    -1,   226,    -1,   228,    -1,   243,    -1,   256,    -1,
     268,    -1,   269,    -1,   271,    -1,   281,    -1,   283,    -1,
     303,    -1,   311,    -1,   330,    -1,   331,    -1,   332,    -1,
     376,    -1,   399,    -1,   458,    -1,    99,    -1,   103,    -1,
     104,    -1,   105,    -1,   106,    -1,   107,    -1,   108,    -1,
     109,    -1,   112,    -1,   124,    -1,   130,    -1,   131,    -1,
     137,    -1,   143,    -1,   145,    -1,   153,    -1,   160,    -1,
     164,    -1,   165,    -1,   166,    -1,   168,    -1,   169,    -1,
     170,    -1,   180,    -1,   182,    -1,   188,    -1,   192,    -1,
     193,    -1,   199,    -1,   203,    -1,   206,    -1,   216,    -1,
     218,    -1,   222,    -1,   224,    -1,   227,    -1,   232,    -1,
     235,    -1,   237,    -1,   247,    -1,   254,    -1,   264,    -1,
     266,    -1,   279,    -1,   284,    -1,   288,    -1,   289,    -1,
     308,    -1,   313,    -1,   320,    -1,   322,    -1,   323,    -1,
     327,    -1,   328,    -1,   341,    -1,   349,    -1,   362,    -1,
     373,    -1,   388,    -1,   394,    -1,   402,    -1,   414,    -1,
     417,    -1,   424,    -1,   428,    -1,   433,    -1,   441,    -1,
     447,    -1,   448,    -1,   456,    -1,   462,    -1,   463,    -1,
     465,    -1,   466,    -1,    -1,  1046,  1047,    -1,  1168,  1050,
     510,   504,    -1,  1168,   510,   504,    -1,  1168,  1070,    -1,
    1075,    -1,  1187,    -1,    73,    -1,   506,    -1,   507,    -1,
      -1,   160,   582,   417,   617,   108,  1049,   890,   621,    -1,
     113,  1111,    -1,     9,   427,  1052,  1059,  1060,    -1,     9,
     427,   180,    -1,     9,  1061,    -1,   174,  1052,    -1,  1053,
    1056,  1058,    -1,  1054,   505,  1055,  1058,   494,  1053,  1064,
      -1,  1063,    -1,  1179,    -1,  1031,    -1,    -1,  1181,  1175,
      -1,    85,  1057,    -1,  1055,    -1,    -1,  1159,    -1,  1159,
     502,  1057,    -1,    74,    -1,   505,  1038,    -1,    -1,   108,
    1111,    -1,    -1,   447,  1061,    -1,    -1,  1062,    -1,  1062,
     494,  1062,    -1,  1062,    21,   125,  1062,    -1,  1062,   448,
    1062,    -1,  1039,    -1,  1179,    -1,  1173,    -1,  1175,    -1,
      85,  1065,    -1,    -1,  1159,  1066,    -1,  1159,  1066,    85,
    1065,    -1,    -1,   487,  1038,    -1,   487,  1181,    -1,   487,
    1173,    -1,  1030,    -1,  1063,    -1,   179,   887,   888,   171,
     889,   222,  1067,    -1,   210,   244,  1112,    -1,  1071,    -1,
    1082,    -1,  1084,    -1,   628,    -1,   503,   628,    -1,    -1,
     965,    -1,   481,   427,   295,    -1,   481,   427,   386,    -1,
     175,   427,   175,    -1,   298,   427,   298,    -1,    -1,  1077,
    1076,  1079,  1078,    -1,  1168,   118,   179,    34,   504,    -1,
    1168,   203,   179,    34,   504,    -1,    -1,  1080,    -1,  1071,
      -1,    73,    -1,  1080,  1071,    -1,  1080,    73,    -1,  1084,
      -1,  1081,  1084,    -1,    -1,    70,  1083,  1091,  1107,  1163,
     944,   504,    -1,    -1,  1088,  1091,  1085,  1104,   504,    -1,
      -1,  1091,  1086,  1104,   504,    -1,  1094,   504,    -1,   505,
    1038,    -1,    -1,  1089,  1090,    -1,  1089,    -1,  1090,    -1,
      56,    -1,    67,    -1,    65,    -1,    50,    -1,    51,    -1,
      69,    -1,  1100,    -1,  1096,    -1,  1092,    -1,  1163,   500,
    1072,  1073,   501,    -1,  1163,  1074,    -1,  1098,    -1,   204,
    1157,  1093,    -1,   204,  1093,    -1,   204,  1157,    -1,   506,
    1185,   507,    -1,    -1,  1098,  1095,   506,  1081,   507,    -1,
    1094,    -1,    -1,  1099,  1097,   506,  1081,   507,    -1,    43,
    1157,    -1,   440,  1157,    -1,    43,    -1,   440,    -1,  1101,
      -1,  1103,  1102,    -1,    44,    35,    -1,    44,    35,   262,
      -1,    44,    -1,    44,   262,    -1,    44,    25,    -1,    44,
      25,   262,    -1,    44,    25,    25,    -1,    44,    25,    25,
     262,    -1,    44,   134,    -1,    35,    -1,    35,   262,    -1,
     262,    -1,    25,    -1,    25,   262,    -1,    25,    25,    -1,
      25,    25,   262,    -1,     5,    -1,   134,    -1,   196,    -1,
      36,    -1,    -1,  1105,    -1,  1104,   503,  1105,    -1,  1107,
    1162,   944,  1087,  1106,    -1,    -1,   487,  1186,    -1,    -1,
     493,    -1,   493,   493,    -1,   179,   406,  1181,    -1,    15,
    1110,    -1,  1111,    -1,   163,    -1,    99,    -1,    -1,  1031,
      -1,   180,    -1,  1063,    -1,  1063,    -1,    71,    -1,    17,
     887,    -1,    17,    99,    -1,    28,   887,  1115,    -1,    -1,
    1116,    -1,   448,  1120,    -1,  1117,    -1,   448,    37,    14,
    1182,    -1,   448,    14,  1030,    -1,   266,    37,    14,  1182,
      -1,   266,    14,  1030,    -1,   266,  1030,    -1,  1121,    -1,
    1121,   503,  1120,    -1,  1122,    -1,  1173,    -1,  1171,    -1,
    1038,    -1,   491,  1038,    -1,   492,  1038,    -1,  1178,    -1,
     491,  1178,    -1,   492,  1178,    -1,  1179,    -1,  1177,    -1,
    1180,    -1,    13,   258,  1067,  1117,    -1,    13,  1124,  1067,
    1117,    -1,    13,  1124,  1067,  1118,    -1,    13,   258,  1067,
    1119,    -1,    13,  1124,  1067,  1119,    -1,    29,    -1,    -1,
       3,    14,  1182,    -1,   176,    14,  1182,    -1,    18,    14,
    1182,  1128,    -1,  1129,    -1,  1128,   503,  1129,    -1,  1175,
     487,  1134,    -1,   395,    14,  1182,  1131,    -1,  1132,    -1,
    1131,   503,  1132,    -1,  1134,   487,  1133,    -1,  1038,    -1,
    1175,    -1,    10,    -1,    18,    14,  1182,   453,  1133,  1136,
      -1,  1137,    -1,  1136,   503,  1137,    -1,  1175,   487,  1142,
      -1,   395,    14,  1182,   453,  1133,  1139,    -1,  1140,    -1,
    1139,   503,  1140,    -1,  1142,   487,  1141,    -1,  1178,    -1,
    1133,    -1,   492,  1178,    -1,   492,  1038,    -1,  1179,    -1,
       8,    -1,   173,    -1,    11,    -1,    12,    -1,    22,    -1,
      23,    -1,    24,    -1,   300,    -1,    26,    -1,    27,    -1,
     345,    -1,    31,    -1,    32,    -1,    33,    -1,   436,    -1,
     395,     4,   487,  1144,    -1,   395,     4,   427,  1144,    -1,
     322,    -1,   319,    -1,   395,   152,   427,  1111,    -1,   395,
     152,   487,  1111,    -1,   395,   152,  1111,    -1,    -1,   436,
    1147,  1163,   268,  1091,   944,  1148,    -1,    30,    -1,    -1,
      -1,    45,  1150,  1161,   268,  1091,   944,  1148,    -1,    46,
      38,  1152,    -1,    46,   308,    16,  1152,    -1,    46,    40,
    1152,    -1,   156,    -1,    39,    -1,    42,    -1,    20,  1030,
      -1,    19,   427,  1030,    -1,   193,  1030,   500,  1169,   501,
      -1,   193,     6,    -1,     7,  1030,   500,  1169,   501,    -1,
       7,  1030,    -1,  1154,    -1,  1155,    -1,     6,    -1,     7,
      -1,     8,    -1,    10,    -1,    11,    -1,    12,    -1,    16,
      -1,    19,    -1,    20,    -1,    21,    -1,    22,    -1,    23,
      -1,    24,    -1,    26,    -1,    27,    -1,    31,    -1,    32,
      -1,    33,    -1,    34,    -1,    37,    -1,    38,    -1,    39,
      -1,    40,    -1,    42,    -1,     9,    -1,    13,    -1,    15,
      -1,    28,    -1,    45,    -1,    46,    -1,     5,    -1,    25,
      -1,    29,    -1,    35,    -1,    43,    -1,    36,    -1,    44,
      -1,  1161,    -1,  1181,    -1,  1042,    -1,  1043,    -1,  1166,
      -1,  1153,    -1,  1164,    -1,   134,    -1,   454,    -1,  1181,
      -1,  1165,    -1,  1043,    -1,  1153,    -1,  1164,    -1,   134,
      -1,   454,    -1,  1181,    -1,  1165,    -1,  1044,    -1,  1153,
      -1,  1164,    -1,  1156,    -1,  1162,    -1,  1156,    -1,   134,
      -1,   163,    -1,   258,    -1,   262,    -1,   427,    -1,   440,
      -1,   454,    -1,  1164,    -1,  1166,    -1,  1163,    -1,  1042,
      -1,  1045,    -1,  1155,    -1,   152,    -1,  1181,    -1,  1043,
      -1,  1044,    -1,  1154,    -1,    50,    -1,    51,    -1,    56,
      -1,    65,    -1,    67,    -1,    70,    -1,    69,    -1,  1042,
      -1,  1166,    -1,   152,    -1,   175,    -1,   240,    -1,   295,
      -1,   298,    -1,   386,    -1,   481,    -1,  1170,    -1,  1167,
     503,  1170,    -1,    41,    -1,    -1,  1185,    -1,  1175,  1174,
      -1,  1175,    -1,  1175,  1174,    -1,  1063,    -1,  1175,    -1,
    1175,    -1,    22,  1175,    -1,    22,  1030,    -1,    72,    -1,
      87,    -1,    83,    -1,    81,    -1,    82,    -1,    76,    -1,
      77,    -1,    78,    -1,    75,    -1,    84,    -1,    80,    -1,
      71,    -1,    79,    -1,  1030,    -1,  1063,    -1,  1188,    -1,
     500,   501,    -1,   500,  1184,   501,    -1,  1183,    -1,  1184,
    1183,    -1,  1186,    -1,  1185,   503,  1186,    -1,  1184,    -1,
     506,  1185,   507,    -1,  1188,    -1,   500,    -1,   501,    -1,
     503,    -1,   504,    -1,  1181,    -1,  1038,    -1,  1178,    -1,
    1179,    -1,   493,    -1,   491,    -1,   492,    -1,   494,    -1,
     495,    -1,   313,    -1,    47,    -1,    48,    -1,    49,    -1,
      50,    -1,    51,    -1,    52,    -1,    53,    -1,    54,    -1,
      55,    -1,    56,    -1,    57,    -1,    58,    -1,    60,    -1,
      59,    -1,    61,    -1,    62,    -1,    63,    -1,    64,    -1,
      65,    -1,    66,    -1,    67,    -1,    68,    -1,    70,    -1,
      69,    -1,     5,    -1,   204,    -1,   240,    -1,   262,    -1,
      25,    -1,   295,    -1,   298,    -1,   386,    -1,    35,    -1,
      36,    -1,    43,    -1,    44,    -1,   481,    -1,   134,    -1,
     220,    -1,   427,    -1,   440,    -1,   455,    -1,   498,    -1,
     499,    -1,   487,    -1,   505,    -1,   176,  1067,    -1,   176,
     347,  1067,    -1,   176,    99,    -1,   176,   347,    99,    -1,
    1038,    -1,   500,  1190,   501,    -1,  1190,   491,  1190,    -1,
    1190,   492,  1190,    -1,  1190,   493,  1190,    -1,  1190,   494,
    1190,    -1,  1190,   495,  1190,    -1,  1179,    -1,  1159,    -1,
      -1,  1116,  1192,    -1,  1192,  1116,    -1,  1116,    -1,  1192,
      -1,   266,  1167,    -1,  1118,    -1,  1192,    -1,  1117,    -1,
      -1,  1193,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1364,  1364,  1367,  1369,  1371,  1373,  1375,  1377,  1379,
    1381,  1383,  1385,  1387,  1389,  1391,  1393,  1395,  1397,  1399,
    1401,  1403,  1405,  1407,  1409,  1411,  1413,  1415,  1417,  1419,
    1437,  1439,  1441,  1443,  1445,  1447,  1449,  1451,  1453,  1455,
    1457,  1459,  1461,  1463,  1465,  1467,  1469,  1471,  1473,  1475,
    1477,  1479,  1481,  1483,  1485,  1487,  1489,  1491,  1493,  1497,
    1499,  1501,  1503,  1505,  1507,  1509,  1511,  1513,  1515,  1517,
    1519,  1521,  1523,  1525,  1527,  1529,  1531,  1533,  1535,  1537,
    1539,  1541,  1543,  1545,  1547,  1549,  1551,  1553,  1555,  1557,
    1559,  1561,  1563,  1570,  1572,  1574,  1576,  1578,  1580,  1582,
    1584,  1586,  1588,  1590,  1592,  1598,  1600,  1602,  1604,  1606,
    1608,  1610,  1612,  1614,  1620,  1630,  1634,  1640,  1644,  1654,
    1664,  1665,  1679,  1686,  1692,  1703,  1709,  1718,  1725,  1731,
    1740,  1747,  1755,  1760,  1768,  1773,  1779,  1784,  1790,  1795,
    1801,  1805,  1809,  1813,  1817,  1821,  1825,  1829,  1833,  1841,
    1845,  1849,  1853,  1857,  1861,  1869,  1877,  1886,  1888,  1896,
    1904,  1912,  1920,  1924,  1932,  1936,  1944,  1952,  1960,  1964,
    1972,  1976,  1984,  1988,  1996,  2001,  2007,  2012,  2018,  2022,
    2026,  2030,  2034,  2038,  2046,  2050,  2054,  2062,  2066,  2070,
    2074,  2078,  2082,  2086,  2090,  2094,  2099,  2103,  2107,  2111,
    2115,  2119,  2127,  2131,  2139,  2143,  2151,  2155,  2169,  2173,
    2177,  2181,  2189,  2193,  2197,  2201,  2209,  2213,  2217,  2221,
    2225,  2229,  2233,  2241,  2245,  2250,  2256,  2260,  2268,  2272,
    2276,  2280,  2284,  2292,  2296,  2304,  2308,  2312,  2316,  2320,
    2329,  2337,  2341,  2349,  2353,  2361,  2369,  2373,  2377,  2381,
    2389,  2393,  2397,  2401,  2409,  2413,  2421,  2425,  2429,  2433,
    2437,  2441,  2445,  2449,  2453,  2457,  2461,  2465,  2469,  2473,
    2477,  2481,  2485,  2489,  2493,  2497,  2501,  2505,  2509,  2513,
    2517,  2521,  2525,  2529,  2533,  2537,  2541,  2545,  2549,  2553,
    2557,  2561,  2565,  2569,  2573,  2577,  2581,  2589,  2593,  2601,
    2605,  2610,  2616,  2621,  2627,  2632,  2638,  2646,  2651,  2657,
    2661,  2669,  2673,  2677,  2681,  2689,  2697,  2701,  2709,  2713,
    2717,  2721,  2729,  2734,  2742,  2753,  2764,  2768,  2776,  2780,
    2784,  2792,  2796,  2804,  2809,  2815,  2819,  2823,  2827,  2831,
    2835,  2839,  2843,  2847,  2851,  2855,  2859,  2867,  2872,  2878,
    2883,  2889,  2894,  2900,  2905,  2911,  2915,  2923,  2931,  2935,
    2939,  2943,  2948,  2954,  2958,  2966,  2974,  2978,  2982,  2986,
    2994,  2998,  3002,  3006,  3010,  3014,  3018,  3023,  3029,  3034,
    3040,  3045,  3051,  3055,  3063,  3067,  3075,  3079,  3083,  3091,
    3095,  3103,  3111,  3119,  3124,  3130,  3134,  3138,  3142,  3150,
    3154,  3158,  3162,  3166,  3170,  3174,  3182,  3186,  3190,  3194,
    3202,  3210,  3214,  3219,  3225,  3229,  3233,  3237,  3241,  3245,
    3253,  3257,  3265,  3269,  3273,  3277,  3281,  3285,  3289,  3297,
    3302,  3308,  3312,  3320,  3328,  3332,  3337,  3342,  3348,  3352,
    3360,  3364,  3372,  3377,  3383,  3387,  3391,  3395,  3400,  3406,
    3414,  3422,  3426,  3430,  3434,  3438,  3446,  3451,  3457,  3461,
    3465,  3470,  3476,  3480,  3484,  3489,  3495,  3500,  3506,  3511,
    3517,  3525,  3533,  3538,  3544,  3548,  3556,  3564,  3568,  3573,
    3579,  3587,  3595,  3600,  3606,  3610,  3618,  3622,  3626,  3630,
    3634,  3638,  3642,  3646,  3650,  3654,  3658,  3662,  3670,  3675,
    3681,  3685,  3689,  3697,  3701,  3709,  3713,  3721,  3726,  3732,
    3736,  3744,  3749,  3755,  3759,  3767,  3772,  3778,  3782,  3790,
    3795,  3801,  3809,  3814,  3820,  3824,  3832,  3836,  3844,  3849,
    3855,  3859,  3863,  3871,  3879,  3884,  3890,  3898,  3902,  3906,
    3910,  3914,  3918,  3922,  3926,  3930,  3934,  3938,  3942,  3946,
    3950,  3954,  3958,  3962,  3966,  3970,  3974,  3978,  3982,  3990,
    3998,  4002,  4006,  4010,  4018,  4022,  4030,  4035,  4041,  4045,
    4053,  4057,  4065,  4070,  4076,  4080,  4088,  4096,  4100,  4108,
    4112,  4116,  4120,  4128,  4136,  4144,  4152,  4160,  4165,  4171,
    4175,  4183,  4188,  4194,  4198,  4206,  4210,  4214,  4222,  4226,
    4234,  4238,  4246,  4250,  4258,  4266,  4274,  4282,  4286,  4290,
    4298,  4302,  4310,  4318,  4322,  4330,  4334,  4338,  4346,  4350,
    4358,  4362,  4366,  4370,  4374,  4382,  4387,  4393,  4398,  4404,
    4408,  4416,  4421,  4427,  4431,  4436,  4442,  4446,  4450,  4454,
    4462,  4467,  4474,  4476,  4484,  4488,  4492,  4496,  4500,  4508,
    4512,  4520,  4529,  4538,  4542,  4546,  4550,  4554,  4558,  4562,
    4566,  4570,  4574,  4578,  4582,  4586,  4594,  4602,  4606,  4614,
    4618,  4626,  4630,  4634,  4638,  4642,  4650,  4654,  4662,  4670,
    4674,  4682,  4690,  4695,  4701,  4705,  4713,  4717,  4721,  4729,
    4737,  4741,  4749,  4753,  4757,  4761,  4765,  4773,  4778,  4784,
    4789,  4795,  4799,  4804,  4810,  4816,  4822,  4830,  4834,  4842,
    4846,  4854,  4858,  4866,  4870,  4878,  4882,  4890,  4898,  4906,
    4910,  4918,  4922,  4926,  4930,  4934,  4938,  4942,  4946,  4950,
    4954,  4958,  4962,  4966,  4970,  4974,  4982,  4986,  4994,  4998,
    5006,  5010,  5018,  5026,  5030,  5035,  5041,  5045,  5049,  5053,
    5057,  5061,  5065,  5069,  5073,  5077,  5081,  5085,  5089,  5093,
    5097,  5101,  5105,  5113,  5117,  5121,  5125,  5129,  5133,  5137,
    5141,  5145,  5149,  5153,  5157,  5161,  5165,  5169,  5173,  5177,
    5185,  5189,  5197,  5201,  5205,  5209,  5213,  5221,  5226,  5232,
    5236,  5240,  5244,  5248,  5252,  5256,  5260,  5268,  5272,  5280,
    5284,  5288,  5292,  5298,  5304,  5310,  5316,  5322,  5328,  5334,
    5344,  5355,  5366,  5377,  5388,  5399,  5410,  5426,  5442,  5458,
    5469,  5485,  5496,  5512,  5527,  5531,  5539,  5544,  5550,  5558,
    5562,  5570,  5574,  5578,  5582,  5586,  5594,  5598,  5606,  5610,
    5614,  5618,  5626,  5630,  5634,  5638,  5642,  5646,  5650,  5654,
    5658,  5662,  5666,  5670,  5674,  5678,  5686,  5690,  5698,  5702,
    5710,  5715,  5721,  5725,  5733,  5741,  5749,  5753,  5761,  5766,
    5772,  5777,  5783,  5791,  5796,  5802,  5806,  5810,  5818,  5822,
    5826,  5834,  5838,  5842,  5850,  5858,  5863,  5869,  5874,  5880,
    5885,  5891,  5896,  5902,  5906,  5914,  5918,  5922,  5930,  5935,
    5941,  5945,  5950,  5956,  5960,  5965,  5971,  5975,  5980,  5986,
    5990,  5994,  6002,  6007,  6013,  6017,  6025,  6029,  6037,  6041,
    6049,  6053,  6061,  6065,  6069,  6073,  6077,  6085,  6089,  6093,
    6097,  6101,  6109,  6117,  6125,  6129,  6133,  6141,  6145,  6149,
    6157,  6161,  6169,  6173,  6177,  6181,  6185,  6189,  6193,  6197,
    6201,  6205,  6209,  6213,  6217,  6225,  6229,  6233,  6237,  6245,
    6249,  6257,  6262,  6268,  6276,  6280,  6288,  6296,  6300,  6308,
    6313,  6319,  6323,  6331,  6335,  6343,  6347,  6355,  6359,  6363,
    6367,  6375,  6379,  6387,  6395,  6399,  6407,  6411,  6419,  6423,
    6427,  6435,  6439,  6444,  6450,  6458,  6463,  6469,  6473,  6477,
    6485,  6489,  6497,  6502,  6508,  6512,  6516,  6520,  6524,  6528,
    6532,  6536,  6540,  6544,  6548,  6552,  6556,  6560,  6564,  6568,
    6572,  6576,  6580,  6584,  6588,  6592,  6596,  6600,  6604,  6608,
    6612,  6616,  6620,  6628,  6633,  6639,  6644,  6650,  6654,  6658,
    6662,  6666,  6670,  6674,  6678,  6682,  6686,  6690,  6694,  6698,
    6702,  6706,  6710,  6714,  6718,  6726,  6730,  6734,  6738,  6742,
    6746,  6750,  6754,  6758,  6762,  6766,  6770,  6774,  6778,  6782,
    6786,  6790,  6794,  6802,  6810,  6814,  6818,  6826,  6830,  6838,
    6842,  6846,  6850,  6854,  6862,  6867,  6873,  6877,  6881,  6885,
    6893,  6897,  6902,  6908,  6912,  6920,  6928,  6933,  6939,  6947,
    6951,  6959,  6963,  6967,  6971,  6975,  6979,  6983,  6987,  6991,
    6995,  6999,  7003,  7007,  7011,  7019,  7023,  7028,  7034,  7038,
    7042,  7046,  7050,  7058,  7062,  7066,  7074,  7079,  7085,  7089,
    7097,  7102,  7107,  7113,  7119,  7127,  7135,  7140,  7146,  7150,
    7154,  7158,  7162,  7166,  7170,  7174,  7178,  7182,  7186,  7190,
    7194,  7198,  7202,  7206,  7214,  7219,  7225,  7229,  7237,  7245,
    7250,  7256,  7264,  7268,  7276,  7284,  7288,  7292,  7296,  7300,
    7308,  7313,  7319,  7327,  7331,  7335,  7339,  7343,  7347,  7355,
    7363,  7367,  7371,  7379,  7384,  7390,  7394,  7398,  7402,  7406,
    7414,  7418,  7426,  7430,  7434,  7438,  7446,  7450,  7458,  7462,
    7470,  7475,  7481,  7486,  7492,  7497,  7503,  7508,  7514,  7518,
    7522,  7526,  7534,  7538,  7542,  7546,  7550,  7554,  7558,  7566,
    7570,  7578,  7586,  7590,  7598,  7602,  7607,  7613,  7619,  7629,
    7634,  7640,  7644,  7648,  7652,  7660,  7662,  7670,  7675,  7681,
    7689,  7693,  7697,  7705,  7709,  7717,  7725,  7730,  7736,  7744,
    7749,  7755,  7763,  7768,  7774,  7778,  7782,  7786,  7790,  7794,
    7798,  7802,  7810,  7815,  7821,  7829,  7833,  7841,  7845,  7853,
    7861,  7869,  7877,  7881,  7889,  7942,  7946,  7959,  7961,  7965,
    7969,  7973,  7982,  7988,  7992,  8000,  8004,  8012,  8016,  8024,
    8028,  8032,  8036,  8040,  8044,  8048,  8052,  8060,  8064,  8072,
    8076,  8080,  8084,  8088,  8092,  8100,  8104,  8112,  8116,  8124,
    8132,  8137,  8143,  8148,  8150,  8156,  8160,  8164,  8168,  8172,
    8176,  8180,  8184,  8188,  8196,  8201,  8207,  8211,  8216,  8222,
    8226,  8230,  8235,  8241,  8246,  8252,  8260,  8264,  8272,  8276,
    8284,  8288,  8292,  8296,  8304,  8309,  8315,  8319,  8324,  8332,
    8336,  8344,  8348,  8356,  8364,  8368,  8373,  8379,  8387,  8391,
    8399,  8403,  8411,  8416,  8422,  8427,  8433,  8437,  8445,  8450,
    8456,  8460,  8468,  8472,  8480,  8485,  8491,  8495,  8503,  8508,
    8514,  8518,  8526,  8530,  8534,  8538,  8542,  8546,  8550,  8554,
    8560,  8564,  8568,  8576,  8580,  8584,  8588,  8592,  8596,  8604,
    8608,  8612,  8616,  8624,  8628,  8632,  8636,  8644,  8649,  8655,
    8659,  8667,  8671,  8675,  8679,  8687,  8691,  8699,  8703,  8707,
    8715,  8723,  8728,  8734,  8738,  8744,  8750,  8755,  8761,  8765,
    8773,  8781,  8783,  8785,  8789,  8793,  8797,  8805,  8815,  8826,
    8835,  8839,  8843,  8847,  8851,  8855,  8859,  8867,  8871,  8875,
    8879,  8887,  8891,  8899,  8904,  8910,  8914,  8918,  8922,  8926,
    8930,  8934,  8938,  8942,  8946,  8950,  8958,  8963,  8969,  8973,
    8981,  8985,  8993,  9001,  9009,  9013,  9021,  9025,  9033,  9041,
    9049,  9053,  9057,  9061,  9065,  9069,  9077,  9082,  9088,  9093,
    9099,  9103,  9107,  9111,  9119,  9127,  9131,  9136,  9142,  9146,
    9150,  9154,  9158,  9162,  9166,  9170,  9174,  9178,  9182,  9186,
    9190,  9195,  9201,  9205,  9213,  9217,  9221,  9225,  9229,  9233,
    9237,  9241,  9245,  9249,  9253,  9257,  9261,  9265,  9269,  9273,
    9277,  9281,  9285,  9289,  9293,  9297,  9301,  9305,  9309,  9313,
    9317,  9321,  9325,  9329,  9333,  9337,  9341,  9345,  9349,  9353,
    9357,  9361,  9365,  9369,  9373,  9377,  9381,  9385,  9389,  9393,
    9397,  9401,  9405,  9409,  9413,  9417,  9421,  9425,  9429,  9433,
    9437,  9442,  9446,  9454,  9458,  9462,  9466,  9470,  9474,  9478,
    9482,  9486,  9490,  9494,  9498,  9502,  9506,  9510,  9514,  9518,
    9522,  9526,  9530,  9534,  9538,  9546,  9550,  9554,  9558,  9562,
    9566,  9570,  9574,  9578,  9582,  9586,  9590,  9598,  9602,  9606,
    9610,  9614,  9618,  9622,  9626,  9630,  9634,  9638,  9642,  9646,
    9650,  9654,  9658,  9662,  9666,  9670,  9674,  9678,  9682,  9686,
    9690,  9694,  9698,  9702,  9706,  9710,  9714,  9718,  9722,  9726,
    9730,  9734,  9738,  9742,  9746,  9750,  9754,  9758,  9762,  9766,
    9770,  9774,  9778,  9782,  9786,  9790,  9798,  9802,  9810,  9814,
    9818,  9823,  9829,  9837,  9841,  9849,  9853,  9861,  9865,  9873,
    9877,  9882,  9888,  9892,  9896,  9900,  9908,  9913,  9919,  9923,
    9931,  9939,  9943,  9948,  9954,  9962,  9966,  9973,  9978,  9984,
    9989,  9994, 10000, 10004, 10012, 10016, 10020, 10024, 10028, 10036,
   10040, 10044, 10052, 10056, 10060, 10068, 10072, 10080, 10084, 10088,
   10092, 10096, 10100, 10104, 10108, 10112, 10120, 10124, 10132, 10136,
   10144, 10148, 10152, 10156, 10160, 10164, 10172, 10176, 10184, 10188,
   10196, 10200, 10208, 10212, 10220, 10224, 10228, 10236, 10240, 10248,
   10253, 10259, 10263, 10267, 10271, 10275, 10279, 10283, 10287, 10295,
   10299, 10307, 10315, 10320, 10326, 10330, 10334, 10338, 10342, 10347,
   10353, 10361, 10369, 10373, 10377, 10385, 10389, 10397, 10405, 10409,
   10417, 10425, 10430, 10436, 10441, 10447, 10451, 10459, 10463, 10467,
   10471, 10479, 10483, 10492, 10494, 10502, 10507, 10513, 10517, 10525,
   10529, 10537, 10545, 10549, 10557, 10561, 10565, 10569, 10577, 10581,
   10589, 10593, 10601, 10605, 10613, 10621, 10629, 10637, 10645, 10653,
   10661, 10665, 10673, 10677, 10681, 10685, 10689, 10693, 10697, 10701,
   10705, 10709, 10713, 10717, 10721, 10725, 10726, 10731, 10737, 10745,
   10749, 10750, 10754, 10762, 10766, 10770, 10774, 10782, 10786, 10790,
   10794, 10798, 10802, 10806, 10810, 10814, 10818, 10822, 10826, 10830,
   10834, 10838, 10842, 10846, 10850, 10854, 10858, 10862, 10866, 10870,
   10874, 10878, 10882, 10886, 10890, 10894, 10898, 10902, 10906, 10910,
   10914, 10918, 10922, 10926, 10930, 10934, 10938, 10942, 10946, 10950,
   10954, 10958, 10962, 10966, 10970, 10974, 10978, 10982, 10986, 10990,
   10994, 10998, 11002, 11006, 11010, 11014, 11018, 11022, 11026, 11030,
   11034, 11038, 11042, 11046, 11050, 11054, 11058, 11062, 11066, 11070,
   11074, 11078, 11082, 11086, 11090, 11094, 11098, 11102, 11106, 11110,
   11114, 11118, 11122, 11126, 11130, 11134, 11138, 11142, 11146, 11150,
   11154, 11158, 11162, 11166, 11170, 11174, 11178, 11182, 11186, 11190,
   11194, 11198, 11202, 11206, 11210, 11214, 11218, 11222, 11226, 11230,
   11234, 11238, 11242, 11246, 11250, 11254, 11258, 11262, 11266, 11270,
   11274, 11278, 11282, 11286, 11290, 11294, 11298, 11302, 11306, 11310,
   11314, 11318, 11322, 11326, 11330, 11334, 11338, 11342, 11346, 11350,
   11354, 11358, 11362, 11366, 11370, 11374, 11378, 11382, 11386, 11390,
   11394, 11398, 11402, 11406, 11410, 11414, 11418, 11422, 11426, 11430,
   11434, 11438, 11442, 11446, 11450, 11454, 11458, 11462, 11466, 11470,
   11474, 11478, 11482, 11486, 11490, 11494, 11498, 11502, 11506, 11510,
   11514, 11518, 11522, 11526, 11530, 11534, 11538, 11542, 11546, 11550,
   11554, 11558, 11562, 11566, 11570, 11574, 11578, 11582, 11586, 11590,
   11594, 11598, 11602, 11606, 11610, 11614, 11618, 11622, 11626, 11630,
   11634, 11638, 11642, 11646, 11650, 11654, 11658, 11662, 11666, 11670,
   11674, 11678, 11682, 11686, 11690, 11694, 11698, 11702, 11706, 11710,
   11714, 11718, 11722, 11726, 11730, 11734, 11742, 11746, 11750, 11754,
   11758, 11762, 11766, 11770, 11774, 11778, 11782, 11786, 11790, 11794,
   11798, 11802, 11806, 11810, 11814, 11818, 11822, 11826, 11830, 11834,
   11838, 11842, 11846, 11850, 11854, 11858, 11862, 11866, 11870, 11874,
   11878, 11882, 11886, 11890, 11894, 11898, 11902, 11906, 11910, 11914,
   11922, 11926, 11930, 11934, 11938, 11942, 11946, 11950, 11954, 11958,
   11962, 11966, 11970, 11974, 11978, 11982, 11986, 11990, 11994, 11998,
   12002, 12006, 12014, 12018, 12022, 12026, 12030, 12034, 12038, 12042,
   12046, 12050, 12054, 12058, 12062, 12066, 12070, 12074, 12078, 12082,
   12086, 12090, 12094, 12098, 12102, 12106, 12110, 12114, 12118, 12122,
   12126, 12130, 12134, 12138, 12142, 12146, 12150, 12154, 12158, 12162,
   12166, 12170, 12174, 12178, 12182, 12186, 12190, 12194, 12198, 12202,
   12206, 12210, 12214, 12218, 12222, 12226, 12230, 12234, 12238, 12242,
   12246, 12250, 12254, 12258, 12262, 12266, 12270, 12274, 12278, 12282,
   12286, 12290, 12294, 12298, 12302, 12306, 12316, 12317, 12320, 12321,
   12322, 12328, 12329, 12330, 12331, 12332, 12345, 12345, 12354, 12370,
   12372, 12375, 12377, 12381, 12393, 12409, 12413, 12424, 12425, 12428,
   12440, 12449, 12450, 12453, 12454, 12455, 12458, 12459, 12462, 12463,
   12466, 12467, 12470, 12472, 12474, 12476, 12480, 12487, 12494, 12510,
   12544, 12554, 12557, 12559, 12572, 12573, 12575, 12577, 12581, 12594,
   12601, 12662, 12671, 12673, 12674, 12677, 12679, 12680, 12683, 12684,
   12685, 12686, 12687, 12694, 12693, 12703, 12705, 12707, 12708, 12711,
   12712, 12713, 12714, 12717, 12718, 12722, 12721, 12738, 12736, 12752,
   12751, 12765, 12771, 12772, 12775, 12777, 12778, 12781, 12782, 12783,
   12784, 12787, 12788, 12791, 12799, 12816, 12824, 12847, 12953, 12987,
   12989, 12991, 12995, 12999, 12998, 13049, 13051, 13050, 13065, 13071,
   13078, 13083, 13086, 13087, 13090, 13091, 13092, 13093, 13094, 13095,
   13096, 13104, 13112, 13115, 13116, 13117, 13118, 13119, 13120, 13128,
   13136, 13137, 13138, 13141, 13142, 13145, 13147, 13156, 13244, 13245,
   13252, 13253, 13254, 13260, 13269, 13272, 13273, 13274, 13275, 13278,
   13279, 13280, 13283, 13285, 13293, 13294, 13300, 13308, 13309, 13312,
   13313, 13316, 13321, 13328, 13333, 13340, 13347, 13347, 13349, 13356,
   13357, 13360, 13361, 13362, 13363, 13364, 13365, 13366, 13367, 13368,
   13374, 13381, 13393, 13399, 13406, 13414, 13415, 13427, 13438, 13449,
   13453, 13454, 13457, 13462, 13466, 13467, 13470, 13476, 13484, 13487,
   13494, 13498, 13499, 13502, 13505, 13509, 13510, 13513, 13519, 13527,
   13528, 13537, 13546, 13558, 13559, 13560, 13561, 13562, 13563, 13564,
   13565, 13566, 13567, 13568, 13569, 13570, 13571, 13572, 13579, 13580,
   13583, 13584, 13591, 13592, 13593, 13600, 13599, 13616, 13617, 13624,
   13623, 13693, 13699, 13705, 13713, 13719, 13725, 13731, 13737, 13743,
   13749, 13755, 13761, 13772, 13773, 13776, 13777, 13778, 13779, 13780,
   13781, 13782, 13783, 13784, 13785, 13786, 13787, 13788, 13789, 13790,
   13791, 13792, 13793, 13794, 13795, 13796, 13797, 13798, 13799, 13802,
   13803, 13804, 13805, 13806, 13807, 13811, 13812, 13813, 13814, 13815,
   13816, 13817, 13820, 13823, 13824, 13825, 13826, 13827, 13828, 13829,
   13830, 13843, 13844, 13845, 13846, 13847, 13848, 13849, 13854, 13855,
   13856, 13857, 13858, 13859, 13865, 13866, 13867, 13868, 13869, 13870,
   13871, 13872, 13873, 13874, 13875, 13878, 13879, 13880, 13881, 13882,
   13885, 13886, 13887, 13888, 13891, 13892, 13893, 13894, 13895, 13896,
   13897, 13914, 13915, 13916, 13919, 13920, 13921, 13922, 13923, 13924,
   13928, 13928, 13931, 13937, 13938, 13941, 13943, 13948, 13958, 13969,
   13976, 13977, 13978, 13981, 14014, 14016, 14018, 14021, 14031, 14041,
   14051, 14052, 14055, 14057, 14058, 14059, 14062, 14064, 14072, 14073,
   14074, 14078, 14079, 14083, 14084, 14087, 14088, 14091, 14092, 14093,
   14094, 14095, 14098, 14099, 14100, 14101, 14102, 14103, 14104, 14105,
   14106, 14107, 14108, 14109, 14110, 14111, 14112, 14113, 14114, 14115,
   14116, 14117, 14118, 14119, 14120, 14121, 14122, 14123, 14124, 14125,
   14126, 14127, 14128, 14129, 14130, 14131, 14132, 14133, 14134, 14135,
   14136, 14137, 14138, 14139, 14140, 14141, 14142, 14143, 14144, 14145,
   14146, 14147, 14148, 14149, 14150, 14151, 14152, 14153, 14156, 14157,
   14158, 14159, 14162, 14163, 14164, 14165, 14166, 14167, 14168, 14169,
   14170, 14173, 14174, 14175, 14176, 14177, 14180, 14181, 14184, 14185,
   14196, 14197
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "OptCreateAs", "CreateAsList", "CreateAsElement",
  "opt_with_data", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,    61,    60,    62,
     742,    43,    45,    42,    47,    37,    94,   743,    91,    93,
      40,    41,    46,    44,    59,    58,   123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   508,   509,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   511,   512,   512,   513,   513,   514,   514,
     515,   515,   515,   515,   515,   515,   515,   515,   515,   516,
     516,   516,   516,   516,   516,   517,   518,   519,   519,   520,
     521,   522,   523,   523,   524,   524,   525,   526,   527,   527,
     528,   528,   529,   529,   530,   530,   531,   531,   532,   532,
     532,   532,   532,   532,   533,   533,   533,   534,   534,   534,
     534,   534,   534,   534,   534,   534,   534,   534,   534,   534,
     534,   534,   535,   535,   536,   536,   537,   537,   538,   538,
     538,   538,   539,   539,   539,   539,   540,   540,   540,   540,
     540,   540,   540,   541,   541,   541,   542,   542,   543,   543,
     543,   543,   543,   544,   544,   545,   545,   545,   545,   545,
     546,   547,   547,   548,   548,   549,   550,   550,   550,   550,
     551,   551,   551,   551,   552,   552,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   554,   554,   555,
     555,   555,   556,   556,   557,   557,   558,   559,   559,   560,
     560,   561,   561,   561,   561,   562,   563,   563,   564,   564,
     564,   564,   565,   565,   566,   566,   567,   567,   568,   568,
     568,   569,   569,   570,   570,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   572,   572,   573,
     573,   574,   574,   575,   575,   576,   576,   577,   578,   578,
     578,   578,   578,   579,   579,   580,   581,   581,   581,   581,
     582,   582,   582,   582,   582,   582,   582,   582,   583,   583,
     584,   584,   585,   585,   586,   586,   587,   587,   587,   588,
     588,   589,   590,   591,   591,   592,   592,   592,   592,   593,
     593,   593,   593,   593,   593,   593,   594,   594,   594,   594,
     595,   596,   596,   596,   597,   597,   597,   597,   597,   597,
     598,   598,   599,   599,   599,   599,   599,   599,   599,   600,
     600,   601,   601,   602,   603,   603,   603,   603,   604,   604,
     605,   605,   606,   606,   607,   607,   607,   607,   607,   608,
     609,   610,   610,   610,   610,   610,   611,   611,   612,   612,
     612,   612,   613,   613,   613,   613,   614,   614,   615,   615,
     616,   617,   618,   618,   619,   619,   620,   621,   621,   621,
     622,   623,   624,   624,   625,   625,   626,   626,   626,   626,
     626,   626,   626,   626,   626,   626,   626,   626,   627,   627,
     628,   628,   628,   629,   629,   630,   630,   631,   631,   632,
     632,   633,   633,   634,   634,   635,   635,   636,   636,   637,
     637,   638,   639,   639,   640,   640,   641,   641,   642,   642,
     643,   643,   643,   644,   645,   645,   646,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   648,
     649,   649,   649,   649,   650,   650,   651,   651,   652,   652,
     653,   653,   654,   654,   655,   655,   656,   657,   657,   658,
     658,   658,   658,   659,   660,   661,   662,   663,   663,   664,
     664,   665,   665,   666,   666,   667,   667,   667,   668,   668,
     669,   669,   670,   670,   671,   672,   673,   674,   674,   674,
     675,   675,   676,   677,   677,   678,   678,   678,   679,   679,
     680,   680,   680,   680,   680,   681,   681,   682,   682,   683,
     683,   684,   684,   685,   685,   685,   686,   686,   686,   686,
     687,   687,   688,   688,   689,   689,   689,   689,   689,   690,
     690,   691,   692,   693,   693,   693,   693,   693,   693,   693,
     693,   693,   693,   693,   693,   693,   694,   695,   695,   696,
     696,   697,   697,   697,   697,   697,   698,   698,   699,   700,
     700,   701,   702,   702,   703,   703,   704,   704,   704,   705,
     706,   706,   707,   707,   707,   707,   707,   708,   708,   709,
     709,   710,   710,   710,   711,   711,   712,   713,   713,   714,
     714,   715,   715,   716,   716,   717,   717,   718,   719,   720,
     720,   721,   721,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   721,   721,   721,   721,   722,   722,   723,   723,
     724,   724,   725,   726,   726,   726,   727,   727,   727,   727,
     727,   727,   727,   727,   727,   727,   727,   727,   727,   727,
     727,   727,   727,   728,   728,   728,   728,   728,   728,   728,
     728,   728,   728,   728,   728,   728,   728,   728,   728,   728,
     729,   729,   730,   730,   730,   730,   730,   731,   731,   732,
     732,   732,   732,   732,   732,   732,   732,   733,   733,   734,
     734,   734,   734,   734,   734,   734,   734,   734,   734,   734,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   736,   736,   737,   737,   738,   739,
     739,   740,   740,   740,   740,   740,   741,   741,   742,   742,
     742,   742,   743,   743,   743,   743,   743,   743,   743,   743,
     743,   743,   743,   743,   743,   743,   744,   744,   745,   745,
     746,   746,   747,   747,   748,   749,   750,   750,   751,   751,
     752,   752,   753,   754,   754,   755,   755,   755,   756,   756,
     756,   757,   757,   757,   758,   759,   759,   760,   760,   761,
     761,   762,   762,   763,   763,   764,   764,   764,   765,   765,
     766,   766,   766,   767,   767,   767,   768,   768,   768,   769,
     769,   769,   770,   770,   771,   771,   772,   772,   773,   773,
     774,   774,   775,   775,   775,   775,   775,   776,   776,   776,
     776,   776,   777,   778,   779,   779,   779,   780,   780,   780,
     781,   781,   782,   782,   782,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   783,   783,   783,   783,   784,
     784,   785,   785,   786,   787,   787,   788,   789,   789,   790,
     790,   791,   791,   792,   792,   793,   793,   794,   794,   794,
     794,   795,   795,   796,   797,   797,   798,   798,   799,   799,
     799,   800,   800,   800,   801,   802,   802,   803,   803,   803,
     804,   804,   805,   805,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   807,   807,   808,   808,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   810,   810,   810,   810,   810,
     810,   810,   810,   810,   810,   810,   810,   810,   810,   810,
     810,   810,   810,   811,   812,   812,   812,   813,   813,   814,
     814,   814,   814,   814,   815,   815,   816,   816,   816,   816,
     817,   817,   817,   818,   818,   819,   820,   820,   821,   822,
     822,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   824,   824,   824,   825,   825,
     825,   825,   825,   826,   826,   826,   827,   827,   828,   828,
     829,   829,   829,   829,   830,   831,   832,   832,   833,   833,
     833,   833,   833,   833,   833,   833,   833,   833,   833,   833,
     833,   833,   833,   833,   834,   834,   835,   835,   836,   837,
     837,   838,   839,   839,   840,   841,   841,   841,   841,   841,
     842,   842,   843,   844,   844,   844,   844,   844,   844,   845,
     846,   846,   846,   847,   847,   848,   848,   848,   848,   848,
     849,   849,   850,   850,   850,   850,   851,   851,   852,   852,
     853,   853,   854,   854,   855,   855,   856,   856,   857,   857,
     857,   857,   858,   858,   858,   858,   858,   858,   858,   859,
     859,   860,   861,   861,   862,   862,   862,   863,   863,   864,
     864,   865,   865,   865,   865,   866,   866,   867,   867,   868,
     869,   869,   869,   870,   870,   871,   872,   872,   873,   874,
     874,   875,   876,   876,   877,   877,   877,   877,   877,   877,
     877,   877,   878,   878,   879,   880,   880,   881,   881,   882,
     883,   884,   885,   885,   886,   887,   887,   888,   888,   888,
     888,   888,   889,   889,   889,   890,   890,   891,   891,   892,
     892,   892,   892,   892,   892,   892,   892,   893,   893,   894,
     894,   894,   894,   894,   894,   895,   895,   896,   896,   897,
     898,   898,   899,   899,   899,   900,   900,   900,   900,   900,
     900,   900,   900,   900,   901,   901,   902,   902,   902,   903,
     903,   903,   903,   904,   904,   905,   906,   906,   907,   907,
     908,   908,   908,   908,   909,   909,   910,   910,   910,   911,
     911,   912,   912,   913,   914,   914,   914,   915,   916,   916,
     917,   917,   918,   918,   919,   919,   920,   920,   921,   921,
     922,   922,   923,   923,   924,   924,   925,   925,   926,   926,
     927,   927,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   929,   929,   929,   929,   929,   929,   930,
     930,   930,   930,   931,   931,   931,   931,   932,   932,   933,
     933,   934,   934,   934,   934,   935,   935,   936,   936,   936,
     937,   938,   938,   939,   939,   939,   940,   940,   941,   941,
     942,   943,   943,   943,   943,   943,   943,   944,   944,   944,
     945,   945,   945,   945,   945,   945,   945,   946,   946,   946,
     946,   947,   947,   948,   948,   949,   949,   949,   949,   949,
     949,   949,   949,   949,   949,   949,   950,   950,   951,   951,
     952,   952,   953,   954,   955,   955,   956,   956,   957,   958,
     959,   959,   959,   959,   959,   959,   960,   960,   961,   961,
     962,   962,   962,   962,   963,   964,   964,   964,   965,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   965,   965,
     965,   965,   966,   966,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   971,   971,   972,   972,
     972,   972,   973,   974,   974,   975,   975,   976,   976,   977,
     977,   977,   978,   978,   978,   978,   979,   979,   980,   980,
     981,   982,   982,   982,   983,   984,   984,   985,   985,   986,
     986,   986,   987,   987,   988,   988,   988,   988,   988,   989,
     989,   989,   990,   990,   990,   991,   991,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   993,   993,   994,   994,
     995,   995,   995,   995,   995,   995,   996,   996,   997,   997,
     998,   998,   999,   999,  1000,  1000,  1000,  1001,  1001,  1002,
    1002,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1004,
    1004,  1005,  1006,  1006,  1007,  1007,  1007,  1007,  1007,  1007,
    1008,  1009,  1010,  1010,  1010,  1011,  1011,  1012,  1013,  1013,
    1014,  1015,  1015,  1016,  1016,  1017,  1017,  1018,  1018,  1018,
    1018,  1019,  1019,  1020,  1020,  1021,  1021,  1022,  1022,  1023,
    1023,  1024,  1025,  1025,  1026,  1026,  1026,  1026,  1027,  1027,
    1028,  1028,  1029,  1029,  1030,  1031,  1032,  1033,  1034,  1035,
    1036,  1036,  1037,  1037,  1037,  1037,  1037,  1037,  1037,  1037,
    1037,  1037,  1037,  1037,  1037,  1037,  1037,  1038,  1039,  1040,
    1040,  1040,  1040,  1041,  1041,  1041,  1041,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1046,  1046,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1049,  1048,  1050,  1051,
    1051,  1051,  1051,  1052,  1052,  1052,  1052,  1053,  1053,  1054,
    1055,  1056,  1056,  1057,  1057,  1057,  1058,  1058,  1059,  1059,
    1060,  1060,  1061,  1061,  1061,  1061,  1062,  1062,  1062,  1063,
    1064,  1064,  1065,  1065,  1066,  1066,  1066,  1066,  1067,  1067,
    1068,  1069,  1070,  1071,  1071,  1072,  1073,  1073,  1074,  1074,
    1074,  1074,  1074,  1076,  1075,  1077,  1078,  1079,  1079,  1080,
    1080,  1080,  1080,  1081,  1081,  1083,  1082,  1085,  1084,  1086,
    1084,  1084,  1087,  1087,  1088,  1088,  1088,  1089,  1089,  1089,
    1089,  1090,  1090,  1091,  1091,  1091,  1091,  1091,  1091,  1092,
    1092,  1092,  1093,  1095,  1094,  1096,  1097,  1096,  1098,  1098,
    1099,  1099,  1100,  1100,  1101,  1101,  1101,  1101,  1101,  1101,
    1101,  1101,  1101,  1102,  1102,  1102,  1102,  1102,  1102,  1102,
    1102,  1102,  1102,  1103,  1103,  1104,  1104,  1105,  1106,  1106,
    1107,  1107,  1107,  1108,  1109,  1110,  1110,  1110,  1110,  1111,
    1111,  1111,  1112,  1112,  1113,  1113,  1114,  1115,  1115,  1116,
    1116,  1117,  1117,  1118,  1118,  1119,  1120,  1120,  1121,  1121,
    1121,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1123,  1123,  1123,  1123,  1123,  1124,  1124,  1125,  1126,  1127,
    1128,  1128,  1129,  1130,  1131,  1131,  1132,  1133,  1133,  1134,
    1135,  1136,  1136,  1137,  1138,  1139,  1139,  1140,  1141,  1141,
    1141,  1141,  1141,  1142,  1142,  1142,  1142,  1142,  1142,  1142,
    1142,  1142,  1142,  1142,  1142,  1142,  1142,  1142,  1143,  1143,
    1144,  1144,  1145,  1145,  1145,  1147,  1146,  1148,  1148,  1150,
    1149,  1151,  1151,  1151,  1152,  1152,  1152,  1152,  1152,  1152,
    1152,  1152,  1152,  1153,  1153,  1154,  1154,  1154,  1154,  1154,
    1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,
    1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1155,
    1155,  1155,  1155,  1155,  1155,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1157,  1158,  1158,  1158,  1158,  1158,  1158,  1158,
    1158,  1159,  1159,  1159,  1159,  1159,  1159,  1159,  1160,  1160,
    1160,  1160,  1160,  1160,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1162,  1162,  1162,  1162,  1162,
    1163,  1163,  1163,  1163,  1164,  1164,  1164,  1164,  1164,  1164,
    1164,  1165,  1165,  1165,  1166,  1166,  1166,  1166,  1166,  1166,
    1167,  1167,  1168,  1169,  1169,  1170,  1170,  1171,  1172,  1173,
    1174,  1174,  1174,  1175,  1176,  1177,  1178,  1179,  1179,  1179,
    1179,  1179,  1180,  1181,  1181,  1181,  1182,  1182,  1183,  1183,
    1183,  1184,  1184,  1185,  1185,  1186,  1186,  1187,  1187,  1187,
    1187,  1187,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,
    1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,
    1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,
    1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,
    1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,
    1188,  1188,  1188,  1188,  1188,  1188,  1188,  1188,  1189,  1189,
    1189,  1189,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1191,  1191,  1191,  1191,  1191,  1192,  1192,  1193,  1193,
    1194,  1194
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     0,     2,     0,     2,     0,
       2,     2,     3,     3,     1,     3,     3,     2,     1,     1,
       2,     2,     2,     3,     3,     5,     5,     0,     3,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     5,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     6,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     3,
       4,     3,     2,     2,     1,     3,     4,     5,     4,     2,
       4,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       4,     4,     4,     4,     1,     3,     2,     3,     4,     6,
       6,     6,     5,     5,     6,     6,     4,     8,     2,     3,
       6,     4,     3,     3,     3,     3,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     3,     2,     2,     1,     3,     2,     1,
       1,     0,     2,     0,     2,     0,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     4,     1,     3,     4,     6,
       4,     8,     2,     2,    10,     6,     1,     1,     1,     1,
       1,     1,     3,     2,     0,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     2,     1,     0,     2,
       0,     3,     0,     1,     0,     1,     3,     2,     1,     1,
       1,     3,     0,     1,     3,     1,    11,    14,    10,    13,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     3,     4,     2,     0,     3,     1,     1,     2,     2,
       1,     3,     4,     4,     2,     5,     1,     2,     2,     2,
       3,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     7,     3,     8,     4,     9,    11,     3,
       0,     1,     3,     1,     2,     2,     2,     0,     1,     3,
       3,     6,     4,     0,     1,     1,     2,     2,     0,     3,
       3,     2,     1,     1,     2,     2,     4,     0,     2,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     5,     3,     0,     1,     3,     1,     2,     3,     0,
       5,     4,     1,     0,     1,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     1,     3,     1,     0,
       1,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     6,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     5,     2,     0,     2,     7,    10,     6,
       6,     6,     6,     7,     7,     9,     9,     6,     6,     8,
       8,     8,     8,     6,     6,     7,     8,     6,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     6,     8,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,     2,     0,     2,
       2,     1,     0,     4,     6,     5,     4,     4,     8,    11,
       3,     2,     1,     3,     1,     5,     8,     1,     1,     1,
       7,     9,     8,    15,    20,     1,     1,     2,     1,     3,
       1,     1,     1,     3,     1,     3,     0,     1,     0,     1,
       1,     4,     0,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     6,
       8,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     4,     5,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     1,
       3,     3,     1,     0,     1,     3,     6,     8,     8,    13,
       1,     3,     5,     6,     4,     7,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     1,     3,     1,     2,
       2,     3,     5,     2,     2,     0,     6,     7,     7,     7,
       8,     8,     6,     8,     9,     9,     7,    10,     7,     8,
       8,     8,     8,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     3,
       1,     1,     8,     9,     9,     9,     9,     2,     0,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     3,     4,     5,     4,     5,     3,     4,     3,     4,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       4,     4,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       3,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     1,     3,     2,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,    14,     1,     0,     1,     0,     1,
       0,     2,     0,     1,     3,     5,     5,     7,     2,     0,
       1,     2,     0,     1,     1,     0,     1,     1,     0,     9,
      12,     7,     2,     0,     3,     2,     1,     3,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     2,     2,     1,     2,     2,     1,     1,     1,
       3,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,     4,     4,     4,
       1,     1,     1,     0,     7,     6,     6,     6,     6,     6,
       7,     9,     9,     6,     6,     6,     6,     6,     7,     8,
       9,     8,     6,     6,     6,     5,     5,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     7,     6,     6,
       6,     6,     6,     7,     9,     9,     6,     8,     8,     8,
       8,     6,     6,     7,     6,     7,     6,     6,     6,     6,
       6,     7,     7,     7,     9,     9,     6,     6,     6,     8,
       8,     8,     6,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     6,     8,     3,     2,     0,     2,     2,
       2,     2,     3,     3,     2,     2,     2,     2,     3,     2,
       5,     4,     3,     3,     3,     1,     1,     0,     3,     2,
       2,     1,     2,     1,     3,     2,     1,     0,     8,    10,
       3,     4,     4,     0,     2,     5,     2,     0,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,     3,     3,     1,     0,     5,     6,     4,     2,
       0,     4,     3,     5,     6,     4,     6,     6,     5,     7,
       1,     0,     6,    11,    11,    11,    13,     9,    11,    10,
       4,     2,     5,     2,     0,     4,     5,     5,     4,     6,
       1,     3,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     2,     1,     1,     1,     1,     0,     5,     4,     3,
       0,     1,     1,     1,     1,     4,     8,     3,     0,     6,
       1,     4,     2,     1,     3,     2,     3,     0,     7,     2,
       0,     5,     3,     0,     2,     2,     2,     3,     1,     3,
       1,     2,     1,     0,     8,     1,     3,     1,     1,     3,
       5,     2,     1,     3,     7,     1,     1,     0,     3,     2,
       2,     2,     0,     2,     2,     1,     1,     3,     3,     1,
       2,     4,     4,     2,     3,     5,     5,     1,     1,     9,
       1,     2,     4,     4,     4,     2,     3,     1,     3,     6,
       1,     0,     2,     1,     0,     3,     3,     4,     4,     4,
       4,     3,     2,     1,     1,     0,     1,     1,     0,     1,
       5,     1,     0,     1,     0,     3,     1,     3,     4,     3,
       2,     2,     1,     1,     1,     0,     2,     4,     5,     2,
       3,     1,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     1,     3,     0,     2,     0,     1,     3,     1,     0,
       1,     2,     4,     4,     2,     0,     2,     3,     2,     0,
       1,     3,     1,     2,     1,     2,     5,     6,     5,     1,
       2,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       1,     2,     0,     2,     4,     0,     1,     0,     1,     3,
       3,     2,     3,     5,     6,     2,     3,     3,     4,     0,
       1,     1,     1,     1,     1,     2,     5,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     5,     2,
       2,     2,     1,     3,     3,     2,     1,     0,     3,     0,
       5,     2,     5,     2,     1,     2,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     0,     1,     4,     1,     3,     3,     5,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     3,     3,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     5,
       6,     6,     7,     3,     4,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     2,     1,     4,     5,     6,
       8,     6,     7,     7,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     7,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     2,
       2,     0,     2,     4,     4,     6,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     1,     4,
       1,     4,     1,     2,     1,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     2,     0,     2,     1,     0,     1,     1,     1,
       3,     3,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     5,     2,
       3,     6,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     4,     3,
       2,     1,     1,     1,     1,     1,     0,     8,     2,     5,
       3,     2,     2,     3,     7,     1,     1,     1,     0,     2,
       2,     1,     0,     1,     3,     1,     2,     0,     2,     0,
       2,     0,     1,     3,     4,     3,     1,     1,     1,     1,
       2,     0,     2,     4,     0,     2,     2,     2,     1,     1,
       7,     3,     1,     1,     1,     1,     2,     0,     1,     3,
       3,     3,     3,     0,     4,     5,     5,     0,     1,     1,
       1,     2,     2,     1,     2,     0,     7,     0,     5,     0,
       4,     2,     2,     0,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     2,     1,     3,
       2,     2,     3,     0,     5,     1,     0,     5,     2,     2,
       1,     1,     1,     2,     2,     3,     1,     2,     2,     3,
       3,     4,     2,     1,     2,     1,     1,     2,     2,     3,
       1,     1,     1,     1,     0,     1,     3,     5,     0,     2,
       0,     1,     2,     3,     2,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     2,     2,     3,     0,     1,     2,
       1,     4,     3,     4,     3,     2,     1,     3,     1,     1,
       1,     1,     2,     2,     1,     2,     2,     1,     1,     1,
       4,     4,     4,     4,     4,     1,     0,     3,     3,     4,
       1,     3,     3,     4,     1,     3,     3,     1,     1,     1,
       6,     1,     3,     3,     6,     1,     3,     3,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     4,
       1,     1,     4,     4,     3,     0,     7,     1,     0,     0,
       7,     3,     4,     3,     1,     1,     1,     2,     3,     5,
       2,     5,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     0,     1,     2,     1,     2,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     1,     2,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       2,     3,     1,     3,     3,     3,     3,     3,     3,     1,
       1,     0,     2,     2,     1,     1,     2,     1,     1,     1,
       0,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2216,     0,     2,     1,  2646,  2650,  2654,  2655,  2572,  2656,
    2657,  2622,  2623,  2624,  2625,  2626,  2627,  2628,  2629,  2630,
    2631,  2632,  2633,  2635,  2634,  2636,  2637,  2638,  2639,  2640,
    2641,  2642,  2643,  2645,  2644,  2594,  2223,  2591,  2588,  2589,
    2590,  2595,  2593,  2586,  2587,  1827,  2659,  2647,  2660,  2648,
    2649,  2651,  2652,  2621,  2653,  2661,  2662,  2663,  2658,  2666,
    2617,  2618,  2616,  2619,  2620,  2664,  2665,  2608,  2609,  2610,
    2611,  2667,  2224,  2225,  2613,  2217,  2221,  2283,  2354,  2614,
    2615,  2612,  2222,  2607,  2354,     0,  2475,  2476,  2477,     0,
    2478,  2479,  2480,  2406,  2368,  2481,     0,     0,  2482,  2483,
    2484,  2485,  2486,  2487,  2488,  2489,     0,  2490,  2491,  2492,
    2493,  2353,  2494,  2495,  2496,  2497,  2498,  2330,  2336,  2459,
       0,  2310,  2311,  2307,  2309,  2308,  2312,  2295,  1117,   520,
    1199,  1198,     0,  2120,  1117,  2076,  2077,  2121,  2078,  2079,
    2080,   245,     0,  1201,  2081,     0,  1117,  2122,   348,   913,
    2123,  2124,  2238,     0,  2082,  2083,     0,     0,     0,   520,
    1117,     0,     0,  2084,  1311,  2085,     0,  2086,  2125,  2126,
       0,  2087,  2127,  2128,  2088,  2089,  2090,  2129,  2130,  2131,
    2091,  2132,  2133,     0,     0,  1325,     0,  2092,  2134,  2093,
    2094,     0,  2135,  2095,  2096,  2097,  2136,  2137,  2138,  2098,
    2099,  2100,     0,  2101,     0,     0,     0,     0,     0,  2139,
    1117,  2102,     0,     0,  1332,     0,  2103,     0,  2140,  2104,
       0,  2105,     0,  2106,  2107,  2108,  2109,  1325,  2455,  2331,
       0,  1203,     0,  2110,  2141,     0,  2111,  2112,  2113,  2114,
    2115,  2116,  2117,  2118,  2119,     0,     0,    54,    55,    21,
      20,    26,    25,    77,    78,    44,    14,    68,    49,   110,
     109,   111,    32,    28,    62,    18,    19,    29,    33,    51,
      50,    17,    48,    72,    52,    75,    39,     8,     9,    40,
      66,    10,    41,    67,    11,    42,    12,    56,    79,    24,
      53,    76,    35,    64,    60,     7,    45,    46,    47,    69,
      70,    71,    93,    74,   105,    31,   102,    83,    84,    99,
      85,   100,     5,    86,    43,    13,    96,    95,    97,    63,
      36,    65,    94,    98,    15,    16,   101,    73,    91,    88,
     106,   104,   112,    89,    57,     3,     4,    80,    38,     6,
      23,    22,    37,    30,   108,    27,  1201,    82,    92,    81,
      87,    61,    90,   107,    59,   103,  1298,  1285,  1334,  1297,
    1310,     0,  1300,  2551,  2552,    34,  1311,   114,   115,   120,
    2220,  2272,  2273,  2274,  2354,  2305,  2306,  2299,  2315,  2325,
    2314,  2318,  2326,  2313,  2332,     0,   117,   119,   121,   124,
     118,   113,   116,   123,   128,   122,   127,   125,   126,   129,
     130,   131,  2553,  1511,  2550,    58,  2290,  2289,     0,  2354,
       0,  2583,  1837,  1838,  1839,  1840,  1841,  1842,  1843,  1844,
    1845,  1846,  1847,  1848,  1849,  1850,  1851,  1852,  1853,  1854,
    1855,  1856,  1857,  1858,  1859,  1860,  1861,  1862,  1863,  1864,
    1865,  1866,  1867,  1868,  1869,  1870,  1871,  1872,  1873,  1874,
    1875,  1876,  1877,  1878,  1879,  1880,  1881,  1882,  1883,  1884,
    1885,  1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,
    1895,  1896,  1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,
    1905,  1906,  1907,  1908,  1909,  1910,  1911,  1912,  1913,  1914,
    1915,  1916,  1917,  1918,  1919,  1920,  1921,  1922,  1923,  1924,
    1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,  1933,  1934,
    1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,  1944,
    1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,  1954,
    1955,  1956,  1957,  1958,  1959,  1960,  1961,  1962,  1963,  1964,
    1965,  1966,  1967,  1968,  1969,  1970,  1971,  1972,  1973,  1974,
    1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,  1983,  1986,
    1984,  1985,  1987,  1988,  1989,  1990,  1991,  1992,  1993,  1994,
    1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,
    2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,  2014,
    2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,  2023,  2024,
    2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,  2033,  2034,
    2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,
    2045,  2238,  2046,  2047,  2048,  2049,  2050,  2051,  2052,  2053,
    2054,  2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,
    2064,  2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,
    2074,  2075,  2256,  1828,  1834,  1835,  1836,  2231,  2252,  2258,
    2579,  2257,  1833,  2405,     0,     0,  2499,  2500,  2501,  2502,
    2503,  2504,  2554,  2555,  2556,  2557,  2558,  2560,  2559,  2367,
    2526,  2563,  2366,  2564,  2370,  2565,  2566,  2567,  2568,  2527,
    2569,  2369,  2561,  2523,  2371,  2364,  2365,  2524,  2473,  2474,
    1805,  2525,  2522,  2562,  2259,  2521,  2375,  2374,  1275,  2578,
    1804,  1276,     0,  2377,  2505,  2506,  2507,  2508,  2510,  2509,
    2511,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2536,  2154,  2155,  2156,  2549,  2157,  2158,
    2537,  2159,  2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,
    2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,
    2178,  2179,  2180,  2181,  2182,  2538,  2539,  2183,  2184,  2185,
    2186,  2187,  2188,  2189,  2190,  2191,  2192,  2193,  2194,  2195,
    2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,
    2540,  2206,  2207,  2541,  2208,  2209,  2210,  2542,  2211,  2212,
    2213,  2214,  2215,  2546,  2547,  2548,  2535,  2328,  2512,  2534,
    2545,  2543,  2544,  2338,  2334,  2342,  2337,     0,     0,     0,
       0,  2354,  1116,  1115,  1101,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   519,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,  1127,   323,   322,  1200,  1181,   520,     0,
    1104,   347,     0,     0,     0,     0,     0,     0,     0,     0,
     697,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,     0,     0,   371,   370,     0,     0,     0,   885,   376,
       0,     0,     0,     0,   508,  2237,  2232,  2242,     0,  2235,
    2236,  2521,     0,  2670,  1984,  2268,  2269,  2668,  2031,  1277,
     246,   249,   247,   248,     0,   983,   984,   986,     0,     0,
     996,   728,   729,     0,   727,   731,     0,     0,     0,   724,
       0,     0,     0,     0,   730,   722,     0,   721,     0,     0,
       0,   726,     0,   723,     0,     0,  1105,     0,  2320,  2321,
    1926,  1238,   377,     0,     0,  1311,     0,  1201,  1208,  1218,
    1213,  1215,  1214,  1216,  1212,  1217,  1838,   827,  1852,   827,
    1916,   824,   825,   827,   827,   827,  1999,     0,     0,   799,
       0,   810,  1829,   827,  1830,  2579,   832,   430,   430,   430,
       0,   831,   836,   430,  1098,  1134,  1809,  1324,     0,  1852,
    1916,   800,  1097,  2046,  1230,     0,     0,  1000,     0,  1001,
       0,  2014,  1109,   232,  2519,  2023,  2106,  2046,  2520,   228,
    2514,  2515,  2517,   202,  2518,  2516,  2513,  1842,     0,     0,
     831,     0,  1106,  1107,   788,  1331,  1329,     0,     0,     0,
    1860,     0,  1873,  1951,   225,  2010,  2015,  2023,  2106,  2046,
    2073,   184,     0,   239,  2023,  2106,  2046,     0,  1127,     0,
    1301,  1411,  1800,     0,     0,  2329,  1100,  1099,  1202,     0,
    1205,     0,  1376,  1996,  1305,  1307,  1207,  1298,     0,     0,
    2219,  1196,  1328,  1328,     0,  1328,     0,  1290,  1298,  1293,
    1297,     0,     0,     0,     0,  1117,     0,  2297,  2325,  2304,
    2360,  2301,     0,     0,  2350,  2346,  2343,  2351,  2352,  2345,
    2333,  1500,  1501,  1502,  1499,  1512,  1498,     0,  2278,  1503,
    2317,  2284,     0,  2292,  2291,  2596,  2597,  2407,  2230,  2249,
       0,     0,     0,     0,     0,     0,     0,  2376,  2378,  2380,
    2340,  2339,  2335,     0,     0,     0,     0,  2465,  2466,  2464,
       0,  2461,  2463,     0,  2360,     0,  2530,  2524,  2533,     0,
    1810,  2525,  2522,  2521,     0,   738,     0,   135,   874,     0,
       0,     0,  1804,     0,     0,     0,     0,     0,     0,     0,
    1705,  1864,  1912,  1715,  1713,  1714,  1707,  1708,  1709,  1710,
    1711,  1712,     0,   981,  1706,     0,   135,     0,     0,     0,
       0,     0,     0,     0,     0,  1954,   135,     0,     0,     0,
    1121,     0,     0,     0,  1123,  1126,  1102,  1184,     0,  1800,
       0,     0,   772,   763,     0,   773,   764,   769,   775,     0,
       0,   766,     0,     0,   776,     0,   765,   767,   778,   768,
     774,     0,     0,   770,   771,     0,     0,  1113,   430,     0,
       0,     0,     0,     0,     0,   135,  1171,  1925,   135,     0,
       0,   375,   374,   135,   373,   372,  1864,  1912,     0,   912,
     135,     0,   177,   588,   523,     0,     0,   657,  1954,   135,
       0,     0,     0,     0,   888,     0,     0,   507,   520,     0,
    2241,  2247,     0,  2239,  2408,  2671,  2669,  2363,     0,   987,
     226,   227,   985,  1925,     0,   301,     0,     0,  1925,  1162,
       0,   725,  1925,     0,  1925,   170,  1802,  1864,  1912,  1925,
       0,     0,  1925,   162,  1925,     0,  1925,   301,  1925,   524,
       0,  1925,     0,  1925,  1954,   164,     0,  1925,   301,   736,
       0,     0,  2601,  2605,     0,  2603,  2598,  2319,  2373,  2372,
    2271,     0,  2681,     0,  1277,  1210,  1223,     0,  1219,  1226,
    1222,  1311,   827,   826,     0,   827,     0,  2690,   827,     0,
     827,     0,  2690,   827,     0,     0,     0,   827,  1831,  1832,
       0,     0,  2689,  2687,  2688,   801,   811,     0,   833,     0,
       0,   840,   839,   838,     0,     0,     0,   841,  1415,  1253,
       0,   808,     0,   806,     0,  1095,  1112,     0,     0,     0,
       0,  1003,  1003,  1003,  1108,   231,   229,     0,     0,     0,
       0,     0,     0,  1114,     0,     0,     0,     0,  2585,  1816,
    1716,  2584,     0,  2077,  2078,  2079,  1774,     0,  2526,  2080,
    2081,  1628,  1615,  1624,  1629,  1616,  1618,  1625,  2082,  2083,
    1897,  2084,  2085,  1823,  2086,  2087,  1455,  2089,  2090,  2091,
    1620,  1622,  2092,  2093,     0,  1824,  2095,  2096,  1972,  2098,
    2099,  2101,  2102,  1626,  2104,  2105,  2106,  2107,  2108,  2109,
    1822,     0,  1627,  2110,  2112,  2113,  2114,  2115,  2116,  2117,
    2118,  2119,     0,     0,  1797,     0,  1601,     0,  1447,  1448,
    1470,  1471,  1449,  1476,  1477,  1489,  1450,     0,  1796,  1514,
    1600,  1606,     0,  1599,  1595,  1314,  1792,     0,  1596,  1812,
    1775,  1826,  1825,  2579,  1783,  1815,  1813,  1814,     0,     0,
       0,   195,     0,     0,  2454,   241,     0,   242,  1798,  2023,
     185,   224,   197,   223,   198,   196,     0,  1862,   186,     0,
     193,     0,     0,     0,     0,     0,     0,     0,   235,  1103,
       0,  1413,  1412,     0,     0,  1781,  1801,   745,     0,  1194,
    1195,  1193,     0,  1190,  1192,  1204,  1201,  1788,  1787,  1789,
       0,  1306,     0,     0,     0,  1288,  1287,  1207,  1326,  1327,
       0,     0,     0,     0,     0,     0,     0,     0,  1369,  1342,
    1343,  1345,  1366,  1370,     0,  1294,     0,     0,  1417,     0,
    1377,  2218,  2360,  2361,     0,  2355,     0,  2354,  2354,  2348,
    2347,  2344,     0,     0,     0,     0,     0,     0,     0,  2275,
     502,  2277,   500,     0,     0,  2251,     0,  2255,  2253,     0,
    2400,  2403,     0,  2401,  2402,  2404,     0,  2409,  2410,     0,
       0,     0,  2592,     0,     0,  2391,  2379,  2386,  2388,  2390,
    2389,  2398,  2394,  2397,  2399,  2341,  2354,  2472,     0,  2467,
    2470,     0,  2462,     0,     0,     0,  1811,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,   134,  1160,
     234,  1158,     0,     0,     0,     0,     0,  1165,     0,   168,
     169,   535,   520,     0,     0,     0,     0,     0,   945,     0,
       0,     0,     0,     0,     0,   946,   944,   947,   954,   967,
     970,     0,   864,     0,     0,     0,  1034,     0,     0,  1034,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   251,   254,   296,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,   487,   499,     0,
       0,     0,     0,     0,   496,     0,   135,   252,   481,   484,
       0,     0,   597,   596,  1034,     0,   250,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   315,   316,     0,     0,     0,   139,   161,     0,
       0,   253,     0,  2285,     0,  1122,  1119,  1120,     0,  1125,
       0,  1180,     0,     0,     0,     0,     0,   777,     0,     0,
    1864,  1912,     0,     0,     0,     0,     0,     0,   350,   329,
     330,   135,   328,     0,     0,   654,     0,  1458,  1487,  1465,
    1487,  1487,  1454,  1454,  1467,  1456,  1494,     0,  1487,  1454,
    1459,     0,  1457,  1497,  1497,  1482,     0,  1439,  1440,  1441,
    1442,  1468,  1469,  1443,  1474,  1475,  1444,  1511,  2531,  1454,
    2532,  2529,  2528,     0,     0,   664,     0,  1137,  1170,     0,
       0,   529,     0,  1925,     0,   137,   698,     0,   655,     0,
     137,     0,   173,     0,   592,     0,     0,     0,     0,     0,
       0,   616,   615,     0,     0,     0,   656,     0,   137,   483,
    1925,     0,   473,   430,     0,   887,   890,     0,     0,     0,
    2245,  2240,  2243,     0,  2233,  2247,  1280,  1282,  1281,     0,
    1279,     0,   301,   299,   300,   652,   995,     0,     0,     0,
       0,   301,     0,     0,  1925,     0,  1925,     0,     0,   301,
     301,     0,     0,     0,     0,   593,     0,   735,   733,   732,
     734,     0,     0,     0,     0,     0,  1925,   301,     0,     0,
     720,  2599,     0,     0,  2602,     0,  2322,  1726,     0,  2684,
    1235,  2685,     0,     0,  1311,     0,   213,   214,   212,  1224,
     215,  1225,  1221,  1209,     0,   819,     0,  2690,  2691,   804,
       0,   814,     0,  2690,   802,     0,   815,   812,   813,     0,
       0,     0,  2686,  2570,  2576,   818,     0,     0,   431,   433,
       0,     0,  1883,     0,  1917,  1943,  1944,  2015,  2019,     0,
    2041,     0,   842,   869,   837,     0,     0,  1263,   809,   807,
    1096,  1228,  1732,     0,  1311,     0,  1002,   999,   998,   997,
     230,   203,     0,     0,     0,   871,  2014,  1111,   787,   520,
       0,     0,  1604,  1605,  1486,  1473,  1773,     0,     0,  1481,
    1480,     0,     0,     0,     0,  1463,  1462,  1461,  1603,  1740,
       0,  1460,     0,     0,     0,     0,  1487,  1487,  1485,  1534,
       0,  1464,     0,     0,  1753,     0,  1759,     0,     0,     0,
    1493,     0,  1491,     0,     0,  1570,     0,     0,     0,     0,
       0,     0,     0,     0,  1518,  1519,  2527,  1601,  1726,     0,
    1602,  1819,     0,     0,  1479,     0,  1511,  1716,     0,     0,
       0,     0,  1786,     0,  1724,     0,     0,  1548,  1722,     0,
    1550,     0,     0,     0,  1715,  1713,  1714,  1707,  1708,  1709,
    1710,  1711,  1712,  1720,  1531,     0,  1795,     0,  1530,     0,
       0,  1379,  1313,     0,  1817,  1776,     0,  2577,  2580,  1597,
    2451,  2450,  2449,  2448,  2419,     0,  2413,  2414,     0,  2452,
    2453,   243,   244,   240,     0,     0,   200,   199,     0,   221,
     222,   192,   220,     0,   216,   217,  1668,  1667,   201,   191,
     189,   187,   204,   206,   207,   190,   188,   238,   236,     0,
       0,     0,  1778,  1777,  1807,  1782,     0,     0,   301,  2354,
    1188,     0,  1185,  1791,     0,  1308,     0,     0,  1197,  1304,
    1303,  1335,  1336,   905,  1302,  1360,  1361,  1356,     0,  1375,
    1375,  1352,  1346,  1351,  1349,     0,  1353,  1514,  1368,  1292,
    1340,  1341,  1344,  1291,     0,  1371,  1369,  1345,  1250,     0,
       0,  1418,     0,     0,  2362,  2360,  2300,  1439,  2354,  2293,
    2354,  2349,  2281,  1505,  1506,  1507,  1508,  1509,  1510,  2282,
       0,  2279,  1504,  2280,   501,     0,     0,     0,  2248,     0,
    2229,  2254,  2385,  2494,  2417,     0,  2418,     0,     0,  2382,
       0,  2392,  2395,  2393,  2396,     0,  1439,  2573,  2468,  2573,
    1439,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,     0,     0,     0,     0,     0,  2041,   233,  1156,     0,
       0,     0,     0,   873,   872,     0,     0,   892,     0,     0,
       0,  1168,   421,     0,   298,     0,     0,     0,     0,     0,
       0,   533,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   567,  1034,
       0,   605,     0,   952,     0,     0,     0,     0,   953,   950,
     951,  2015,   969,   968,   966,   927,   929,   928,     0,   931,
     915,     0,   916,     0,     0,   926,   934,   932,     0,     0,
       0,  1905,   256,   268,     0,  1033,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   288,     0,   291,   290,
       0,     0,     0,     0,   295,     0,     0,     0,   294,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   982,     0,
       0,   156,   159,     0,     0,   486,   498,     0,   490,   491,
     488,   492,   493,     0,     0,     0,     0,     0,     0,   485,
       0,   590,   589,   595,     0,     0,     0,     0,     0,  1026,
    1025,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   607,   608,     0,   609,     0,
     160,     0,     0,     0,     0,     0,     0,   211,  1118,  1124,
    1183,  1808,  1182,     0,     0,     0,   779,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   334,     0,   679,  2528,   653,     0,  1439,
       0,  1435,  1431,  1500,  1499,  1498,     0,  1445,  1454,  1451,
     665,     0,   667,   670,     0,  1135,   394,     0,   526,   567,
       0,     0,     0,   166,     0,     0,     0,   133,   177,   377,
       0,   176,   178,   180,   181,   182,   179,   183,   587,   591,
       0,   522,     0,     0,     0,     0,     0,   617,   621,   620,
     624,   622,     0,   618,     0,  1427,     0,   155,   480,   482,
       0,  2226,     0,   379,   461,     0,     0,     0,   889,     0,
       0,     0,     0,     0,  2246,     0,     0,     0,     0,  1278,
       0,   973,     0,  1163,  1925,   301,     0,   971,   171,  1803,
       0,     0,     0,     0,     0,   975,   717,   163,     0,   301,
     301,   525,     0,   301,   165,     0,     0,     0,   517,   301,
     737,  2600,  2606,  2604,  1237,     0,  2682,  2683,   473,  1282,
    1211,  1220,   816,   823,   805,   822,   821,   803,   820,   817,
    2384,     0,     0,  2575,     0,   834,     0,   429,     0,     0,
       0,   848,     0,     0,   847,   862,   849,     0,   851,   844,
     843,   852,     0,     0,   871,     0,  1260,     0,  1258,     0,
    1416,  1262,  1251,  1229,     0,  1227,  1232,  1234,  1233,  1231,
       0,     0,     0,   831,     0,     0,   301,  1110,     0,   789,
     794,     0,     0,     0,   791,   792,   793,   795,   796,     0,
       0,     0,  1736,     0,  1737,     0,     0,     0,  1772,  1768,
       0,     0,     0,     0,     0,  1744,  1745,  1746,  1743,  1747,
    1742,     0,     0,  1748,  1741,     0,     0,     0,     0,     0,
    1484,  1483,     0,     0,     0,     0,     0,     0,     0,  1573,
    1606,     0,     0,  1700,     0,  1726,  1758,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,  1726,  1764,     0,
       0,     0,     0,  1666,     0,  1663,     0,     0,     0,     0,
    1783,     0,     0,     0,     0,  1820,  1515,  1532,  1794,     0,
    1785,     0,     0,  1516,  1539,     0,  1765,  1566,     0,  1571,
    1554,     0,  1547,     0,  1552,  1556,  1535,  1786,  1725,     0,
    1723,     0,     0,  1533,     0,  1528,  1526,  1527,  1520,  1521,
    1522,  1523,  1524,  1525,  1529,  1704,  1702,  1703,     0,     0,
       0,  1551,  1919,  1951,     0,  1325,  1325,  1325,  1312,  1323,
    1793,     0,  1422,     0,     0,     0,     0,  1683,     0,  1730,
       0,  1728,  1810,  2582,  2581,  1784,     0,     0,     0,  1799,
       0,     0,  1511,     0,   237,  1414,  1779,     0,   743,   744,
     742,  1439,  1207,  1191,  1187,  1186,  1790,  1206,  1311,     0,
     903,   904,     0,   908,     0,     0,  1354,  1367,     0,  1263,
    1263,     0,  1358,  1359,  1350,  1296,  1295,     0,  1425,     0,
       0,  1247,  1240,  1419,     0,  1379,  1265,  1267,  1268,     0,
    1783,  2298,  2356,  2303,  2324,  2294,  2327,  1513,  2276,  2316,
       0,  2250,  2420,  2421,     0,  2411,  2412,  2381,  2387,  2458,
       0,  2574,     0,     0,   677,   676,     0,     0,     0,  1056,
    1005,  1038,   741,  1057,  1006,  1039,  1058,  1007,  1157,     0,
    1159,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   642,   301,  1166,  1059,   297,
    1167,  1040,  1041,     0,   534,     0,     0,   539,   540,   541,
       0,     0,   542,  1864,  1912,     0,   547,   553,   557,   548,
       0,   558,   554,     0,     0,     0,     0,     0,   564,   566,
       0,     0,     0,     0,     0,   948,   949,  1060,  1008,     0,
    1042,   930,  1454,   914,     0,     0,   925,     0,   924,  1454,
    1454,  1009,   167,   257,   394,  1036,   274,   287,   282,   283,
     281,  1925,   301,  1925,   301,     0,     0,     0,     0,   284,
     279,   280,   276,   289,  1841,  1898,  2024,     0,   577,   579,
       0,   584,   292,  1017,     0,   309,   312,   293,   272,   275,
     273,   269,   255,     0,     0,  1806,     0,     0,   977,     0,
       0,     0,   158,  1022,     0,     0,   144,     0,     0,     0,
       0,   138,   148,  1066,  1013,   489,   494,  1015,   497,  1051,
     495,  1072,  1014,     0,  1046,  1068,  1024,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1172,     0,     0,     0,
       0,     0,   301,     0,   686,  1036,  1925,   301,  1067,     0,
    1031,  1054,     0,   317,     0,  1023,  1016,  1052,     0,     0,
     209,   208,   210,     0,     0,     0,     0,     0,     0,     0,
       0,   781,   752,   780,     0,     0,     0,     0,     0,     0,
       0,   746,   349,   326,   327,     0,     0,   325,   331,   678,
       0,     0,     0,  1436,  1432,     0,     0,     0,     0,     0,
       0,  1452,   666,     0,     0,     0,     0,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1136,  1164,   135,     0,     0,     0,
     528,   566,   573,     0,   601,   604,     0,   602,     0,     0,
       0,     0,     0,   149,   136,     0,   706,   430,   172,     0,
       0,     0,   521,   663,   661,   660,   662,     0,     0,     0,
     683,     0,  1426,  1428,     0,     0,     0,     0,   381,     0,
       0,   378,   382,   386,   387,   388,     0,   474,   476,     0,
       0,   465,     0,     0,     0,   919,     0,   937,   920,     0,
       0,     0,   957,   962,   958,   940,     0,   505,  2244,  2238,
    1283,  1284,     0,   301,     0,     0,   568,   301,     0,   301,
       0,   301,   301,     0,  1093,   594,     0,   649,     0,     0,
     301,   719,  1727,     0,     0,  2383,  2571,   835,   432,     0,
       0,     0,     0,   846,     0,   503,   850,     0,   861,   856,
     858,     0,   865,  1261,  1254,  1256,  1255,     0,     0,  1252,
    1733,   718,     0,     0,   301,     0,   866,     0,   790,     0,
       0,     0,     0,  1330,  1734,  1735,     0,     0,     0,     0,
    1769,     0,     0,  1641,  1617,  1619,  1453,  1631,     0,  1466,
    1642,  1643,  1621,  1623,     0,  1717,     0,     0,  1632,  1575,
    1576,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1588,  1587,  1633,  1699,     0,     0,
    1756,  1757,  1634,  1496,  1497,  1497,     0,     0,  1763,     0,
       0,     0,  1639,  1644,     0,     0,     0,     0,  1650,     0,
    1671,     0,     0,     0,  1598,  1727,  1488,  1489,     0,     0,
       0,     0,     0,     0,     0,     0,  1572,  1555,  1549,     0,
    1553,  1557,     0,     0,     0,     0,  1541,  1567,  1537,     0,
       0,  1543,     0,  1568,  1325,  1325,  1325,  1325,  1322,     0,
       0,     0,     0,  1389,  1378,  1380,  1391,  1382,  1384,  1420,
       0,  1800,     0,  1363,  1334,  1334,     0,  1683,     0,  1607,
       0,  1683,     0,     0,  2433,  2435,  2436,  2437,  2438,  2439,
    2441,  2442,  2444,  2445,  2446,  2434,  2440,  2443,  2447,  2424,
    2425,     0,  2415,  2416,   194,     0,   218,   205,     0,  2458,
    1189,     0,  1337,     0,  1718,   908,   906,   907,  1339,     0,
       0,  1374,  1373,  1372,  1347,  1249,     0,  1247,  1242,     0,
    1243,  1783,     0,  1239,  1272,     0,     0,  1425,     0,  1271,
       0,  2358,  2286,     0,     0,  2457,  2460,  2471,  2469,  2296,
    1055,  1004,  1037,  1155,   876,   877,     0,   875,     0,     0,
       0,   420,   891,     0,     0,     0,   642,     0,     0,   424,
    1169,   536,   537,     0,     0,   555,     0,     0,   544,     0,
       0,     0,     0,   543,   560,   509,   561,   563,     0,   562,
     565,   570,  1018,     0,  1053,   942,     0,  1454,   917,   922,
     923,     0,   391,     0,     0,     0,   258,     0,     0,   271,
       0,   266,   285,   277,   286,   278,   581,   582,   580,   576,
       0,   583,   585,   306,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
    1043,     0,     0,   141,   140,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   318,   303,     0,     0,     0,     0,     0,
     320,     0,     0,  1061,  1010,   747,     0,     0,   748,   756,
       0,     0,   749,     0,     0,     0,     0,     0,     0,   758,
     352,     0,   355,   362,   335,   339,  1171,     0,  1171,     0,
     340,  1171,   336,  1171,   333,   680,     0,  1972,  1707,  1708,
     674,   681,   671,   673,   672,   675,   642,     0,     0,     0,
    1437,     0,  2672,  2680,  2679,     0,  1511,   668,   669,     0,
    1155,  1154,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   406,     0,     0,   400,     0,     0,   962,
     393,   396,   397,   529,   532,   530,   531,     0,   559,     0,
     600,     0,   573,   151,     0,     0,   152,   150,     0,     0,
     377,     0,     0,   623,   626,   619,     0,   682,   684,   658,
       0,   573,     0,  1238,   479,     0,   461,   413,   457,     0,
     472,     0,   459,   458,   460,     0,   467,  1133,     0,   892,
     918,     0,     0,     0,   955,   959,   956,     0,     0,   933,
       0,   941,   911,  1088,  1089,  1086,  1087,     0,     0,  2261,
    1274,  2270,   974,     0,   301,   972,     0,   713,     0,   715,
     976,   301,   301,   610,     0,   518,   476,     0,     0,     0,
       0,   845,   863,     0,   859,     0,     0,   828,   868,  1259,
    1257,   871,     0,   829,   870,     0,     0,     0,     0,     0,
    1738,  1472,     0,  1771,  1767,     0,  1739,     0,  1751,  1750,
    1574,  1752,     0,  1593,     0,     0,  1585,  1583,  1584,  1577,
    1578,  1579,  1580,  1581,  1582,  1586,  1761,  1760,  1754,  1755,
    1492,  1490,     0,  1636,  1637,  1638,  1762,  1645,     0,  1855,
    1672,  1649,  1665,  1664,     0,     0,     0,  1652,     0,     0,
    1661,     0,  1701,  1478,  1511,  1517,     0,     0,  1540,  1766,
    1558,     0,     0,     0,  1536,     0,     0,     0,     0,  1545,
    1717,     0,     0,     0,     0,     0,     0,  1316,  1315,  1321,
    1298,     0,  1391,     0,  1390,  1402,     0,     0,  1408,  1406,
       0,  1408,     0,  1408,     0,  1383,     0,  1385,  1402,     0,
    1801,  1421,     0,  1365,     0,     0,  1333,     0,  1683,  1614,
    1686,  1681,  1682,  1731,  1608,  1818,     0,  1729,  1683,     0,
       0,     0,  1780,  2456,  1309,     0,  1338,  1355,  1348,     0,
    1423,  1248,     0,     0,  1245,     0,     0,     0,  1266,  1247,
    1269,  2302,     0,  2357,  2422,  2423,     0,   882,   883,   881,
       0,     0,     0,   642,     0,     0,   438,     0,   899,   899,
       0,     0,   426,   470,   962,   645,     0,     0,   643,     0,
     556,     0,     0,   552,   550,   549,   551,   510,  1071,     0,
     943,     0,   935,     0,   263,  1035,     0,     0,     0,   262,
       0,   301,   301,   578,   310,   311,   314,     0,     0,     0,
       0,     0,     0,   707,   690,     0,     0,   708,   709,     0,
       0,     0,   979,   980,   978,   145,   142,   143,   146,  1019,
       0,     0,     0,     0,     0,  1070,  1030,  1050,  1069,  1028,
    1048,  1027,  1047,  1029,  1049,  1021,     0,  1430,   688,   687,
       0,   301,   301,   612,     0,   750,     0,     0,   751,   762,
     760,   759,   761,   753,   353,   135,     0,   332,     0,   360,
       0,   358,   357,   359,     0,   346,     0,     0,     0,     0,
       0,   651,     0,     0,     0,  1433,     0,     0,     0,     0,
       0,     0,  1438,  1446,   641,     0,  1146,  1145,  1144,  1148,
    1147,  1150,  1149,  1141,  1140,  1153,  1152,  1139,  1138,  1143,
    1142,     0,   398,     0,   404,   408,   409,   407,   399,   962,
     430,   469,   527,     0,     0,   603,   598,   154,   153,     0,
       0,     0,     0,   628,   632,   659,     0,  1429,   606,     0,
     379,  1236,     0,  2227,     0,   384,   389,   390,     0,   465,
     410,     0,   461,   383,   475,     0,     0,   471,     0,  1128,
       0,     0,   921,   938,   939,     0,     0,   962,   961,     0,
     512,     0,  2234,   301,   569,   301,   301,  1094,   650,     0,
     855,   854,   853,   504,     0,   857,   301,     0,     0,     0,
       0,     0,   798,   782,   797,  1770,  1630,  1640,  1749,     0,
       0,  1594,     0,     0,  1635,  2111,     0,     0,     0,     0,
    1669,  1670,  1651,     0,  1963,  1656,     0,     0,     0,  1821,
    1564,  1562,  1559,     0,  1560,     0,     0,  1542,  1538,     0,
    1544,  1569,  1320,  1319,  1318,  1317,  1393,  1400,     0,  1381,
       0,  1407,  1403,     0,  1404,     0,     0,  1405,     0,     0,
    1400,     0,     0,     0,     0,  1677,  1683,  1683,  1609,  1688,
    1685,     0,  1611,  2426,     0,  2429,  2427,  2428,  2432,  1511,
       0,     0,  1241,  1244,  1246,     0,  1273,  1264,  2359,  1161,
       0,     0,     0,   422,     0,   962,     0,     0,     0,   902,
     902,     0,   962,   469,   647,   646,   644,   648,     0,   545,
     546,  1020,   936,   259,   260,   261,   264,   303,   270,   265,
       0,  1064,  1011,  1044,     0,     0,   696,     0,     0,     0,
       0,  1065,  1012,  1045,     0,     0,     0,  1177,     0,   302,
     303,   319,  1032,     0,   754,   755,   334,     0,   356,   365,
       0,   363,   337,   342,     0,   344,   343,   338,   341,  1434,
       0,   993,   993,  2673,  2674,  2675,  2676,  2677,  2678,     0,
     642,  1151,     0,     0,   395,   469,   437,     0,   401,     0,
     574,     0,     0,  1133,   379,   573,   627,     0,     0,     0,
     685,   381,     0,   477,     0,   380,     0,     0,   467,     0,
       0,     0,   465,     0,   462,     0,   466,     0,     0,     0,
       0,     0,   960,     0,   964,     0,   932,   909,  1422,     0,
     516,  2260,  2264,   994,   714,   716,   611,   860,   867,   301,
     783,   784,   785,   786,  1589,     0,     0,     0,     0,  1646,
       0,  1647,  1674,  1673,  1653,  1657,     0,  1654,  1655,  1561,
    1565,  1563,  1546,  1392,     0,     0,  1394,     0,     0,  1396,
    1398,     0,     0,     0,     0,     0,  1804,  1683,  1362,  1364,
       0,  1299,  1612,  1613,     0,  1334,  1683,  2431,  2430,   219,
    1719,  1424,  1270,   861,     0,   301,   899,   469,   439,  1972,
     440,   898,     0,   900,   905,   905,     0,   469,   642,   538,
     305,   313,     0,     0,   703,   691,     0,     0,   710,     0,
       0,     0,     0,     0,   301,   757,   324,   351,   361,     0,
     345,   993,     0,   990,   989,   640,     0,   403,   402,     0,
     448,     0,   572,     0,   573,   700,  1129,   586,   629,   630,
     625,     0,     0,   461,   457,   478,   385,   394,   368,   419,
     418,   415,   414,   416,   417,   412,   411,     0,   467,   463,
     464,     0,  1130,     0,  1179,     0,   893,   963,     0,     0,
       0,   511,     0,     0,   515,   506,     0,  2262,   830,  1590,
       0,  1591,     0,     0,     0,  1659,  1658,     0,  1401,  1410,
       0,  1397,  1395,  1386,     0,  1388,  1676,  1678,     0,     0,
    1691,  1610,   878,     0,   879,   902,   443,     0,   901,   908,
     908,   430,   642,   423,     0,   267,     0,   694,     0,   705,
     703,     0,     0,  1173,     0,  1174,  1175,  1178,   321,   364,
     988,   992,   991,     0,   434,   435,   436,     0,   405,   444,
     445,     0,   575,   599,     0,     0,     0,     0,   465,   461,
     392,   456,   366,  1131,  1132,   308,     0,   962,   965,  1092,
     514,   513,  2265,  2267,  2266,     0,  1592,  1662,  1648,  1675,
    1660,  1399,     0,  1387,     0,     0,  1687,     0,     0,     0,
       0,   905,     0,   642,     0,   896,   895,   437,   425,   304,
       0,     0,   701,   704,   692,   705,   712,   711,     0,     0,
       0,     0,     0,   446,     0,   447,   468,   699,     0,   631,
       0,   467,   465,     0,   467,   894,   910,  1091,  1090,  1311,
    2263,  1409,  1679,  1680,  2076,     0,  2051,     0,  1689,  1692,
    1690,  1684,   301,   908,     0,   427,   441,   448,     0,     0,
     693,  1176,   632,   453,     0,   452,     0,   450,   449,   689,
     635,   369,   467,   307,  1422,  1074,  1311,  1073,  1075,  1083,
    1080,  1082,  1081,  1079,     0,  1696,  1695,  1694,  1698,  1697,
     880,   897,     0,   642,   695,   702,     0,   451,   455,   454,
       0,   633,   636,   639,   637,   638,   367,   884,     0,  1084,
    1078,  1298,  1285,     0,   442,   428,     0,   613,     0,  1076,
    1311,  1693,     0,   634,  1077,     0,   635,     0,   614
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   246,   247,  1689,  2553,  2441,  3213,  3214,   248,
     249,  1753,   250,   251,   252,   253,   254,   255,   256,  1702,
     257,   258,  1271,  1892,  2561,   259,  2327,  1052,  2201,  2202,
    2498,  2203,  2191,  1542,  1990,  1690,  1718,   261,   262,  1536,
    2183,   263,   264,   265,  1741,  1742,  1697,  1935,  4077,  4635,
    2428,  4734,  3064,  3065,   266,  1792,  1793,   267,   268,  3165,
    1831,  3167,  3168,  3684,   862,  2522,  4095,  4096,  3671,  3672,
    4102,  4370,  4371,   269,  1889,  3240,  3766,  3241,  4174,  3242,
    4175,  3243,  4176,  3195,  3730,  3731,  3732,  3244,  4180,  4575,
    3245,  2342,  1391,  2017,  2018,  4550,  3995,  3996,  4703,  4658,
    4659,  4660,  4767,  4182,  3251,  3776,  4187,  4398,  2975,  1911,
    2594,  3246,  3247,  4173,   270,   271,  2588,  1768,  1769,  2447,
    3690,  3306,   272,  1288,  3564,  4440,  4594,  4595,   273,   850,
     274,  1896,   275,   276,  2548,  3200,   277,  2351,  2984,   278,
     279,  3008,  3009,  3010,   280,   281,  3738,  4399,  1743,  3057,
    3058,  3059,  3060,  3601,   282,  1894,  1773,  2570,   283,   284,
     285,  2552,  3206,  3207,   286,   287,  2487,   288,   289,   290,
    1904,  2582,  2583,  4164,  4407,  4560,  4409,  4800,  4801,  4390,
    3549,  4008,   291,   292,   293,   294,  1875,  2541,  2542,  3691,
    1675,  1835,  2524,  2525,  3756,  3757,   295,   296,  4043,  4044,
     892,  4665,  4639,  4714,   297,   298,  4047,  4048,   299,   300,
     301,   302,   303,   945,  1338,  1339,  1681,   304,  2218,   305,
    1246,  3152,   306,  1426,  2720,  4223,   307,   979,  1363,  1364,
     308,   309,   990,  2703,   992,  2031,  3308,  3309,  3827,  2674,
    1175,   310,   311,  2684,  2706,   312,  1692,  2333,  2334,  3990,
     313,   893,  1916,  2597,  2970,  4585,  3997,  4319,  4514,  2893,
    3498,   314,   894,  1722,  2391,  2600,  3256,  3257,  2393,  2858,
    3788,  2395,  3258,  3263,  3264,  3265,  3784,  3792,  4434,  4435,
     315,  1720,  2384,   316,   317,   318,  1748,  1192,   319,   915,
     916,   320,  4543,   321,  1307,   322,  1010,  2047,   323,  2406,
    3587,   324,   325,   326,  4777,  4808,  4809,  4810,  3797,  4739,
     327,  4779,  1405,   329,   330,   331,   853,  1214,  1215,  1216,
     332,  4189,   333,   334,  2545,  3194,  3712,   335,   336,  2328,
    2960,   337,   338,   339,  1879,   340,   341,   342,   343,  1811,
     344,  1572,  1573,   345,   346,   857,  1070,  1576,  1584,   347,
     958,  1357,  1358,  1359,  1992,   348,  1409,  2695,   959,  1352,
     960,  2911,  3509,  3510,  3513,   961,  2908,   352,  2037,  2689,
    2692,   962,  2915,  2916,  2917,  2918,  2919,  3515,   963,   981,
    1298,  2608,   964,  1496,   357,   358,   359,  1079,  1074,  1075,
     361,  2161,  2848,   998,  1590,  1037,  1086,  3946,  2231,  2232,
    2252,  2253,  1599,  1600,  2242,  2244,  2895,  2245,  2904,  2237,
    3943,  4285,  2248,  2249,  1602,  1603,  2899,   362,  2852,  3444,
    3445,  3446,  3924,  3934,  4272,  4479,  3447,  1399,  1609,  3448,
    3453,  3507,  3231,  3232,  3233,  2396,  2532,  1857,  1497,  1858,
    2539,  1498,  2081,  1860,  1499,  1500,  1501,  1863,  1502,  1503,
    1504,  1505,  2065,  2124,  1506,  1507,  2100,  1118,  1119,  1977,
    2758,  1509,  1510,  3890,  4247,  4236,  2784,  2785,  2198,  3886,
    3396,  4491,  4616,  4617,  3954,  3951,  4289,  4495,  4699,  4748,
    4749,  1511,  2838,  2153,  1194,  1512,  3693,  2155,  2778,  2860,
    2861,  2312,  2063,  2725,  2741,  2742,  2755,  3357,  2762,  2767,
    3380,  3381,  2779,  2807,  1513,  2728,  2729,  3341,  2067,  1514,
    1565,  1566,  2169,  2802,  1579,  1580,  1072,  1515,  1516,  2032,
    1061,  4475,  1316,   691,  3074,  2213,  1218,   995,  1517,  1518,
    1519,  3310,  1630,   653,   692,   693,  1156,   804,     2,    75,
     965,  3237,   366,   367,   896,   897,   898,  1290,  1291,  1921,
    1924,  1635,  2290,   657,   658,   709,  4202,  4441,  4597,   951,
     368,   369,   370,   371,  1631,  2286,  1120,    76,    84,    77,
    1121,   408,   409,  2268,   372,   821,   373,  1612,  1100,  3521,
     374,   375,   376,   377,   378,   948,   379,  1102,   380,  1103,
     381,   382,   383,   384,  1110,   385,  1614,  1615,  3983,  1616,
     386,   387,   695,   696,  1350,   388,   389,  1137,  1138,  1382,
    1383,  1641,  1656,  1657,  1658,   390,   665,   391,   392,   393,
    1647,  1648,   394,  2176,  2177,  2295,  2178,   395,  2932,  2933,
     396,  3479,  3480,  4296,  3481,   397,  2172,   398,   399,  1064,
    3526,   400,   817,   401,  1151,   697,   698,   699,  1158,   807,
    1023,   710,  1160,  3061,   809,   810,   701,   702,   703,  2012,
      78,  2940,  2013,  1521,   711,  1522,  2167,  1523,  1524,  1525,
    1526,  1527,  1664,   705,  1127,  1342,  1343,  2941,  1345,    82,
    1346,   405,  3705,  1980,  1384,  1998,  1999
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4330
static const int yypact[] =
{
   -4330,   390, 10693, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, 24693, -4330,
   -4330, -4330, -4330, -4330, 91732,   429, -4330, -4330, -4330, 96532,
   -4330, -4330, -4330,   262, 64008, -4330, 66876,   828, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, 70222, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, 53480,  1247, -4330,
     438, -4330, -4330, -4330, -4330, -4330, -4330, -4330,  1222, 12126,
   -4330, -4330, 67354, -4330,   214, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, 67832,   389, -4330,   396,  1026, -4330,    87, 11473,
   -4330, -4330, 60662, 64964, -4330, -4330, 70700,   329,  2235, 11647,
    1222, 24212, 71178, -4330,  1798, -4330, 50092, -4330, -4330, -4330,
   64486, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, 76914,  2466,   449, 50579, -4330, -4330, -4330,
   -4330, 76914, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, 71656, -4330,   794,  1082, 77392, 77870, 62096, -4330,
    1071, -4330, 76914,   864,   658, 52522, -4330, 78348, -4330, -4330,
     753, -4330, 72134, -4330, -4330, -4330, -4330,   449, -4330, 53480,
   49134,   176,   738, -4330, -4330, 78826, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330,  1465,   756, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330,   389, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330,   138, -4330,   511,   660,
    1590,   226,   773, -4330, -4330, -4330,  7081, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, 93157,  1895, -4330, -4330, -4330,   938,
   -4330,   805, -4330, -4330, -4330,  1268, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330,   931, -4330, -4330, -4330, -4330,  1446, 92207,
   70222, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, 60184, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,   161, -4330,
   -4330, -4330, -4330, -4330, 70222, 70222, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, 70222,  1227, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330,   241,  1305, -4330, -4330, 53480,  2239,  2239,
    1605, 93157, -4330, -4330, -4330, 54438, 76914, 76914, 76914,  1374,
   76914, 76914,   261, 54438, 99815, 76914,  1507, 44738, -4330, 99815,
   76914, 76914, 76914, 72134, 76914,  1378, 76914, 76914,100225, 76914,
    1584, -4330,  1835,  1283, -4330, -4330, -4330, 76914, 12048,  2466,
   -4330, -4330, 76914,  1468, 54438, 76914,  1411, 76914,  1580, 76914,
   -4330, 76914, 79304,   314,  1547, 99815,  1775, 45229,  1628, 99815,
   76914, 76914, 76914, -4330, -4330,  1671, 76914, 76914, -4330, -4330,
  100635,  1679,  1926,  1813,   444, -4330, -4330,  2027,  1600, -4330,
   -4330,  2059, 70222, -4330, 68310, -4330, -4330, -4330,  2261, -4330,
   -4330, -4330, -4330, -4330, 97765,  2235, -4330, -4330, 54917, 76914,
    1977, -4330, -4330, 79782, -4330, -4330,   397, 55396, 80260, -4330,
   45720,  2035, 80738, 81216, -4330, -4330, 81694, -4330, 82172,  1790,
   82650, -4330, 83128, -4330,  1973, 83606, -4330, 12625, -4330,  1749,
    1571,  1762,  1138, 70222, 70222,  2063, 94452,   389, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330,   124,  1727, 51066,   574,
   51553, -4330, -4330,   757,  1018,  1289,   124,  2181,  2181,   712,
   70222, -4330, -4330,  1727, -4330,   520,   -41,  1771,  1771,  1771,
    1979,  1102, -4330,  1771, -4330, -4330, -4330, -4330, 72134, 51066,
   51553, -4330,  1781,  2466,   168,  2199, 76914, -4330, 76914, -4330,
   76914, 76914, -4330, -4330, -4330,  2224,  1922,  2139, -4330,  1920,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330,  2108,  2115,  2121,
      10,  2466,  2026, -4330,  2257, -4330,  2149, 29093,  1206, 70222,
    2466, 52040, 72612, 89820,   175, 97765,  2466, 84084,  2000,  1283,
    2168, -4330,   686, -4330,  2392,  2019,  2244,   325,  1283, 42319,
   -4330,  2031,   849, 72134, 93632, -4330, -4330, -4330, -4330,   201,
    2294, 29589, -4330, 76914,  2033, -4330,  2050,  2070,  2077,  1590,
   -4330, 76914,   677,   677,  2435,   677,  1470,  2103, -4330,  2823,
   -4330,  2337,  2317, 72134,   738,  1222,  2082, -4330, -4330, -4330,
    2106, -4330,  2102,  2110, -4330,   244,  2350, -4330, -4330, -4330,
   -4330,  2200,  2201,  2214,  2222,  2109,  2223,   273, -4330, -4330,
   -4330, -4330,  2437, -4330, -4330, -4330, -4330, -4330, -4330,  2547,
    2539, 96945, 96945,   807,   856,   139,   380, -4330, -4330, -4330,
    2416, -4330, -4330,  2407, 76914,  2252, 76914, -4330, -4330, -4330,
   84562, -4330, -4330,  2239,  2106,  2194, -4330,   183, -4330,   849,
   -4330,   395,   415,   498,  1564,  2185,  1720,  1471, -4330,   145,
    2306,   119,   -52,  2236, 72134,  3103,  2204,   252,  2948,   273,
   -4330, 76914, 76914, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330,  2208, -4330, -4330,  2217,  1462,    53, 11667,   821,
    5310,  1934,   591,  2418,   608,  2494,  1708,  6159, 76914,  2226,
   -4330,  2449,  2563,   -33, -4330,    98, -4330,  2298,  2431,   761,
   54438,  2256, -4330, -4330, 76914, -4330, -4330, -4330, -4330,   564,
   54438, -4330,  2460, 46211, -4330, 76914, -4330, -4330, -4330, -4330,
   -4330,  2364, 76914, -4330, -4330,  2496, 76914, -4330,  1771,   844,
    2286,  2653, 57791,   193, 76914,  2343,  2697,  2502,  2343,  2352,
   85040, -4330, -4330,  2343, -4330, -4330, 76914, 76914,  2326,  1418,
    2343,  2716,  2719,  2411,  2509,   593,  1028,    96,  2632,  2343,
   76914, 85518, 76914, 76914,  2705, 54438, 76914, -4330,  2506, 73090,
   -4330,  2367,  2027, -4330, -4330, -4330, -4330, -4330,   793, -4330,
   -4330, -4330, -4330,  2656,  2194,   694,  2673,  2398,  2706, -4330,
    2456, -4330,  2721,  2204,  2728,  2442, -4330, 85996, 86474,  2740,
    2208, 76914,  2746,  2442,  2747,  2639,  2762,   694,  2772, -4330,
     605,  2780,  2675,  2788,  1768,  2442, 98175,  2791,   110, -4330,
    8358, 12625, -4330, 18241,  1485, -4330, -4330, -4330, -4330, -4330,
   -4330, 33061,   889,  2586, -4330, -4330, -4330,  1779, -4330, 95701,
   -4330,  2063,  1727, -4330, 70222,  1727, 70222,   712,  1727, 70222,
    1727, 70222,   712,  1727, 70222, 70222, 70222,  1727, -4330, -4330,
    1513,  1758, -4330, -4330, -4330, -4330, -4330, 70222,  2505, 76914,
   76914, -4330, -4330, -4330, 65442, 76914, 65920, -4330, -4330,   204,
   70222, -4330, 70222, -4330,  2466, -4330, -4330,  1571, 57791,  2899,
   76914,  2786,  2786,  2786, -4330, -4330, -4330,  2730, 76914,  2794,
    2796, 65442, 76914, -4330, 86952, 97765,  2688,  2513, -4330, -4330,
   -4330, -4330,  1868,  2621,   466,  2636, 33061,  2519,   166,   166,
    2520, -4330, -4330, -4330,   507,  2521,  2527, -4330,   439,   439,
    2683,  2530,  2531, -4330,   570,  2533, -4330,  2645,   638,  2535,
    2536,  2538,  2047,   166, 33061, -4330,  2540,   439,  2544,  2546,
    2550,  2659,  2551, -4330,  2720,  2555,   259,   274,  2557,  2558,
   -4330,  2530, -4330,   157,  2559,  2560,  2566,  2567,  2568,  2570,
    2572,  2579, 33061, 33061, -4330, 28101,   849,  2466, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330,    77, -4330,   778,  5283, -4330,
   -4330,  2741, 33061, -4330, -4330,   456, -4330,   933, -4330, -4330,
     849, -4330, -4330,  1313, -4330, -4330, -4330, -4330,  1908,  1908,
     171, -4330, 67354, 67354, -4330, -4330,  1269,  2545, -4330,  1430,
   -4330, -4330, -4330, -4330, -4330, -4330, 97355,  2973, -4330,   979,
      98,  1552,  2919, 94865, 95283,  2817,  2817,  2803, -4330, -4330,
   76914, -4330, -4330, 33061, 48176, -4330,   849,    47,  2818, -4330,
   -4330, -4330,  1871, -4330, -4330, -4330,   389, -4330, 11186, -4330,
    1969,  2033, 76914, 76914,  2980, -4330, -4330,  2050, -4330, -4330,
    1590,  1590, 33061,  1590,   930,  1499, 30085, 33061,  2868,  2773,
    1315,   980,  2873, -4330,  1470,  2103, 72134, 76914, 87430,  2701,
   -4330, -4330,  2106,  2604,  1812, -4330, 59706, 92682, 92682,  2837,
   -4330, -4330,   118,   504,  2714,  2810,  2181,  1556,  1862, -4330,
   -4330,  2606, -4330,  2931, 67354,  2664, 96945, -4330, -4330, 76914,
   -4330, -4330, 73568, -4330, -4330, -4330,  2101,  2609, -4330,  2626,
   76914,  3101, -4330,  1862,  1862, -4330, -4330,  2614, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, 93157,  2619, 76914, -4330,
    2620,  2622, -4330, 93632, 48655,  1858,   849,  2696,  2698,  2743,
   53480,  2627,  2704,  2710,  2745,  2722,  2723, 90298, -4330, -4330,
   -4330, -4330,  1588,   330,   987,  2727,   115, -4330,  2749, -4330,
   -4330, -4330,  3413, 76914,  6232,  2824,   273,  2760, -4330,  2731,
    2732,  2849,   273,   177, 90776, -4330, -4330, -4330, -4330, -4330,
    3214, 26639, -4330,  2736,  2718, 61140,  3021,  2848,  1007,  1615,
     186, 76914,  2923,  2858, 76914,  2679,  2750,  2753,  2684,  1826,
    3030,  2682, -4330, -4330,  2851,  2739,  2744, 56833,  1387, 46702,
    3015,  2764, -4330,  1475,  2767,  2774,   273, -4330,  3074,   273,
     273,  1598,  3077,  2776,   319,  1515,  2343,  2682,  2148, -4330,
    2777,  1666, -4330,  2880,   194,  1770,  2682,  2783,  2784,  2684,
    2684, 76914, 76914, 76914, 76914, 76914,   106,  3100,  3102,  2795,
     107,  2832,  2715, -4330, 98585,  2798, 89820, -4330, -4330,  2811,
    1772,  2682,  1354, -4330,  1829, -4330, -4330, -4330,  1283, -4330,
   76914, -4330, 76914,  2194, 57791,  2901,  2752, -4330,  2204,   273,
   76914, 76914,  2208,   116,   912,  2917, 76914,  2974,  2778, -4330,
   -4330,  2343, -4330, 48655,  2326, -4330,  2748, -4330,  2793, -4330,
    2793,  2793,  2751,  2751,  2757, -4330, -4330,  2047,  2793,  2751,
   -4330, 58749, -4330,  1609,  1630, -4330,  3137,  3140, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330,  1106, -4330,  1999,
   -4330, -4330, -4330, 76914, 53480, -4330,  3155, -4330, -4330, 57791,
    3042, -4330, 76914,  2952,  2761, -4330,  3084,  2827, -4330,  2805,
   -4330, 99815,  1294,  2466,  2812, 76914,  2986, 76914, 76914, 76914,
   76914, -4330, -4330,  2959,   746,    24, -4330, 98585, -4330,  2148,
    2970,  3171,   867,  1771,  3058, -4330, 76914,  2781,  3176,  3011,
   -4330, -4330,  2787,  2181, -4330,  2367, -4330,  1886, -4330,  2902,
   -4330, 54438,   694, -4330, -4330, -4330, -4330, 57791, 76914, 87908,
   54438,   694, 76914, 76914,  3081,  2840,  3082,  2846, 46702,   694,
     127, 76914, 76914, 76914, 76914, -4330, 76914, -4330, -4330, -4330,
   -4330, 76914, 76914, 76914, 98585,  3085,  3086,   694, 76914, 76914,
   -4330, -4330, 17634,  1631, -4330, 12625, -4330, 11186,  2005,  2817,
   -4330,  1227, 76914,  1003,  2063, 98995, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, 70222, -4330, 70222,   712, -4330, -4330,
   70222, -4330, 70222,   712, -4330, 70222, -4330, -4330, -4330, 70222,
   76914,  3281,  2797, -4330,  1313, -4330, 76914,  2010, -4330, -4330,
    2022,    70, 76914,   488, 54438, 76914,  2981, 76914, 76914, 76914,
   76914,  2872,  2545,   -81, -4330,   215, 72134,  2989, -4330, -4330,
   -4330, -4330, -4330,  2046,  1465,  1115, -4330, -4330, -4330, -4330,
   -4330, -4330, 65920, 64486,  3076,    35, 76914, -4330, -4330,  2151,
   33061, 28597, -4330, -4330, -4330,  2804, 11186,  2844, 33061, -4330,
   -4330, 33061,  2181,  2181, 33061, -4330, -4330, -4330, -4330,  1243,
    2181, -4330, 33061, 33061,  2181,  2181,  2793,  2793, -4330,  5301,
   33061, -4330, 46702, 33061, 34549, 26142, 33061,  2882,  2825,  2181,
   -4330,  2181, -4330, 33061, 27605, -4330, 33061,  3010, 35541, 33061,
    1552,  3012, 33061,  1552,  3223,  3223,   738,  2246,  4851,  2813,
     849, -4330,  2918,  2181, -4330,  2181,  1031,   197, 57791, 33061,
   53480,  2890,   144, 76914, 33061,  2830,  1458, -4330, 33061,   880,
   -4330,  2831, 33061,  2905, 33061, 33061, 33061, 33061, 33061, 33061,
   33061, 33061, 33061, -4330, 36505,   265, -4330,   689,  1557, 66398,
   29093,  3106, -4330, 25645, -4330,   200, 70222, -4330, -4330,   849,
   -4330, -4330, -4330, -4330, -4330,  2101,  2836, -4330,  2847, -4330,
   -4330, -4330, -4330, -4330, 76914,  2973, -4330, -4330,  2913, -4330,
   -4330, -4330, -4330,   943, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330,  2841, -4330, -4330, -4330, -4330,  2841, -4330, -4330,  2817,
    2850,  4806, -4330, -4330, -4330, -4330,  3104,  3108,   694, 93157,
   76914,   201, 68788, -4330, 29589, -4330,  2069,  2853, -4330,  3083,
   -4330,  2871, -4330,  9067,  3083, -4330, -4330,   137,  3027,  3038,
    3038, -4330,  2877, 11186, -4330,  2020, 11186,  2049, -4330, -4330,
   -4330, -4330, -4330, -4330,   649, -4330,  2868,   980,  2927,   704,
   76914, -4330, 42801,  1933, -4330,  2106, -4330, -4330, 23566, -4330,
   25168, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
    2860, -4330, -4330, -4330, -4330,   273,  2881,  3347, -4330, 96945,
   -4330, -4330, -4330,  3281, -4330,  2059, -4330,  2059,  3375, -4330,
   70222, -4330, -4330, -4330, -4330,  1004, -4330, 12625, -4330, 12625,
   -4330,  2885,  2074,  2960,  2961,  3007, 99815, 76914, 76914, -4330,
   53480, 99815, 76914, 76914, 99815, 76914, 76914, -4330,  3240,   769,
   64486,  3017, 62574, -4330, -4330,  2894, 76914,  2950,  3129,  3133,
     -91, -4330, -4330, 76914, -4330,  3093, 99815, 33061,  3095, 76914,
   76914,  2982, 54438,  2914, 76914, 76914, 76914,   657, 54438, 47193,
   76914, 76914, 76914, 76914,  3028, 76914, 76914,  3141,  1094,   231,
    1867,  2682,  3105, -4330,   909, 99815, 76914,  3094, -4330, -4330,
   -4330, 63052, -4330, -4330, -4330,  3088, -4330, -4330, 58749, -4330,
   -4330,  2078, -4330, 58270, 55875, -4330, -4330,   633, 99815, 76914,
   76914,   -68, -4330, -4330, 57791, -4330, 76914, 76914, 76914, 69266,
   88386, 88864,  1173,  1377, 76914, 69744, -4330, 76914, -4330, -4330,
   53959, 99815, 76914, 53480, -4330, 76914,  3098,   611, -4330, 76914,
    4221,  2997, 76914, 76914,  2922,  2081,  2999,  3046, -4330, 76914,
   99815,  1163, -4330, 99815, 76914, -4330, -4330,   273, -4330, -4330,
   -4330, -4330, -4330, 76914, 76914,   273, 76914,   273,  1086, -4330,
   99815, -4330, -4330, -4330, 76914, 76914, 76914, 99815, 76914, -4330,
   -4330,  1193,  1453,   492,  1478,  3066, 76914,  2466, 76914, 89342,
   99815, 76914, 76914, 76914,  1565, -4330, -4330,  3043, -4330, 99815,
    1163, 76914, 76914,  3009,  3018,    81,  3078, -4330, -4330, -4330,
   -4330, -4330, -4330,  3169,  3334, 76914, -4330,  3179,  3181,  3003,
    3006,  3188,  1674, 76914, 76914, 76914, 76914, 76914, 76914,  3193,
    1674,  3142,   458,  2962,  2093, -4330,  2977, -4330, 33061,  3358,
   57791,  2968,  2969,  3044, -4330,  3045,  2181, -4330,  2089, -4330,
   -4330,  2104, -4330,  2983,   746,  1735, -4330, 76914,   589,   961,
    3264, 39908,  3087,  2790,  3254, 76914, 76914,  2790, -4330,  2573,
   64486, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
    3256, -4330,  2466,  2326,  2326,  2326,  2326, -4330, -4330, -4330,
   -4330,  3160,  1738, -4330,  2984, 76914,  3089,  2790, -4330,  2148,
    3274,  3276, 76914, 61618,  1918,  3379,  2466,  3166, -4330, 27122,
    3676,  3167, 97765, 73090, -4330,  2998,  3252,  3255,  3271, -4330,
    2194, -4330,  3387, -4330,  3285,   694,  2204, -4330,  2442, -4330,
   76914, 76914, 76914, 76914,  2208, -4330, -4330,  2442,  3175,   694,
     694, -4330,  3177,   694,  2442,  3109,  3280, 97765, -4330,   110,
   -4330, -4330, -4330, -4330, -4330, 33061, -4330, -4330,  3005,  1886,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, 70222,  2059, -4330,  2128, -4330, 76914, -4330,  3260,  3261,
    3265,  2442,  3034, 76914,  3014, -4330,  2442,   273,  2442,  2545,
    2545,  2442, 99405,  3417,  3282,   549, -4330,   559,   405,  3222,
   -4330, -4330, -4330, -4330, 57791, -4330, -4330, -4330, -4330, -4330,
   76914,    44,  3198,  3019, 99405,  3396,   694, -4330, 54438, -4330,
   -4330,  3107, 54438,  3208, -4330, -4330, -4330, -4330, -4330,  3253,
   76914,  2131, -4330,  1713, -4330,  1745, 33061, 33061,    84, -4330,
    9422,  2136,  3025,  3029,  2153, -4330, -4330, -4330, -4330, -4330,
   -4330,  3031,  3301, -4330, -4330,  3032,  2162,  2173,  3033,  3035,
   -4330, -4330,  5172,  3041,  9699,  3047, 34549, 34549,  1239, -4330,
   -4330, 34549,  3048, -4330,  2187,  9096,  3026,  3051,  3052, -4330,
    3064,  3070,  9769, 30581, 33061, 30581, 30581,  9843,  3026,  3071,
    2249, 53480,  3200, 10315,  2265, -4330, 33061, 53480,  5624, 33061,
   -4330, 33061, 76914,  3072,  3073, -4330, -4330,  5301, -4330,  3060,
   -4330, 34549, 34549, -4330,  2269, 28101, -4330, -4330,  3318, -4330,
   -4330,  1591, -4330,  3053, -4330, -4330,  3945,   219, 33061,  2830,
   33061,  3120, 46702,  2833, 33061,  7101,  3838,  3838,   648,   648,
     136,   136,   136,  1888,  1557, -4330, -4330, -4330,  3068,  2551,
   33061, -4330,  2182,  2247, 76914,  6514,  7248, 10944, -4330, -4330,
   -4330, 37979,  3112, 33061, 33061, 33061,  3075,  3236,  3487, 11186,
    1020, -4330,  3488, -4330, -4330, -4330,  1005,  3375,  2101, -4330,
    1283,  2181,  1031, 95701, -4330, -4330, -4330, 33061, -4330, -4330,
   -4330, -4330,  2050, -4330, -4330, -4330, -4330, -4330,  1465, 33061,
   -4330, -4330,   616,  1972, 33061,  2020, -4330, -4330, 76914,  2989,
    2989, 33061, -4330, -4330, -4330, -4330, -4330, 37979,  3117,  3127,
   41837,  3210, -4330, -4330, 76914,    57, -4330, -4330, -4330,  3110,
   -4330, -4330, -4330,  1325, -4330, -4330, -4330, -4330, -4330, -4330,
    3091, -4330,  3096, -4330,  3113, -4330, -4330, -4330, -4330,   156,
    3090,  3115,  3114,  1653, -4330, -4330, 99815, 76914, 76914, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,  3303,
   -4330, 76914, 76914,  3263, 76914,  3267,  3283, 33061,   229, 76914,
    3119,  3121,  1215,  3339, 76914, -4330,   694, -4330, -4330, 11186,
   -4330, -4330, -4330, 97765, -4330,  2194, 57791, -4330, -4330, -4330,
    3151, 76914, -4330, 76914, 76914,  2208, -4330, -4330, -4330, -4330,
    1042, -4330, -4330, 76914, 76914,    50,  3202, 76914, -4330,   543,
    2880, 76914, 76914, 76914,  3338, -4330, -4330, -4330, -4330,  3293,
   -4330, -4330,  1999, -4330, 55875, 58270, -4330, 58270, -4330,  1999,
    1847, -4330,  2442, -4330, -4330,   590, -4330, -4330, -4330, -4330,
   -4330,  3416,   694,  3420,   694, 76914, 76914, 76914, 76914, -4330,
   -4330, -4330, -4330, -4330, 53480, 53480, 53480,  2266, -4330, -4330,
    2466, -4330, -4330, -4330,  2275, -4330,  1197, -4330, -4330, -4330,
   -4330, -4330, -4330, 99815,  1928, -4330,   130, 57791, -4330, 57312,
   99815, 76914, -4330, -4330,  3348,  3294, -4330,  1963,  3295, 76914,
    3191, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330,  3212, -4330, -4330, -4330,  3349,  3351,  3352,
    3213,  3220,  3266,  3221,  3224,  3269, -4330,  3226,  3273,  3227,
    3275,  3232,   694, 57791,  1912,  3268,  3439,   694, -4330,  3233,
   -4330, -4330,  3547, -4330, 76914, -4330, -4330, -4330, 99815, 76914,
   -4330, -4330, -4330,  1674, 57791,  3398,  1674,  1674, 76914, 76914,
    1674, -4330, -4330, -4330,  3400,  3401,  3402,  3414,  3415,  3419,
    1674, -4330, -4330, -4330, -4330,   844, 53480, -4330,  3505, -4330,
    2261, 44247,  5820,  3186,  2969,  3184,  2181, 40391,  1316,  3390,
    3189, -4330, -4330, 53480, 44247,  1872,  3405,  3205,  3205,  3205,
    3205,  3205,  3205,  3205, -4330,  2677,  2343, 97765, 76914, 97765,
   -4330,   961,  3367, 76914, -4330, -4330,  2279, -4330, 76914, 76914,
     672, 76914,  2181, -4330, -4330,  3258, -4330,  1771,  1294,  3327,
    1724,  3523, -4330, -4330, -4330, -4330, -4330, 76914, 76914,   746,
    2466,  3196,  3195, -4330, 76914, 76914, 70222,  1465,  3199, 76914,
    3201,  3197, -4330, -4330, -4330, -4330,  2280, -4330, 57791,   448,
    3380,  3381,  1465,  3277, 76914, -4330,  2290,    49, -4330,  2466,
   97765, 56354, -4330,  3634, -4330, -4330,  1039,  3469, -4330, 76914,
   -4330, -4330, 41355,   694, 57791, 76914, -4330,   694,  3259,   694,
    3270,   694,   694, 76914, -4330, -4330, 76914, -4330, 76914, 98585,
     694, -4330, 11186, 76914,  3486, -4330, -4330, -4330, -4330,  3326,
    3328,  3329, 76914,  2442, 54438, -4330,  3211, 99815,  1318, -4330,
   -4330,  3388, -4330, -4330, -4330, -4330, -4330,  3506,  3507, -4330,
   -4330, -4330, 76914, 65442,   135, 99815, -4330,  2194, -4330,  2204,
     273, 76914,  3449, -4330, -4330, -4330,  3225,  2305, 10393, 33061,
   -4330,  3516, 57791, -4330, -4330, -4330, -4330, -4330, 33061, -4330,
   -4330, -4330, -4330, -4330, 33061, -4330, 33061,  3494, -4330,  3637,
    3637, 57791, 34549,  1642,  2544, 34549, 34549, 34549, 34549, 34549,
   34549, 34549, 34549, 34549, 37001,   623, -4330, -4330, 33061, 33061,
    3500,  3494, -4330, -4330,   782,   782, 57791,  3228,  3026,  3229,
    3230, 33061, -4330, -4330,  2312, 36023,  3231, 53480, -4330, 33061,
    6545,  2324,  3279, 11064,   849,  5967, -4330,  3591,  2466, 33061,
    1429,  1676, 33061,  2334, 33061,  3508, -4330, -4330, -4330,  3234,
   -4330, -4330, 57791, 33061, 34549, 34549,  4303, -4330,  9373, 33061,
    3235,  9878, 28101, -4330,   449,   449,   449,   449, -4330, 76914,
   76914, 76914, 37497, 74046,  3237,  1962, -4330, 74046, 74524, -4330,
    3239,   849, 33061,  3492,   561,   561,  3243,  3236, 43283, -4330,
   33061,  1740, 31077,  3244, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,  3238,
   -4330,  3246, -4330, -4330,    98,  3248, -4330, -4330,  6500,   156,
   -4330,  3249, -4330,  3247, -4330,  1972, -4330, -4330, -4330,  6082,
    3428,  2545, -4330, -4330, -4330,  3237, 31573,  3210, -4330,  2339,
   -4330, -4330, 29093, -4330, -4330,  2340, 42801,  3117, 29589,   849,
    2181,  3284, -4330,  2059,  1005, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330,  3205,  2442,  2442,   809,  2442,  3530,   809,
    6413, -4330, -4330, 38461, 76914, 76914, -4330, 76914,  2347,  1386,
   -4330, -4330, -4330,  3646, 76914, -4330,  3307,  3312, -4330, 76914,
   76914, 76914, 76914, -4330, -4330,  2185, -4330, -4330, 99815, -4330,
   -4330, -4330, -4330,  3335, -4330, -4330,  3509,  1881, -4330, -4330,
   -4330,  3330,  2677,   573,  2684,   665, -4330,  3332, 76914, -4330,
   76914, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   53959, -4330, -4330, -4330, 53480, 44247, 53480, -4330,  3337,  3342,
    3391,  1160,  1062,  3343,  3346,  3392,  3288,  3289,  3291, -4330,
   -4330,   124,  2466, -4330, -4330,  2466,  2442,  2466, 76914,  3555,
     100,  1795, 99815, 76914, 76914, 99815, 76914, 76914, 76914, 76914,
   76914, 76914, 76914, -4330,  3643,  2466,  2466,  3622,  3361, 76914,
   -4330, 76914,  2880, -4330, -4330, -4330,  3297,  1674, -4330, -4330,
    3531,  3533, -4330,  1674,  1674,  1674,  1674,  1674,  1674, -4330,
     178,  2361, -4330, 94042, -4330, -4330,  2697,  2466,  2697,  1181,
   -4330,  2697, -4330,  2697, -4330, -4330,  2977,  3247,  2181,  1862,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330,  2181,  2009,  3305,
   -4330, 40873, -4330, -4330, -4330,  2190,  1031, -4330, -4330, 76914,
    3205, -4330,  2283,  2213,  2548,  2595, 75002, 75480, 75958,  3306,
   76914, 76914, 34549, -4330,  1424,   548, -4330,  3535, 76914,  3344,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330,  3308, -4330,  2761,
   -4330, 76914,  3367,  2442, 76914, 76914,  2442, -4330, 57791,  3701,
    1138, 85518,  3345,  3309,  3589, -4330,  3314,  3313, -4330, -4330,
   76914,  3367,   921,  1762,  3354, 63530,  1918, -4330,  3570, 61618,
   -4330, 76914, -4330, -4330, -4330,  3679,  3409,  3365,  2466,  2950,
   -4330, 55875, 33061, 33061, -4330,  3331, -4330,  3341,  4534, -4330,
    2326, -4330, -4330, -4330, -4330, -4330, -4330,  3410, 76914,  3747,
   -4330, -4330, -4330,  3350,   694, -4330, 76914, -4330, 76914, -4330,
   -4330,   694,   694, -4330,  3446, -4330, -4330,  1465, 76914, 76914,
   76914,  2442, -4330,   273, -4330,  3607, 99405, -4330, -4330, -4330,
   -4330,    35,  3615, -4330, -4330,  3575,  3576,  3577,  3578,  2042,
   -4330, -4330, 33061, 11186, -4330,  3353, 11186,  7068, 11186,  3500,
   -4330,  2126,  3620, -4330,  1529,  3355,  2126,  1084,  1084,   440,
     440,   111,   111,   111,  3637,   623, 11186, 11186, -4330, -4330,
   -4330, -4330,  3357, -4330, -4330, -4330,  3026, -4330, 33557,  3489,
    3727, -4330, -4330, -4330,  3389,  3397,  3359, -4330, 33061, 34053,
    3363, 58749, -4330, -4330,  1031,   287, 34549, 34549,  2166, -4330,
     954, 33061, 57791,  2362,  2166,  3067,  3185, 33061, 33061, 10590,
     297, 33061,  7547, 76914, 76914, 76914, 76914, -4330, -4330, -4330,
   39425,  1962,  3366, 76914, -4330,  3356, 37979,  3593,  3532, -4330,
   37979,  3532,  1398,  3532,  3597, -4330, 43765, -4330,  3369, 25645,
    1534, 11186,  3745,  3635, 33061,  3370, -4330,  3373,  3236, -4330,
   91254, -4330, -4330, 11186, -4330, -4330, 33061, -4330,  3236,  1005,
     243,  2466, -4330, -4330, -4330, 46702, -4330, -4330, -4330,  3557,
   11186, -4330,  1465, 76914,   849,   531,  3393, 76914, -4330,  3210,
   -4330, -4330, 12625, -4330, -4330, -4330,   124, -4330, -4330, -4330,
    3450, 64486,  3654, -4330, 33061,  2365, -4330,  3418,  3740,    88,
    2376,  2377,  1386, -4330,  3344, -4330,  1503,    99, -4330, 57791,
   -4330, 76914, 76914, -4330, -4330, -4330, -4330,  2627, -4330, 76914,
   -4330,  3452, -4330,  3572, -4330, -4330,  3579,   124, 76914, -4330,
   57791,   694,   694, -4330, -4330, -4330,  3404, 99815, 76914, 76914,
    2181,  2181, 57791,  3394, -4330,  2181,  2181,  3399, -4330, 99815,
   76914, 76914, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   76914, 76914, 76914, 76914,  3690, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, 76914, -4330, -4330, -4330,
   57791,   694,   694, -4330,  3636, -4330,  1674,  1674, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330,  2343,  3716, -4330, 53480, -4330,
   96119, -4330, -4330, -4330,  2466, -4330,  2466,  3594, 49613,  2466,
    2466,  1386,  3411,  1419,  3682, -4330,  2003, 40873, 40873, 40873,
   40873, 40873, -4330, -4330,  3688,   124, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, 33061, -4330,  1577,  2126, -4330, -4330, -4330, -4330,  3344,
    1771,  3470,   589, 53480,  3525, -4330, -4330,  2442,  2442,  3471,
    1465,   922, 76914,  3722,  3460, -4330,  2466, -4330, -4330, 76914,
   61618, -4330,   140, -4330,  2380, -4330, -4330, -4330,  3459,  3381,
     595,  3429,  1918, -4330, -4330,   990, 76914, -4330,  1452, -4330,
    3703,  3431, -4330, 11186, 11186,  2466, 59228,  3634, -4330, 76914,
    3677, 76914, -4330,   694, -4330,   694,   694, -4330, -4330, 76914,
    2442,  2442,  2442, -4330,  3609, -4330,   694, 99405,  2042,  2042,
    2042,  2042, -4330, -4330, -4330, 11186, -4330, -4330, -4330, 34549,
    3708, -4330,  3436, 57791, -4330,  3438,  2387,  2388, 35541,  3580,
   -4330, -4330, -4330,  7748,  3490, 11186,  3536,  3444,  3445, -4330,
    1306,  1306,   954,  2393, -4330, 34549, 34549,  2166,  2166, 33061,
    2166, -4330, -4330, -4330, -4330, -4330, 74046,  3447, 76914,  1962,
   37979, -4330, -4330,  1786, -4330, 37979,  3668, -4330, 37979, 76914,
    3448, 76914,  1083, 33061, 33061,  3491,  3236,  3236, -4330,  3614,
   -4330,  3454, -4330, -4330,  1862, -4330, -4330, -4330, -4330,  1031,
    3457, 70222, -4330, -4330, -4330,   738, -4330, -4330, -4330, -4330,
   99405,  3631, 99405,  1386,  7818,  3344, 38461, 47684, 76914, 76436,
   76436,  3598,  3344,  3470, -4330, -4330, -4330, -4330,  3458, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330,  3643, -4330, -4330,
   44247, -4330, -4330, -4330, 38943, 46702, -4330,  1160,  3462,  3464,
    1062, -4330, -4330, -4330,  1361,  1252,  3499,  2442,  3754, -4330,
    3643, -4330, -4330,  1674, -4330, -4330,  2962,  2466, -4330, -4330,
    2394, -4330, -4330, -4330, 76914, -4330,  3309, -4330, -4330, -4330,
   54438,  3869,  3869, -4330,  1952,  1952, -4330, -4330, -4330, 76914,
   -4330, -4330,  7847,  3665, -4330,  3470,  3689,  3733, -4330,  2400,
   -4330, 76914, 76914,  3365, 61618,  3367, -4330,  1030,  3484,  3775,
   -4330,  3199,  3496, -4330,  3817, -4330, 63530,  3667,  3409,   985,
     985, 76914,  3381,  3611, -4330,  3618, -4330,  3862,  3675,  3864,
   76914, 38461, -4330, 58270, -4330,  2401, -4330, -4330,  3112, 76914,
     527, -4330,  3515, -4330, -4330, -4330, -4330, -4330, -4330,   135,
   -4330, -4330, -4330, -4330,   965, 34549, 57791,  2405, 33061, -4330,
   33061, -4330,  3878, -4330, -4330, -4330,    -7, -4330, -4330, -4330,
    1306,  1306,  2166, -4330, 76914,  2408, -4330, 33061,  3510, -4330,
   -4330, 37979,  1786,  2409, 76914,  2412, 57791,  3236,  3026, 11186,
   76914, -4330, -4330, -4330,  3881,  3681,  3236, -4330, -4330, -4330,
   -4330, -4330, -4330,  1318,   809,   135,  3740,  3470, -4330,  3511,
   -4330, -4330, 76914, -4330,   669,   669, 76914,  3470, -4330, -4330,
    3564, -4330, 57791,  2204,     0, -4330, 57791, 57791, -4330, 76914,
   76914, 76914, 76914, 76914,   694, -4330, -4330, -4330, -4330, 96119,
    3309,  3869,   656, -4330, -4330, -4330,  1459, -4330, -4330,  1212,
    3693,  3599, -4330, 53480,  3367,  3799, -4330, -4330, -4330, -4330,
   -4330, 33061,  3664,  1918,  3570, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330,  2413,  3409, -4330,
   -4330,  3694, -4330,  3695, -4330,  2423, -4330, -4330,  4534, 59228,
    3829, -4330,  3571, 76914, -4330, -4330,  2345,  3939, -4330,   965,
    2427, -4330,  2432,  2453,  3666,  3581, -4330,  2461, -4330, 11186,
   76914, -4330, -4330, -4330,  2467, -4330,  3528, -4330,  3924, 33061,
    1572, -4330, -4330,  3809, -4330, 76436,  3585, 46702, -4330,  1972,
    1972,  1771, -4330,  1386, 33061, -4330,  2468, -4330,   840,  3680,
    3816,  2471,  2476,  3538,  3583,  3538, -4330,  2442, -4330, -4330,
   -4330, -4330, -4330,  3844, -4330, -4330, -4330,   207, -4330,  3721,
    3729, 76914, -4330, -4330, 76914,  3936,  8506, 54438,  3381,  1918,
    2677, -4330, -4330, -4330, -4330,  3587, 38461,  3634, -4330,   726,
   -4330, -4330, -4330, -4330, -4330, 76914, -4330, -4330, -4330, -4330,
   -4330, -4330,  2479, -4330, 76914,  3554,  3026, 32069, 32069,  3556,
   99405,   669,  3559, -4330,  3560, -4330, -4330,  3689,  1386, 11186,
   54438,  3930, -4330, -4330, -4330,  3680, -4330, -4330, 76914,  3683,
    1129,  1129,  3875, -4330,  3619, -4330, -4330, -4330,  1160, -4330,
    3566,  3409,  3381,  2684,  3409, -4330, -4330, -4330, -4330,  1495,
   -4330, -4330, -4330, -4330, 35045,  3691,   870,  8794, -4330, -4330,
   -4330, -4330,   135,  1972, 33061,  1386, -4330,  3693,  2204, 76914,
   -4330, -4330,  3460, -4330,  3973, -4330,   132, -4330, -4330,  3394,
   53001, -4330,  3409, -4330,  3112, -4330,  2419, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330,  3963, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330,  8783, -4330, -4330, -4330,  3859, -4330, -4330, -4330,
    2485, -4330, -4330, -4330, -4330, -4330, -4330, -4330,  1906, -4330,
   -4330,  1910,  2077, 32565, -4330,  1386,  3719, -4330, 53001, -4330,
    2419, -4330, 54438, -4330, -4330,  3573, 53001,  2486, -4330
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4330, -4330,  3709, -4330, -1166,   221,  2277,  -774, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330, -4330,  2900,
   -4330, -4330, -4330,  1518, -4330, -4330,   -61,  1959,  2526,  1209,
   -4330, -1343, -4330, -4330,  -862,   245, -1005, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -1000,  1656,  1054,  3520, -2427, -4330,
   -1709, -4330, -4330,   486, -4330, -4330,  1610, -4330, -4330, -4330,
     926,  -274, -4330, -4330, -4330, -4330, -4330, -4330, -4330,    -5,
   -4330, -4330,  -442, -1820,  -111,   -67,  -309, -4330, -4330,   335,
    -308, -1677, -4330, -2984, -4330,   -34, -4330, -4330, -4330,  -310,
   -1665,  1143,  -976, -1366,  1448,  -595, -4330,  -200, -4330,  -642,
    -543,  -541,  -598,  -444, -3625, -4008, -4109, -2992,  1152, -4330,
   -4330, -4330,   354, -4330, -1811, -4330, -4330,  2219, -1626, -4330,
   -1031, -4330, -4330, -4330, -2928, -4330, -4330, -4330, -4330,  -104,
   -4330, -4330, -4330, -4330,   398, -4330, -4330, -4330, -4330, -4330,
   -4330, -2213,  1581,  1583, -4330, -4330, -3597, -4330, -1167, -4330,
     529, -2936,  1078, -4330, -4330, -4330,  2240, -4330, -4330, -4330,
   -4330,   399, -4330,   394, -4330, -4330, -1838, -4330, -4330, -1808,
   -4330,  1592,   911, -4330, -4330, -4330,  -620,  -683,  -674, -4330,
   -3429, -4330, -4330, -4330, -4330, -4330, -1231, -4330,   962, -3070,
   -1205, -4330, -4330,   977, -4330, -4330, -4330, -4330,  -580,  -194,
    2268, -4330,  -485,  -557, -4330, -4330, -4330,  -191, -4330, -4330,
   -4330, -4330, -4330, -4330, -1941, 11178, -1792, -4330, -4330, -4330,
   -4330, -2455, -4330, -4330, -4330, -1759, -4330,  3975,     1,   333,
   -1804, -4330,  -197,  -112,  2768, -1382, -2653,   337,  -338, -4330,
   -1991, -4330, -4330, -4330, -2554, -4330, -4330, -4330, -4330, -3404,
   -1798, -4330, -4330, -4330,   387, -4330, -3996, -3819, -4056, -3522,
   -3383, -4330, -4330, -1306, -4330, -4330, -4330, -1648,  1773, -1696,
   -4330, -2319,   388, -3639, -1001, -3195, -4330, -3583,  -419, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330, -1312,  -871, -4330, -4330,
    3257, -4330, -3589, -4330, -4330, -4330, -4330,  1119, -4330, -1577,
    1046, -4330, -4330, -4330, -4330, -4330,  -566,  -646, -4330, -4330,
   -4330,   254, -4330, -4330, -4330, -4330,  1915, -1181,  -986,  3118,
   -1790,  -228, -4330, -4330, -4330, -4330, -3000, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -1192, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330,  1956,  1960,  -122,  -236, -4330, -4330, -1507, -4330,
    -822, -4330,  2193, -4330, -4330, -4330, -4330,  1293,   270,   420,
     -64, -4330, -4330,   211, -3330,   -60, -4330, -4330, -4330, -4330,
    -343,   -55, -4330,   670, -4330, -4330, -2782, -4330,   275,    -3,
    2839,  1538,   -59,   196,  -244,  -235,  -231,   -69,  3123,  2608,
   -4330, -4330, -4330,  -201,  1608, -4330, -1084,  -355, -4330,  1302,
    -910,  1940,  2598,  2602, -4330,  1301, -4330, -4330,  1310, -4330,
   -4330, -4330,  -908,  1951, -4330,  2610,  1968, -4330,  1295,  1304,
   -3295,   774, -3304,   286,  -935,  -265,  -169,  3156,  2615, -4330,
   -4221,   705, -4330, -3183, -2367,  1127, -2104, -1807, -4330, -4330,
   -1348, 11340, -4330, -4330, -4330, 13880, 18008, -4330, -4330, 19185,
   19228, -4330, -1269,   817, 19774, 12939, -1428, -1832, -1517, 17478,
   -1893, -1164, -2773, -4330, -4330, -4330,  -233,   827,   238, -4330,
   -4330, -4330, -4330,  -464, -2767,  -463, -4330, -4330, -4330,  -465,
   -4329,   601, -4330,  -794, -4330, 18735,  1342, -4330, -1178, -2716,
   -2724, -1387, -1953, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -2971, -3185,  -372,  1416, -4330, -4330,  1510, -4330, -4330, -4330,
   -1525, -1123, -2635,  1422, -2126, -4330, -1074,   728,  2083, -1038,
    4294,   576, 15484,  -142, -2376, -1520, -1744, -4330,  -487, -4330,
    2646,  2088,  -164,  -791,  5317,  4068,  4626, -3044, -4330, -4330,
     285, -4330, -4330, -4330,  3624,   972, -4330,  2954, -4330,  1644,
    2323, -4330, -4330,  1966,  -947,   246, -4330,  -436, -4330,  -138,
   -4330, -4330, -4330,   142, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330, -4330, -4330,  2634, -4330, -4330, -1461, -4330, -4330, -4330,
   -4330, -4330,  3883,  -313, -4330,  3310,  -312, -4330, -4330, -4330,
   -4330, -4330, -4330, -4330, -4330, -4330,  2648,  1996, -4330,  3111,
   -4330, -4330, -4330,   -65,  2855, -4330, -4330, -4330, -1191,  -602,
    3130,  3132,  1958, -4330, -4330, -4330, -4330, -4330, -4330, -4330,
   -4330,  1970, -4330, -4330,  1410, -2121,  1980, -4330, -4330,   764,
   -4330, -4330,   320, -4330,   760, -4330,  2759, -4330, -4330, -4330,
     791, -4330, -4330, -4330,  -601, 12759,     7,   153,   213,  1040,
   -4330,  7699,  6334,    58,  2674,    38, 10495, 17315,   172, -4330,
    3885,  1982,  1627, -1015, -4330,  4197,  2281, 16634, -4330, -1008,
     260,  1607, -4330,    -2,  -656, -1177,  2956,  -731, -1928, -4330,
    4292, -4330, -3220, -4330, -1026,  3322, -1214
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2533
static const yytype_int16 yytable[] =
{
      81,  1078,   983,  1087,  1537,  1604,  1268,  1941,  1949,   360,
     895,  1029,  1392,  1393,   350,   907,  1989,  1397,   351,   355,
    1610,  2043,   983,   353,  2020,  2394,  1063,  2639,  2341,  2424,
    1752,  1558,  1772,  2675,  1809,  2537,  1676,  1888,   891,  2054,
    1797,  2215,   957,  1193,  2529,  1834,  1906,  2643,  2402,  2102,
    3582,  3324,  1299,  1060,  2866,   944,  1135,  3076,   991,  1320,
    2403,  1097,  1098,  1550,  1004,  3161,  2500,   851,  3791,  2586,
    2469,  2470,  2562,  2392,  3026,  3028,   404,  2538,  3449,  3569,
    2228,  2563,   404,  1193,  2564,   402,  1629,   662,  2565,  1877,
    3459,   402,  1881,   707,  2566,   360,  1030,  1885,  2886,  1932,
    2075,  2076,  2567,   713,  1890,  2275,  2277,  2278,  2724,  3122,
    1081,  1139,  3966,  1908,  3708,   404,   403,  4002,  3596,  2091,
    3598,  1659,   403,  1300,   402,  1089,  2635,  3694,  1661,  1090,
    3312,  3456,  3514,  1355,  3449,  3992,  1193,  3454,  3455,   855,
    3694,  4179,  2459,  3935,  3937,  4156,  4151,  3921,  1744,  4197,
     901,  2215,  2411,   909,  1051,  3404,  2269,  2269,  2004,   404,
    2319,  1979,  1691,  2923,  4168,  1360,  1974,   980,   402,  2069,
    2070,  4418,  2598,  1978,  1719,   808,  1598,  3971,  1601,  3216,
    4320,  2174,  1130,  1544,  1637,  1638,  3525,   980,  3713,  3714,
    3715,  3716,  3717,  3718,  2088,  3868,   411,  2465,  1767,  3361,
    1776,  1798,  2939,  2216,  1905,  1026,  2943,  1801,   861,   411,
      45,   411,  2122,  1026,  1699,  1026,  1344,  4590,  1152,   808,
    2476,  2481,  4638,    45,  2128,  3611,   407,   404,  2584,  3782,
    3140,  4318, -1482, -1482, -1482, -1482,   402,  1422,  1933, -1482,
    1693, -1487, -1487, -1487, -1487,  3279,  1294,  3281, -1487,  2131,
      37,    38,    39,    40,  1300,  1933,  2800,    44, -2531, -2531,
   -2531, -2531,    79,  1933,  4515, -2531,  1140,  4111,  2705,  1619,
     805,  3322,  1828, -2531,   356, -1811, -1811, -1811, -1811,  2133,
    1210,  4326, -1811,  3339,  2851,  3519,  3566,   808,  2412,   812,
    1806,   663, -1482,  2272,  2795,  2347, -1705,   360, -1286,  4605,
    2668, -1487,   350, -1705,   130,   131,   351,   355,  2685,  4568,
    1388,   353,  4798,  4413,   805,   411,  1700,  2119,    37,    38,
      39,    40,  4061,   260,    43,    44,  1981,  3612,  1991,    45,
     806,  2800,   328,   812, -1497, -1497, -1497, -1497,  1155,  2405,
     694, -1497,  1694,  -738,   863,   411,  1176,  1699,   349, -1497,
   -1497, -1497, -1497,   354,    43,  1541, -1497,  2973,  2273,    45,
     356,  2379,  1822,   365,  2835,  -354,  2335,  2992,  1211,  1809,
   -1286,  2836,   404,  2120,   806,  2128,  2405,  1250,   694,  1025,
    2969,   402,   805,  1530,  2512,  2683,  3849,  1025,  1754,  1025,
       3,  -135,  4720,   852,  1650,  1407, -1721,  2165,   899,   906,
    -135,   812, -1961, -1721,  1068,  -135,  1212,   404,   906,  2974,
    3869,  1091,   403,  2274,  4578,  4784,   402,  1651,  2217,  1755,
    1873,  4323,  1943,  2348,  2686,  3174,  2102,  1569,   910,  1570,
    2133,  1304,  -892,  2247,  1173,  4586,  2337,  1807,  2513,  1193,
    1313,  1077,   806,   410,  2380,  4799,  4414,   403,   906,  1700,
    1680,  2035,   411,  2338,  1213,    37,    38,    39,    40,  1389,
    2669,    43,    44,  1428,  1652,  3613,    45,  2335,  4062,  4672,
   -2532, -2532, -2532, -2532,  1967,  4606,   818, -2532,   819,   895,
    1695,  4116,  1934,  2336,  4821, -2532,  1092,  1259,  2670,  2162,
   -2529, -2529, -2529, -2529,  2075,  2076,  3614, -2529,  2349,  1934,
    1747,  2091,  3567,  1141,  1115, -2529,  1620,  1934,  1154,  1098,
    2511, -1286,  2507,  1396, -1454, -1454, -1454, -1454,  2192,  3141,
     664, -1454,  2204,  2204,  2585,  3615,  1133,  1134,  3361,  2207,
    2208,  1640,  1643,  3986,  2482,  4035,  3783,  2337,  1943,  1993,
    1696, -1487, -1487, -1487, -1487,  1300,  2727,  1396, -1487,  4327,
    2036,  1124,  1672,  4807,  2338,  2413,  1088,  4422,  2801,  2477,
    3516,  3694,   356,  2058,  4313,  1701,  4395,  2414,  1300,  4701,
    1310,  2069,  2070, -2528, -2528, -2528, -2528,  2123,  2339,  2088,
   -2528,  2529, -2124, -2124, -2124, -2124,  1563,   245, -2528, -2124,
    1564,  1380,  1646,  3542,  2687,  2215,  1874, -2124,  2455, -1705,
    2457,  1808, -1961,  2527, -1286,  3030,  2463,  3373,  2503,  1131,
    1973,   260,  2688,  1969,  4437,   977,   978,  2415,  1723,   901,
     328,  2464,  4771,  2064,  2175,  4774,  4094,  2499,   977,   978,
    1943,  4269,  2152,  3424,  1300,  4273,   349,  2894,  3826, -1286,
    2215,   354, -1286,   822,  2865, -1467, -1467, -1467, -1467,  4307,
    2664,   365, -1467,  4721,  3177,  1132,  1126, -1482,  3011,  1571,
    4731,  2672, -1961,  4806,  4228,  2523, -1487,  2837,  1408,  3449,
    2340,   911,  1093,  1285,  1200,  2373,  1069, -1961,  1174,  2339,
    4735,  2378,   823, -2531,  2187,  3163,  1167,  4625,  3655,  2291,
    3949,  3658,  3659,  1874,  2256,  3662,  2257,  3025,  1563, -1721,
   -1811,  1180,  1564,  1786,  2371,  3669,  3579,  2036,  3580,  1787,
    4125,  3361,  1078, -1494, -1494, -1494, -1494,  1082,   858,  2383,
   -1494,  1361,  2159,  3033,  4772,  2445,  2097,  1255,  2448,  2449,
    4147,  1260,  4507,  1813,  1605,  4294,  2128,  1816,  3957,  4517,
   -1454,  2097,  1781,  1818,  1897,  2098,   820,  3483,  2442,   912,
    1139,   913,  3069,  2344,  1245,  1300,  1957,  1035,  3313,  2099,
    2098,  2131,  1300,  1300,   977,  1628,  1296,  4651,  3315,  3772,
    3998,  2340,  3660,  3661,  2101,  1083,  1588,  3489,  2890,  3004,
    1782,  1309,  1898,  2654,  3317,  1688, -2259,  3583,  2508,  2657,
    2647,  2133,  3012,  4544,  1958,  1974,  3570,  1380,  1917,  2276,
    2952,   971,  1362,  4419,  1368,  1788,  1373,  2925,  4557,  2925,
    -135,  -135,  1377, -1454,  1311,   404,  3197,  2750,  2751,   404,
   -1289,   972,  1933,  1163,   402,  1286,  4737,  1418,   402,  1398,
    2990,  1163,   662,  4592,  1356,  1368,  1373,   662,  4025,  1084,
   -1913,  1353,   712,  4420,  1089,  2347,   662,   856,  1090,  3005,
    1036,  3318,  3692,    37,    38,    39,    40,  2891,  3117,   403,
      44,  4148,  1163,  3359,  3360,  3692,   997,   899,  3375,  1589,
    4200,  1653,  1654,   662,  3205,  1143,  3974,   662,  2438,  1287,
    2673,  4023,  2721,  2723,  2909,  3164,   360,  3118,   662,  1084,
    1115,  3363, -1289,  2731,  1398, -2532,  2734,  4384,  4385,  4386,
    4387,  4388,  4652,  2394,  2746,  2747,  1297,  3744,  3410,  3411,
     906,   906,   662,  1552,  1926, -2529,  1163,  2764,  2766,    37,
      38,    39,    40,  2064,  1608,  1163,    44,  1783,  2780,  1899,
    2759,  2578,  3070,  3370,  3371,  3372,  3373,  2595,  4668,  2074,
    3493,  1959,  3789,  1789,  2782,    81,  3314,  1574,  2423,  4677,
    1354,  1085,  4650,  2646,   662,  1193,  3316,  4663,  1126,  2160,
    3584,  4546,  4473,  2459,  1927,  1367, -1487,  1372, -2259,  1366,
     805,  1371,  3198,  4026,  1790,  4476,  1534,  1386,  1380,  4593,
    4480,  1817,  1540,  4482,   971,  3585,  1548,  4738,  3570,   812,
    2679,  2680,  4629,  4630,  2120,  3007,  1401,  1403, -2528,  2817,
    1400,  1402,  3791,  1791,   972,  1704,  2579, -2124,    37,    38,
      39,    40,  1784,  3464,  1900,    44,  3465,  3466,    37,    38,
      39,    40, -1913, -1945, -2259,    44,  1960,  3467,  3468,  3469,
     806,  3470,  3471, -1289,  2160,  1163,  3472,  3473,  3474,  3987,
    3486,  1026,  2128,   662,  4732,  1026,  2239,  -571,  3199,  3745,
      35,   411,  1928,  3361,    37,    38,    39,    40,    41,    42,
      43,    44,   404,  2514,  3944,    45,  1934,  2131,  2839,  1163,
    2080,   402,  4027,  1639,  2991,  4028,   411,  2624, -1913,    37,
      38,    39,    40, -1808,  4569,    43,    44,  1428,  1652,  4633,
      45,  4786,   214,  3015,  4736,  2240,  4483,  2133,  4485,  1929,
    4623,  2515,  1568,  1183,  1184,  1185,  1111,  1186,  1187,  1188,
    1189,  1190,  1191,  1553,  3368,  3369,  3370,  3371,  3372,  3373,
   -1454,   222,  1642,  2818,  1926,  1901, -1289,  2819,  1005,   662,
     662, -1454,  4570,  2074, -1454,  1680, -1454,  1034, -1494,  4571,
    2343,  2149,  2150,  2151,  2152,  1902,  2961,  1735,  1126,  2235,
     906,   356,  1077,  3449,  1193,  1380,  1770,  3449,   232,  2189,
    1381, -1289,  2650,  2820, -1289,  2423,  4572,  2344,  4711,  1430,
     235,  1112,  3361,  1554,  2649,  4423,  3016,  1930,  3475,  4753,
    2580,  4288,  1058,  2874,  1919,  2592,  4611,  4424,  1418,  2840,
    3181,  4292,  2581,  3559,  1360,  4306,  1349,  3004,  1594,  3988,
     906,   949,  4085,  4708,  2910, -1945,  2533,    79,  4088,  4089,
    4090,  4091,  4092,  4093,  4787,  1025,  2962,  4400,  1163,  1025,
    3957,  2753, -2533,  4282,  3793,  4712,  1113,  3989,  1163,  1114,
    3577,  3560,  4291, -2533,    35,  2236,  4573,  3030,  1071,  4169,
    2592,  3116,    41,    42,  1846,   971,  4705,  4706,  2516,  2097,
    1872,  1078,  1829,  1830,  2928,  1381,  1006,  4763,  2450,  1563,
    1080, -1945,  1928,  1564,  1596,   972,  2190,  3005,  2098,  1065,
    4521,  1112,   813,  1104,  4755,  1088,  1094,  4216,  2125,  2821,
    1771,  2533,   814,  1163, -1962,  1126,  3692,   694,  3107,  1903,
    1659,  4045,   360,  1105,  3108,  2345,  3694,  1661,  1193,  3794,
    1597,  4614,  1369,  1106,  1381,  3476,  1374,  1375,  1376,  1929,
    3277, -2323,  3282,  3822,    35,  3084,  1387,  1115,    37,    38,
      39,    40,    41,    42,  1430,    44,  1113,  3361,  2394,  2534,
    3004,  4518,  1007,  2517,   662,  2166,  4425,  1136,    81,    81,
    2222,    81,  3223,  3224,  3225,  3226,  1112,  1563,  1084,  1163,
    3477,  1564,  3363,  2306,  1098,  2229,  2230,   662,  2234,  1090,
    1090,  1995,  1090,  1997,  4815,  3085,  2001,  2593,  2003,   874,
    4791,  2006,  2007,  2008,   859,  3490,  3578,  1632,  3561,  1139,
    2451,   815,  2452,  3840,  2015,   411,  4046,  1930,  2408,  4040,
    3109,  1430,  3980,  4167,  3361,  4574,  1662,  2038,  2562,  2039,
    3005,  1113,  1107,  4548,  2534,  3273,  1872,  2563,  3364,  4558,
    2564,  1084,  1116,  3007,  2565,  3086,  3095,  1115,  2735,  1031,
    2566,  4170,  4404,   662,  3098,   876,  3100,  3795,  2567,  3006,
    4205,  1117,  4206,  2163,  1163,  4764,  4559,  1608,  2409,  1632,
    4654,  3478,  1101,  2871,  2610,  2147,  2148,  2149,  2150,  2151,
    2152,  3814,  2181,  2616,  2559,   822,  3368,  3369,  3370,  3371,
    3372,  3373,  1163,  3562,  1108,  1210, -1962,  2179,  2180,  3851,
     977,  1628,  3856,  3857,  3858,  3859,  3860,  3861,  3862,  3863,
    3864,  3865,  3791,  2736,  4041,  3796,  3362,     8,  2995,  4107,
    1163,  1163,  1115,  1163,   823,  1653,  1654,  3449,  1008,  1009,
     822,  4765,  3449,  3087,  1315,  3449,  2156,  3363,  1323,   816,
    1163,  4591,  2535,  2182,  1430,  4626,   971,  3361,  1335,  4492,
    4493,  3461, -1962,  3462,  4766,  4632,  2560,  2010,  3110,  1395,
    1109,  3905,  3906,  1594,  3896,  4108,   972,  1176,  2737,   823,
    3773,  2738,  2700,  3998,   662,  1546,  3007,  2195,  3337,  4655,
    2011,   662,   662,  1211,  3045, -1987,  2273,   356,   883,  3111,
     884,  1163,   404,  3364,  4449,  1193,  2185,  1142,  4005,  2288,
    4042,   402, -2533, -2533,  3363,  3368,  3369,  3370,  3371,  3372,
    3373,  4427,   889,  4670,  4487,   411,  3462,  2535,  3112,  4428,
    1163,  1212,  2759,  2759,  1163,  1163,  3388,  2759,  2367,  1596,
      79,    79,  3088,    79,  3046,  1396,  2536,  4145,  3548,    80,
    3089,  2274,  4656,  3090,   404,   404,   404,  4662,  1943,  1632,
    4530,  1153,  2214,   402,   402,   402,  3928,  3413,  2062,  2739,
    3364,  4364,  4365,  1528,   662,  4329,  4330,  2759,  2759,  1213,
    4006,  4005,  1348,   411,  2937,  2128,  3305,  2078,  4380,   874,
    2808,   822,  2809,  1349,  3929,   403,   403,  4503,  3998,  4505,
    3132,  2275,  2119,  2973,   404,  4681,  1787,  3091,  4146,  4275,
    2131,   404,  1872,   402,  2810,  1136,  4381,  2105,   404,  3931,
     402,  4653,  3181,  3558,  3605,  1026,  4324,   402,  1594,  2493,
     823,  2117,  1595,  1529,  4007,  1994,   661,  3363,  1996,  3606,
    2133,  2000,  1115,  2002,   403,   876,  2005,  2196,  3449,  1750,
    2009,  2310,  1026,  4006,  3719,  3545,  3091,   805,  4531,  1872,
    2494,  4230,  2436,  4231,  2740,  1168,  3365,  3366,  3367,  4621,
    3368,  3369,  3370,  3371,  3372,  3373,   812, -1987,  2214,  4429,
    3267,    37,    38,    39,    40,  1872,  2197,  4325,    44,    37,
      38,    39,    40,  3364,  1596,  1943,    44,  3722,  3047,   900,
    2405,  1430,  1788,  1202,  3361,   917,  2811,  4007,  2410,   805,
    2450,  2812,  1650,  4017,  3933,  3290,  2813,   806,   694,   694,
    3552,  3897,  2437,  3415,  3825,  3416,  1088,  1088,  3113,  1088,
    1597,   996,   662, -1987,  1026,  1651,  2613,  3368,  3369,  3370,
    3371,  3372,  3373,  4003,  4775,   191,  1685,  3417,  3048,  1632,
    2329,  1300,  1872,  1632,  1632,    37,    38,    39,    40,  3114,
    2330,  3826,    44,  3177,  1179,  2136,  2137,  4529,  1751,  4144,
    3520,  2526,  -157,   805,  3852,  2331,  3853,  1686,   883,  4295,
     884,   207,  2204,  3571,  3119,   207,  1300,  4232,  3115,  1872,
    2417,  2281,   812,   214,  2282,  2238,  2702,  -157,  1208,  1025,
    3501,  3753,   889,  1356,  1943,  2985,  1687,  2690,  2140,  1209,
    1796,  1176,   404,  3120,  4123,  4024,  4029,  1872,  -377,  2865,
     694,   402,   222,   214,  3484,  4393,  1025,  3186,  2284,   662,
    3726,  2814,  2451,   806,  2452,  1249,  2239,  1950,  2456,  1677,
    2815,   130,   131,  3998,  3418,   662,  2881,  1098,  4535,  3419,
    4520,  1252,   222,  2302,  2304,   360,  3365,  3366,  3367,   232,
    3368,  3369,  3370,  3371,  3372,  3373,  3727,  4697,  1688,  1163,
    1678,   235,  2543,  4534,  2425,  1872,  3187,  1688,  1163,  3728,
    2701,  3832,  2283,    43,  3363,  2240,   122,  3927,    45,   232,
    3854,  3430,  4698,  1874,   971,  2719,  3870,  3871,   952,  1679,
    3855,   235,   662,  2332,   126,   245,  1632,  1261,  1025,  1262,
      81,  2033,  1632,    81,   972,   360,  2128,   953,   214,  2461,
    2696,  2426,  2427,   662,  2697,  2699,  2045,  3151,  1975,  2698,
    1964,  2652,  1976,  2653,  2865,  4776,  1269,  2655,  2055,  2656,
    3364,  2131,  2658,  4250,  4251,  3295,  2659,   222,   954,  3645,
    1965,  1254,  3188,  3189,  3928,  2423,  1632,  4063,  3729,  1632,
    1632,  3692,  1163,  3836,  3420,  3190,  4555,   805,  1193,  3646,
    3733,  2133,  1563,  3421, -1811,  3903,  1564,  4064,    37,    38,
      39,    40,  3929,   824,   232,    44,   812,  4752,  2147,  2148,
    2149,  2150,  2151,  2152,  4308,  1682,  1275,  3930,  1163,  1163,
    3228,   860,  4249,  1284,  3205,  3229,  1163,  3931,  1280,  1163,
    3191,  3458,  1163,  2896,  1795,   946,  2097,  2744,   207,  1632,
    1163,  1163,  1300,  1283,  4248,  2394,  1683,   806,  1163,  3932,
     245,  1163,  1163,  1163,  1163,  2098,  1281,  2097,  3494,  1574,
    4177,  1163,  1163,  1796,  1163,  1292,  1163,  1163,  4477,  2099,
    1163,  2557,  1289,  1280,  4587,  1684,  2098,    37,    38,    39,
      40,  3551,  3835,  3927,    44,  1032,  1872,  1163,   404,  2587,
    2101,   411,  1163,  2963,  1975,  2966,  1163,   402,  2642,  1282,
    1163,  3751,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  3177,  1163,  2466,  3192,  2492,  3193,  3529,  1163,  2226,
    1321,  1163,  3933,  3365,  3366,  3367,  1019,  3368,  3369,  3370,
    3371,  3372,  3373,   411,  1688,  1330,  1057,   652,  4000,  4001,
     356,  2086,  2087,  2957,  1282,  2495,   214,    45,  2798,  2425,
    3928,  2425,  1300,  2313,  3709,  1264,  2496,  1265,  2759,  3229,
    2912,  2759,  2759,  2759,  2759,  2759,  2759,  2759,  2759,  2759,
    2759,  1430,  3334,  3876,  3361,   222,  2645,   404,  3929,  1306,
    2497,  3327,  1163,   952,  2314,  3329,   402,  2170,   900,  3181,
    2171,  3880,    79,  3930,  4478,    79,  2426,  2427,  2426,  2427,
     356,  3749,   953,  3931,  3335,  2425,  1144,  1336,  3336,  2708,
    3013,  2127,   232,  2315,  2128,   947,   955,   403,  1145,  1146,
    2759,  2759,  1351,  3608,   235,  3932,   404,    45,   404,  1777,
    2423,  1390,  2423,   954,  1756,   402,  3623,   402,  1147,  2131,
    1984,  1148,  1985,   805,  1404,  2132,  2425,   662,    37,    38,
      39,    40,  2426,  2427,  3609,    44,  2709,  3082,   956,  3837,
    1778,  1394,   812,  1809,  1779,    81,   403,    81,   403,  2133,
      37,    38,    39,    40,   662,  2265,  2266,    44,   404,   662,
    1757, -1333,   662,  3610,  1410, -1333,  2423,   402,  3940,  1780,
    4101,  2806,    35,  2426,  2427,  3734,  4454,  3736,  3933,  1415,
      41,    42,  3581,   806,   662,  1163,  2710,  2074,  2786,  2320,
    1163,  2789,  2606,  2607,  2127,  4222,  1163,  2128,    37,    38,
      39,    40,  4470,  4471,  3450,    44,  2061,  2423,   245,    45,
    3945,  3947,  2220,   662,  2221,  2711,  4021,  3494,  2214,  1856,
    2712,  2074,  2131,  2320,  3249,  3250,  1872, -1333,  2132,  4541,
    3494,  1872,  1872,  4129,  3363,  1149,   662,  1758,  3786,  2902,
    2903,  3387,  1872,  3389,  3390,  1416,  1300,  4819,  1300,  1417,
    4820,  1585,  2133,  2135, -1286,  2215,    35,   411,   404,   662,
    3450,   404,  1418, -1333,    41,    42,  2713,   402, -1357, -1357,
     402,    45,  1150,  1419,  2136,  2137,  2265,  2921,   662,  3092,
    1420,   662,  1759,  1421,  1760,  4119,  4120,  4121,  3220,  2865,
    3364,   214, -1298,  1424,  2458,   356,  3496,  3497,   662,  4450,
    4451,  4452,  4453,  4126, -1298,   662,  1247,  4499, -1298,  1300,
    2223,  1427,  2224,   805,  3412,  4113,  4114,  2140,   662,  1425,
     222,  3066,  1762,  1549,  4104,  4083,  4106,   662,  3092,  4109,
    2141,  4110,   812,  1551,  4117,  4118,  4119,  4120,  4121,  2074,
    4433,  1680,  1556,   838,  4383,  3463,  2644,  1555,  2645,   914,
   -1298,  2665, -2533,  2666,  1557,  4253,  2135,   232,  2618,  1764,
    1575,  1301,   917,  2667,  1562,  2666,  1163,  2627,  1872,   235,
   -1298,  2048,  2049,   806,  2714,  2042,  1582,  2136,  2137,  2634,
    2715,    37,    38,    39,    40,  1632,  1126,  2693,    44,  2694,
    1583,  3092, -2533,  1766,    80,  3092,  3502,  3503,  2759,  4198,
    1592,  1078,  4599,   245,  1606,  1662, -1298,    79,  2716,    79,
    2887,  1585,  1943,   805, -1298,  2945,   805,  2694,  1586,  3023,
    2140,  3024,  3078,  1607,  3079,  3092,  1611,  2717,  4643,  2074,
    4645,  2320,   812,  2141,  3169,   812,  3170,  1872,  2671,  1613,
     662,  2676,  3434,  2678,  3435,  3182,  2681,  3183,  1617,  1626,
    1406,  2718,  1621,  3365,  3366,  3367,  1618,  3368,  3369,  3370,
    3371,  3372,  3373,    37,    38,    39,    40,  1622,  1623,  3297,
      44,  2666,  3333,   806,  2645,   662,   806,  3343,  1423,  2645,
    1633,  1624,  4103,  1163,  3439,  3440,  3441,  1531,    74,  1625,
    1627,  1543,  1301,  1545,  3346,  1634,  2645,  2147,  2148,  2149,
    2150,  2151,  2152,  3350,  1636,  2645,  1078,  3436, -2533,  3437,
      37,    38,    39,    40,  3351,  1666,  2645,    44,  1665,  1668,
     662,  4117,  4118,  4119,  4120,  4121, -1298,  1680,  3377,  4122,
    2645,  1591,  1872,  1593,  1674,  2760, -1458, -1458, -1458, -1458,
    4237,  1698,   662, -1458,  1721,  1703,  1163,  1632,  1747,  2760,
    1163, -1465, -1465, -1465, -1465,  1632,  1794,  1632, -1465,  1749,
   -1456, -1456, -1456, -1456,  1163,  1163,   868, -1456,  4131,   191,
    1803,  1804,  2759,  2759, -1459, -1459, -1459, -1459,   661,   661,
    1785, -1459,  4376,  1663,  1563,  1805,  1810,  1585,  1564,  1824,
    3393,  4177,  2645,  1812,  1163,  1163,  1814,  4369,  2841,  1163,
    2147,  2148,  2149,  2150,  2151,  2152,  3398,  3599,  3399,  3600,
    1826,  1163,  1163,  1163,  1163,  4133,  3603,  1819,  3604,   404,
    3740,  3770,  3741,  3771,  1163,   404,  1833,  1163,   402,  1163,
    1836,  3780,  4213,  3781,   402, -1457, -1457, -1457, -1457,  1163,
    1163,  2042, -1457,  1163,   874,  1878,  3841,   214,  2645,  1688,
    1880,  3494,   982,  3877,  3719,  3878,  1163,  1176,  1163,   360,
    3720,  1882,  1163,  -886,  2696,  3887,  1874,  3888,  2697,  2699,
    3721,  1891,   982,  2698,  -174,  3899,   222,  2645,  1163,  3394,
    3972,  3976,  3973,  3977,  1895,  3401,  4457,  1893,  4004,  1163,
    2666,  1163,  1163,  1163,  1907,  1915,  1832,  3722,   838,  3723,
     876,    35,  4097,  4254,  4098,  2694,  4315,  1931,  4316,    41,
      42,   662,  1923,   232,  2435,  1163,  1676,  4321,  4322,  2666,
    2666,  4415,  1300,  4416,  1936,   235,  3209,  1163,  4459,  4461,
    4460,  2645,  1163,  4433,  4469,  4538,  2694,  4539,  1937,  1163,
    3219,  4552,  4588,  4553,  4589,  1163,  4601,  1126,  2694,  4608,
    4613,  1943,  3760,  4615,  4671,  3760,  2184,  1938,  2127,   245,
   -1085,  2128,  1177, -1085,  4675,  1939,  4676,  1196,  4686,  4366,
    2694,  3724,  1940,  4687,   805,  3399,  1206,  1632,  2129,  1942,
     805,  2504,  3084,  1301,   662,  1943,  2131,    80,    80,  4304,
      80,  1948,  2132,   812,  4688,  3450,  2645,  1951,  1952,   812,
    2042,  1953,  4691,  1263,  1943,  1163,  1301,  1270,  4693,  4710,
    3760,  2694,  4716,  1954,  2694,  3032,  2133,  4717,  1279,  2694,
    4741,   662,  1943,  1956,  1872,  3725,  4817,  4828,  4818,  4818,
    3726,  1961,  3085,   883,   806,   884,  4274,  1962,  4277,  1963,
     806,  2117,  1968,  1982,   886,  2016,  2546,  2044,  4540,  2046,
    2059,  2040,  2050,  2060,   888,  2806,  2052,   889,  2053,  2068,
    2071,  2072,  1872,  1872,  4773,  1872,  3727,  2073,  2077,  1082,
     245,  2079,  1301,  2082,  3433,  2083,  2084,  3210,  2085,  3728,
    2090, -1334,  3086,  1725,  2092, -1334,  2093,  3443,  2184,  1726,
    2094,  2095,   404,   404,   404,  2096,  3450,  2103,  2104,  2106,
    2107,   402,   402,   402,  2612,  2759,  2108,  2109,  2110,  4600,
    2111,   662,  2112,  2157,  4462,  1872,  2134,  1872,   662,  2113,
    2135,  2188,  2199,  1380,   356,  2209,  2219,  1083,  2227,  1727,
    1595,  2759,  2759,  1597,  4300,  2254,  2262,  2264,  3763,  2271,
    1115,  2136,  2137,  3443,  2121,  4488,  1077, -1334,  2279,  2285,
    2287,  2289,  2297,  2298,  2126,  2300,  2138,  2305,  3729,  2307,
   -2475,  1872,  2309,  2316,  2164,  2317,  2318,   895,  2323,  2320,
    3087,  2321,  2350,  1632,  3801,  4636,   662,  2322,  1728,  4641,
    4642,  2139,  1872, -1334,  2140,  1729,  2372,  2374,  1730,  2324,
    2325,  1084,  1430,  1301,  2346,  3361,  2194,  2141,  2375,  2376,
    1301,  1301,  2377,  2398,   404,  2399,  2405,  3211,  3686,  1872,
    2407,  1193,  4255,   402,  4396,  2417,  2418,  2421,  3764,  2420,
    2422,   404,  1872,  2429,  2423,  2430,  2431,  2432,  1078,  2439,
     402,  2440,  2433,  3777,  2443,   662,  4369,   662,  1078,  2446,
    1731,  2444,  2453,  2454,  2460,  3212,  1735,   805,   805,   805,
    2467,  2468,  4640,  3800,  2478,  2483,  2479,  4637,  2484,   652,
     652,  2506,  2480,  2505,  3673,  2489,   812,   812,   812,  3088,
    1705,  4502,  2143,  3913,  3914,  3915,  3916,  3089,  2491,  2518,
    3090,  2543,  2520,   661,  2521,  2530,  1872,  2531,  2528,  3303,
    2064,  2074,  2544,  2547,  1732,  2796,  1733,  2080,   662,  1872,
    2550,  2551,  1706,  1085,   870,  2556,  1734,   806,   806,   806,
    1430,  1771,  1872,  3361,  1735,  2555,  2572,  2577,  2590,  2591,
    2596,  2599,  4603,  1736,  2601,  2602,  2609,   662,  2621,  2603,
    4256,  2759,  2620,  2622,  2623,  2661,  2636,  2637,  2677,  2682,
    2662,  2691,  1163,  2704,  2726,   662,  2727,  2768,  2769,  1300,
    2781,  2128,  2787,  2792,  1737,  2799,  2791,  1707,  1738,   805,
    2144,  2145,  2146,   662,  2147,  2148,  2149,  2150,  2151,  2152,
    2805,  2822,  2824,  2851,  2868,  3363,   805,  1163,   812,  2867,
    1872,  1705,  2870,  1739,  2873,  2878,  1163,  1083,  1708,  2879,
    2897,  2875,  1163,  2888,  1163,   812,  2898,  2760,  2760,  1872,
    1163,  2927,  2760,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1706,  2889,  2907,  1163,  1163,  2462,   806,
    2901,  2930,  2929,  4577,  1872,  2174,  2944,  2946,  2947,  1163,
    2948,  3364,  2959,  1163,  2967,   404,   806,  1163,  2969,  1740,
    2964,  2971,  2760,  2760,   402,  2972,  2977,  1163,  2980,  2983,
    1163,  4620,  1163,  3000,  2986,  3003,  3019,  3021,  3014,  3068,
    1872,  1163,  1163,  1163,  3073,  3077,  3080,  1163,  1707,  3081,
    1163,  1632,  3121,   356,  3142,  3134,  3138,  3143,  1709,  3450,
    1163,  4696,  3144,  3450,  1632,  3139,  4510,  3146,   356,  3147,
    1163,  3148,  4794,  3363,  3149,  3882,  3150,  4055,  1163,  1708,
    1163,  3160,  3166,  3162,  3171,  3173,  3176,  3177,   356,  1710,
    3184,  3178,  3179,   207,  4524,  3203,  3215,  1711,  3227,  3208,
    3221,  3234,   906,  1712,  3230,  3235,  3236,  3252,  3254,  3266,
    1713,  3270,  3269,  3272,  3271,  3274,  3275,  3283,  1714,  3286,
    2568,  3288,  3289,  3302,  1163,  3293,  1715,  3299,  3300,  3364,
    1163,  2352,  3301,  3311,  1716,  2705,  1163,  3304,   906,  3319,
    3323,  3325,  1396,  1193,  3328,  3330,  3344,  3331,  3348,  2645,
    3345,  3034,  3347,  3349,  3352,  3383,  3353,  3534,  3535,  3395,
    3537,  1163,  3355,  3409,  2353,  3414,  3494,  3429,  3358,  3376,
     805,  1193,  3382,  3422,  3365,  3366,  3367,  2354,  3368,  3369,
    3370,  3371,  3372,  3373,  1717,  3384,   662,  3458,  3432,   812,
    2355,  3385,  3392,  3407,  3408,  3452,  3457,  3460,  -932,    80,
    3506,  3508,    80,  3512,   207,  3536,  2382,  3533,  1711,  3547,
    1632,  3527,  3538,    74,  1712,  3522,  3575,  3518,   404,  3523,
    3524,  1713,   404,  1872,   404,  3539,  3576,   402,  2356,  1796,
     806,   402,   982,   402,   982,  3528,   982,  1715,  1975,  3543,
    3554,  3544,   982,  1378,  1379,  1716,  3674,  3588,  2117,  3568,
     662,  3590,  3621,   662,  3622,  3625,  3627,  2357,  3920,  3628,
    3632,  3629,  2358,  3630,  3631,   982,   982,  3633,  3635,  3634,
    3649,  3636,  3637,  3638,  3640,  4707,  3639,  3175,  3641,  3642,
    3651,  2476,  3066,  3647,  4036,  3626,  3657,  3675,  3663,  3664,
    3665,   662,  3365,  3366,  3367,  1717,  3368,  3369,  3370,  3371,
    3372,  3373,  3666,  3667,  3697,  3698,  2743,  3668,  2282,  3710,
    3706,  3676,  3711,  3737,  3748,  3750,  3752,  3759,  3760,  3765,
    3769,  3774,  3768,  3775,  3778,  3798,  3677,  3806,  3817,  3818,
    3678,  3819,  3820,  3828,  3823,  3829,  3830,  3839,  3808,  3844,
    1163,  3379,  3378,  2061,   652,  3361,  2122,  3942,  3679,  3873,
    3874,  3875,  3881,  3960,  3902,  3901,  3910,  2359,  3889,  3939,
    3926,  3959,  3259,  3680,  3948,  3958,  1872,  3965,  1300,  3961,
    3964,  3968,  3991,   805,  4009,  4011,  4704,   805,  3800,   805,
    4012,  1705,  4019,   982,  4037,   838,  4022,  4020,  4030,  4038,
    4049,  3982,   812,  4050,  4039,  4051,   812,  4060,   812,  1872,
    1163,  1163,  1655,  3450,  3259,  3743,  4076,  3746,  3450,  4052,
    4053,  3450,  4054,  1706,  4311,  4025,  2360,  4080,  4084,  4086,
    2872,  4087,  2361,  1705,  4115,  2362,  4141,  4149,  4153,  4160,
    3790,  4163,  2666,   806,  4162,  4165,  4166,   806,  3681,   806,
    4172,  3320,  4309,  4181,   662,   982,  3682,  4185,  4186,  3450,
    2363,  4188,  4201,  1193,  4195,  1706,  2364,  4199,  4209,  4214,
    1163,  4196,  4217,  4218,  4219,  4220,  4221,  4229,  1707,  2365,
    4238,  4203,  4239,  4240,  4226,  4233,  4268,  4523,  4234,  3683,
    4242,  4241,  4271,  4335,  4270,  1632,  4246,  4266,  4278,  4281,
    4283,  4286,  4284,  2366,  4287,  4301,  1163,  4310,  3821,  1708,
    4305,  4312,  2488,  4318,  4317,  4333,  1163,  1163,  4332,  1872,
    1707,  4340,  4334,  1176,  1163,  1163,   661,  4347,  3831,  1163,
    1872,  4358,  4350,  4367,  4363,  1163,  1163,  4374,  3260,  1163,
    4379,  4382,  1663,  4302,    80,  4389,    80,  4401,  4397,  4402,
    4406,  1708,  4408,  2127,  1163,  4417,  2128,  3463,  1163,  4421,
    4430,  4431,  4439,  1632,  4447,  4455,  4456,  1163,  4458,  4481,
    4466,  4463,  1163,  4465,  3450,  4467,  4468,  4474,  4484,  2284,
    3260,  2131,  4494,  4504,  1163,  4496,  4490,  2132,  4500,  4519,
    4516,  4391,  4526,  2760,  4527,  4532,  2760,  2760,  2760,  2760,
    2760,  2760,  2760,  2760,  2760,  2760,  4533,  4542,  4148,  2558,
      81,  2133,  4549,  4551,  4561,  4562,    74,    74,  1545,    74,
    4565,  4579,  1163,  4567,  3450,  2488,  2760,  4564,  4580,  4581,
    4582,  4583,  4596,  4604,   207,   982,  4619,  1872,  1711,  1084,
    4610,  4627,  4634,   356,  1712,  4657,  4664,  4667,  4661,  4673,
    4674,  1713,  4679,  4680,  4685,  2760,  2760,  4689,  1872,  1796,
    2127,  4694,  4695,  2128,  4690,   662,  4700,  1715,  4638,  4713,
    1872,  1969,  4719,  4722,  4728,  1716,   207,   662,  4702,  4718,
    3261,  4724,  2488,  4733,  3950,  4759,  1712,  4751,  2131,  4754,
    4720,  4756,  4762,  1713,  2132,  4721,  4770,  4797,  4813,  4816,
    4785,  1796,  4822,  4826,  2490,  1096,  3218,  1724,  1872,  1715,
    2206,  2134,  3487,  1632,  3124,  2135,  3072,  1716,  2133,  3586,
    4034,  3670,  4536,  4368,  3133,  1717,   404,  4649,   662,  3262,
    3790,  4403,  4563,  4412,  4183,   402,  2136,  2137,  4566,  4394,
    4576,  3541,  4757,  3553,  3298,  4793,  4508,  4725,  4723,  3153,
    4669,  2138,  3443,  4768,  3546,  4184,  3443,  3153,  2589,  4033,
    3201,  4152,  3202,  3597,  2569,  4155,  3185,  1717,  4154,  1163,
    3755,  3262,  4796,  4827,  4823,  3707,   363,  3685,  4769,  2140,
    3423,   404,   363,  4525,  2554,  4715,  3673,   655,  4760,  4528,
     402,  1001,  2141,  4215,  2034,  4622,  4191,  3027,   356,  4192,
    4678,  3648,  1302,  4778,  4824,  4556,  1559,  2883,  2651,  3222,
    4730,  3491,  2884,  4171,  4303,   363,  3978,  3294, -2533,  3450,
    2225,  3492,  2135,  1983,  1872,   982,  1581,  2906,  2251,   982,
     982,  2250,  3504,  3253,  3616,  3500,  3618,  2905,  2900,  1301,
    3517,  3505,  2255,  2136,  2137,   662,  3922,  4612,  4276,  1567,
    4297,  2258,  3979,  4758,  3893,  4602,  3883,  1163, -2533,   363,
    4742,  1872,  4743,  4750,  3495,  3427,  1163,  2143,  3340,  3425,
    3975,  3799,    79,  2850,  1301,  1129,  1925,  3268,  2605,  4740,
    3644,   805,  2270,  1163,  1163,  2931,  2140,  1163,  1099,  1347,
    2263,  2922,  2041,  2938,  1644,  1673,  1645,  2935,  1163,  2141,
     812,  3656,  2280,  1163,  1379,  1021,  1163,  3482,  2936,  4293,
    3963,  1163,  1163,  1021,  3985,  1021,   659,  3984,  2173,  3296,
    2267,  2942,  2294,  1122,    83,  2663,  1972,   363,  4501,  2301,
    2303,  1385,     0,     0,     0,     0,   805,     0,   662,     0,
     662,   806,     0,     0,  1163,     0,  1725,     0,     0,     0,
    4157,  4158,  1726,  2760,     0,   812, -2533, -2533,     0,  2147,
    2148,  2149,  2150,  2151,  2152,  4825,     0,     0,  1872,     0,
       0,     0,  1163,     0, -2533,     0,     0,     0,     0,     0,
       0,     0,   982,     0,     0,     0,   356,     0,   982,     0,
       0,     0,  1727,   984,     0,     0,   806,     0,     0,     0,
       0,     0,     0,     0,     0,  3034,     0,   652,  1163,     0,
       0,     0,     0,   984,     0,     0,     0,     0,  2127,     0,
       0,  2128,     0,     0,  4210,  4211,  4212,     0,     0,     0,
       0,  3803,   982,     0,  2949,   982,   982,     0,     0,  2953,
       0,  1728,  2956,     0,     0,     0,  2131,     0,  1729,     0,
       0,  1730,  2132,     0,     0,     0,     0,     0,     0,  1163,
       0,  1872,     0,     0,  2978,     0,  2147,  2148,  2149,  2150,
    2151,  2152,   363,     0,     0,     0,  2133,     0,     0,     0,
       0,     0,     0,  1163,  1872,     0,  1163,     0,  1163,     0,
       0,     0,     0,  3017,     0,   982,  3443,     0,     0,  3845,
       0,  3443,     0,  1731,  3443,  1163,     0,   363,     0,  1163,
    1301,     0,     0,     0,  1872,     0,  3031,     0,  3850,     0,
       0,     0,     0,     0,     0,     0,     0,  2760,  2760,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3907,  3062,
       0,     0,     0,  3872,     0,     0,     0,     0,     0,     0,
    1872,     0,     0,     0,  1872,  1872,     0,  1732,  3083,  1733,
       0,  3093,  4812,     0,     0,     0,     0,   662,     0,  1734,
       0,     0,     0,     0,     0,     0, -2533,  1735,  3101,  2042,
    2135,   404,     0,     0,  4498,  3105,  1736,     0,     0,  1163,
     402,     0,     0,     0,     0,     0,     0,     0,  3128,  2604,
       0,  2136,  2137,     0,     0,     0,     0,  3135,     0,     0,
       0,     0,     0,     0,     0,     0, -2533,  1872,     0,     0,
    1301,  1738,     0,     0,  4684,     0,     0,     0,     0,     0,
    1632,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2140,     0,  1739,  1163,    74,     0,
       0,    74,     0,     0,     0,     0,     0,  2141,     0,     0,
       0,     0,  1163,     0,     0,     0,  4354,  4355,     0,  4357,
       0,     0,  3259,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1705,     0,     0,     0,  1163,     0,  3602,     0,     0,
     360,     0,  1740,     0,  1163,  4780,     0,  3443,     0,  4781,
    4783,     0,     0,     0,  4782,     0,     0,     0,     0,     0,
       0,     0,     0,  1706,  3624,  1163,  1163,     0,   662,     0,
       0,     0, -2533,     0,   364,     0,   805,   360,  1163,     0,
     364,     0,  4780,     0,     0,   656,  4781,  4783,  2732,  2733,
       0,  4782,     0,     0,     0,   812,  2745,     0,     0,     0,
    2748,  2749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1163,   364,     0,  2770,     0,  2771,  1707,     0,
    3153,   360,  1163,  3153,  3153,     0,  4780,  3153,     0,     0,
    4781,  4783,     0,     0,     0,  4782,   806,  3153,   404,  2793,
       0,  2794,  1832,     0,     0,     0,     0,   402,  3695,  1708,
       0,     0,     0,     0,  3704,     0,     0,   364,     0,     0,
       0,  3695,     0,     0,  2147,  2148,  2149,  2150,  2151,  2152,
       0,     0,     0,     0,  1301,     0,  1301,     0,  3260,     0,
       0,  1163,     0,     0,     0,     0,   404,     0,     0,     0,
    1163,  2294,     0,     0,   404,   402,     0,     0,  4803,     0,
    2760,     0,     0,   402,     0,     0,     0,  3758,     0,  2760,
       0,     0,     0,     0,     0,     0,     0,  1955,     0,     0,
       0,     0,     0,     0,     0,   364,  2760,  2760,  1970,     0,
       0,     0,     0,     0,     0,     0,  3785,  1301,     0,     0,
       0,     0,     0,     0,     0,  4159,  4803,     0,     0,     0,
       0,     0,     0,   982,  4803,   363,     0,     0,     0,   363,
       0,  2127,     0,     0,  2128,     0,     0,     0,     0,     0,
       0,     0,   655,     0,   207,     0,     0,   655,  1711,     0,
       0,  2129,     0,     0,  1712,     0,   655,     0,     0,  2131,
       0,  1713,     0,   805,     0,  2132,     0,     0,     0,  1796,
       0,   982,     0,     0,     0,   356,  2127,  1715,     0,  2128,
       0,     0,   812,   655,     0,  1716,     0,   655,     0,  2133,
       0,  1655,     0,    74,     0,    74,  2129,     0,   655,     0,
       0,     0,     0,     0,  2131,     0,     0,     0,     0,     0,
    2132,   805,  4811,     0,     0,     0,     0,     0,     0,   805,
       0,     0,   655,   806,     0,     0,     0,     0,     0,     0,
     812,     0,     0,     0,  2133,  1717,     0,     0,   812,  3262,
     364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3894,   356,     0,     0,     0,
       0,     0,     0,     0,   655,     0,     0,     0,     0,  2042,
    4804,   806,     0,     0,  3530,   364,     0,     0,     0,   806,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2134,
    4607,     0,     0,  2135,     0,     0,  2760,     0,     0,     0,
    4607,     0,     0,     0,     0,     0,     0,     0,  3955,     0,
       0,     0,     0,     0,  2136,  2137,     0,     0,  4804,     0,
       0,     0,     0,     0,     0,     0,  4804,     0,     0,  2138,
       0,     0,     0,   982,  2134,     0,     0,     0,  2135,     0,
       0,   982,     0,   982,     0,     0,     0,     0,     0,  4647,
       0,  1021,     0,   655,  2139,  1021,     0,  2140,     0,  2136,
    2137,     0,     0,     0,     0,     0,     0,     0,     0,  1178,
    2141,     0,   363,  2142,  2138,  1198,  4328,     0,     0,     0,
       0,     0,     0,  1207,     0,     0,     0,     0,     0,     0,
       0,  1217,     0,     0,     0,     0,  1248,  4337,     0,  2139,
       0,  3607,  2140,   984,     0,   984,     0,   984,  3619,  4346,
       0,     0,     0,   984,     0,  2141,     0,     0,  2142,     0,
       0,     0,  3180,     0,     0,     0,  4692,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   984,   984,     0,   655,
     655,     0,     0,     0,     0,  2143,     0,  4360,     0,     0,
       0,     0,  3695,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3653,     0,     0,  4056,
       0,     0,  4057,     0,  4058,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2143,     0,  4078,  4079,     0,     0,     0,  2127,     0,     0,
    2128,     0,     0,     0,  3153,     0,     0,     0,     0,     0,
    3153,  3153,  3153,  3153,  3153,  3153,     0,  2129,     0,     0,
    1301,     0,     0,     0,  4105,  2131,     0,     0,     0,     0,
       0,  2132,     0,  2144,  2145,  2146,     0,  2147,  2148,  2149,
    2150,  2151,  2152,     0,  1413,  2876,     0,     0,  3704,     0,
       0,  2877,     0,     0,   984,  2133,     0,     0,     0,  4128,
    4130,  4132,  4134,   982,     0,     0,     0,     0,   659,   659,
       0,     0,     0,  1660,     0,     0,  1538,     0,  2144,  2145,
    2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,
       0,     0,  2790,  1561,    35,     0,     0,     0,     0,     0,
    2042,     0,    41,    42,     0,     0,     0,     0,  2127,     0,
       0,  2128,     0,     0,     0,  1587,   984,  2488,     0,     0,
       0,     0,     0,     0,     0,  4190,  2127,     0,  2129,  2128,
       0,  2130,     0,     0,     0,  3824,  2131,     0,     0,     0,
       0,     0,  2132,     0,   655,  1725,   654,     0,     0,     0,
       0,  1726,     0,  3834,  2131,  2134,     0,     0,     0,  2135,
    2132,     0,     0,     0,     0,     0,  2133,   655,     0,     0,
       0,     0,     0,     0,   803,     0,     0,     0,     0,     0,
    2136,  2137,     0,   364,  2133,     0,  4224,   364,     0,     0,
       0,  1727,  2611,     0,     0,  2138,     0,     0,     0,     0,
     656,  2617,     0,     0,     0,   656,     0,     0,     0,  2625,
    2626,     0,     0,     0,   656,     0,     0,     0,   803,     0,
    2139,     0,     0,  2140,     0,     0,     0,  2638,     0,     0,
       0,     0,     0,   655,     0,     0,  2141,     0,     0,  2142,
    1728,   656,     0,     0,     0,   656,     0,  1729,     0,     0,
    1730,     0,     0,     0,  2294,     0,   656,  3485,     0,   982,
       0,     0,     0,     0,  1020,     0,  2134,     0,     0,     0,
    2135,     0,  1020,     0,  1020,     0,     0,     0,     0,     0,
     656,     0,     0,     0,  2134,     0,   803,     0,  2135,     0,
       0,  2136,  2137,     0,  1884,     0,   984,     0,     0,     0,
       0,     0,  1731,     0,     0,     0,  2138,  4298,  4299,  2136,
    2137,  2143,     0,     0,  1909,  1912,  1913,     0,     0,     0,
       0,     0,   656,  2042,  2138,     0,     0,     0,     0,    80,
       0,  2139,     0,     0,  2140,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2141,     0,  2139,
    2142,     0,  2140,  3644,   655,     0,  1732,     0,  1733,     0,
       0,   655,   655,     0,     0,  2141,     0,     0,  1734,     0,
       0,     0,   363,     0,     0,     0,  1735,     0,     0,     0,
       0,     0,     0,     0,     0,  1736,     0,     0,     0,  2042,
       0,     0,     0,  2042,  2042,     0,  4018,     0,     0,  2144,
    2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,     0,
       0,   656,     0,     0,     0,  3354,  1774,     0,     0,     0,
    1738,     0,  2143,     0,   363,   363,   363,     0,  1538,     0,
     364,     0,     0,  3153,  3153,     0,     0,     0,     0,     0,
    2143,     0,     0,     0,   655,  1775,     0,  1301,     0,  2127,
       0,  4372,  2128,  4373,     0,  1538,  4377,  4378,     0,     0,
    4065,     0,     0,  4068,  3704,  3704,  3704,  3704,  3704,  2129,
       0,     0,     0,     0,   363,     0,     0,  2131,  2880,     0,
       0,   363,     0,  2132,     0,     0,   984,     0,   363,     0,
     984,   984,     0,     0,     0,  1021,     0,   656,   656,     0,
       0,  1740,     0,     0,     0,     0,     0,  2133,     0,     0,
    2144,  2145,  2146,  4410,  2147,  2148,  2149,  2150,  2151,  2152,
       0,     0,  1021,     0,     0,     0,     0,     0,  2144,  2145,
    2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,
       0,     0,  4432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   982,     0,     0,
       0,     0,  3699,  3702,     0,  4224,  4224,  4224,  4224,     0,
     982,     0,     0,   659,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2210,     0,     0,     0,  3747,     0,
       0,     0,   655,     0,  1021,     0,     0,  2134,     0,     0,
       0,  2135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2136,  2137,     0,     0,     0,     0,     0,     0,
       0,  2259,     0,   984,     0,  2127,     0,  2138,  2128,   984,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2129,     0,     0,     0,     0,
       0,     0,  2139,  2131,     0,  2140,     0,     0,     0,  2132,
       0,     0,   363,     0,     0,     0,     0,  3695,  2141,     0,
       0,  2142,     0,   984,     0,     0,   984,   984,     0,   655,
       0,     0,   656,  2133,     0,     0,     0,     0,     0,     0,
    3153,     0,     0,     0,  4537,   655,   982,     0,     0,     0,
       0,     0,     0,     0,     0,   656,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   984,     0,     0,     0,
       0,     0,     0,  2143,     0,  2416,     0,     0,     0,     0,
       0,     0,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   656,  2127,   655,     0,  2128,     0,     0,     0,     0,
       0,     0,     0,  2134,     0,     0,     0,  2135,     0,     0,
       0,     0,  2129,     0,     0,     0,     0,     0,     0,  2475,
    2131,     0,     0,     0,     0,     0,  2132,     0,  2136,  2137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2138,     0,     0,  2502,     0,     0,     0,
    2133,  2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,
    2152,     0,     0,     0,     0,  4341,     0,  3402,  2139,     0,
       0,  2140,     0,     0,   803,  3276,     0,  4351,     0,     0,
       0,     0,     0,     0,  2141,     0,  1301,  2142,     0,  3284,
    3285,   654,     0,  3287,     0,     0,   654,     0,     0,  3291,
       0,     0,     0,     0,     0,   654,  3981,  2127,     0,     0,
    2128,     0,   656,     0,     0,     0,     0,     0,     0,   656,
     656,     0,     0,     0,     0,     0,     0,  2129,     0,     0,
     364,     0,   654,     0,     0,  2131,   654,     0,   363,     0,
       0,  2132,     0,     0,     0,     0,     0,   654,     0,     0,
    2134,     0,     0,     0,  2135,     0,     0,     0,     0,  2143,
       0,     0,     0,     0,     0,  2133,  3326,     0,     0,     0,
       0,   654,     0,     0,     0,  2136,  2137,     0,     0,     0,
       0,     0,   364,   364,   364,     0,     0,  2629,     0,     0,
    2138,   982,     0,     0,  1725,     0,  2633,     0,     0,     0,
    1726,     0,   656,     0,     0,     0,     0,   982,     0,     0,
       0,     0,     0,   654,     0,  2139,  2648,     0,  2140,     0,
       0,     0,     0,     0,     0,     0,     0,   363,     0,     0,
       0,  2141,   364,     0,  2142,     0,     0,     0,     0,   364,
    1727,     0,     0,     0,     0,     0,   364,  2144,  2145,  2146,
       0,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,   982,
       0,  3696,  1538,  1538,     0,  2134,     0,  1725,     0,  2135,
       0,     0,     0,  1726,  1378,  1379,   363,     0,   363,     0,
       0,     0,     0,  4112,     0,     0,     0,  3702,     0,  1728,
    2136,  2137,     0,     0,     0,     0,  1729,   655,  4127,  1730,
    1020,     0,   654,     0,  1020,  2138,  2143,     0,     0,     0,
       0,     0,     0,  1727,     0,     0,     0,  4805,     0,     0,
       0,     0,     0,     0,   655,     0,     0,     0,   363,   655,
    2139,     0,   655,  2140,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2141,     0,     0,  2142,
       0,  1731,     0,     0,   655,     0,     0,     0,     0,     0,
     656,     0,  1728,     0,     0,  4805,     0,     0,     0,  1729,
       0,     0,  1730,  4805,   984,     0,     0,     0,     0,     0,
       0,     0,     0,   655,     0,     0,     0,     0,   654,   654,
       0,     0,     0,  2849,  2144,  2145,  2146,     0,  2147,  2148,
    2149,  2150,  2151,  2152,     0,  1732,   655,  1733,  3892,   982,
       0,     0,     0,     0,     0,     0,     0,  1734,  2869,     0,
       0,  2143,   984,     0,  1731,  1735,   659,     0,   363,   655,
       0,   363,     0,     0,  1736,     0,  3550,     0,  2127,     0,
     364,  2128,  1660,     0,     0,     0,     0,     0,   655,     0,
       0,   655,     0,     0,  2882,     0,  2885,   656,  2129,     0,
       0,     0,     0,     0,     0,  1799,  2131,     0,   655,  1738,
       0,     0,  2132,   656,     0,   655,     0,     0,  1732,     0,
    1733,     0,     0,     0,     0,     0,     0,     0,   655,     0,
    1734,     0,     0,     0,  1800,     0,  2133,   655,  1735,     0,
       0,     0,  3589,     0,  3591,     0,     0,  1736,     0,  2144,
    2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,     0,
       0,     0,     0,  3967,     0,  2127,     0,     0,  2128,     0,
     656,     0,     0,     0,     0,     0,     0,     0,  2369,     0,
       0,     0,  1738,     0,     0,  2129,  2294,     0,     0,     0,
    1740,   656,     0,  2131,     0,     0,     0,     0,     0,  2132,
       0,     0,     0,     0,     0,     0,     0,  2370,    74,     0,
    2127,     0,   982,  2128,     0,     0,     0,     0,     0,     0,
       0,     0,  3643,  2133,   984,     0,     0,  3650,     0,     0,
    2129,     0,   984,   654,   984,     0,  2134,     0,  2131,     0,
    2135,     0,     0,     0,  2132,     0,     0,     0,     0,     0,
     655,     0,     0,   982, -2042,     0,   654,     0,     0,     0,
       0,  2136,  2137,  1740,     0,     0,  4344,  4345,  2133,     0,
       0,  4348,  4349,     0,     0,     0,  2138,     0,     0,     0,
       0,     0,     0,     0,     0,   655,     0,     0,     0,     0,
       0,  3053,     0,     0,     0,     0,     0,     0,     0,     0,
   -2042,  2139,     0,     0,  2140,     0,     0,     0,     0,     0,
       0,     0, -2042,     0,     0,     0, -2042,  2141,     0,     0,
    2142, -2042,   654,  2134,     0,     0, -2042,  2135,     0, -2042,
     655, -2042,     0,     0,     0,     0,   364,     0,     0,     0,
       0,     0,     0,  3702,  3702,  3702,  3702,  3702,  2136,  2137,
       0,   982,   655,     0,     0,     0,     0,     0, -2042,     0,
       0,     0,     0,  2138,     0,     0,     0,     0,  2134,     0,
       0,     0,  2135,  3802,     0,     0,     0,  3805, -2042,  3807,
       0,  3809,  3810,     0,     0,     0,     0,     0,  2139,     0,
    3815,  2140,  2143,  2136,  2137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2141,     0,     0,  2142,  2138,     0,
       0,     0,     0,     0, -2042,     0,     0,     0,     0,     0,
       0,     0, -2042,     0,  3833,   364,     0,     0,     0,   363,
    3217,     0,     0,  2139,     0,   363,  2140,     0,     0,     0,
       0,     0,     0,   654,     0,     0,     0,     0,     0,  2141,
     654,   654,  2142,     0,   984,     0,     0,     0,     0,     0,
       0,   803,     0,     0,     0,     0,     0, -2042,     0,     0,
       0,  3884,     0,     0,   364,     0,   364,     0,     0,  2143,
    2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,
       0,     0,     0,     0,  3993,   656,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   997,     0,   803,     0,     0,     0,     0,     0,     0,
    4497,   655,   656,     0,  2143,     0,   364,   656,     0,     0,
     656,     0,     0,   654, -2042,     0,     0,  3885,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   656,     0,     0,     0,     0, -2042,     0, -2042,
   -2042,     0,     0,     0,     0,     0,   982,  2144,  2145,  2146,
       0,  2147,  2148,  2149,  2150,  2151,  2152,   803,     0,  3962,
       0,   656,     0,     0,  1020,     0,     0,     0,     0,     0,
       0,     0, -2042,     0,   655, -2042, -2042,     0, -2042,     0,
       0,     0,     0,     0,   656,     0,     0,     0,     0,     0,
       0,  1020,  2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,
    2151,  2152,     0,     0,     0,     0,   364,   656,     0,   364,
       0,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   656,     0,     0,   656,
     984,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    85,     0,   656,     0,     0,     0,
      89,     0,     0,   656,    93,     0,    94,     0,    96,    97,
       0,     0,     0,     0,     0,     0,   656,     0,     0,   106,
       0,   654,     0,  1020,     0,   656,     0,     0,     0,     0,
       0,     0,   363,   363,   363,     0,   119,   120,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3438,     0,
       0,   655,     0,     0,     0,     0,     0,     0,   655,     0,
       0,     0,     0,  2127,     0,     0,  2128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   128,  2129,     0,     0,     0,     0,     0,     0,
       0,  2131,   129,     0,   130,   131,  2127,  2132,     0,  2128,
       0,   803,  1538,     0,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,   655,     0,   654,     0,
       0,  2133,     0,     0,  2131,     0,     0,     0,     0,   141,
    2132,   142,   143,     0,   654,     0,     0,   145,   656,   146,
       0,     0,     0,     0,   363,     0,     0,     0,     0,   148,
       0,   149,  4682,     0,  2133,     0,     0,     0,     0,     0,
       0,   363,     0,     0,     0,   152,     0,   153,     0,     0,
     156,     0,     0,   656,     0,   655,     0,   655,     0,     0,
       0,     0,   157,     0,   158,     0,     0,     0,   159,     0,
       0,   654,     0,     0,   160,     0,     0,     0,     0,     0,
       0,   162,     0,   164,     0,     0,     0,     0,     0,   166,
       0,     0,   654,     0,     0,     0,     0,     0,   656,     0,
       0,  2134,     0,   170,     0,  2135,     0,     0,     0,     0,
       0,     0,     0,     0,  4204,     0,     0,     0,   655,     0,
     656,  4207,  4208,     0,     0,     0,  2136,  2137,     0,     0,
       0,     0,     0,     0,  2134,     0,     0,     0,  2135,     0,
       0,  2138,     0,     0,     0,     0,     0,   655,     0,     0,
       0,     0,     0,     0,     0,     0,   183,   184,   984,  2136,
    2137,     0,   185,     0,     0,   655,  2139,     0,     0,  2140,
     186,   984,     0,     0,  2138,     0,     0,     0,     0,     0,
       0,   191,  2141,   655,     0,  2142,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   364, -2044,     0,
       0,     0,  2140,   364,     0,     0,  4802,     0,     0,     0,
       0,     0,     0,     0,     0,  2141,     0,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,   205,     0,   206,   803,     0,     0,
       0,   207,     0,     0, -2044,     0,   208,     0,     0,   210,
       0,     0,     0,   212,  4802,   363, -2044,  2143,   213,   214,
   -2044,     0,  4802,     0,     0, -2044,   215,     0,     0,   217,
   -2044,     0,     0, -2044,     0, -2044,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3739,   222,   656,
    2143,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2044,     0,     0,   227,     0,   228,     0,     0,
       0,     0,  3754,     0,   230,     0,     0,   984,     0,  3762,
     231,     0, -2044,  3767,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,  3779,     0,
       0,  4338,  4339,     0,     0,  2144,  2145,  2146,     0,  2147,
    2148,  2149,  2150,  2151,  2152,     0,     0,     0, -2044,  4227,
       0,     0,   656,     0,     0,     0, -2044,  3811,     0,     0,
    3812,   245,     0,     0,     0,  -132,  1869,     0,  2144,  2145,
    2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,
       0,  4361,  4362,     0,     0,     0,   654,     0,     0,   656,
       0,     0,     0,     0,     0,     0,     0,  1538,     0,     0,
       0, -2044,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2127,   654,     0,  2128,   655,   803,   654,     0,
       0,   654,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2129,     0,     0,     0,     0,     0,     0,     0,
    2131,     0,     0,   654,     0,   997,  2132,     0,   363,     0,
       0,     0,   363,     0,   363,     0,     0,     0,     0,     0,
     364,   364,   364,     0,     0,     0,     0,     0, -2044,     0,
    2133,     0,   654,     0,     0,     0,     0,     0,     0,   656,
     655,     0,     0,   655,     0,     0,   656,     0,     0,     0,
       0, -2044,     0, -2044, -2044,   654,     0,     0,     0,     0,
       0,     0,     0,  4443,     0,  4444,  4445,     0,     0,     0,
       0,     0,     0,  3917,  3918,  3919,  4448,   803,   654,     0,
     803,   655,  1869,     0,     0,     0, -2044,     0,     0, -2044,
   -2044,     0, -2044,     0,     0,     0,     0,   654,     0,     0,
     654,     0,     0,     0,   656,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   654,     0,     0,
       0,     0,     0,     0,   654,     0,     0,     0,     0,     0,
    2134,     0,   364,   700,  2135,     0,     0,   654,     0,     0,
       0,     0,   984,     0,     0,     0,   654,     0,     0,   364,
       0,     0,     0,     0,     0,  2136,  2137,     0,   984,     0,
       0,     0,     0,   656,     0,   656,     0,     0,     0,     0,
    2138,   700,     0,  2127,     0,     0,  2128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   700,     0,  2129,     0,  2139,     0,     0,  2140,     0,
       0,  2131,     0,     0,     0,     0,     0,  2132,     0,   993,
     984,  2141,     0,     0,  2142,     0,     0,     0,     0,     0,
       0,     0,   994,     0,     0,     0,   656,     0,     0,     0,
    1002,  2133,     0,     0,   655,     0,     0,     0,     0,     0,
       0,     0,     0,  2127,     0,  1012,  2128,   993,     0,     0,
       0,  1033,     0,     0,     0,   656,     0,     0,     0,   654,
       0,  1062,     0,  2129,     0,     0,     0,     0,     0,  1067,
       0,  2131,  2127,   656,     0,  2128,     0,  2132,     0,     0,
       0,     0,     0,     0,     0,     0,  2143,     0,     0,     0,
       0,   656,  2129,     0,   654,     0,     0,     0,     0,     0,
    2131,  2133,     0,     0,     0,     0,  2132,     0,     0,  4598,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2133,  2134,     0,     0,     0,  2135,     0,     0,     0,   654,
       0,     0,     0,  4124,     0,     0,     0,     0,  1869,     0,
       0,     0,     0,     0,     0,     0,  2136,  2137,     0,     0,
     984,   654,  4150,   364,     0,  4624,     0,     0,     0,     0,
       0,  2138,     0,     0,  2144,  2145,  2146,     0,  2147,  2148,
    2149,  2150,  2151,  2152,     0,  4161,     0,     0,  4261,     0,
       0,     0,     0,     0,  4648,  2397,  2139,     0,     0,  2140,
       0,  2134,     0,     0,     0,  2135,     0,     0,     0,     0,
       0,     0,  2141,     0,     0,  2142,     0,     0,     0,     0,
       0,  1869,     0,     0,     0,     0,  2136,  2137,     0,     0,
    2134,     0,     0,     0,  2135,     0,     0,     0,   803,     0,
       0,  2138,     0,     0,   803,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2136,  2137,   655,     0,     0,
       0,     0,     0,     0,     0,     0,  2139,     0,     0,  2140,
    2138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2141,     0,     0,  2142,     0,  2143,  1869,     0,
       0,     0,     0,     0,     0,  2139,     0,     0,  2140,     0,
       0,     0,     0,     0,     0,     0,   363,  1869,   655,     0,
       0,  2141,     0,     0,  2142,     0,     0,     0,     0,     0,
       0,     0,     0,   984,     0,  1869,     0,     0,     0,     0,
     654,     0,     0,     0,   656,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4262,  4263,  4264,
    4265,     0,     0,  1869,     0,     0,     0,  2143,     0,     0,
       0,   363,     0,     0,   984,     0,   364,     0,     0,     0,
     364,     0,   364,     0,     0,  2144,  2145,  2146,     0,  2147,
    2148,  2149,  2150,  2151,  2152,     0,  2143,     0,     0,  4464,
       0,     0,     0,     0,     0,     0,     0,     0,   656,     0,
       0,   656,     0,   654,     0,     0,     0,     0,     0,     0,
       0,  1869,  4790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   656,
     654,     0,     0,     0,     0,  2144,  2145,  2146,     0,  2147,
    2148,  2149,  2150,  2151,  2152,     0,     0,     0,     0,  4506,
     700,     0,   984,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2144,  2145,  2146,     0,  2147,  2148,
    2149,  2150,  2151,  2152,     0,     0,     0,     0,  4547,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     4,     0,     0,     0,     0,     0,     0,
       0,   803,   803,   803,     0,     0,     0,     0,   655,     0,
     655,     0,     0,     5,     0,     0,     0,     0,     0,     0,
     654,     0,     0,     6,     7,     0,     0,   654,     0,     0,
       0,     9,    10,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,   656,     0,     0,   654,     0,     0,     0,     0,
       0,     0,  1869,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   803,     0,     0,     0,     0,     0,     0,
       0,     0,    46,  4438,     0,     0,     0,  2862,     0,     0,
     803,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   654,     0,   654,     0,     0,     0,
       0,     0,     0,     0,  1159,  1165,  1165,   700,     0,  1165,
    1172,     0,  1159,     0,  1062,     0,  1195,   984,     0,     0,
    1062,     0,  1062,     0,     0,     0,  1165,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,  1219,     0,     0,     0,
       0,  1062,    47,  1159,     0,     0,  1165,     0,   700,     0,
    1165,     0,     0,     0,     0,     0,  1195,   654,    48,  1272,
       0,     0,     0,     0,     0,     0,  1165,     0,     0,     0,
       0,  2127,     0,     0,  2128,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,   654,   655,     0,     0,
       0,  2129,     0,     0,     0,     0,     0,  1159,     0,  2131,
      50,   363,   700,     0,   654,  2132,  1159,     0,     0,  1195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   654,     0,  1165,     0,     0,     0,     0,  2133,
       0,     0,     0,    51,     0,     0,    52,     0,     0,     0,
       0,     0,     0,   656,     0,     0,     0,     0,     0,     0,
       0,    53,     0,     0,     0,   656,     0,     0,     0,     0,
       0,     0,     0,  4545,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
    1414,     0,     0,     0,   803,  1538,     0,     0,     0,     0,
       0,     0,  3022,     0,   364,     0,   656,  2397,  3029,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,  1869,     0,
     700,  1062,     0,     0,    54,     0,     0,     0,     0,  2134,
       0,     0,     0,  2135,     0,     0,     0,     0,  1062,     0,
       0,     0,  1062,     0,     0,     0,     0,     0,   655,     0,
    1520,     0,     0,     0,  2136,  2137,     0,     0,     0,   364,
    1062,     0,     0,     0,     0,    55,     0,     0,     0,  2138,
       0,     0,  1062,  4683,     0,     0,     0,     0,    56,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4631,     0,     0,    57,  2139,     0,     0,  2140,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2141,     0,     0,  2142,     0,     0,     0,     0,   363,    58,
       0,     0,     0,   656,     0,    59,     0,     0,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1340,  1971,
       0,     0,     0,    71,  1869,     0,     0,     0,  2127,     0,
       0,  2128,     0,  1062,     0,     0,     0,     0,     0,  2127,
    1165,  1165,  2128,     0,     0,   654,   363,     0,  2129,     0,
       0,     0,     0,     0,   363,     0,  2131,     0,     0,  2129,
       0,     0,  2132,     0,     0,  2143,     0,  2131,     0,     0,
       0,     0,     0,  2132,     0,     0,     0,   803,     0,  1159,
       0,   803,     0,   803,     0,     0,  2133,     0,     0,  1159,
       0,     0,  1195,  2397,     0,     0,   656,  2133,   656,     0,
       0,     0,     0,     0,     0,  1165,     0,     0,     0,   654,
       0,     0,   654,     0,     0,     0,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,  1165,  1165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
    1062,  1062,  1165,     0,  1159,     0,     0,     0,  1922,     0,
     654,     0,     0,  2144,  2145,  2146,     0,  2147,  2148,  2149,
    2150,  2151,  2152,     0,     0,     0,     0,  4729,     0,     0,
       0,     0,     0,     0,     0,  4788,  1165,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,  2134,     0,  1869,     0,
    2135,     0,     0,     0,     0,     0,     0,  2134,     0,     0,
       0,  2135,     0,     0,     0,     0,     0,     0,     0,     0,
    1520,  2136,  2137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2136,  2137,     0,     0,  2138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2019,  2019,
       0,  2139,     0,  1062,  2140,   993,     0,     0,     0,     0,
       0,     0,  2139,     0,     0,  2140,     0,  2141,     0,     0,
    2142,     0,     0,     0,     0,     0,     0,  2051,  2141,     0,
    1062,  2142,     0,  2057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1520,     0,     0,  4789,     0,
       0,     0,     0,   654,     0,     0,     0,     0,     0,     0,
       0,     0,  2127,     0,     0,  2128,     0,     0,     0,     0,
       0,     0,     0,  1520,     0,   656,     0,     0,     0,     0,
       0,     0,  2129,     0,     0,     0,  2890,     0,     0,   364,
    2131,  2127,  2143,     0,  2128,     0,  2132,  2862,  2862,  2862,
       0,  1520,  1520,  2143,  1520,     0,     0,     0,     0,     0,
       0,  2129,     0,     0,     0,     0,     0,     0,     0,  2131,
    2133,  1520,     0,     0,     0,  2132,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   700,   700,     0,     0,     0,     0,     0,     0,  2133,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2891,     0,     0,     0,  1062,
       0,     0,  1520,     0,     0,     0,     0,     0,     0,     0,
    2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,
       0,  2144,  2145,  2146,  4814,  2147,  2148,  2149,  2150,  2151,
    2152,  1520,     0,     0,     0,  1520,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,  1062,  2261,     0,     0,
    2134,     0,     0,     0,  2135,     0,     0,     0,  3378,     0,
    1869,     0,     0,  3379,     0,     0,   656,     0,     0,     0,
       0,     0,     0,   700,     0,  2136,  2137,     0,     0,  2134,
       0,     0,     0,  2135,     0,     0,     0,     0,     0,     0,
    2138,     0,     0,     0,   654,     0,     0,     0,  2397,  3029,
       0,  3029,     0,     0,  2136,  2137,   654,     0,     0,     0,
       0,     0,     0,     0,     0,  2139,     0,     0,  2140,  2138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2141,     0,     0,  2142,     0,   364,     0,     0,     0,
       0,     0,     0,     0,  2139,     0,     0,  2140,     0,     0,
       0,  1869,     0,  1869,     0,   803,     0,   654,     0,     0,
    2141,     0,     0,  2142,  2404,     0,     0,     0,     0,     0,
    1062,     0,     0,  1165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   364,     0,     0,     0,  1195,     0,
       0,     0,   364,     0,     0,     0,     0,  1869,  2127,     0,
       0,  2128,     0,     0,     0,     0,  2143,     0,     0,     0,
     803,     0,     0,     0,     0,     0,     0,     0,  1869,     0,
    1165,  1165,  1165,  1165,  1062,     0,  2131,     0,     0,     0,
       0,     0,  2132,     0,     0,  2143,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3029,     0,  2127,     0,  2501,
    2128,  1062,     0,     0,     0,  2892,  2133,     0,  3029,  1165,
    1165,     0,     0,     0,     0,  1165,     0,  2129,     0,     0,
    3342,     0,     0,     0,   654,  2131,     0,     0,     0,     0,
       0,  2132,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2144,  2145,  2146,     0,  2147,  2148,
    2149,  2150,  2151,  2152,     0,  2133,     0,     0,     0,     0,
       0,     0,  1165,     0,     0,     0,     0,     0,  3908,     0,
       0,     0,  1869,  2144,  2145,  2146,     0,  2147,  2148,  2149,
    2150,  2151,  2152,     0,     0,  3029,  1165,  1165,  1165,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,  1869,     0,
       0,     0,     0,     0,     0,  2501, -2533,     0,     0,     0,
    2135,     0,     0,     0,     0,     0,     0,   654,     0,   654,
    1159,     0,     0,     0,     0,     0,     0,   700,     0,  1159,
       0,  2136,  2137,     0,     0,     0,     0,  1195,     0,     0,
       0,     0,  1062,     0,     0,     0, -2533,     0,     0,     0,
       0,  1062,     0,     0,     0,  2134,     0,  1165,  1165,  2135,
       0,     0,     0,     0,     0,     0,  1869,     0,     0,     0,
       0,  1062,     0,     0,  2140,     0,     0,     0,     0,     0,
    2136,  2137,     0,     0,     0,  1869,     0,  2141,     0,     0,
       0,     0,     0,     0,     0,  2138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2019,     0,     0,     0,     0,
    1869,     0,     0,  1159,     0,     0,     0,  1062,  1062,     0,
    2139,     0,     0,  2140,     0,  1062,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2141,     0,     0,  2142,
       0,   993,   993,     0,     0,  2707,  1869,     0,     0,  1520,
    1520,     0,     0,     0,     0,     0,     0,  1520,     0,     0,
    1520,     0, -2533,  1520,     0,     0,     0,     0,     0,     0,
       0,  1520,  1520,     0,  2127,     0,     0,  2128,     0,  1520,
       0,  1195,  1520,  1520,  1520,  1520,  2862,     0,     0,     0,
       0,     0,  1520,  1520,  2129,  1520,     0,  1520,  1520,     0,
       0,  1520,  2131,     0,     0,     0,     0,     0,  2132,     0,
       0,  2143,     0,     0,     0,     0,     0,     0,  1520,     0,
       0,     0,  1165,  1520,     0,     0,     0,  1520,     0,     0,
       0,  1520,  2133,  1520,  1520,  1520,  1520,  1520,  1520,  1520,
    1520,  1520,     0,  1520,  2127,     0,   654,  2128,  1062,  1520,
       0,     0,  1520,     0,  2147,  2148,  2149,  2150,  2151,  2152,
     803,     0,     0,     0,  2129,     0,     0,  3386,     0,     0,
       0,     0,  2131,  1062,     0,     0,     0,     0,  2132,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2144,
    2145,  2146,  2133,  2147,  2148,  2149,  2150,  2151,  2152,  1062,
       0,  1062,     0,  1520,     0,     0,     0,     0,  2127,     0,
       0,  2128,     0,     0,     0,     0,     0,     0,     0,  3029,
       0,     0,  2134,     0,     0,     0,  2135,     0,  2129,     0,
       0,     0,     0,     0,     0,     0,  2131,     0,     0,  2913,
       0,  2920,  2132,  2127,     0,     0,  2128,  2136,  2137,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2138,     0,     0,     0,  2133,     0,     0,     0,
       0,  2131,     0,     0,     0,     0,     0,  2132,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2139,     0,     0,
    2140,     0,  2134,     0,     0,     0,  2135,   654,     0,     0,
       0,  2133,     0,  2141,   700,     0,  2142,     0,     0,   993,
       0,   993,     0,     0,     0,     0,     0,  2136,  2137,     0,
    3356,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
       0,  1159,  2138,  1165,  1165,  1165,     0,  1159,  1195,     0,
    1165,     0,  1165,     0,  1165,  1165,     0,     0,     0,     0,
    3391,     0,     0,     0,     0,     0,     0,  2139,     0,     0,
    2140,     0,  1869,  3911,     0,     0,  2134,   803,     0,     0,
    2135,     0,     0,  2141,     0,     0,  2142,     0,  2143,  2404,
       0,     0,     0,     0,     0,  3035,     0,     0,     0,     0,
    3044,  2136,  2137,     0,     0,  2397,  1062,     0,     0,     0,
       0, -2533,     0,     0,     0,  2135,  2138,     0,     0,     0,
       0,  3075,  3075,     0,     0,   803,     0,     0,   700,     0,
       0,     0,     0,   803,     0,     0,  2136,  2137,     0,     0,
       0,  2139,  1165,     0,  2140,     0,     0,     0,     0,     0,
       0, -2533,     0,     0,     0,     0,     0,  2141,  2143,     0,
    2142,     0,     0,     0,     0,  3123,     0,  3125,  3127,     0,
       0,     0,     0,     0,     0,     0,  2144,  2145,  2146,  2140,
    2147,  2148,  2149,  2150,  2151,  2152,     0,     0,     0,     0,
       0,     0,  2141,     0,  1165,     0,     0,     0,     0,     0,
       0,     0,  1165,  1165,  1165,  1165,  1165,  1165,     0,     0,
       0,     0,     0,     0,     0,  1869,     0,  1520,     0,     0,
       0,     0,     0,     0,     0,     0,  1869,     0,     0,     0,
       0,     0,  2143,     0,     0,     0,     0,     0,     0,     0,
    2404,     0,     0,     0,  3075,  1062,  2144,  2145,  2146,   993,
    2147,  2148,  2149,  2150,  2151,  2152,     0,     0,     0,     0,
       0,     0,     0,  2862,     0,     0,     0, -2533,  2862,     0,
       0,     0,     0,     0,  3123,     0,     0,     0,     0,     0,
    2862,  1165,  3248,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1165,
    3075,  1165,  3075,     0,     0,     0,     0,     0,     0,     0,
    2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,
       0,     0,     0,  1869,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1869,  2019,     0,     0,     0,  2147,
    2148,  2149,  2150,  2151,  2152,     0,  1869,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2127,     0,     0,  2128,     0,     0,     0,  1159,     0,     0,
       0,  1159,     0,     0,  1869,     0,     0,     0,     0,  1165,
    2129,     0,     0,  3397,     0,  1520,  1520,     0,  2131,     0,
       0,     0,     0,     0,  2132,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1520,  1520,     0,  2133,     0,
    1520,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1520,  1520,  1520,  1520,     0,     0,  2127,     0,
       0,  2128,     0,     0,     0,  1520,     0,     0,  1520,     0,
    1520,  3406,     0,     0,     0,     0,     0,     0,  2129,     0,
    1520,  1520,     0,     0,  1520,     0,  2131,     0,     0,     0,
       0,     0,  2132,     0,     0,     0,     0,  1520,     0,  1520,
       0,  1195,     0,  1520,     0,     0,     0,     0,     0,     0,
    4436,     0,     0,     0,     0,     0,  2133,     0,     0,  1520,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
    3451,     0,  1520,  1520,  1520,     0,     0,     0,  2134,     0,
       0,     0,  2135,     0,     0,     0,     0,  1869,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
       0,     0,     0,  2136,  2137,     0,     0,     0,  1520,     0,
       0,     0,     0,  1520,     0,     0,     0,  1062,  2138,     0,
    1520,     0,     0,     0,     0,     0,  3451,     0,     0,  3511,
       0,     0,   811,  2920,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2139,     0,     0,  2140,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2134,     0,     0,  2141,
    2135,     0,  2142,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   811,     0,     0,     0,
       0,  2136,  2137,     0,     0,     0,  1520,     0,  3075,     0,
       0,     0,     0,  2019,  3029,  2127,  2138,     0,  2128,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,  1165,  1165,     0,     0,     0,     0,     4,     0,
       0,  2139,  1024,  2131,  2140,     0,     0,     0,     0,  2132,
    1024,     0,  1024,     0,  2143,     0,     0,  2141,     5,     0,
    2142,     0,     0,     0,   811,     0,     0,     0,     6,     7,
       0,     0,     0,  2133,     8,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,    36,  3029,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1869,     0,  2143,     0,     0,  4259,     0,     0,     0,     0,
       0,     0,  2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,
    2151,  2152,     0,     0,     0,     0,     0,  3842,     0,     0,
    1869,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0, -2533,     0,     0,     0,  2135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3075,  3075,     0,
       0,     0,     0,     0,     0,     0,  1869,     0,  2136,  2137,
    1869,  1869,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2533,     0,     0,  3703,     0,     0,     0,
    2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,  2152,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,  2140,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,  2141,     0,     0,     0,     0,     0,
       0,     0,     0,  4436,     0,     0,  2019,  1062,     0,     0,
       0,     0,     0,    49,  1062,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   700,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,  1062,     0,     0,    51, -2533,
       0,    52,  3816,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1159,     0,     0,    53,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
       0,     0,     0,     0,     0,     0,     0,  1520,     0,     0,
       0,     0,     0,  1520,     0,  1520,     0,     0,     0,     0,
       0,  1520,     0,     0,  1520,  1520,  1520,  1520,  1520,  1520,
    1520,  1520,  1520,  1520,     0,     0,     0,  1520,  1520,    54,
       0,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,     0,
    1520,     0,     0,     0,  1520,     0,     0,     0,  1520,     0,
       0,     0,     0,     0, -2056,     0,     0,     0,  1520,     0,
       0,  1520,     0,  1520,     0,     0,     0,     0,     0,     0,
      55,     0,  1520,  1520,  1520,     0,     0,     0,  1520,     0,
       0,  1520,     0,    56,     0,     0,     0,     0,  1062,  1062,
    1062,  3451,  3925,     0,     0,     0,  3925,  3938,    57,  2127,
   -2056,  1520,  2128,     0,     0,     0,     0,  3952,     0,  1520,
       0,  1520, -2056,     0,     0,     0, -2056,     0,     0,  2129,
       0, -2056,  3891,     0,    58,     0, -2056,  2131,     0, -2056,
      59, -2056,     0,  2132,    60,    61,    62,    63,    64,     0,
       0,    65,    66,    67,    68,     0,    69,    70,    71,    72,
      73,     0,     0,     0,     0,  1520,     0,  2133, -2056,     0,
       0,  1520,     0,     0,     0,  2920,     0,  1520,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2056,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3999,  2019,  2019,     0,  2501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1165,  1165,
    1165,  1165,     0,     0, -2056,     0,     0,     0,     0,     0,
       0,  2127, -2056,     0,  2128,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4032,
       0,  2129,     0,     0,     0,     0,     0,     0,     0,  2131,
       0,     0,     0,     0,     0,  2132,     0,  2134,     0,     0,
       0,  2135,   811,     0,     0,     0,     0, -2056,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,  1161,  2133,
       0,     0,  2136,  2137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2138,  4081,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,   997,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2139,     0,     0,  2140,     0,     0,     0,     0,
       0,     0,     0,     0, -2056,     0,     0,     0,  2141,     0,
       0,  2142,     0,     0,     0,     0,     0,     0,     0,     0,
    3703,     0,     0,     0,     0,     0,     0, -2056,  1062, -2056,
   -2056,     0,     0,  1161,     0,     0,     0,     0,     0,  1165,
       0,  1520,  1161,     0,     0,     0,     0,  1062,     0,  2134,
       0,     0,     0,  2135,     0,     0,     0,     0,     0,     0,
    2404,     0, -2056,     0,     0, -2056, -2056,     0, -2056,     0,
    1062,     0,     0,     0,  2136,  2137,     0,     0,     0,  3123,
       0,     0,     0,  2143,  4178,     0,     0,     0,  2404,  2138,
    3816,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1520,  1520,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2139,     0,     0,  2140,     0,     0,
       0,     0,     0,     0,     0,  3075,     0,  3075,     0,     0,
    2141,     0,     0,  2142,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,  1024,     0,
       0,  1520,  1024,     0,     0,     0,     0,     0,     0,     0,
       0,  2144,  2145,  2146,     0,  2147,  2148,  2149,  2150,  2151,
    2152,     0,     0,     0,     0,     0,  1161,     0,     0,     0,
       0,   864,     0,     0,     0,     0,     0,  1520,     0,     0,
       0,     0,     0,   865,     0,  2143,     0,  1520,  1520,     0,
       0,     0,     0,     0,     0,  1520,  1520,     0,     0,     0,
    1520,     0,     0,     0,   866,     0,  1520,  1520,     0,     0,
    1520,     0,  1062,  1062,  1062,  1062,     0,   867,     0,  3925,
       0,     0,  4267,     0,     0,  3451,   868,     0,     0,  3451,
    -698,     0,     0,     0,     0,  4280,     0,     0,  1520,     0,
       0,     0,     0,  1520,     0,     0,     0,   869,     0,  4290,
       0,     0,     0,   870,     0,  1520,     0,     0,     0,     0,
       0,     0,     0,     0,  1195,     0,     0,     0,   871,     0,
       0,     0,  3511,  2144,  2145,  2146,  2920,  2147,  2148,  2149,
    2150,  2151,  2152,     0,     0,     0,   872,     0,     0,     0,
     993,     0,     0,  1520,     0,     0,     0,   873,     0,     0,
       0,     0,     0,     0,   874,     0,     0,     0,   875,     0,
    3075,  3075,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,  -886,     0,  1161,     0,  4336,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   918,     0,  1870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   919,     0,     0,
     876,  1165,  1725,     0,     0,     0,     0,     0,  1726,     0,
       0,     0,     0,     0,     0,  1165,     0,     0,   920,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   921,     0,  1756,     0,     0,     0,   877,     0,     0,
     878,     0,     0,     0,   922,     0,     0,  2019,  1727,     0,
       0,     0,     0,     0,     0,     0,  3703,  3703,  3703,  3703,
    3703,   923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1757,
    1520,     0,   924,     0,     0,     0,  1161,     0,     0,     0,
     879,     0,     0,     0,     0,     0,   880,  1728,     0,     0,
     925,     0,  -377,     0,  1729,   881,     0,  1730,  1165,  2404,
       0,   926,     0,     0,     0,     0,   927,     0,     0,     0,
       0,     0,   928,     0,     0,     0,     0,     0,     0,     0,
    -377,     0,   882,   883,     0,   884,   885,   929,  1062,     0,
    4442,     0,     0,  1870,   886,     0,     0,     0,     0,   887,
       0,     0,     0,     0,   888,     0,  1758,   889,     0,  1731,
     890,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
       0,  1161,     0,  -377,     0,     0,     0,  1520,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,  1520,     0,     0,  1520,  1161,
       0,  1759,     0,  1760,     0,  3925,     0,     0,     0,  3451,
       0,   930,     0,  1761,  3451,  1733,     0,  3451,  3123,     0,
    4486,   931,  1520,  1520,     0,  1734,     0,  1161,  1161,     0,
    1161,     0,     0,  1735,     0,     0,     0,     0,     0,   838,
       0,  1762,  1736,     0,  1164,  1166,     0,  1161,  1169,  1170,
       0,     0,     0,     0,     0,  3999,  1195,  1165,  1165,  1165,
       0,     0,     0,     0,   932,  1204,     0,     0,   933,     0,
     934,     0,     0,  1763,     0,     0,   935,  1738,  1764,   936,
       0,     0,     0,  1159,  1195,  1253,     0,     0,     0,  1256,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,   811,
       0,     0,  1765,     0,   937,  1277,   938,     0,     0,     0,
     939,     0,  1766,  2019,     0,     0,     0,     0,   940,  1159,
       0,     0,     0,   941,     0,     0,     0,  1161,  1062,     0,
       0,  1161,  1161,     0,   942,     0,     0,     0,     0,     0,
       0,  3075,     0,  2404,     0,     0,     0,   943,     0,     0,
       0,     0,     0,     0,     0,  4178,     0,     0,  1740,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,  1165,
    3999,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1220,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,  1520,     0,  1520,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1870,
       0,     0,     0,     0,     0,   811,  1520,     0,     0,  1221,
    3451,     0,  1024,  4486,     0,     0,     0,     0,     0,  4618,
       0,     0,  1222,  1223,     0,     0,     0,     0,     0,     0,
       0,  1224,     0,     0,     0,  1225,     0,     0,     0,  1024,
       0,  1165,     0,     0,     0,  1062,  1870,     0,     0,     0,
       0,     0,  1226,     0,   825,     0,     0,     0,  1165,  1165,
    1165,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1870,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1520,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
     826,     0,  1229,     0,     0,     0,     0,  1230,     0,     0,
       0,     0,     0,   827,     0,     0,     0,     0,     0,     0,
       0,  1024,     0,     0,     0,     0,     0,     0,  1231,     0,
     828,     0,     0,     0,     0,     0,   829,     0,     0,  1870,
       0,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
       0,   830,     0,  1232,  1165,     0,  1195,     0,  1870,     0,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,   831,
       0,     0,     0,     0,     0,     0,  1870,     0,     0,     0,
     832,     0,     0,     0,     0,   833,     0,     0,     0,  1745,
    1746,   834,     0,  1165,     0,     0,  1159,     0,     0,   811,
       0,     0,  1233,     0,  1870,  3999,   835,     0,     0,     0,
       0,     0,     0,     0,  4442,     0,     0,     0,     0,     0,
       0,     0,     0,  4618,     0,     0,  1520,  1520,     0,     0,
     838,   836,     0,     0,     0,     0,     0,     0,     0,  1159,
       0,     0,     0,     0,     0,     0,     0,  1165,     0,     0,
       0,     0,     0,     0,  1827,  1234,  1161,     0,     0,  1235,
       0,  1236,  1870,     0,     0,  1161,     0,  1237,     0,     0,
    1238,     0,     0,  1520,  1886,  1887,     0,     0,     0,     0,
     837,     0,     0,  1520,     0,     0,     0,     0,  1165,     0,
       0,  1914,     0,     0,     0,  1239,     0,  1240,     0,     0,
       0,  1241,     0,     0,     0,     0,     0,     0,   838,  1242,
       0,     0,     0,     0,  1243,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1945,  1947,     0,     0,     0,
       0,     0,     0,   839,     0,     0,     0,     0,  1244,   840,
       0,     0,  1520,     0,     0,   841,     0,     0,   842,  1161,
       0,  1159,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   843,     0,   844,     0,     0,     0,   845,
       0,     0,     0,     0,     0,  1161,  1161,   846,     0,     0,
       0,     0,   847,  1161,     0,     0,  1161,     0,     0,  1161,
       0,     0,     0,   848,     0,     0,     0,  1161,  1161,     0,
       0,     0,     0,     0,     0,  1161,   849,     0,  1161,  1161,
    1161,  1161,  1859,     0,     0,     0,     0,     0,  1161,  1161,
       0,  1161,     0,  1161,  1161,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1870,  1161,   811,     0,     0,     0,  1161,
       4,     0,     0,  1161,     0,     0,     0,  1161,     0,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,     0,  1161,
       5,     0,     0,     0,     0,  1161,     0,     0,  1161,     0,
       6,     7,     0,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1859,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   811,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,    48,     0,  1161,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    49,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1870,     0,     0,     0,    50,  1870,  1870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2419,     0,     0,   811,     0,     0,   811,     0,
      51,     0,     0,    52,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    53,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2471,
    2472,  2473,  2474,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,     0,     0,  1022,     0,  1022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2509,  2510,
       0,     0,     0,     0,  2519,     0,     0,     0,     0,     0,
       0,    54,     0,     0,  1859,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,  1870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2540,    55,     0,     0,     0,     0,     0,     0,     0,
       0,  1859,     0,     0,     0,    56,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2573,  2574,  2575,  2576,     0,
      57,     0,     0,     0,     0,     0,     0,  1859,     0,     0,
       0,     0,     0,     0,  1870,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    58,     0,     0,     0,
       0,     0,    59,     0,     0,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1340,     0,     0,     0,     0,
      71,  1341,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,  2640,     0,     0,
       0,     0,     0,     0,  1859,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1859,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1870,
       0,  1859,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1859,
       0,  1161,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,  1161,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,  1161,
    1161,  1161,     0,     0,     0,     0,   811,  1859,     0,     0,
       0,  1161,   811,     0,  1161,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,  1161,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2803,     0,  1161,     0,  1161,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,  1161,  1161,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,  1859,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1870,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1870,
    1870,     0,  1870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2987,  2988,  2989,     0,     0,     0,     0,  2997,
       0,  2999,     0,  3001,  3002,     0,     0,     0,     0,   811,
     811,   811,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1870,     0,  1870,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1870,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,  3096,     0,     0,     0,     0,     0,     0,     0,  1870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   811,     0,     0,     0,     0,  1870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,   811,  1870,
       0,     0,     0,  3145,     0,     0,  1157,     0,     0,     0,
       0,  3154,  3155,  3156,  3157,  3158,  3159,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1859,     0,
       0,     0,     0,  1859,  1859,     0,     0,     0,     0,     0,
       0,     0,     0,  1870,  1859,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1870,
    3238,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,  3278,  1161,
    3280,     0,  1022,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,  1161,     0,     0,  1870,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,  1161,
       0,  1161,     0,     0,     0,     0,  1870,  1161,     0,     0,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1859,     0,     0,  1161,  1161,     0,     0,     0,     0,     0,
       0,  1870,     0,     0,     0,     0,  1161,     0,     0,     0,
    1161,     0,   811,     0,  1161,     0,     0,     0,  3332,     0,
       0,     0,     0,     0,  1161,     0,     0,  1161,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,  1870,  1161,  1161,
    1161,     0,     0,     0,  1161,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,  1859,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,  1868,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1859,     0,     0,     0,  1161,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   811,     0,     0,     0,   811,
    1870,   811,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1868,     0,  3555,
       0,  3556,  3557,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1867,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1870,     0,     0,     0,     0,     0,     0,
       0,  1157,  1157,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,     0,     0,  1870,  1161,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,  1859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1867,     0,     0,
       0,  1157,     0,     0,     0,  1157,  1157,     0,     0,     0,
       0,     0,     0,     0,  1859,  1859,     0,  1859,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,  1161,     0,  1870,     0,     0,     0,
       0,  1161,  1161,     0,     0,     0,  1161,  1870,     0,     0,
       0,     0,  1161,  1161,     0,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1859,     0,  1859,
       0,  1161,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,  1868,  1161,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,  1022,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1859,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
    1868,     0,     0,     0,  1859,     0,     0,     0,  2193,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1870,     0,  1868,     0,     0,  3838,
       0,  1859,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1859,  1870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1022,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1868,     0,  1870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1859,     0,
       0,     0,  1868,   811,     0,     0,     0,     0,     0,     0,
       0,  1859,     0,     0,     0,     0,     0,     0,     0,     0,
    1868,     0,     0,  1867,  1859,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,  1868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   811,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1867,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1859,     0,     0,     0,  1867,     0,     0,     0,
    1157,  1870,     0,     0,     0,     0,  1868,     0,     0,  1157,
       0,  1859,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,  1859,     0,  1870,     0,
       0,     0,     0,  1161,     0,     0,     0,  4013,  4014,  4015,
    4016,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,  1161,     0,  1867,  1161,     0,     0,     0,     0,     0,
       0,     0,  1859,     0,     0,  1161,     0,     0,     0,     0,
    1161,     0,  1867,  1161,     0,     0,     0,     0,  1161,  1161,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
    1867,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,  1867,  1157,
    1157,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
    1157,     0,     0,  1157,     0,  1870,     0,     0,     0,  1161,
       0,  1157,  1157,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,  1157,  1157,  1157,  1157,     0,     0,     0,     0,
       0,     0,  1157,  1157,     0,  1157,     0,  1157,  1157,     0,
       0,  1157,     0,     0,     0,  1161,  1867,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1868,  1157,     0,
       0,     0,     0,  1157,     0,     0,     0,  1157,  4142,     0,
       0,  1157,     0,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,     0,  1157,     0,     0,     0,     0,     0,  1157,
       0,     0,  1157,     0,     0,     0,  1161,     0,  1870,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1859,     0,     0,     0,     0,
    1161,  1870,     0,  1161,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,  1161,     0,     0,     0,
       0,  1870,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1870,     0,     0,
       0,  1870,  1870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   811,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1867,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1870,     0,     0,     0,  1859,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,  1157,     0,     0,  1161,     0,     0,  1157,     0,     0,
       0,  1859,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,  1861,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1868,     0,     0,
       0,     0,  1868,  1868,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,  1868,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1859,     0,     0,     0,     0,     0,     0,     0,  1161,
    4356,     0,  1859,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,  4359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   811,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,  1861,  1868,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,   811,     0,     0,     0,  1161,     0,     0,
       0,   811,     0,     0,     0,     0,     0,  1867,     0,     0,
       0,     0,  1867,  1867,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1867,     0,     0,     0,  4411,     0,  1859,
       0,     0,     0,     0,     0,     0,     0,     0,  1868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1859,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1859,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1859,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,  1867,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4511,  4513,  4513,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,  1157,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,  1157,  1157,  1157,     0,     0,  1867,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,  1157,     0,
    1157,     0,     0,     0,  1861,     0,     0,     0,     0,     0,
    1157,  1157,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,  1859,     0,     0,     0,  1157,     0,  1157,
     708,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
     708,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,  1861,     0,     0,     0,     0,     0,     0,  4584,     0,
    1157,     0,  1157,  1157,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,  1861,     0,     0,
       0,     0,     0,  1867,     0,     0,  1157,   905,     0,     0,
     708,     0,     0,     0,     0,     0,   905,     0,  1157,     0,
     708,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
     708,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1859,     0,     0,     0,     0,     0,   905,     0,     0,     0,
    4628,     0,     0,     0,  1861,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4644,     0,
    4646,     0,     0,  1861,     0,     0,     0,     0,     0,  1076,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,  1861,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1868,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1861,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1859,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1868,  1868,     0,  1868,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1859,     0,     0,     0,
       0,     0,     0,  4513,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1861,     0,     0,
       0,     0,     0,     0,     0,     0,  1859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1868,     0,  1868,     0,
       0,     0,  4727,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1859,     0,     0,     0,  1859,  1859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1125,     0,  4761,     0,     0,     0,
       0,     0,     0,  1868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1867,     0,     0,     0,     0,
    1868,     0,     0,     0,     0,     0,     0,  4795,     0,     0,
       0,     0,     0,  1868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1867,  1867,     0,  1867,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1868,  1861,     0,
       0,     0,     0,     0,     0,     0,  1867,     0,  1867,     0,
    1868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1867,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1867,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,  1868,     0,     0,     0,     0,     0,  1157,     0,     0,
    1867,     0,     0,  1157,     0,  1157,     0,     0,     0,     0,
    1868,  1157,     0,  1867,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,     0,     0,     0,  1157,  1157,     0,
       0,     0,     0,     0,     0,  1868,     0,     0,   905,   905,
    1157,     0,     0,     0,  1157,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,  1157,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,  1868,  1157,  1157,  1157,     0,     0,  1867,  1157,     0,
       0,  1157,     0,     0,     0,     0,  1125,     0,     0,     0,
    1867,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,  1867,     0,     0,     0,     0,     0,  1157,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,  1861,     0,
       0,  1157,     0,  1861,  1861,     0,     0,  1157,     0,     0,
       0,  1867,     0,     0,  1861,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1867,     0,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1171,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,  1867,  1199,     0,  1201,     0,
    1203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1251,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,  1867,     0,     0,  1868,  1273,  1274,     0,     0,     0,
    1276,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1125,     0,   905,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1305,     0,     0,     0,     0,     0,     0,
    1861,     0,     0,     0,     0,     0,     0,  1325,     0,     0,
    1327,     0,  1329,     0,  1332,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,   905,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   708,     0,   708,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   708,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1861,
       0,  1157,     0,   708,   708,     0,     0,     0,     0,     0,
    1411,     0,  1412,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1868,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1125,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1868,  1157,  1157,     0,  1867,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1076,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1861,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1667,     0,
    1669,     0,     0,     0,  1671,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,  1157,     0,
    1868,     0,     0,     0,     0,  1157,  1157,     0,     0,     0,
    1157,  1868,     0,     0,     0,     0,  1157,  1157,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,  1867,     0,  1157,
       0,     0,  1802,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,  1815,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,  1823,
    1867,     0,     0,   660,     0,     0,  1825,     0,   704,     0,
     704,     0,     0,     0,     0,     0,     0,     0,  1876,     0,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   704,     0,  1868,     0,
    1918,     0,     0,     0,     0,     0,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   704,   704,     0,  1868,
     704,     0,     0,     0,     0,     0,   704,     0,     0,     0,
     985,  1868,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     985,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1867,     0,     0,     0,     0,     0,   704,     0,     0,  1868,
       0,  1867,     0,     0,     0,     0,     0,     0,   708,     0,
     708,     0,     0,   708,     0,   708,     0,     0,   708,   708,
     708,     0,     0,     0,     0,     0,  1861,     0,     0,     0,
       0,   708,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   708,     0,   708,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,  1861,  1861,     0,  1861,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1867,     0,
       0,     0,     0,     0,     0,  1868,     0,  1861,     0,  1861,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1867,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1867,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,  1868,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,  1861,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,  1157,     0,     0,  1157,  1867,
       0,     0,     0,     0,  1861,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,  1157,     0,     0,  1157,     0,     0,
       0,     0,  1157,  1157,   704,     0,     0,     0,     0,     0,
       0,  1861,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1861,     0,  1076,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1868,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2292,     0,     0,  2292,     0,  1861,     0,
       0,     0,     0,     0,  2299,     0,     0,     0,     0,  1157,
       0,  1861,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2308,     0,  1861,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1867,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2368,     0,     0,
    1157,     0,  1868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,  1868,     0,  1157,     0,  1157,
       0,     0,  1861,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
    1157,  1861,     0,     0,     0,  1868,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1861,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1867,
       0,  1868,     0,     0,     0,  1868,  1868,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   704,   704,
       0,     0,  1861,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   704,     0,  1868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2549,     0,     0,     0,
       0,     0,  1867,     0,     0,     0,     0,     0,  1157,  2571,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,  1867,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2615,     0,  1867,  1157,  2619,     0,     0,
       0,     0,     0,     0,     0,  1157,  2628,     0,  2630,     0,
    2631,     0,     0,     0,     0,  2632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,  1157,     0,     0,
       0,  1867,     0,     0,     0,  1867,  1867,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,   708,     0,
     708,     0,     0,     0,   708,  1861,   708,     0,     0,   708,
       0,     0,     0,   708,  2660,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1293,   704,     0,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,   704,     0,     0,   704,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     660,     0,   985,     0,   985,     0,     0,     0,     0,     0,
     660,     0,     0,     0,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1861,     0,
       0,     0,     0,   985,   985,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2863,     0,     0,     0,     0,     0,     0,     0,     0,     5,
       0,  1861,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,   704,     0,   704,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   660,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   660,   660,     0,    46,  1649,
       0,  1861,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1861,     0,  1125,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2950,  2951,     0,     0,     0,  2954,  2955,     0,     0,
    2958,     0,     0,   660,     0,     0,     0,     0,     0,     0,
    2968,     0,     0,     0,     0,     0,     0,  2976,     0,     0,
       0,     0,     0,  2981,  2982,     0,     0,     0,    47,     0,
       0,     0,     0,     0,  2996,     0,  2998,     0,     0,     0,
       0,     0,     0,     0,    48,     0,     0,     0,     0,     0,
    3018,     0,     0,     0,     0,  3020,     0,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1861,
       0,  3036,  3037,  3040,  3042,     0,    50,     0,  3049,  3052,
       0,     0,     0,     0,     0,     0,  3063,     0,     0,  3067,
    1861,     0,     0,  3071,     0,     0,     0,     0,     0,     0,
       0,     0,  1861,     0,     0,     0,     0,     0,  3094,    51,
       0,     0,    52,     0,     0,     0,     0,     0,  3097,     0,
    3099,     0,     0,     0,     0,     0,     0,    53,  3102,  3103,
    3104,     0,  3106,     0,     0,     0,     0,     0,     0,     0,
    1861,     0,     0,     0,     0,  3129,  3130,  3131,     0,     0,
       0,     0,     0,     0,     0,  3136,  3137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   660,     0,     0,     0,     0,   704,     0,
     704,     0,     0,   704,     0,   704,     0,     0,   704,   704,
     704,     0,     0,     0,  2014,     0,     0,     0,     0,     0,
      54,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3196,     0,     0,   704,     0,   704,     0,     0,     0,
       0,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1861,     0,    58,     0,     0,     0,     0,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1340,  2641,     0,     0,     0,    71,
    1162,     0,     0,     0,     0,  1125,     0,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,  2168,     0,     0,
       0,     0,     0,     0,     0,     0,   704,   704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,   660,  3321,     0,     0,   660,   660,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1861,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     4,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     5,     0,   704,     0,
     660,     0,     0,     0,     0,     0,     6,     7,     0,     0,
    2296,     0,     0,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,  1861,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,  1861,     0,     0,     0,
     660,     0,     0,     0,     0,     0,   660,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1861,     0,     0,     0,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
     660,     0,     0,   660,   660,     0,     0,     0,     0,     0,
       0,     0,  1861,     0,     0,     0,  1861,  1861,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3531,  3532,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,     0,
       0,     0,     0,   660,     0,     0,     0,     0,     0,     0,
       0,    48,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    49,     0,     0,     0,     0,     0,  3563,  3565,     0,
       0,  3565,     0,     0,     0,  3572,  3573,  3574,     0,     0,
       0,     0,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1508,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3592,
    3593,  3594,  3595,     0,     0,  1162,    51,     0,     0,    52,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,  1578,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3620,     0,  1871,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3652,     0,
       0,     0,     0,  3654,     0,     0,     0,    54,   704,     0,
     704,     0,     0,     0,   704,     0,   704,     0,     0,   704,
       0,     0,     0,   704,     0,     0,     0,     0,  2168,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    56,  3735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3742,     0,     0,     0,    57,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3761,     0,
     905,     0,    58,  1871,     0,     0,     0,     0,    59,     0,
       0,     0,    60,    61,    62,    63,    64,     0,     0,    65,
      66,  1340,     0,     0,     0,     0,    71,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,   905,     0,     0,  3804,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3813,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2014,     0,     0,     0,     0,     0,     0,
    2864,     0,     0,     0,     0,     0,     0,  1162,  1162,  2296,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   660,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,  1162,  1162,     0,  2066,     0,     0,     0,     0,   660,
       0,     0,     0,   660,     0,     0,     0,     0,     0,  2934,
       0,  1649,     0,     0,   704,     0,     0,     0,     0,     0,
       0,     0,  2089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2114,  2115,     0,  2118,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1871,
    2158,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1871,     0,  4010,     0,
       0,  2211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1871,     0,     0,     0,     0,     0,     0,     0,
    2233,     0,  4031,     0,  2243,  2246,     0,     0,     0,     0,
       0,   660,     0,     0,     0,     0,     0,     0,     0,   660,
       0,   660,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4059,     0,     0,     0,     0,  4066,  4067,     0,
    4069,  4070,  4071,  4072,  4073,  4074,  4075,     0,     0,  1871,
       0,     0,     0,     0,     0,  4082,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1871,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1871,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1871,     0,     0,     0,     0,     0,
    4136,  4138,  4140,     0,     0,  4143,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,  1871,     0,     0,  1162,     0,     0,     0,     0,
    1862,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3565,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   704,  2014,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   660,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,  1162,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,  1162,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,  1162,  1162,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,  1162,  1162,
    1162,  1162,     0,     0,     0,     0,  1862,     0,  1162,  1162,
       0,  1162,     0,  1162,  1162,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1871,  1162,     0,     0,     0,     0,  1162,
       0,     0,     0,  1162,     0,     0,     0,  1162,     0,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,     0,  1162,
       0,     0,     0,     0,     0,  1162,     0,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2296,  4331,     0,     0,     0,   660,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4342,  4343,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4352,  4353,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,  2730,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2752,     0,
       0,  2754,     0,     0,  2765,     0,     0,     0,     0,     0,
       0,  2772,  2777,     0,     0,     0,     0,  2783,     0,     0,
    2788,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2797,     0,     0,
       0,     0,  2804,     0,     0,     0,  2816,     0,     0,     0,
    2823,     0,  2825,  2826,  2827,  2828,  2829,  2830,  2831,  2832,
    2833,     0,  2834,     0,     0,     0,     0,     0,  1508,     0,
       0,  2859,     0,     0,     0,     0,  4405,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,  1162,     0,     0,
    4426,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,  1862,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4446,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,  1871,     0,     0,     0,     0,  1871,  1871,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1871,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1862,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1862,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   708,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   660,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   660,     0,
       0,     0,  1862,     0,     0,  2979,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1862,     0,  1162,     0,  1871,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1862,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4554,     0,  1862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   704,     0,     0,     0,
       0,     0,     0,     0,  1871,     0,     0,     0,     0,     0,
       0,     0,     0,  3565,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1862,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,   660,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3172,     0,     0,  1871,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,  1162,     0,     0,     0,  1162,  3565,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,  1162,
    1162,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,  1162,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,  1162,     0,     0,
    1162,     0,     0,  3292,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,  1162,  1862,     0,     0,  1162,
       0,     0,     0,     0,     0,  4726,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,  2934,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,  1162,  1162,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,  3338,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   660,
       0,     0,     0,  2154,     0,     0,     0,     0,     0,     0,
       0,  2777,     0,  2777,  2777,   660,     0,     0,     0,     0,
       0,     0,     0,     0,  3400,     0,     0,  3403,     0,  3405,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3426,     0,  3428,     0,
       0,  1871,  3431,     0,     0,     0,     0,   660,     0,     0,
       0,     0,     0,  2154,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2859,  2859,  2859,     0,     0,     0,     0,     0,  1871,
    1871,     0,  1871,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2233,     0,     0,
       0,     0,  3499,     0,     0,     0,     0,     0,     0,  2246,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1871,     0,  1871,     0,  1862,     0,     0,     0,
       0,  1862,  1862,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1862,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1864,  1871,     0,
       0,     0,     0,     0,     0,  3540,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   660,     0,  1871,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1865,     0,     0,     0,     0,     0,  1871,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1871,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1871,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1871,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1871,
       0,     0,     0,  1864,  2296,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
     660,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1865,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,  1871,     0,     0,
       0,   660,     0,  1162,     0,     0,     0,     0,     0,  1162,
       0,  1162,     0,     0,     0,     0,  1871,  1162,     0,     0,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
       0,     0,     0,  1162,  1162,     0,     0,     0,     0,     0,
       0,  1871,  1862,     0,     0,     0,  1162,     0,     0,     0,
    1162,     0,  2154,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,  1162,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,  1871,  1162,  1162,
    1162,     0,     0,     0,  1162,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,   660,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2154,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3843,     0,     0,
       0,  1162,     0,     0,  2154,     0,  3846,  1162,     0,  2761,
       0,     0,  3847,  1162,  3848,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2154,
    2154,     0,     0,  2154,     0,     0,  3866,  3867,  1162,  1864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2783,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3895,     0,     0,
    3898,     0,  3900,  2154,     0,     0,     0,     0,     0,     0,
       0,  3904,  1865,     0,     0,     0,  1864,  3909,     0,     0,
    3912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1871,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3941,     0,  1864,     0,     0,   704,     0,     0,  3953,     0,
    2859,     0,     0,     0,     0,     0,  2154,     0,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2154,     0,
       0,     0,     0,     0,   660,  1865,     0,     0,  2154,     0,
       0,  2154,     0,     0,  3970,     0,     0,     0,     0,     0,
    1508,     0,     0,     0,  1862,     0,  1578,     0,     0,  1864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1864,     0,
       0,     0,     0,     0,     0,     0,  1866,     0,     0,     0,
       0,     0,  1862,  1862,     0,  1862,  1864,  1162,     0,     0,
       0,     0,  1865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1865,     0,  1871,  1864,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1865,
       0,     0,     0,     0,     0,  1862,     0,  1862,     0,     0,
       0,     0,     0,     0,     0,     0,  1871,  1162,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,  1865,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1864,     0,     0,     0,     0,     0,     0,     0,
       0,  1862,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1862,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,     0,     0,  1865,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1862,
       0,     0,  1866,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1862,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,  1162,     0,  1871,     0,     0,     0,
       0,  1162,  1162,     0,     0,     0,  1162,  1871,     0,     0,
       0,     0,  1162,  1162,     0,     0,  1162,     0,     0,     0,
     660,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,  1862,     0,     0,  1162,
    4193,  4194,     0,     0,     0,     0,     0,     0,     0,  1862,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1862,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,  1864,     0,     0,     0,     0,     0,     0,
    4225,     0,     0,     0,  1871,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1871,     0,     0,     0,     0,
    1862,     0,     0,     0,     0,     0,  1865,  1871,     0,     0,
       0,     0,     0,     0,     0,     0,  4243,  4245,     0,  1862,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4252,
       0,     0,     0,     0,     0,  4257,  4258,     0,     0,  4260,
       0,     0,     0,     0,  1862,  1871,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2859,     0,     0,
       0,     0,  2859,     0,     0,     0,     0,     0,     0,     0,
    1862,     0,     0,     0,  2859,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1866,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,  2154,     0,     0,     0,     0,
       0,     0,  4314,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2154,     0,  2154,
       0,  2761,  2761,  3374,     0,  1866,  2761,     0,     0,     0,
    2154,     0,     0,     0,     0,     0,     0,  2154,     0,     0,
       0,  1871,  2154,     0,     0,     0,     0,     0,  2154,     0,
       0,  1866,     0,  2154,     0,     0,     0,     0,     0,     0,
       0,     0,  2154,     0,     0,     0,  2761,  2761,     0,  2154,
       0,     0,     0,     0,  1162,     0,     0,     0,  1871,     0,
       0,  2154,     0,  1162,     0,     0,     0,     0,  2154,     0,
    2154,  2154,  2154,  2154,  2154,  2154,  2154,  2154,  2154,  2154,
    1162,  1162,     0,  1864,  1162,     0,     0,     0,  1864,  1864,
       0,     0,     0,     0,     0,  1162,     0,     0,  1866,  1864,
    1162,     0,     0,  1162,  2154,     0,     0,     0,  1162,  1162,
       0,     0,     0,     0,     0,     0,     0,  1866,     0,     0,
       0,     0,     0,  1862,     0,     0,  1865,     0,     0,  4392,
       0,  1865,  1865,     0,     0,  1866,     0,     0,     0,     0,
       0,  1162,  1865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1866,     0,  1871,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1866,     0,     0,  2154,  1864,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4472,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,  1871,     0,
       0,     0,     0,     0,     0,     0,  1862,     0,  1865,     0,
       0,     0,  4489,     0,     0,     0,     0,     0,     0,     0,
    1162,  1871,     0,  1162,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,  1864,     0,     0,     0,     0,  1862,
       0,     0,  1162,     0,     0,     0,  1162,     0,     0,     0,
       0,  1871,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1865,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1871,     0,     0,
       0,  1871,  1871,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,  1864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1862,
       0,     0,  1866,     0,  1871,     0,     0,  2154,     0,     0,
    1862,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,  2783,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,  4609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,  1162,     0,     0,     0,  1862,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,  2154,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,  4666,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1862,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,  2154,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,     0,
       0,     0,     0,     0,  3374,  3374,     0,  2761,     0,     0,
    2761,  2761,  2761,  2761,  2761,  2761,  2761,  2761,  2761,  2761,
    3374,     0,  4709,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,     0,  2154,     0,  1162,  2154,     0,
    2154,     0,     0,     0,     0,  3374,  3374,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2761,
    2761,  2154,  1866,  2154,     0,     0,  2154,  1866,  1866,     0,
       0,  1864,     0,     0,     0,  4747,  4747,     0,  1866,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1864,
    1864,     0,  1864,     0,  1865,     0,     0,     0,     0,     0,
       0,     0,  4747,  2154,     0,     0,     0,     0,     0,     0,
       0,     0,  4792,     0,  2154,     0,     0,     0,     0,     0,
       0,  1862,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1865,  1865,     0,  1865,     0,     0,     0,     0,
       0,     0,  1864,     0,  1864,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2154,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4747,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1866,  1865,     0,  1865,  1864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,     0,
       0,  1865,     0,     0,     0,     0,  1864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1864,
       0,     0,  1865,  1866,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1864,     0,     0,     0,     0,     0,     0,
       0,  1862,     0,     0,     0,     0,  1864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2761,     0,  1864,
       0,     0,     0,     0,  1862,     0,     0,     0,  1866,     0,
       0,     0,     0,     0,     0,     0,  1865,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1865,
       0,     0,     0,     0,  1862,     0,     0,     0,     0,     0,
       0,     0,  1865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1864,     0,     0,
    1862,     0,     0,     0,  1862,  1862,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1865,  1864,     0,     0,     0,     0,     0,     0,  2154,     0,
       0,  2154,  2154,  2154,     0,     0,  3374,     0,     0,  1865,
       0,  3374,  3374,  3374,  3374,  3374,  3374,  3374,  3374,  3374,
    3374,  2154,  2154,     0,     0,     0,     0,  1864,     0,     0,
       0,     0,     0,     0,  1865,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2154,  2761,  2761,  2154,     0,  2154,     0,     0,     0,  2154,
    3374,  3374,     0,     0,  2154,     0,     0,  2154,     0,     0,
    1865,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2154,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2154,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2154,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1866,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1864,     0,     0,     0,     0,     0,     0,     0,  1866,  1866,
       0,  1866,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1865,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1866,     0,  1866,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3374,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1866,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1866,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2154,  2154,
       0,     0,     0,  1864,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1866,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1866,     0,
    2154,     0,     0,     0,  2761,     0,  1864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1865,     0,  2154,     0,
    2154,     0,     0,     0,     0,  3374,  3374,  2154,     0,     0,
    2761,  2761,  2154,  2154,     0,  2154,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1866,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1866,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1866,  2154,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1864,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1866,     0,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,  2154,     0,     0,
    1865,     0,     0,     0,     0,  1866,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1866,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3374,
    2761,     0,     0,     0,  1864,     0,  1866,     0,     0,     0,
       0,     0,     0,     0,     0,  3374,  3374,  2154,     0,     0,
       0,     0,     0,     0,     0,  1864,     0,     0,     0,     0,
       0,     0,     0,     0,  2154,     0,     0,  1864,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1865,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1865,     0,
       0,     0,     0,     0,     0,  1864,     0,     0,     0,     0,
    1865,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1865,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2154,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1866,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2154,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2154,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1865,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2154,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1866,     0,     0,  1864,     0,  2154,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1866,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1865,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,  1864,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,     0,    35,     0,     0,
       0,  1864,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1865,     0,     0,     0,  1866,     0,     0,     0,     0,
       0,  1864,     0,     0,     0,     0,  1866,     0,     0,     0,
       0,   133,     0,     0,  1865,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,  1864,   144,     0,
       0,  1864,  1864,     0,  1865,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
    1865,     0,     0,     0,  1865,  1865,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,  1866,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,     0,     0,  1866,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,  1866,     0,     0,     0,
       0,     0,   173,   174,     0,     0,     0,     0,     0,   175,
       0,   176,     0,     0,   177,   178,     0,   179,     0,     0,
       0,     0,     0,     0,     0,     0,   180,   181,     0,   182,
       0,     0,     0,     0,  1866,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,   188,
     189,     0,     0,   190,     0,     0,     0,   192,     0,     0,
     193,     0,   194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,   196,   197,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,     0,     0,   218,     0,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,     0,     0,   225,     0,   226,     0,
       0,     0,     0,     0,     0,     0,   229,  1866,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2924,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1866,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1866,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
    1866,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
    1866,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,  1866,     0,     0,     0,
    1866,  1866,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   721,   420,   421,   422,   722,   723,   724,   725,   726,
     727,   728,   423,   424,   729,   425,   426,   133,   427,   428,
     429,   135,   136,   137,   138,   139,   730,   430,   431,   432,
     433,   434,   731,   732,   435,   436,   733,   140,   437,   734,
     438,   439,   440,   441,   144,   735,   442,   736,   443,   444,
     445,   446,   147,   447,   737,   738,   448,   449,   450,   451,
     452,   453,   739,   150,   454,   740,   741,   742,   743,   151,
     744,   745,   746,   455,   456,   457,   458,   683,   459,   154,
     155,   460,   747,   461,   748,   462,   463,   464,   465,   466,
     749,   467,   468,   469,   750,   751,   470,   471,   472,   473,
     474,   752,   475,   476,   477,   753,   478,   479,   754,   480,
     481,   482,   483,   163,   484,   485,   486,   165,   755,   487,
     756,   488,   167,   489,   757,   490,   758,   491,   168,   759,
     169,   492,   493,   494,   760,   495,   171,   761,   496,   762,
     497,   498,   685,   499,   500,   172,   501,   502,   503,   763,
     504,   505,   506,   507,   508,   509,   764,   510,   173,   174,
     765,   511,   512,   513,   766,   175,   767,   176,   768,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,   769,   180,   181,   523,   182,   770,   524,   525,   526,
     771,   772,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,   188,   189,   537,   538,   190,
     773,   539,   540,   192,   541,   774,   193,   542,   194,   543,
     544,   545,   775,   546,   776,   777,   547,   548,   549,   778,
     779,   195,   196,   197,   198,   199,   550,   551,   552,   553,
     554,   555,   556,   780,   557,   200,   558,   201,   559,   560,
     561,   781,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,   782,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   783,   583,   584,   209,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
     784,   594,   595,   596,   597,   598,   785,   599,   216,   600,
     601,   218,   602,   219,   786,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,   787,   613,   614,   788,
     615,   616,   617,   618,   619,   620,   789,   223,   224,   790,
     791,   622,   225,   623,   226,   792,   624,   625,   626,   627,
     628,   629,   793,   794,   630,   631,   632,   633,   634,   795,
     796,   635,   636,   637,   638,   639,   797,   233,   798,   640,
     234,   641,   642,   643,   799,   800,   644,   801,   802,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    85,     0,     0,    86,
      87,    88,    89,    90,    91,    92,    93,     0,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   947,   104,
     105,   106,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,   119,   120,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,   127,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   128,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   129,     0,   130,   131,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,   133,     0,
       0,   134,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,   141,     0,   142,   143,   144,     0,     0,     0,   145,
       0,   146,     0,   147,     0,     0,     0,     0,     0,     0,
       0,   148,     0,   149,   150,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,   152,     0,   153,
     154,   155,   156,     0,     0,     0,     0,     0, -1311,     0,
       0,     0,     0,     0,   157,     0,   158,     0,     0,     0,
     159,     0,     0,     0,     0,     0,   160,   161,     0,     0,
       0,     0,     0,   162,   163,   164,     0,     0,   165,     0,
       0,   166,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,   170,     0,   171,     0,     0,
       0,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   173,
     174,     0,     0, -1311,     0,     0,   175,     0,   176,     0,
       0,   177,   178,     0,   179,     0,     0,     0,     0,     0,
       0,     0,     0,   180,   181,     0,   182,     0,   183,   184,
       0,     0,     0,     0,   185,     0,     0,     0,     0,     0,
       0,     0,   186,     0,     0,   187,   188,   189,     0,     0,
     190,     0,     0,   191,   192,     0,     0,   193,     0,   194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   195,   196,   197,   198,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,     0,     0,     0,   205,     0,   206,     0,
       0,     0,     0,   207,     0,     0,     0,     0,   208,   209,
       0,   210,   211,     0,     0,   212,     0,     0,     0,     0,
     213,   214,     0,     0,     0,     0,     0,     0,   215,   216,
       0,   217,   218,     0,   219,     0,     0,     0,   220,     0,
       0,     0,     0,     0,     0,     0,   221,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,     0,     0,   225,     0,   226,     0,   227,     0,   228,
       0,     0,     0,   229,     0,     0,   230,     0,     0, -1311,
       0,     0,   231,     0,     0,     0,     0,   232,   233,     0,
       0,   234,     0,     0,     0,     0,     0,     0,     0,   235,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   245,   104,   105,     0,  -132,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115,     0,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,     0,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,   171,     0,     0,     0,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   173,   174,     0,     0,     0,     0,
       0,   175,     0,   176,     0,     0,   177,   178,     0,   179,
       0,     0,     0,     0,     0,     0,     0,     0,   180,   181,
       0,   182,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     187,   188,   189,     0,     0,   190,     0,     0,     0,   192,
       0,     0,   193,     0,   194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   195,   196,   197,
     198,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,     0,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,   211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   216,     0,     0,   218,     0,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,     0,     0,   225,     0,
     226,     0,     0,     0,     0,     0,     0,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   233,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,   237,   238,   239,   240,   241,   242,   243,   244,     0,
     714,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,  2926,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1428,  1429,
    1430,    45,  1431,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,  2853,   420,   421,   422,     0,     0,
       0,     0,  1432,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,  1433,   137,  1434,  1435,     0,
     430,   431,   432,   433,   434,  1436,  1437,   435,   436,  1438,
    1439,   437,     0,   438,   439,   440,   441,  1440,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,  1441,
    1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,
     683,   459,  1448,  1449,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,  2854,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,  1451,   484,   485,   486,
    1452,  1453,   487,     0,   488,  1454,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,  1455,
       0,   496,     0,   497,   498,   685,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,  1456,  1457,     0,
    1458,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,  1459,   181,   523,   182,     0,
     524,   525,   526,  1460,  1461,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1462,   188,  1463,
     537,   538,   190,  1464,   539,   540,   192,   541,  1465,  1466,
     542,  1467,   543,   544,   545,     0,   546,     0,     0,  1468,
     548,   549,     0,     0,   195,   196,   197,   198,  1469,   550,
     551,   552,   553,   554,   555,   556,     0,   557,  1470,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1471,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,  1472,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,  1473,
     599,   216,   600,   601,   218,   602,  1474,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1475,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1476,  1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,
     625,   626,   627,   628,   629,     0,  1481,   630,   631,   632,
     633,   634,  1482,     0,   635,   636,   637,   638,   639,   689,
    1483,  2855,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,
       0,     0,     0,     0,     0,     0,  1492,  1493,  2856,     0,
       0,     0,     0,     0,     0,  1495,  2857,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,   411,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1428,  1429,  1430,    45,  1431,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,  1432,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,   135,  1433,   137,  1434,  1435,     0,   430,   431,   432,
     433,   434,  1436,  1437,   435,   436,  1438,  1439,   437,     0,
     438,   439,   440,   441,  1440,     0,   442,     0,   443,   444,
     445,   446,   147,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,  1441,  1442,  1443,  1444,
    1445,  1446,  1447,   455,   456,   457,   458,   683,   459,  1448,
    1449,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1450,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1451,   484,   485,   486,  1452,  1453,   487,
       0,   488,  1454,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,  1455,     0,   496,     0,
     497,   498,   685,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,   174,
       0,   511,   512,   513,  1456,  1457,     0,  1458,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,  1459,   181,   523,   182,     0,   524,   525,   526,
    1460,  1461,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,  1462,   188,  1463,   537,   538,   190,
    1464,   539,   540,   192,   541,  1465,  1466,   542,  1467,   543,
     544,   545,     0,   546,     0,     0,  1468,   548,   549,     0,
       0,   195,   196,   197,   198,  1469,   550,   551,   552,   553,
     554,   555,   556,     0,   557,  1470,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,  1471,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,  1472,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,  1473,   599,   216,   600,
     601,   218,   602,  1474,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1475,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,  1476,  1477,     0,
       0,   622,  1478,   623,  1479,  1480,   624,   625,   626,   627,
     628,   629,     0,  1481,   630,   631,   632,   633,   634,  1482,
       0,   635,   636,   637,   638,   639,   689,  1483,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   690,   650,   651,     0,     0,     0,     0,
       0,     0,     0,  1492,  1493,     0,     0,     0,     0,     0,
       0,     0,  1495,  2763,   714,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   715,   104,   105,   669,   716,     0,
     107,   108,   109,   110,   717,   718,   112,   113,   114,   115,
       0,   116,   719,   720,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,   133,   427,   428,   429,     0,  1837,
     137,  1838,  1839,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,  1840,  1841,   437,     0,   438,   439,   440,
     441,     0,     0,   442,     0,   443,   444,   445,   446,   147,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
     150,   454,     0,     0,     0,     0,   151,     0,     0,     0,
     455,   456,   457,   458,   683,   459,  1842,  1843,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,  1450,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,     0,     0,   487,     0,   488,  1844,
     489,     0,   490,     0,   491,   168,     0,   169,   492,   493,
     494,     0,   495,     0,     0,   496,     0,   497,   498,   685,
     499,   500,   172,   501,   502,   503,  2385,   504,   505,   506,
     507,   508,   509,     0,   510,   173,  2386,     0,   511,   512,
     513,  1456,  1845,     0,  1846,     0,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     181,   523,   182,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,  1847,   188,  1848,   537,   538,     0,     0,   539,   540,
     192,   541,     0,     0,   542,  1849,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,  2387,   196,
     197,   198,     0,   550,   551,   552,   553,   554,   555,   556,
       0,   557,     0,   558,     0,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,  1850,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,   209,   585,   586,     0,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,  2388,   600,   601,   218,   602,
    1852,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,     0,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,  1853,  1854,     0,     0,   622,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,     0,  1855,  2389,   640,   234,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     690,   650,   651,     0,     0,     0,     0,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
    2390,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,     0,  1837,   137,  1838,  1839,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,  1840,  1841,   437,     0,
     438,   439,   440,   441,     0,     0,   442,     0,   443,   444,
     445,   446,   147,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,     0,     0,     0,   151,
       0,     0,     0,   455,   456,   457,   458,   683,   459,  1842,
    1843,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1450,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,     0,     0,   487,
       0,   488,  1844,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,     0,     0,   496,     0,
     497,   498,   685,   499,   500,   172,   501,   502,   503,  2385,
     504,   505,   506,   507,   508,   509,     0,   510,   173,  2386,
       0,   511,   512,   513,  1456,  1845,     0,  1846,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   181,   523,   182,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,  1847,   188,  1848,   537,   538,     0,
       0,   539,   540,   192,   541,     0,     0,   542,  1849,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,  2387,   196,   197,   198,     0,   550,   551,   552,   553,
     554,   555,   556,     0,   557,     0,   558,     0,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,  1850,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,     0,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,  2388,   600,
     601,   218,   602,  1852,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,     0,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,  1853,  1854,     0,
       0,   622,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,     0,  1855,  2389,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   690,   650,   651,     0,     0,     0,     0,
     714,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,  3255,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,     0,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1428,  1429,
    1430,    45,  1431,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,  1432,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,  1433,   137,  1434,  1435,  2773,
     430,   431,   432,   433,   434,  1436,  1437,   435,   436,  1438,
    1439,   437,     0,   438,   439,   440,   441,  1440,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,  1441,
    1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,
     683,   459,  1448,  1449,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,  1451,   484,   485,   486,
    1452,  1453,   487,     0,   488,  1454,   489,     0,   490,     0,
     491,   168,  2774,   169,   492,   493,   494,     0,   495,  1455,
       0,   496,     0,   497,   498,   685,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,  1456,  1457,     0,
    1458,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,  2775,  1459,   181,   523,   182,     0,
     524,   525,   526,  1460,  1461,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1462,   188,  1463,
     537,   538,   190,  1464,   539,   540,   192,   541,  1465,  1466,
     542,  1467,   543,   544,   545,     0,   546,     0,     0,  1468,
     548,   549,     0,     0,   195,   196,   197,   198,  1469,   550,
     551,   552,   553,   554,   555,   556,     0,   557,  1470,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1471,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,  1472,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,  1473,
     599,   216,   600,   601,   218,   602,  1474,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1475,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1476,  1477,     0,  2776,   622,  1478,   623,  1479,  1480,   624,
     625,   626,   627,   628,   629,     0,  1481,   630,   631,   632,
     633,   634,  1482,     0,   635,   636,   637,   638,   639,   689,
    1483,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,
       0,     0,     0,     0,     0,     0,  1492,  1493,     0,     0,
       0,     0,     0,     0,     0,  1495,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,   411,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1428,  1429,  1430,    45,  1431,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,  1432,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
     135,  1433,   137,  1434,  1435,     0,   430,   431,   432,   433,
     434,  1436,  1437,   435,   436,  1438,  1439,   437,     0,   438,
     439,   440,   441,  1440,     0,   442,     0,   443,   444,   445,
     446,   147,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,  1441,  1442,  1443,  1444,  1445,
    1446,  1447,   455,   456,   457,   458,   683,   459,  1448,  1449,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,  1450,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,  1451,   484,   485,   486,  1452,  1453,   487,     0,
     488,  1454,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,  1455,     0,   496,     0,   497,
     498,   685,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,  1456,  1457,     0,  1458,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,  1459,   181,   523,   182,     0,   524,   525,   526,  1460,
    1461,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,  1462,   188,  1463,   537,   538,   190,  1464,
     539,   540,   192,   541,  1465,  1466,   542,  1467,   543,   544,
     545,     0,   546,     0,     0,  1468,   548,   549,     0,     0,
     195,   196,   197,   198,  1469,   550,   551,   552,   553,   554,
     555,   556,     0,   557,  1470,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,  1471,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
    1472,   587,   588,   589,   590,   591,   592,   688,   593,   214,
     594,   595,   596,   597,   598,  1473,   599,   216,   600,   601,
     218,   602,  1474,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1475,     0,   613,   614,   222,   615,
     616,   617,   618,   619,   620,     0,  1476,  1477,     0,     0,
     622,  1478,   623,  1479,  1480,   624,   625,   626,   627,   628,
     629,     0,  1481,   630,   631,   632,   633,   634,  1482,     0,
     635,   636,   637,   638,   639,  2116,  1483,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,   235,   645,   646,
     647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,  1491,   690,   650,   651,     0,     0,     0,     0,     0,
       0,     0,  1492,  1493,     0,     0,     0,     0,     0,     0,
       0,  1495,   714,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   715,   104,   105,   669,   716,     0,   107,   108,
     109,   110,   717,   718,   112,   113,   114,   115,     0,   116,
     719,   720,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,   411,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1428,  1429,  1430,    45,  1431,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,  1432,     0,     0,   423,   424,     0,
     425,   426,   133,   427,   428,   429,   135,  1433,   137,  1434,
    1435,     0,   430,   431,   432,   433,   434,  1436,  1437,   435,
     436,  1438,  1439,   437,     0,   438,   439,   440,   441,  1440,
       0,   442,     0,   443,   444,   445,   446,   147,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,   150,   454,
       0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,   456,
     457,   458,   683,   459,  1448,  1449,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,  1450,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,  1451,   484,
     485,   486,  1452,  1453,   487,     0,   488,  1454,   489,     0,
     490,     0,   491,   168,     0,   169,   492,   493,   494,     0,
     495,  1455,     0,   496,     0,   497,   498,   685,   499,   500,
     172,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   173,   174,     0,   511,   512,   513,  1456,
    1457,     0,  1458,     0,   514,   177,   178,   515,   179,   516,
     517,   518,   519,   520,   521,   522,     0,  1459,   181,   523,
     182,     0,   524,   525,   526,  1460,  1461,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,  1462,
     188,  1463,   537,   538,   190,  1464,   539,   540,   192,   541,
    1465,  1466,   542,  1467,   543,   544,   545,     0,   546,     0,
       0,  1468,   548,   549,     0,     0,   195,   196,   197,   198,
    1469,   550,   551,   552,   553,   554,   555,   556,     0,   557,
    1470,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,  1471,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,   209,   585,   586,  1472,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,  1473,   599,   216,   600,   601,   218,   602,  1474,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
    1475,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,  1476,  1477,     0,     0,   622,  1478,   623,  1479,
    1480,   624,   625,   626,   627,   628,   629,     0,  1481,   630,
     631,   632,   633,   634,  1482,     0,   635,   636,   637,   638,
     639,   689,  1483,     0,   640,   234,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
    1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,   650,
     651,     0,     0,     0,     0,     0,     0,     0,  1492,  1493,
       0,     0,     0,     0,     0,  2061,  2722,  1495,   714,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   715,   104,
     105,   669,   716,     0,   107,   108,   109,   110,   717,   718,
     112,   113,   114,   115,     0,   116,   719,   720,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,   411,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1428,  1429,  1430,    45,
    1431,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
    1432,     0,     0,   423,   424,     0,   425,   426,   133,   427,
     428,   429,   135,  1433,   137,  1434,  1435,     0,   430,   431,
     432,   433,   434,  1436,  1437,   435,   436,  1438,  1439,   437,
       0,   438,   439,   440,   441,  1440,     0,   442,     0,   443,
     444,   445,   446,   147,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,   150,   454,     0,  1441,  1442,  1443,
    1444,  1445,  1446,  1447,   455,   456,   457,   458,   683,   459,
    1448,  1449,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1450,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,  1451,   484,   485,   486,  1452,  1453,
     487,     0,   488,  1454,   489,     0,   490,     0,   491,   168,
       0,   169,   492,   493,   494,     0,   495,  1455,     0,   496,
       0,   497,   498,   685,   499,   500,   172,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   173,
     174,     0,   511,   512,   513,  1456,  1457,     0,  1458,     0,
     514,   177,   178,   515,   179,   516,   517,   518,   519,   520,
     521,   522,     0,  1459,   181,   523,   182,     0,   524,   525,
     526,  1460,  1461,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,  1462,   188,  1463,   537,   538,
     190,  1464,   539,   540,   192,   541,  1465,  1466,   542,  1467,
     543,   544,   545,     0,   546,     0,     0,  1468,   548,   549,
       0,     0,   195,   196,   197,   198,  1469,   550,   551,   552,
     553,   554,   555,   556,     0,   557,  1470,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
    1471,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,   209,
     585,   586,  1472,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,  1473,   599,   216,
     600,   601,   218,   602,  1474,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,  1475,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,  1476,  1477,
       0,     0,   622,  1478,   623,  1479,  1480,   624,   625,   626,
     627,   628,   629,     0,  1481,   630,   631,   632,   633,   634,
    1482,     0,   635,   636,   637,   638,   639,   689,  1483,     0,
     640,   234,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,  1484,  1485,  1486,  1487,
    1488,  1489,  1490,  1491,   690,   650,   651,     0,     0,     0,
       0,     0,     0,     0,  1492,  1493,  1494,     0,     0,     0,
       0,     0,     0,  1495,   714,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   715,   104,   105,   669,   716,     0,
     107,   108,   109,   110,   717,   718,   112,   113,   114,   115,
       0,   116,   719,   720,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,   411,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1428,  1429,  1430,    45,  1431,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,  1432,     0,     0,   423,
     424,     0,   425,   426,   133,   427,   428,   429,   135,  1433,
     137,  1434,  1435,     0,   430,   431,   432,   433,   434,  1436,
    1437,   435,   436,  1438,  1439,   437,     0,   438,   439,   440,
     441,  1440,     0,   442,     0,   443,   444,   445,   446,   147,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
     150,   454,     0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,
     455,   456,   457,   458,   683,   459,  1448,  1449,   460,  1577,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,  1450,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
    1451,   484,   485,   486,  1452,  1453,   487,     0,   488,  1454,
     489,     0,   490,     0,   491,   168,     0,   169,   492,   493,
     494,     0,   495,  1455,     0,   496,     0,   497,   498,   685,
     499,   500,   172,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   173,   174,     0,   511,   512,
     513,  1456,  1457,     0,  1458,     0,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,     0,  1459,
     181,   523,   182,     0,   524,   525,   526,  1460,  1461,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,  1462,   188,  1463,   537,   538,   190,  1464,   539,   540,
     192,   541,  1465,  1466,   542,  1467,   543,   544,   545,     0,
     546,     0,     0,  1468,   548,   549,     0,     0,   195,   196,
     197,   198,  1469,   550,   551,   552,   553,   554,   555,   556,
       0,   557,  1470,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,  1471,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,   209,   585,   586,  1472,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,  1473,   599,   216,   600,   601,   218,   602,
    1474,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,  1475,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,  1476,  1477,     0,     0,   622,  1478,
     623,  1479,  1480,   624,   625,   626,   627,   628,   629,     0,
    1481,   630,   631,   632,   633,   634,  1482,     0,   635,   636,
     637,   638,   639,   689,  1483,     0,   640,   234,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,
     690,   650,   651,     0,     0,     0,     0,     0,     0,     0,
    1492,  1493,     0,     0,     0,     0,     0,     0,     0,  1495,
     714,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,     0,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1428,  1429,
    1430,    45,  1431,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,  2241,   420,   421,   422,     0,     0,
       0,     0,  1432,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,  1433,   137,  1434,  1435,     0,
     430,   431,   432,   433,   434,  1436,  1437,   435,   436,  1438,
    1439,   437,     0,   438,   439,   440,   441,  1440,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,  1441,
    1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,
     683,   459,  1448,  1449,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,  1451,   484,   485,   486,
    1452,  1453,   487,     0,   488,  1454,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,  1455,
       0,   496,     0,   497,   498,   685,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,  1456,  1457,     0,
    1458,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,  1459,   181,   523,   182,     0,
     524,   525,   526,  1460,  1461,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1462,   188,  1463,
     537,   538,   190,  1464,   539,   540,   192,   541,  1465,  1466,
     542,  1467,   543,   544,   545,     0,   546,     0,     0,  1468,
     548,   549,     0,     0,   195,   196,   197,   198,  1469,   550,
     551,   552,   553,   554,   555,   556,     0,   557,  1470,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1471,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,  1472,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,  1473,
     599,   216,   600,   601,   218,   602,  1474,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1475,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1476,  1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,
     625,   626,   627,   628,   629,     0,  1481,   630,   631,   632,
     633,   634,  1482,     0,   635,   636,   637,   638,   639,   689,
    1483,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,
       0,     0,     0,     0,     0,     0,  1492,  1493,     0,     0,
       0,     0,     0,     0,     0,  1495,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,   411,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1428,  1429,  1430,    45,  1431,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,  1432,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
     135,  1433,   137,  1434,  1435,     0,   430,   431,   432,   433,
     434,  1436,  1437,   435,   436,  1438,  1439,   437,     0,   438,
     439,   440,   441,  1440,     0,   442,     0,   443,   444,   445,
     446,   147,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,  1441,  1442,  1443,  1444,  1445,
    1446,  1447,   455,   456,   457,   458,   683,   459,  1448,  1449,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,  1450,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,  1451,   484,   485,   486,  1452,  1453,   487,     0,
     488,  1454,   489,     0,   490,     0,   491,   168,  2774,   169,
     492,   493,   494,     0,   495,  1455,     0,   496,     0,   497,
     498,   685,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,  1456,  1457,     0,  1458,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,  1459,   181,   523,   182,     0,   524,   525,   526,  1460,
    1461,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,  1462,   188,  1463,   537,   538,   190,  1464,
     539,   540,   192,   541,  1465,  1466,   542,  1467,   543,   544,
     545,     0,   546,     0,     0,  1468,   548,   549,     0,     0,
     195,   196,   197,   198,  1469,   550,   551,   552,   553,   554,
     555,   556,     0,   557,  1470,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,  1471,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
    1472,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,  1473,   599,   216,   600,   601,
     218,   602,  1474,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1475,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,  1476,  1477,     0,     0,
     622,  1478,   623,  1479,  1480,   624,   625,   626,   627,   628,
     629,     0,  1481,   630,   631,   632,   633,   634,  1482,     0,
     635,   636,   637,   638,   639,   689,  1483,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,  1491,   690,   650,   651,     0,     0,     0,     0,     0,
       0,     0,  1492,  1493,     0,     0,     0,     0,     0,     0,
       0,  1495,   714,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   715,   104,   105,   669,   716,     0,   107,   108,
     109,   110,   717,   718,   112,   113,   114,   115,     0,   116,
     719,   720,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,   411,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1428,  1429,  1430,    45,  1431,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,  1432,     0,     0,   423,   424,     0,
     425,   426,   133,   427,   428,   429,   135,  1433,   137,  1434,
    1435,     0,   430,   431,   432,   433,   434,  1436,  1437,   435,
     436,  1438,  1439,   437,     0,   438,   439,   440,   441,  1440,
       0,   442,     0,   443,   444,   445,   446,   147,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,   150,   454,
       0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,   456,
     457,   458,   683,   459,  1448,  1449,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,  1450,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,  1451,   484,
     485,   486,  1452,  1453,   487,     0,   488,  1454,   489,     0,
     490,     0,   491,   168,     0,   169,   492,   493,   494,     0,
     495,  1455,     0,   496,     0,   497,   498,   685,   499,   500,
     172,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   173,   174,     0,   511,   512,   513,  1456,
    1457,     0,  1458,     0,   514,   177,   178,   515,   179,   516,
     517,   518,   519,   520,   521,   522,     0,  1459,   181,   523,
     182,     0,   524,   525,   526,  1460,  1461,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,  1462,
     188,  1463,   537,   538,   190,  1464,   539,   540,   192,   541,
    1465,  1466,   542,  1467,   543,   544,   545,     0,   546,     0,
       0,  1468,   548,   549,     0,     0,   195,   196,   197,   198,
    1469,   550,   551,   552,   553,   554,   555,   556,     0,   557,
    1470,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,  1471,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,   209,   585,   586,  1472,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,  1473,   599,   216,   600,   601,   218,   602,  1474,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
    1475,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,  1476,  1477,     0,     0,   622,  1478,   623,  1479,
    1480,   624,   625,   626,   627,   628,   629,     0,  1481,   630,
     631,   632,   633,   634,  1482,     0,   635,   636,   637,   638,
     639,   689,  1483,  3956,   640,   234,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
    1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,   650,
     651,     0,     0,     0,     0,     0,     0,     0,  1492,  1493,
       0,     0,     0,     0,     0,     0,     0,  1495,   714,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   715,   104,
     105,   669,   716,     0,   107,   108,   109,   110,   717,   718,
     112,   113,   114,   115,     0,   116,   719,   720,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,   411,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1428,  1429,  1430,    45,
    1431,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
    1432,     0,     0,   423,   424,     0,   425,   426,   133,   427,
     428,   429,   135,  1433,   137,  1434,  1435,     0,   430,   431,
     432,   433,   434,  1436,  1437,   435,   436,  1438,  1439,   437,
       0,   438,   439,   440,   441,  1440,     0,   442,     0,   443,
     444,   445,   446,   147,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,   150,   454,  3969,  1441,  1442,  1443,
    1444,  1445,  1446,  1447,   455,   456,   457,   458,   683,   459,
    1448,  1449,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1450,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,  1451,   484,   485,   486,  1452,  1453,
     487,     0,   488,  1454,   489,     0,   490,     0,   491,   168,
       0,   169,   492,   493,   494,     0,   495,  1455,     0,   496,
       0,   497,   498,   685,   499,   500,   172,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   173,
     174,     0,   511,   512,   513,  1456,  1457,     0,  1458,     0,
     514,   177,   178,   515,   179,   516,   517,   518,   519,   520,
     521,   522,     0,  1459,   181,   523,   182,     0,   524,   525,
     526,  1460,  1461,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,  1462,   188,  1463,   537,   538,
     190,  1464,   539,   540,   192,   541,  1465,  1466,   542,  1467,
     543,   544,   545,     0,   546,     0,     0,  1468,   548,   549,
       0,     0,   195,   196,   197,   198,  1469,   550,   551,   552,
     553,   554,   555,   556,     0,   557,  1470,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
    1471,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,   209,
     585,   586,  1472,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,  1473,   599,   216,
     600,   601,   218,   602,  1474,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,  1475,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,  1476,  1477,
       0,     0,   622,  1478,   623,  1479,  1480,   624,   625,   626,
     627,   628,   629,     0,  1481,   630,   631,   632,   633,   634,
    1482,     0,   635,   636,   637,   638,   639,   689,  1483,     0,
     640,   234,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,  1484,  1485,  1486,  1487,
    1488,  1489,  1490,  1491,   690,   650,   651,     0,     0,     0,
       0,     0,     0,     0,  1492,  1493,     0,     0,     0,     0,
       0,     0,     0,  1495,   714,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   715,   104,   105,   669,   716,     0,
     107,   108,   109,   110,   717,   718,   112,   113,   114,   115,
       0,   116,   719,   720,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,   411,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1428,  1429,  1430,    45,  1431,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,  1432,     0,     0,   423,
     424,     0,   425,   426,   133,   427,   428,   429,  4744,  1433,
     137,  1434,  1435,     0,   430,   431,   432,   433,   434,  1436,
    1437,   435,   436,  1438,  1439,   437,     0,   438,   439,   440,
     441,  1440,     0,   442,     0,   443,   444,   445,   446,   147,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
     150,   454,  4745,  1441,  1442,  1443,  1444,  1445,  1446,  1447,
     455,   456,   457,   458,   683,   459,  1448,  1449,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,  1450,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
    1451,   484,   485,   486,  1452,  1453,   487,     0,   488,  1454,
     489,     0,   490,     0,   491,   168,     0,   169,   492,   493,
     494,     0,   495,  1455,     0,   496,     0,   497,   498,   685,
     499,   500,   172,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   173,   174,     0,   511,   512,
     513,  1456,  1457,     0,  1458,     0,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,     0,  1459,
     181,   523,   182,     0,   524,   525,   526,  1460,  1461,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,  1462,   188,  1463,   537,   538,   190,  1464,   539,   540,
     192,   541,  1465,  1466,   542,  1467,   543,   544,   545,     0,
     546,     0,     0,  1468,   548,   549,     0,     0,   195,   196,
     197,   198,  1469,   550,   551,   552,   553,   554,   555,   556,
       0,   557,  1470,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,  1471,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,   209,   585,   586,  1472,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,  1473,   599,   216,   600,   601,   218,   602,
    1474,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,  1475,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,  1476,  1477,     0,     0,   622,  1478,
     623,  1479,  1480,   624,   625,   626,  4746,   628,   629,     0,
    1481,   630,   631,   632,   633,   634,  1482,     0,   635,   636,
     637,   638,   639,   689,  1483,     0,   640,   234,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,
     690,   650,   651,     0,     0,     0,     0,     0,     0,     0,
    1492,  1493,     0,     0,     0,     0,     0,     0,     0,  1495,
     714,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,     0,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1428,  1429,
    1430,    45,  1431,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,  1432,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,  1433,   137,  1434,  1435,     0,
     430,   431,   432,   433,   434,  1436,  1437,   435,   436,  1438,
    1439,   437,     0,   438,   439,   440,   441,  1440,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,  4745,  1441,
    1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,
     683,   459,  1448,  1449,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,  1451,   484,   485,   486,
    1452,  1453,   487,     0,   488,  1454,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,  1455,
       0,   496,     0,   497,   498,   685,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,  1456,  1457,     0,
    1458,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,  1459,   181,   523,   182,     0,
     524,   525,   526,  1460,  1461,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1462,   188,  1463,
     537,   538,   190,  1464,   539,   540,   192,   541,  1465,  1466,
     542,  1467,   543,   544,   545,     0,   546,     0,     0,  1468,
     548,   549,     0,     0,   195,   196,   197,   198,  1469,   550,
     551,   552,   553,   554,   555,   556,     0,   557,  1470,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1471,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,  1472,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,  1473,
     599,   216,   600,   601,   218,   602,  1474,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1475,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1476,  1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,
     625,   626,  4746,   628,   629,     0,  1481,   630,   631,   632,
     633,   634,  1482,     0,   635,   636,   637,   638,   639,   689,
    1483,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,
       0,     0,     0,     0,     0,     0,  1492,  1493,     0,     0,
       0,     0,     0,     0,     0,  1495,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,   411,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1428,  1429,  1430,    45,  1431,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,  1432,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
     135,  1433,   137,  1434,  1435,     0,   430,   431,   432,   433,
     434,  1436,  1437,   435,   436,  1438,  1439,   437,     0,   438,
     439,   440,   441,  1440,     0,   442,     0,   443,   444,   445,
     446,   147,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,  1441,  1442,  1443,  1444,  1445,
    1446,  1447,   455,   456,   457,   458,   683,   459,  1448,  1449,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,  1450,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,  1451,   484,   485,   486,  1452,  1453,   487,     0,
     488,  1454,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,  1455,     0,   496,     0,   497,
     498,   685,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,  1456,  1457,     0,  1458,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,  1459,   181,   523,   182,     0,   524,   525,   526,  1460,
    1461,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,  1462,   188,  1463,   537,   538,   190,  1464,
     539,   540,   192,   541,  1465,  1466,   542,  1467,   543,   544,
     545,     0,   546,     0,     0,  1468,   548,   549,     0,     0,
     195,   196,   197,   198,  1469,   550,   551,   552,   553,   554,
     555,   556,     0,   557,  1470,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,  1471,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
    1472,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,  1473,   599,   216,   600,   601,
     218,   602,  1474,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1475,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,  1476,  1477,     0,     0,
     622,  1478,   623,  1479,  1480,   624,   625,   626,   627,   628,
     629,     0,  1481,   630,   631,   632,   633,   634,  1482,     0,
     635,   636,   637,   638,   639,   689,  1483,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,  1491,   690,   650,   651,     0,     0,     0,     0,     0,
       0,     0,  1492,  1493,     0,     0,     0,     0,     0,     0,
       0,  1495,   714,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   715,   104,   105,   669,   716,     0,   107,   108,
     109,   110,   717,   718,   112,   113,   114,   115,     0,   116,
     719,   720,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,   411,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1428,  1429,  1430,    45,  1431,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,  1432,     0,     0,   423,   424,     0,
     425,   426,   133,   427,   428,   429,   135,  1433,   137,  1434,
    1435,     0,   430,   431,   432,   433,   434,  1436,  1437,   435,
     436,  1438,  1439,   437,     0,   438,   439,   440,   441,  1440,
       0,   442,     0,   443,   444,   445,   446,   147,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,   150,   454,
       0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,   456,
     457,   458,   683,   459,  1448,  1449,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,  1450,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,  1451,   484,
     485,   486,  1452,  1453,   487,     0,   488,  1454,   489,     0,
     490,     0,   491,   168,     0,   169,   492,   493,   494,     0,
     495,  1455,     0,   496,     0,   497,   498,   685,   499,   500,
     172,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   173,   174,     0,   511,   512,   513,  1456,
    1457,     0,  1458,     0,   514,   177,   178,   515,   179,   516,
     517,   518,   519,   520,   521,   522,     0,  1459,   181,   523,
     182,     0,   524,   525,   526,  1460,  1461,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,  1462,
     188,  1463,   537,   538,   190,  1464,   539,   540,   192,   541,
    1465,  1466,   542,  1467,   543,   544,   545,     0,   546,     0,
       0,  1468,   548,   549,     0,     0,   195,   196,   197,   198,
    1469,   550,   551,   552,   553,   554,   555,   556,     0,   557,
    1470,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,  1471,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,   209,   585,   586,  1472,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,  1473,   599,   216,   600,   601,   218,   602,  1474,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
    1475,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,  1476,  1477,     0,     0,   622,  1478,   623,  1479,
    1480,   624,   625,   626,   627,   628,   629,     0,  1481,   630,
     631,   632,   633,   634,  1482,     0,   635,   636,   637,   638,
     639,   689,  1483,     0,   640,   234,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,  4235,
    1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,   650,
     651,     0,     0,     0,     0,     0,     0,     0,  1492,  1493,
       0,     0,     0,     0,     0,     0,     0,  1495,   714,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   715,   104,
     105,   669,   716,     0,   107,   108,   109,   110,   717,   718,
     112,   113,   114,   115,     0,   116,   719,   720,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,   411,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1428,  1429,  1430,    45,
    1431,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
    1432,     0,     0,   423,   424,     0,   425,   426,   133,   427,
     428,   429,   135,  1433,   137,  1434,  1435,     0,   430,   431,
     432,   433,   434,  1436,  1437,   435,   436,  1438,  1439,   437,
       0,   438,   439,   440,   441,  1440,     0,   442,     0,   443,
     444,   445,   446,   147,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,   150,   454,     0,  1441,  1442,  1443,
    1444,  1445,  1446,  1447,   455,   456,   457,   458,   683,   459,
    1448,  1449,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1450,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,  1451,   484,   485,   486,  1452,  1453,
     487,     0,   488,  1454,   489,     0,   490,     0,   491,   168,
       0,   169,   492,   493,   494,     0,   495,  1455,     0,   496,
       0,   497,   498,   685,   499,   500,   172,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   173,
     174,     0,   511,   512,   513,  1456,  1457,     0,  1458,     0,
     514,   177,   178,   515,   179,   516,   517,   518,   519,   520,
     521,   522,     0,  1459,   181,   523,   182,     0,   524,   525,
     526,  1460,  1461,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,  1462,   188,  1463,   537,  4244,
     190,  1464,   539,   540,   192,   541,  1465,  1466,   542,  1467,
     543,   544,   545,     0,   546,     0,     0,  1468,   548,   549,
       0,     0,   195,   196,   197,   198,  1469,   550,   551,   552,
     553,   554,   555,   556,     0,   557,  1470,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
    1471,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,   209,
     585,   586,  1472,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,  1473,   599,   216,
     600,   601,   218,   602,  1474,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,  1475,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,  1476,  1477,
       0,     0,   622,  1478,   623,  1479,  1480,   624,   625,   626,
     627,   628,   629,     0,  1481,   630,   631,   632,   633,   634,
    1482,     0,   635,   636,   637,   638,   639,   689,  1483,     0,
     640,   234,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,  1484,  1485,  1486,  1487,
    1488,  1489,  1490,  1491,   690,   650,   651,     0,     0,     0,
       0,     0,     0,     0,  1492,  1493,     0,     0,     0,     0,
       0,     0,     0,  1495,   714,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   715,   104,   105,   669,   716,     0,
     107,   108,   109,   110,   717,   718,   112,   113,   114,   115,
       0,   116,   719,   720,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,   411,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1428,  1429,  1430,    45,  1431,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,  1432,     0,     0,   423,
     424,     0,   425,   426,   133,   427,   428,   429,   135,  1433,
     137,  1434,  1435,     0,   430,   431,   432,   433,   434,  1436,
    1437,   435,   436,  1438,  1439,   437,     0,   438,   439,   440,
     441,  1440,     0,   442,     0,   443,   444,   445,   446,   147,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
     150,   454,     0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,
     455,   456,   457,   458,   683,   459,  1448,  1449,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,  1450,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
    1451,   484,   485,   486,  1452,  1453,   487,     0,   488,  1454,
     489,     0,   490,     0,   491,   168,     0,   169,   492,   493,
     494,     0,   495,  1455,     0,   496,     0,   497,   498,   685,
     499,   500,   172,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   173,   174,     0,   511,   512,
     513,  1456,  1457,     0,  1458,     0,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,     0,  1459,
     181,   523,   182,     0,   524,   525,   526,  1460,  1461,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,  1462,   188,  1463,   537,   538,   190,     0,   539,   540,
     192,   541,  1465,  1466,   542,  1467,   543,   544,   545,     0,
     546,     0,     0,  1468,   548,   549,     0,     0,   195,   196,
     197,   198,  1469,   550,   551,   552,   553,   554,   555,   556,
       0,   557,  1470,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,  1471,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,   209,   585,   586,  1472,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,  1473,   599,   216,   600,   601,   218,   602,
    1474,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,  1475,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,  1476,  1477,     0,     0,   622,  1478,
     623,  1479,  1480,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,  1482,     0,   635,   636,
     637,   638,   639,   689,  1483,     0,   640,   234,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,
     690,   650,   651,     0,     0,     0,     0,     0,     0,     0,
    2756,  2757,     0,     0,     0,     0,     0,     0,     0,  1495,
     714,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,     0,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1428,  1429,
    1430,    45,  1431,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,  1432,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429, -2533,  1433,   137,  1434,  1435,     0,
     430,   431,   432,   433,   434,  1436,  1437,   435,   436,  1438,
    1439,   437,     0,   438,   439,   440,   441,  1440,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,  4745,  1441,
    1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,
     683,   459,  1448,  1449,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,  1451,   484,   485,   486,
    1452,  1453,   487,     0,   488,  1454,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,  1455,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,  1456,  1457,     0,
    1458,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,  1459,   181,   523,     0,     0,
     524,   525,   526,  1460,  1461,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1462,   188,  1463,
     537,   538,   190,     0,   539,   540,   192,   541,  1465,  1466,
     542,  1467,   543,   544,   545,     0,   546,     0,     0,  1468,
     548,   549,     0,     0,   195,   196,   197,   198,  1469,   550,
     551,   552,   553,   554,   555,   556,     0,   557,  1470,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1471,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,  1472,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,  1473,
     599,   216,   600,   601,     0,   602,  1474,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1475,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1476,  1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,
     625,   626,  4746,   628,   629,     0,  1481,   630,   631,   632,
     633,   634,  1482,     0,   635,   636,   637,   638,   639,   689,
    1483,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,
       0,     0,     0,     0,     0,     0,  1492,  1493,     0,     0,
       0,     0,     0,     0,     0,  1495,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,   411,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1428,  1429,     0,    45,  1431,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,  1432,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
     135,  1433,   137,  1434,  1435,     0,   430,   431,   432,   433,
     434,  1436,  1437,   435,   436,  1438,  1439,   437,     0,   438,
     439,   440,   441,  1440,     0,   442,     0,   443,   444,   445,
     446,   147,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,  1441,  1442,  1443,  1444,  1445,
    1446,  1447,   455,   456,   457,   458,   683,   459,  1448,  1449,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,  1450,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,  1451,   484,   485,   486,  1452,  1453,   487,     0,
     488,  1454,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,  1455,     0,   496,     0,   497,
     498,   685,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,  1456,  1457,     0,  1458,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,  1459,   181,   523,   182,     0,   524,   525,   526,  1460,
    1461,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,  1462,   188,  1463,   537,   538,   190,     0,
     539,   540,   192,   541,  1465,  1466,   542,  1467,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,   196,   197,   198,  1469,   550,   551,   552,   553,   554,
     555,   556,     0,   557,  1470,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,  1471,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
    1472,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,  1473,   599,   216,   600,   601,
     218,   602,  1474,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1475,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,  1476,  1477,     0,     0,
     622,  1478,   623,  1479,  1480,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,  1482,     0,
     635,   636,   637,   638,   639,   689,  1483,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,  1491,   690,   650,   651,     0,     0,     0,   714,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,  1495,    98,    99,   100,   101,   102,   103,   715,   104,
     105,   669,   716,     0,   107,   108,   109,   110,   717,   718,
     112,   113,   114,   115,     0,   116,   719,   720,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,   411,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1428,  1429,     0,    45,
    1431,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
    1432,     0,     0,   423,   424,     0,   425,   426,   133,   427,
     428,   429,   135,  1433,   137,  1434,  1435,     0,  3879,   431,
     432,   433,   434,  1436,  1437,   435,   436,  1438,  1439,   437,
       0,   438,   439,   440,   441,  1440,     0,   442,     0,   443,
     444,   445,   446,   147,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,   150,   454,     0,  1441,  1442,  1443,
    1444,  1445,  1446,  1447,   455,   456,   457,   458,   683,   459,
    1448,  1449,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1450,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,  1451,   484,   485,   486,  1452,  1453,
     487,     0,   488,  1454,   489,     0,   490,     0,   491,   168,
       0,   169,   492,   493,   494,     0,   495,  1455,     0,   496,
       0,   497,   498,   685,   499,   500,   172,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   173,
     174,     0,   511,   512,   513,  1456,  1457,     0,  1458,     0,
     514,   177,   178,   515,   179,   516,   517,   518,   519,   520,
     521,   522,     0,  1459,   181,   523,   182,     0,   524,   525,
     526,  1460,  1461,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,  1462,   188,  1463,   537,   538,
     190,     0,   539,   540,   192,   541,  1465,  1466,   542,  1467,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,   196,   197,   198,  1469,   550,   551,   552,
     553,   554,   555,   556,     0,   557,  1470,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
    1471,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,   209,
     585,   586,  1472,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,  1473,   599,   216,
     600,   601,   218,   602,  1474,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,  1475,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,  1476,  1477,
       0,     0,   622,  1478,   623,  1479,  1480,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
    1482,     0,   635,   636,   637,   638,   639,   689,  1483,     0,
     640,   234,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,  1484,  1485,  1486,  1487,
    1488,  1489,  1490,  1491,   690,   650,   651,     0,     0,     0,
     714,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,  1495,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,     0,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1428,  1429,
    1430,    45,  1431,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,  1432,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,     0,  1433,   137,  1434,  1435,     0,
     430,   431,   432,   433,   434,  1436,  1437,   435,   436,  1438,
    1439,   437,     0,   438,   439,   440,   441,  1440,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,  1441,
    1442,  1443,  1444,  1445,  1446,  1447,   455,   456,   457,   458,
     683,   459,  1448,  1449,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
       0,     0,   480,   481,   482,   483,  1451,   484,   485,   486,
    1452,  1453,   487,     0,   488,  1454,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,  1455,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,  1456,  1457,     0,
    1458,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,  1459,   181,   523,     0,     0,
     524,   525,   526,  1460,  1461,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1462,   188,  1463,
     537,   538,   190,     0,   539,   540,   192,   541,  1465,  1466,
     542,  1467,   543,   544,   545,     0,   546,     0,     0,  1468,
     548,   549,     0,     0,   195,   196,   197,   198,  1469,   550,
     551,   552,   553,   554,   555,   556,     0,   557,  1470,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1471,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,  1472,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,  1473,
     599,   216,   600,   601,     0,   602,  1474,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1475,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1476,  1477,     0,     0,   622,  1478,   623,  1479,  1480,   624,
     625,   626,   627,   628,   629,     0,  1481,   630,   631,   632,
     633,   634,  1482,     0,   635,   636,   637,   638,   639,   689,
    1483,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,  1484,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   690,   650,   651,     0,
       0,     0,     0,     0,     0,     0,  1492,  1493,     0,     0,
       0,     0,     0,     0,     0,  1495,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,   411,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1428,  1429,  1430,    45,  1431,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,  1432,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
       0,  1433,   137,  1434,  1435,     0,   430,   431,   432,   433,
     434,  1436,  1437,   435,   436,  1438,  1439,   437,     0,   438,
     439,   440,   441,  1440,     0,   442,     0,   443,   444,   445,
     446,   147,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,  1441,  1442,  1443,  1444,  1445,
    1446,  1447,   455,   456,   457,   458,   683,   459,  1448,  1449,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,  1450,   473,   474,
       0,   475,   476,   477,     0,   478,     0,     0,   480,   481,
     482,   483,  1451,   484,   485,   486,  1452,  1453,   487,     0,
     488,  1454,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,  1455,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,  1456,  1457,     0,  1458,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,  1459,   181,   523,     0,     0,   524,   525,   526,  1460,
    1461,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,  1462,   188,  1463,   537,   538,   190,     0,
     539,   540,   192,   541,  1465,  1466,   542,  1467,   543,   544,
     545,     0,   546,     0,     0,  1468,   548,   549,     0,     0,
     195,   196,   197,   198,  1469,   550,   551,   552,   553,   554,
     555,   556,     0,   557,  1470,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,  1471,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
    1472,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,  1473,   599,   216,   600,   601,
       0,   602,  1474,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1475,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,  1476,  1477,     0,     0,
     622,  1478,   623,  1479,  1480,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,  1482,     0,
     635,   636,   637,   638,   639,   689,  1483,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,  1491,   690,   650,   651,     0,     0,     0,     0,     0,
       0,     0,  2756,  2757,     0,     0,     0,     0,     0,     0,
       0,  1495,   714,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   715,   104,   105,   669,   716,     0,   107,   108,
     109,   110,   717,   718,   112,   113,   114,   115,     0,   116,
     719,   720,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,   133,   427,   428,   429,   135,   136,   137,   138,
     139,     0,   430,   431,   432,   433,   434,     0,  1437,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,  1440,
       0,   442,     0,   443,   444,   445,   446,   147,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,   150,   454,
       0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,  1452,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,   168,     0,   169,   492,   493,   494,     0,
     495,  1455,     0,   496,     0,   497,   498,   685,   499,   500,
     172,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   173,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,   177,   178,   515,   179,   516,
     517,   518,   519,   520,   521,   522,     0,  1459,   181,   523,
     182,     0,   524,   525,   526,  1460,  1461,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
     188,   189,   537,   538,   190,     0,   539,   540,   192,   541,
       0,  1466,   542,   194,   543,   544,   545,     0,   546,     0,
    1059,   547,   548,   549,     0,     0,   195,   196,   197,   198,
    1469,   550,   551,   552,   553,   554,   555,   556,     0,   557,
    1470,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,   209,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,   214,   594,   595,   596,   597,
     598,  1473,   599,   216,   600,   601,   218,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
    1475,     0,   613,   614,   222,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,  1478,   623,  1479,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,  1482,     0,   635,   636,   637,   638,
     639,  2116,   233,     0,   640,   234,   641,   642,   643,     0,
       0,   644,     0,   235,   645,   646,   647,   648,   649,   236,
    1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   690,   650,
     651,     0,     0,     0,   714,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,  3442,    98,    99,
     100,   101,   102,   103,   715,   104,   105,   669,   716,     0,
     107,   108,   109,   110,   717,   718,   112,   113,   114,   115,
       0,   116,   719,   720,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,   133,   427,   428,   429,   135,   136,
     137,   138,   139,     0,   430,   431,   432,   433,   434,     0,
    1437,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,  1440,     0,   442,     0,   443,   444,   445,   446,   147,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
     150,   454,     0,  1441,  1442,  1443,  1444,  1445,  1446,  1447,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,  1452,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,   168,     0,   169,   492,   493,
     494,     0,   495,  1455,     0,   496,     0,   497,   498,   685,
     499,   500,   172,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   173,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,     0,  1459,
     181,   523,   182,     0,   524,   525,   526,  1460,  1461,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,   188,   189,   537,   538,   190,     0,   539,   540,
     192,   541,     0,  1466,   542,   194,   543,   544,   545,     0,
     546,     0,  1059,   547,   548,   549,     0,     0,   195,   196,
     197,   198,  1469,   550,   551,   552,   553,   554,   555,   556,
       0,   557,  1470,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,   209,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,  1473,   599,   216,   600,   601,   218,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,  1475,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,  1478,
     623,  1479,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,  1482,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,   234,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,  1484,  1485,  1486,  1487,  1488,  1489,  1490,  1491,
     690,   650,   651,     0,     0,     0,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,  3442,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
     135,   136,   137,   138,   139,     0,   430,   431,   432,   433,
     434,     0,  1437,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,  1440,     0,   442,     0,   443,   444,   445,
     446,   147,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,  1441,  1442,  1443,  1444,  1445,
    1446,  1447,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,  1452,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,  1455,     0,   496,     0,   497,
     498,   685,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,  1459,   181,   523,   182,     0,   524,   525,   526,  1460,
    1461,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,   188,   189,   537,   538,   190,     0,
     539,   540,   192,   541,     0,  1466,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,   196,   197,   198,  1469,   550,   551,   552,   553,   554,
     555,   556,     0,   557,  1470,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,  1473,   599,   216,   600,   601,
     218,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1475,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,  1478,   623,  1479,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,  1482,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,  1491,   690,   650,   651,     0,     0,     0,   714,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,  3994,    98,    99,   100,   101,   102,   103,   715,   104,
     105,   669,   716,     0,   107,   108,   109,   110,   717,   718,
     112,   113,   114,   115,     0,   116,   719,   720,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,   133,   427,
     428,   429,   135,   136,   137,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,   147,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,   150,   454,     0,     0,     0,     0,
     151,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,   168,
       0,   169,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,   172,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   173,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,   177,   178,   515,   179,   516,   517,   518,   519,   520,
     521,   522,     0,   180,   181,   523,   182,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,   188,   189,   537,   538,
     190,     0,   539,   540,   192,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,   196,   197,   198,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,   209,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,   218,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,   234,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,     0,     0,     0,
       0,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,  4522,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,  3923,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0, -1389,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0, -1389,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510, -1389,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515, -1389,   516,   517,   518,
     519,   520,   521,   522,     0,   180, -1389,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187, -1389,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584, -1389,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,     0,
       0,     0,     0,     0,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,  1585,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,     0,     0,     0,     0,     0,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,  3204,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,     0,     0,     0,     0,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
    3700,  3701,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,     0,     0,     0,
       0,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,  3701,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,   411,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,   214,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,   222,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,  2116,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,   235,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,     0,
       0,     0,     0,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,   245,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   669,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   135,   136,     0,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,     0,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   180,     0,   523,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
       0,   189,   537,   538,   190,     0,   539,   540,     0,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,     0,     0,     0,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,     0,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,   214,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,     0,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,   222,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,  2116,   233,     0,   640,     0,   641,   642,   643,     0,
       0,   644,     0,   235,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,     0,     0,     0,     0,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,   245,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,     0,     0,     0,     0,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,  1560,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,   487,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,     0,     0,     0,     0,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,  2914,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,     0,     0,     0,
       0,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,  3950,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   669,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
       0,   427,   428,   429,   135,   136,     0,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,   680,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,     0,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     683,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,   685,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   180,     0,   523,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,   187,     0,   189,
     537,   538,   190,     0,   539,   540,     0,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,     0,     0,     0,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,     0,   585,   586,   211,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,     0,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,   689,
     233,     0,   640,     0,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   690,   650,   651,     0,
       0,     0,   714,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,  4279,    98,    99,   100,   101,
     102,   103,   715,   104,   105,   669,   716,     0,   107,   108,
     109,   110,   717,   718,   112,   113,   114,   115,     0,   116,
     719,   720,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,   411,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,  1180,    45,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   721,   420,   421,   422,
     722,   723,   724,   725,   726,   727,   728,   423,   424,   729,
     425,   426,   133,   427,   428,   429,     0,  1837,   137,  1838,
    1839,   730,   430,   431,   432,   433,   434,   731,   732,   435,
     436,  1840,  1841,   437,   734,   438,   439,   440,   441,     0,
     735,   442,   736,   443,   444,   445,   446,   147,   447,   681,
     738,   448,   449,   450,   451,   452,   453,   739,   150,   454,
       0,   741,   742,   743,   151,   744,   745,   746,   455,   456,
     457,   458,   683,   459,  1842,  1843,   460,   747,   461,   748,
     462,   463,   464,   465,   466,   749,   467,   468,   469,   750,
     751,   470,   471,  1450,   473,   474,   752,   475,   476,   477,
     753,   478,   479,   754,   480,   481,   482,   483,     0,   484,
     485,   486,     0,   755,   487,   756,   488,  1844,   489,   757,
     490,   758,   491,   168,   759,   169,   492,   493,   494,   760,
     495,     0,   761,   496,   762,   497,   498,   685,   499,   500,
     172,   501,   502,   503,   763,   504,   505,   506,   507,   508,
     509,   764,   510,   173,     0,     0,   511,   512,   513,  1456,
    1845,   767,  1846,   768,   514,   177,   178,   515,   179,   516,
     517,   518,   519,   520,   521,   522,   769,     0,   181,   523,
     182,   770,   524,   525,   526,   771,   772,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,  1847,
     188,  1848,   537,   538,     0,   773,   539,   540,   192,   541,
     774,     0,   542,  1849,   543,   544,   545,   775,   546,   776,
     777,  3687,   548,   549,   778,   779,     0,   196,   197,   198,
       0,   550,   551,   552,   553,   554,   555,   556,   780,   557,
       0,   558,     0,   559,   560,   561,   781,   562,   563,   564,
     565,   566,   567,   568,  1850,   569,   570,   571,   572,   782,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     783,   583,   584,   209,   585,   586,     0,   587,   588,   589,
     590,   591,   592,   688,   593,   784,   594,   595,   596,   597,
     598,   785,   599,  2388,   600,   601,   218,   602,  1852,   786,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
       0,   787,   613,   614,   788,   615,   616,   617,   618,   619,
     620,   789,  1853,  1854,     0,   791,   622,     0,   623,     0,
     792,   624,   625,   626,   627,   628,   629,     0,   794,   630,
     631,   632,   633,   634,   795,   796,   635,   636,   637,   638,
     639,     0,  1855,   798,   640,   234,   641,   642,   643,   799,
     800,   644,   801,   802,   645,   646,   647,   648,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   690,   650,
     651,     0,     0,     0,  1183,  1184,  1185,     0,  3688,  3689,
    1188,  1189,  1190,  1191,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1180,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,  1181,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,  1182,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,     0,     0,     0,  1183,  1184,  1185,     0,  1186,
    1187,  1188,  1189,  1190,  1191,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1180,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,  1266,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,  1267,     0,   488,   167,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   537,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,     0,     0,     0,  1183,  1184,  1185,     0,
    1186,  1187,  1188,  1189,  1190,  1191,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1180,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,  1317,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,  1318,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,  1319,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,     0,     0,     0,  1183,  1184,  1185,
       0,  1186,  1187,  1188,  1189,  1190,  1191,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   669,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1180,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     135,   136,     0,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,   680,   140,   437,     0,   438,
    1820,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,     0,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   683,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,     0,  1821,     0,
     488,   167,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,   685,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   180,     0,   523,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,     0,   189,   537,   538,   190,     0,
     539,   540,     0,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
     195,     0,     0,     0,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,     0,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
       0,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,   689,   233,     0,   640,     0,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,     0,     0,     0,  1183,  1184,
    1185,     0,  1186,  1187,  1188,  1189,  1190,  1191,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1180,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,     0,     0,     0,  1183,
    1184,  1185,     0,  1186,  1187,  1188,  1189,  1190,  1191,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1180,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,  2993,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
    2994,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,     0,     0,     0,
    1183,  1184,  1185,     0,  1186,  1187,  1188,  1189,  1190,  1191,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1180,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,  4509,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,     0,     0,
       0,  1183,  1184,  1185,     0,  1186,  1187,  1188,  1189,  1190,
    1191,   714,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   715,   104,   105,   669,   716,     0,   107,   108,   109,
     110,   717,   718,   112,   113,   114,   115,     0,   116,   719,
     720,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   721,   420,   421,   422,   722,
     723,   724,   725,   726,   727,   728,   423,   424,   729,   425,
     426,   133,   427,   428,   429,   135,   136,   137,   138,   139,
     730,   430,   431,   432,   433,   434,   731,   732,   435,   436,
     733,   140,   437,   734,   438,   439,   440,   441,   144,   735,
     442,   736,   443,   444,   445,   446,   147,   447,   737,   738,
     448,   449,   450,   451,   452,   453,   739,   150,   454,   740,
     741,   742,   743,   151,   744,   745,   746,   455,   456,   457,
     458,   683,   459,   154,   155,   460,   747,   461,   748,   462,
     463,   464,   465,   466,   749,   467,   468,   469,   750,   751,
     470,   471,   472,   473,   474,   752,   475,   476,   477,   753,
     478,   479,   754,   480,   481,   482,   483,   163,   484,   485,
     486,   165,   755,   487,   756,   488,   167,   489,   757,   490,
     758,   491,   168,   759,   169,   492,   493,   494,   760,   495,
     171,   761,   496,   762,   497,   498,   685,   499,   500,   172,
     501,   502,   503,   763,   504,   505,   506,   507,   508,   509,
     764,   510,   173,   174,   765,   511,   512,   513,   766,   175,
     767,   176,   768,   514,   177,   178,   515,   179,   516,   517,
     518,   519,   520,   521,   522,   769,   180,   181,   523,   182,
     770,   524,   525,   526,   771,   772,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,   188,
     189,   537,   538,   190,   773,   539,   540,   192,   541,   774,
     193,   542,   194,   543,   544,   545,   775,   546,   776,   777,
     547,   548,   549,   778,   779,   195,   196,   197,   198,   199,
     550,   551,   552,   553,   554,   555,   556,   780,   557,   200,
     558,   201,   559,   560,   561,   781,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,   782,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   783,
     583,   584,   209,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,   784,   594,   595,   596,   597,   598,
     785,   599,   216,   600,   601,   218,   602,   219,   786,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
     787,   613,   614,   788,   615,   616,   617,   618,   619,   620,
     789,   223,   224,   790,   791,   622,   225,   623,   226,   792,
     624,   625,   626,   627,   628,   629,   793,   794,   630,   631,
     632,   633,   634,   795,   796,   635,   636,   637,   638,   639,
     797,   233,   798,   640,   234,   641,   642,   643,   799,   800,
     644,   801,   802,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
     714,    86,    87,    88,   666,    90,    91,    92,   667,  2212,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,     0,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,     0,  1837,   137,  1838,  1839,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,  1840,
    1841,   437,     0,   438,   439,   440,   441,     0,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
     683,   459,  1842,  1843,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
       0,     0,   487,     0,   488,  1844,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,     0,
       0,   496,     0,   497,   498,   685,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,     0,     0,   511,   512,   513,  1456,  1845,     0,
    1846,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1847,   188,  1848,
     537,   538,     0,     0,   539,   540,   192,   541,     0,     0,
     542,  1849,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,     0,   196,   197,   198,     0,   550,
     551,   552,   553,   554,   555,   556,     0,   557,     0,   558,
       0,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1850,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,     0,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,  1851,   600,   601,   218,   602,  1852,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,     0,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1853,  1854,     0,     0,   622,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
    1855,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   690,   650,   651,     0,
      86,    87,    88,   666,    90,    91,    92,   667,  2311,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,     0,    86,
      87,    88,   666,    90,    91,    92,   667,  1066,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,     0,    86,    87,
      88,   666,    90,    91,    92,   667,  4375,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,   411,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,   412,   966,   414,   415,   416,   417,   418,
     419,   967,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   968,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   969,   167,   489,     0,   490,     0,   970,     0,   971,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,   972,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   973,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   974,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   975,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   976,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,     0,     0,     0,     0,
       0,     0,     0,   977,   978,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   669,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,   411,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     412,   966,   414,   415,   416,   417,   418,   419,   967,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,     0,   999,   428,   429,   135,   136,
       0,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,   680,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,     0,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   683,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,     0,   487,     0,   969,   167,
     489,     0,   490,     0,  1000,     0,   971,     0,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,   685,
     499,   500,     0,   501,   502,   503,   972,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   973,   521,   522,     0,   180,
       0,   523,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,     0,   189,   974,   538,   190,     0,   539,   540,
       0,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,   195,     0,
       0,     0,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   975,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   976,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,     0,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,     0,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,   689,   233,     0,   640,     0,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,     0,     0,     0,     0,     0,     0,     0,
     977,   978,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,   411,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,  1365,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,   971,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,   972,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
       0,     0,     0,     0,     0,     0,     0,   977,   978,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   669,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,   411,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,  1370,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   135,   136,     0,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,   680,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,     0,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   683,   459,
     154,   155,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,     0,
     487,     0,   488,   167,   489,     0,   490,     0,   491,     0,
     971,     0,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,   685,   499,   500,     0,   501,   502,   503,
     972,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   180,     0,   523,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,   187,     0,   189,   537,   538,
     190,     0,   539,   540,     0,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,   195,     0,     0,     0,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,     0,
     585,   586,   211,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,     0,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,   689,   233,     0,
     640,     0,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   690,   650,   651,     0,     0,     0,
       0,     0,     0,     0,   977,   978,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,   411,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
     684,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,  1532,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,     0,     0,  1038,  1533,    86,    87,
      88,   666,    90,    91,    92,   667,  1039,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,  1040,   436,  1014,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,  1041,     0,  1042,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,  1043,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,  1044,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,  1045,
     586,   211,   587,   588,   589,  1046,   591,   592,   688,   593,
       0,   594,   595,   596,   597,  1047,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,  1048,   224,     0,
       0,  1049,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,  1018,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,  1050,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
     721,   420,   421,   422,   722,   723,   724,   725,   726,   727,
     728,   423,   424,   729,   425,   426,   133,   427,   428,   429,
     135,   136,   137,   138,   139,   730,   430,   431,   432,   433,
     434,   731,   732,   435,   436,   733,   140,   437,   734,   438,
     439,   440,   441,   144,   735,   442,   736,   443,   444,   445,
     446,   147,   447,   737,   738,   448,   449,   450,   451,   452,
     453,   739,   150,   454,   740,   741,   742,   743,   151,   744,
     745,   746,   455,   456,   457,   458,   683,   459,   154,   155,
     460,   747,   461,   748,   462,   463,   464,   465,   466,   749,
     467,   468,   469,   750,   751,   470,   471,   472,   473,   474,
     752,   475,   476,   477,   753,   478,   479,   754,   480,   481,
     482,   483,   163,   484,   485,   486,   165,   755,   487,   756,
     488,   167,   489,   757,   490,   758,   491,   168,   759,   169,
     492,   493,   494,   760,   495,   171,   761,   496,   762,   497,
     498,   685,   499,   500,   172,   501,   502,   503,   763,   504,
     505,   506,   507,   508,   509,   764,   510,   173,   174,   765,
     511,   512,   513,   766,   175,   767,   176,   768,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
     769,   180,   181,   523,   182,   770,   524,   525,   526,   771,
     772,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,   187,   188,   189,   537,   538,   190,   773,
     539,   540,   192,   541,   774,   193,   542,   194,   543,   544,
     545,   775,   546,   776,   777,   547,   548,   549,   778,   779,
     195,   196,   197,   198,   199,   550,   551,   552,   553,   554,
     555,   556,   780,   557,   200,   558,   201,   559,   560,   561,
     781,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,   782,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   783,   583,   584,   209,   585,   586,
     211,   587,   588,   589,   590,   591,   592,   688,   593,   784,
     594,   595,   596,   597,   598,   785,   599,   216,   600,   601,
     218,   602,   219,   786,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,   787,   613,   614,   788,   615,
     616,   617,   618,   619,   620,   789,   223,   224,   790,   791,
     622,   225,   623,   226,   792,   624,   625,   626,   627,   628,
     629,   793,   794,   630,   631,   632,   633,   634,   795,   796,
     635,   636,   637,   638,   639,   797,   233,   798,   640,   234,
     641,   642,   643,   799,   800,   644,   801,   802,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   690,   650,   651,   714,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   715,   104,   105,   669,   716,
       0,   107,   108,   109,   110,   717,   718,   112,   113,   114,
     115,     0,   116,   719,   720,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   721,
     420,   421,   422,   722,   723,   724,   725,   726,   727,   728,
     423,   424,   729,   425,   426,   133,   427,   428,   429,   135,
     136,   137,   138,   139,   730,   430,   431,   432,   433,   434,
     731,   732,   435,   436,   733,   140,   437,   734,   438,   439,
     440,   441,   144,   735,   442,   736,   443,   444,   445,   446,
     147,   447,   737,   738,   448,   449,   450,   451,   452,   453,
     739,   150,   454,   740,   741,   742,   743,   151,   744,   745,
     746,   455,   456,   457,   458,   683,   459,   154,   155,   460,
     747,   461,   748,   462,   463,   464,   465,   466,   749,   467,
     468,   469,   750,   751,   470,   471,   472,   473,   474,   752,
     475,   476,   477,   753,   478,   479,   754,   480,   481,   482,
     483,   163,   484,   485,   486,   165,   755,   487,   756,   488,
     167,   489,   757,   490,   758,   491,   168,   759,   169,   492,
     493,   494,   760,   495,   171,   761,   496,   762,   497,   498,
     685,   499,   500,   172,   501,   502,   503,   763,   504,   505,
     506,   507,   508,   509,   764,   510,   173,   174,   765,   511,
     512,   513,   766,   175,   767,   176,   768,   514,   177,   178,
     515,   179,   516,   517,   518,   519,   520,   521,   522,   769,
     180,   181,   523,   182,   770,   524,   525,   526,   771,   772,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,   188,   189,   537,   538,   190,   773,   539,
     540,   192,   541,   774,   193,   542,   194,   543,   544,   545,
     775,   546,   776,   777,   547,   548,   549,   778,   779,   195,
     196,   197,   198,   199,   550,   551,   552,   553,   554,   555,
     556,   780,   557,   200,   558,   201,   559,   560,   561,   781,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,   782,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   783,   583,   584,   209,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,   784,   594,
     595,   596,   597,   598,   785,   599,   216,   600,   601,   218,
     602,   219,   786,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,   787,   613,   614,   788,   615,   616,
     617,   618,   619,   620,   789,   223,   224,   790,   791,   622,
     225,   623,   226,   792,   624,   625,   626,   627,   628,   629,
     793,   794,   630,   631,   632,   633,   634,   795,   796,   635,
     636,   637,   638,   639,   797,   233,   798,   640,   234,   641,
     642,   643,   799,   800,   644,   801,   802,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,   714,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   715,   104,   105,   669,   716,     0,
     107,   108,   109,   110,   717,   718,   112,   113,   114,   115,
       0,   116,   719,   720,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,  3054,   417,   418,   419,   721,   420,
     421,   422,   722,   723,   724,   725,   726,   727,   728,   423,
     424,   729,   425,   426,   133,   427,   428,   429,   135,   136,
     137,   138,   139,   730,   430,   431,   432,   433,   434,   731,
     732,   435,   436,   733,   140,   437,   734,   438,   439,   440,
     441,   144,   735,   442,   736,   443,   444,   445,   446,   147,
     447,   737,   738,   448,   449,   450,   451,   452,   453,   739,
     150,   454,   740,   741,   742,   743,   151,   744,   745,   746,
     455,   456,   457,   458,   683,   459,   154,   155,   460,   747,
     461,   748,   462,   463,   464,   465,   466,   749,   467,   468,
     469,   750,   751,   470,   471,   472,  3055,   474,   752,   475,
     476,   477,   753,   478,   479,   754,   480,   481,   482,   483,
     163,   484,   485,   486,   165,   755,   487,   756,   488,   167,
     489,   757,   490,   758,   491,   168,   759,   169,   492,   493,
     494,   760,   495,   171,   761,   496,   762,   497,   498,   685,
     499,   500,   172,   501,   502,   503,   763,   504,   505,   506,
     507,   508,   509,   764,   510,   173,   174,   765,   511,   512,
     513,   766,   175,   767,   176,   768,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,   769,   180,
     181,   523,   182,   770,   524,   525,   526,   771,   772,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,   187,   188,   189,   537,   538,   190,   773,   539,   540,
     192,   541,   774,   193,   542,   194,   543,   544,   545,   775,
     546,   776,   777,   547,   548,   549,   778,   779,   195,   196,
     197,   198,   199,   550,   551,   552,   553,   554,   555,   556,
     780,   557,   200,   558,   201,   559,   560,   561,   781,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,   782,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   783,   583,   584,   209,   585,   586,   211,   587,
     588,   589,   590,   591,   592,   688,   593,   784,   594,   595,
     596,   597,   598,   785,  3056,   216,   600,   601,   218,   602,
     219,   786,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,   787,   613,   614,   788,   615,   616,   617,
     618,   619,   620,   789,   223,   224,   790,   791,   622,   225,
     623,   226,   792,   624,   625,   626,   627,   628,   629,   793,
     794,   630,   631,   632,   633,   634,   795,   796,   635,   636,
     637,   638,   639,   797,   233,   798,   640,   234,   641,   642,
     643,   799,   800,   644,   801,   802,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     690,   650,   651,   714,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   715,   104,   105,   669,   716,     0,   107,
     108,   109,   110,   717,   718,   112,   113,   114,   115,     0,
     116,   719,   720,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429,   135,   136,   137,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,   147,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,     0,     0,     0,     0,   151,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,   168,     0,   169,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,   172,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   173,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,     0,   180,   181,
     523,   182,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,   188,   189,   537,   538,   190,     0,   539,   540,   192,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,   196,   197,
     198,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,   218,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,   714,    86,    87,    88,   666,    90,    91,    92,
     667,     0,   668,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   715,   104,   105,   669,   716,     0,   107,   108,
     109,   110,   717,   718,   112,   113,   114,   115,     0,   116,
     719,   720,   670,   671,     0,     0,     0,   672,   673,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,   675,     0,   676,     0,   677,   678,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
       0,     0,     0,     0,     0,     0,     0,   423,   424,     0,
     425,   426,   133,   427,   428,   429,   135,   136,   137,   138,
     139,     0,   430,   431,   432,   433,   434,     0,     0,   435,
     436,   680,   140,   437,     0,   438,   439,   440,   441,   144,
       0,   442,     0,   443,   444,   445,   446,   147,   447,   681,
       0,   448,   449,   450,   451,   452,   453,     0,   150,   454,
       0,     0,     0,     0,   151,     0,     0,     0,   455,   456,
     457,   458,   683,   459,   154,   155,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   163,   484,
     485,   486,   165,     0,   487,     0,   488,   167,   489,     0,
     490,     0,   491,   168,     0,   169,   492,   493,   494,     0,
     495,   171,     0,   496,     0,   497,   498,   685,   499,  1303,
     172,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   173,   174,     0,   511,   512,   513,     0,
     175,     0,   176,     0,   514,   177,   178,   515,   179,   516,
     517,   518,   519,   520,   521,   522,     0,   180,   181,   523,
     182,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   686,   532,   533,   687,   534,   535,   536,   187,
     188,   189,   537,   538,   190,     0,   539,   540,   192,   541,
       0,   193,   542,   194,   543,   544,   545,     0,   546,     0,
       0,   547,   548,   549,     0,     0,   195,   196,   197,   198,
     199,   550,   551,   552,   553,   554,   555,   556,     0,   557,
     200,   558,   201,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,   568,   203,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       0,   583,   584,   209,   585,   586,   211,   587,   588,   589,
     590,   591,   592,   688,   593,     0,   594,   595,   596,   597,
     598,     0,   599,   216,   600,   601,   218,   602,   219,     0,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     221,     0,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,   223,   224,     0,     0,   622,   225,   623,   226,
       0,   624,   625,   626,   627,   628,   629,     0,     0,   630,
     631,   632,   633,   634,     0,     0,   635,   636,   637,   638,
     639,   689,   233,     0,   640,   234,   641,   642,   643,     0,
       0,   644,     0,     0,   645,   646,   647,   648,   649,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   690,   650,
     651,   714,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   715,   104,   105,   669,   716,     0,   107,   108,   109,
     110,   717,   718,   112,   113,   114,   115,     0,   116,   719,
     720,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,   133,   427,   428,   429,   135,   136,   137,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,   147,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,   150,   454,     0,
       0,     0,     0,   151,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,   168,     0,   169,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,  1312,   172,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   173,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,   177,   178,   515,   179,   516,   517,
     518,   519,   520,   521,   522,     0,   180,   181,   523,   182,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,   188,
     189,   537,   538,   190,     0,   539,   540,   192,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,   196,   197,   198,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,   209,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,   218,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,   234,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
     714,    86,    87,    88,   666,    90,    91,    92,   667,     0,
     668,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     715,   104,   105,   669,   716,     0,   107,   108,   109,   110,
     717,   718,   112,   113,   114,   115,     0,   116,   719,   720,
     670,   671,     0,     0,     0,   672,   673,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     675,     0,   676,     0,   677,   678,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,     0,  1837,   137,  1838,  1839,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,  1840,
    1841,   437,     0,   438,   439,   440,   441,     0,     0,   442,
       0,   443,   444,   445,   446,   147,   447,   681,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
     683,   459,  1842,  1843,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1450,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
       0,     0,   487,     0,   488,  1844,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,     0,
       0,   496,     0,   497,   498,   685,   499,   500,   172,   501,
     502,   503,  2385,   504,   505,   506,   507,   508,   509,     0,
     510,   173,  2386,     0,   511,   512,   513,  1456,  1845,     0,
    1846,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     686,   532,   533,   687,   534,   535,   536,  1847,   188,  1848,
     537,   538,     0,     0,   539,   540,   192,   541,     0,     0,
     542,  1849,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,  2387,   196,   197,   198,     0,   550,
     551,   552,   553,   554,   555,   556,     0,   557,     0,   558,
       0,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,  1850,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,     0,   587,   588,   589,   590,   591,
     592,   688,   593,     0,   594,   595,   596,   597,   598,     0,
     599,  2388,   600,   601,   218,   602,  1852,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,     0,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
    1853,  1854,     0,     0,   622,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
    1855,  2389,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   690,   650,   651,   714,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   715,
     104,   105,   669,   716,     0,   107,   108,   109,   110,   717,
     718,   112,   113,   114,   115,     0,   116,   719,   720,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,   133,
     427,   428,   429,     0,  1837,   137,  1838,  1839,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,  1840,  1841,
     437,     0,   438,   439,   440,   441,     0,     0,   442,     0,
     443,   444,   445,   446,   147,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,   150,   454,     0,     0,     0,
       0,   151,     0,     0,     0,   455,   456,   457,   458,   683,
     459,  1842,  1843,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1450,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,     0,
       0,   487,     0,   488,  1844,   489,     0,   490,     0,   491,
     168,     0,   169,   492,   493,   494,     0,   495,     0,     0,
     496,     0,   497,   498,   685,   499,   500,   172,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     173,     0,     0,   511,   512,   513,  1456,  1845,     0,  1846,
       0,   514,   177,   178,   515,   179,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   181,   523,   182,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,  1847,   188,  1848,   537,
     538,     0,     0,   539,   540,   192,   541,  2377,     0,   542,
    1849,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,     0,   196,   197,   198,     0,   550,   551,
     552,   553,   554,   555,   556,     0,   557,     0,   558,     0,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,  1850,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
     209,   585,   586,     0,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
    2388,   600,   601,   218,   602,  1852,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,     0,     0,   613,
     614,  3787,   615,   616,   617,   618,   619,   620,     0,  1853,
    1854,     0,     0,   622,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,     0,  1855,
       0,   640,   234,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   690,   650,   651,   714,    86,
      87,    88,   666,    90,    91,    92,   667,     0,   668,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   715,   104,
     105,   669,   716,     0,   107,   108,   109,   110,   717,   718,
     112,   113,   114,   115,     0,   116,   719,   720,   670,   671,
       0,     0,     0,   672,   673,     0,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   675,     0,
     676,     0,   677,   678,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,   133,   427,
     428,   429,     0,  1837,   137,  1838,  1839,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,  1840,  1841,   437,
       0,   438,   439,   440,   441,     0,     0,   442,     0,   443,
     444,   445,   446,   147,   447,   681,     0,   448,   449,   450,
     451,   452,   453,     0,   150,   454,     0,     0,     0,     0,
     151,     0,     0,     0,   455,   456,   457,   458,   683,   459,
    1842,  1843,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1450,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,     0,     0,
     487,     0,   488,  1844,   489,     0,   490,     0,   491,   168,
       0,   169,   492,   493,   494,     0,   495,     0,     0,   496,
       0,   497,   498,   685,   499,   500,   172,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   173,
       0,     0,   511,   512,   513,  1456,  1845,     0,  1846,     0,
     514,   177,   178,   515,   179,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   181,   523,   182,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   686,   532,
     533,   687,   534,   535,   536,  1847,   188,  1848,   537,   538,
    2434,     0,   539,   540,   192,   541,     0,     0,   542,  1849,
     543,   544,   545,     0,   546,     0,     0,   547,   548,   549,
       0,     0,     0,   196,   197,   198,     0,   550,   551,   552,
     553,   554,   555,   556,     0,   557,     0,   558,     0,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
    1850,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,   209,
     585,   586,     0,   587,   588,   589,   590,   591,   592,   688,
     593,     0,   594,   595,   596,   597,   598,     0,   599,  1851,
     600,   601,   218,   602,  1852,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,     0,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,  1853,  1854,
       0,     0,   622,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,     0,  1855,     0,
     640,   234,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   690,   650,   651,   714,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   715,   104,   105,
     669,   716,     0,   107,   108,   109,   110,   717,   718,   112,
     113,   114,   115,     0,   116,   719,   720,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,     0,  1837,   137,  1838,  1839,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,  1840,  1841,   437,     0,
     438,   439,   440,   441,     0,     0,   442,     0,   443,   444,
     445,   446,   147,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,     0,     0,     0,   151,
       0,     0,     0,   455,   456,   457,   458,   683,   459,  1842,
    1843,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1450,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,     0,     0,   487,
       0,   488,  1844,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,     0,     0,   496,     0,
     497,   498,   685,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,     0,
       0,   511,   512,   513,  1456,  1845,     0,  1846,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   181,   523,   182,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,  1847,   188,  1848,   537,   538,  3617,
       0,   539,   540,   192,   541,     0,     0,   542,  1849,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,     0,   196,   197,   198,     0,   550,   551,   552,   553,
     554,   555,   556,     0,   557,     0,   558,     0,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,  1850,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,     0,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,  1851,   600,
     601,   218,   602,  1852,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,     0,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,  1853,  1854,     0,
       0,   622,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,     0,  1855,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   690,   650,   651,   714,    86,    87,    88,
     666,    90,    91,    92,   667,     0,   668,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   715,   104,   105,   669,
     716,     0,   107,   108,   109,   110,   717,   718,   112,   113,
     114,   115,     0,   116,   719,   720,   670,   671,     0,     0,
       0,   672,   673,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,   675,     0,   676,     0,
     677,   678,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
       0,  1837,   137,  1838,  1839,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,  1840,  1841,   437,     0,   438,
     439,   440,   441,     0,     0,   442,     0,   443,   444,   445,
     446,   147,   447,   681,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,     0,     0,     0,   151,     0,
       0,     0,   455,   456,   457,   458,   683,   459,  1842,  1843,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,  1450,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,     0,     0,   487,     0,
     488,  1844,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,     0,     0,   496,     0,   497,
     498,   685,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,     0,     0,
     511,   512,   513,  1456,  1845,     0,  1846,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   181,   523,   182,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   686,   532,   533,   687,
     534,   535,   536,  1847,   188,  1848,   537,   538,     0,     0,
     539,   540,   192,   541,     0,     0,   542,  1849,   543,   544,
     545,     0,   546,     0,     0,   547,   548,   549,     0,     0,
       0,   196,   197,   198,     0,   550,   551,   552,   553,   554,
     555,   556,     0,   557,     0,   558,     0,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,  1850,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
       0,   587,   588,   589,   590,   591,   592,   688,   593,     0,
     594,   595,   596,   597,   598,     0,   599,  1851,   600,   601,
     218,   602,  1852,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,     0,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,  1853,  1854,     0,     0,
     622,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,     0,  1855,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   690,   650,   651,   714,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   715,   104,   105,   669,   716,
       0,   107,   108,   109,   110,   717,   718,   112,   113,   114,
     115,     0,   116,   719,   720,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,   133,   427,   428,   429,     0,
    1837,   137,  1838,  1839,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,  1840,  1841,   437,     0,   438,   439,
     440,   441,     0,     0,   442,     0,   443,   444,   445,   446,
     147,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,   150,   454,     0,     0,     0,     0,   151,     0,     0,
       0,   455,   456,   457,   458,   683,   459,  1842,  1843,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1450,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,     0,     0,   487,     0,   488,
    1844,   489,     0,   490,     0,   491,   168,     0,   169,   492,
     493,   494,     0,   495,     0,     0,   496,     0,   497,   498,
     685,   499,   500,   172,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   173,     0,     0,   511,
     512,   513,  1456,  1845,     0,  1846,     0,   514,   177,   178,
     515,   179,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   181,   523,   182,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,  1847,   188,  1848,   537,   538,     0,     0,   539,
     540,   192,   541,     0,     0,   542,  1849,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,     0,
     196,   197,   198,     0,   550,   551,   552,   553,   554,   555,
     556,     0,   557,     0,   558,     0,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,  1850,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,   209,   585,   586,     0,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,  2388,   600,   601,   218,
     602,  1852,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,     0,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,  1853,  1854,     0,     0,   622,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,     0,  1855,     0,   640,   234,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   690,   650,   651,   714,    86,    87,    88,   666,    90,
      91,    92,   667,     0,   668,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   715,   104,   105,   669,   716,     0,
     107,   108,   109,   110,   717,   718,   112,   113,   114,   115,
       0,   116,   719,   720,   670,   671,     0,     0,     0,   672,
     673,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,   675,     0,   676,     0,   677,   678,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,   133,   427,   428,   429,     0,  1837,
     137,  1838,  1839,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,  1840,  1841,   437,     0,   438,   439,   440,
     441,     0,     0,   442,     0,   443,   444,   445,   446,   147,
     447,   681,     0,   448,   449,   450,   451,   452,   453,     0,
     150,   454,     0,     0,     0,     0,   151,     0,     0,     0,
     455,   456,   457,   458,   683,   459,  1842,  1843,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,  1450,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,     0,     0,   487,     0,   488,  1844,
     489,     0,   490,     0,   491,   168,     0,   169,   492,   493,
     494,     0,   495,     0,     0,   496,     0,   497,   498,   685,
     499,   500,   172,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   173,     0,     0,   511,   512,
     513,  1456,  1845,     0,  1846,     0,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     181,   523,   182,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   686,   532,   533,   687,   534,   535,
     536,  1847,   188,  1848,   537,   538,     0,     0,   539,   540,
     192,   541,     0,     0,   542,  1849,   543,   544,   545,     0,
     546,     0,     0,   547,   548,   549,     0,     0,     0,   196,
     197,   198,     0,   550,   551,   552,   553,   554,   555,   556,
       0,   557,     0,   558,     0,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,  1850,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,   209,   585,   586,     0,   587,
     588,   589,   590,   591,   592,   688,   593,     0,   594,   595,
     596,   597,   598,     0,   599,     0,   600,   601,   218,   602,
    1852,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,     0,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,  1853,  1854,     0,     0,   622,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,     0,  1855,     0,   640,   234,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     690,   650,   651,   714,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   715,   104,   105,   669,   716,     0,   107,
     108,   109,   110,   717,   718,   112,   113,   114,   115,     0,
     116,   719,   720,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,   133,   427,   428,   429,     0,     0,   137,
       0,     0,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,     0,     0,   437,     0,   438,   439,   440,   441,
       0,     0,   442,     0,   443,   444,   445,   446,   147,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,   150,
     454,     0,     0,     0,     0,   151,     0,     0,     0,   455,
     456,   457,   458,   683,   459,     0,     0,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,     0,     0,   487,     0,   488,     0,   489,
       0,   490,     0,   491,   168,     0,   169,   492,   493,   494,
       0,   495,     0,     0,   496,     0,   497,   498,   685,   499,
     500,   172,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   173,     0,     0,   511,   512,   513,
       0,     0,     0,     0,     0,   514,   177,   178,   515,   179,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   181,
     523,   182,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
       0,   188,     0,   537,   538,     0,     0,   539,   540,   192,
     541,     0,     0,   542,     0,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,     0,   196,   197,
     198,     0,   550,   551,   552,   553,   554,   555,   556,     0,
     557,     0,   558,     0,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,   209,   585,   586,     0,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,     0,   600,   601,   218,   602,     0,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,     0,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,     0,     0,     0,     0,   622,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,     0,     0,     0,   640,   234,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   721,   420,   421,   422,   722,
     723,   724,   725,   726,   727,   728,   423,   424,   729,   425,
     426,   133,   427,   428,   429,   135,   136,   137,   138,   139,
     730,   430,   431,   432,   433,   434,   731,   732,   435,   436,
       0,   140,   437,   734,   438,   439,   440,   441,   144,   735,
     442,   736,   443,   444,   445,   446,   147,   447,   737,   738,
     448,   449,   450,   451,   452,   453,   739,   150,   454,     0,
     741,   742,   743,   151,   744,   745,   746,   455,   456,   457,
     458,     0,   459,   154,   155,   460,   747,   461,   748,   462,
     463,   464,   465,   466,   749,   467,   468,   469,   750,   751,
     470,   471,   472,   473,   474,   752,   475,   476,   477,   753,
     478,   479,   754,   480,   481,   482,   483,   163,   484,   485,
     486,   165,   755,   487,   756,   488,   167,   489,   757,   490,
     758,   491,   168,   759,   169,   492,   493,   494,   760,   495,
     171,   761,   496,   762,   497,   498,     0,   499,   500,   172,
     501,   502,   503,   763,   504,   505,   506,   507,   508,   509,
     764,   510,   173,   174,     0,   511,   512,   513,     0,   175,
     767,   176,   768,   514,   177,   178,   515,   179,   516,   517,
     518,   519,   520,   521,   522,   769,   180,   181,   523,   182,
     770,   524,   525,   526,   771,   772,   527,   528,   529,   530,
     531,     0,   532,   533,     0,   534,   535,   536,   187,   188,
     189,   537,   538,   190,   773,   539,   540,   192,   541,   774,
     193,   542,   194,   543,   544,   545,   775,   546,   776,   777,
     547,   548,   549,   778,   779,   195,   196,   197,   198,   199,
     550,   551,   552,   553,   554,   555,   556,   780,   557,   200,
     558,   201,   559,   560,   561,   781,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,   782,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   783,
     583,   584,   209,   585,   586,   211,   587,   588,   589,   590,
     591,   592,     0,   593,   784,   594,   595,   596,   597,   598,
     785,   599,   216,   600,   601,   218,   602,   219,   786,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
     787,   613,   614,   788,   615,   616,   617,   618,   619,   620,
     789,   223,   224,     0,   791,   622,   225,   623,   226,   792,
     624,   625,   626,   627,   628,   629,     0,   794,   630,   631,
     632,   633,   634,   795,   796,   635,   636,   637,   638,   639,
       0,   233,   798,   640,   234,   641,   642,   643,   799,   800,
     644,   801,   802,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,     0,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,   411,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,  1128,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,   411,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,  2335,   438,   439,
     440,   441,   144,     0,   442,  2400,   443,   444,   445,   446,
       0,   447,   681,  2336,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,  2401,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,  2338,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,  2339,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,  2340,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,  2335,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,  2336,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,  2401,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,  2338,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,  3239,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,  2339,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,  2340,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,  1027,   418,   419,   986,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,   987,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,  1028,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,   988,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,   989,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   986,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,   987,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,  2965,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,   988,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,   989,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,  2335,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,  2336,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,  2401,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,  2338,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,  2339,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,  2340,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
     411,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   679,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,   682,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,   684,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   986,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,   987,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,   988,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,   989,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,   902,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,   411,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   903,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   904,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,  2021,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,  2022,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,  2023,   491,     0,     0,
       0,  2024,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,  2025,  2026,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,  2027,   591,   592,   688,   593,
       0,  2028,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,  2029,
     615,  2030,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
     987,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,   988,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,   989,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,  2010,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,  2293,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
     411,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,  2842,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,  2843,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,  2844,   615,   616,  2845,   618,
    2846,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,  2847,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,   411,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   706,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,   411,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,   684,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,   411,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   854,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,   411,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,  1295,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   130,   131,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,  3038,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,  3039,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,  3050,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,  3051,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,   411,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,   411,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   908,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
     411,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   950,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,   411,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,  1003,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,  1059,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,  1535,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,  1920,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,  2010,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,  2293,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,  3923,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,  3936,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,  4135,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
    4137,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,  4139,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,  4512,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,  1011,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,  1013,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,  1014,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,     0,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,  1015,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,  1016,   224,     0,     0,  1017,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,  1018,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,  1053,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,  1014,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
       0,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,  1054,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,  1055,   224,     0,     0,  1056,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,  1018,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,  1073,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,  1257,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,  1308,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,  1314,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
    1322,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,  1324,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,  1326,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,  1328,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,  1331,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
    1333,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
    1334,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,  1337,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,  1546,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,  1040,   436,  1014,   140,
    1547,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,  1044,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,  1045,   586,   211,   587,   588,   589,  1046,   591,   592,
     688,   593,     0,   594,   595,   596,   597,  1539,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,  1048,
     224,     0,     0,  1049,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,  1018,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,  1050,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,  1670,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,  1883,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
    1910,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,  1944,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,  1946,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,  2056,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,  2260,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,   435,   436,   680,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,   681,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,   536,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,   585,   586,   211,
     587,   588,   589,   590,   591,   592,   688,   593,     0,   594,
     595,   596,   597,   598,     0,     0,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,   223,   224,     0,     0,   622,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,   689,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,   649,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
     435,   436,   680,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
     681,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
    2614,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,   536,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,   585,   586,   211,   587,   588,
     589,   590,   591,   592,   688,   593,     0,   594,   595,   596,
     597,   598,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,   223,   224,     0,     0,   622,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,   689,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,   649,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,   435,   436,
     680,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,   681,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,  3041,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,   536,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,   585,   586,   211,   587,   588,   589,   590,
     591,   592,   688,   593,     0,   594,   595,   596,   597,   598,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,   223,   224,     0,     0,   622,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
     689,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,   649,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,  3043,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,   554,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,   587,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,   666,    90,    91,    92,   667,     0,   668,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     669,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   670,   671,     0,
       0,     0,   672,   673,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,   675,     0,   676,
       0,   677,   678,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   135,   136,     0,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,   680,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,     0,   447,   681,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   683,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,   685,   499,  3126,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   180,     0,   523,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   686,   532,   533,
     687,   534,   535,   536,   187,     0,   189,   537,   538,   190,
       0,   539,   540,     0,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,     0,     0,     0,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,     0,   585,
     586,   211,   587,   588,   589,   590,   591,   592,   688,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,     0,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   689,   233,     0,   640,
       0,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   690,   650,   651,    86,    87,    88,   666,
      90,    91,    92,   667,     0,   668,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   669,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   670,   671,     0,     0,     0,
     672,   673,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   675,     0,   676,     0,   677,
     678,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,     0,     0,     0,     0,     0,     0,     0,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   135,
     136,     0,   138,   139,     0,   430,   431,   432,   433,   434,
       0,     0,  1040,   436,  1014,   140,   437,     0,   438,   439,
     440,   441,   144,     0,   442,     0,   443,   444,   445,   446,
       0,   447,     0,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   683,   459,   154,   155,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   163,   484,   485,   486,   165,     0,   487,     0,   488,
     167,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   171,     0,   496,     0,   497,   498,
     685,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   174,     0,   511,
     512,   513,     0,   175,     0,   176,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     180,     0,   523,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   686,   532,   533,   687,   534,
     535,  1044,   187,     0,   189,   537,   538,   190,     0,   539,
     540,     0,   541,     0,   193,   542,   194,   543,   544,   545,
       0,   546,     0,     0,   547,   548,   549,     0,     0,   195,
       0,     0,     0,   199,   550,   551,   552,   553,   554,   555,
     556,     0,   557,   200,   558,   201,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,   568,   203,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     0,   583,   584,     0,  1045,   586,   211,
     587,   588,   589,  1046,   591,   592,   688,   593,     0,   594,
     595,   596,   597,  1539,     0,   599,   216,   600,   601,     0,
     602,   219,     0,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   221,     0,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,  1048,   224,     0,     0,  1049,
     225,   623,   226,     0,   624,   625,   626,   627,   628,   629,
       0,     0,   630,   631,   632,   633,   634,     0,     0,   635,
     636,   637,   638,   639,  1018,   233,     0,   640,     0,   641,
     642,   643,     0,     0,   644,     0,     0,   645,   646,   647,
     648,  1050,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   690,   650,   651,    86,    87,    88,   666,    90,    91,
      92,   667,     0,   668,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   669,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   670,   671,     0,     0,     0,   672,   673,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   675,     0,   676,     0,   677,   678,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,     0,     0,     0,     0,     0,     0,     0,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   135,   136,     0,
     138,   139,     0,   430,   431,   432,   433,   434,     0,     0,
    1040,   436,  1014,   140,   437,     0,   438,   439,   440,   441,
     144,     0,   442,     0,   443,   444,   445,   446,     0,   447,
       0,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   683,   459,   154,   155,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   163,
     484,   485,   486,   165,     0,   487,     0,   488,   167,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   171,     0,   496,     0,   497,   498,   685,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   174,     0,   511,   512,   513,
       0,   175,     0,   176,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   180,     0,
     523,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   686,   532,   533,   687,   534,   535,  1044,
     187,     0,   189,   537,   538,   190,     0,   539,   540,     0,
     541,     0,   193,   542,   194,   543,   544,   545,     0,   546,
       0,     0,   547,   548,   549,     0,     0,   195,     0,     0,
       0,   199,   550,   551,   552,   553,   554,   555,   556,     0,
     557,   200,   558,   201,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,   568,   203,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     0,   583,   584,     0,  1045,   586,   211,   587,   588,
     589,  1046,   591,   592,   688,   593,     0,   594,   595,   596,
     597,  1539,     0,   599,   216,   600,   601,     0,   602,   219,
       0,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   221,     0,   613,   614,     0,   615,  2326,   617,   618,
     619,   620,     0,  1048,   224,     0,     0,  1049,   225,   623,
     226,     0,   624,   625,   626,   627,   628,   629,     0,     0,
     630,   631,   632,   633,   634,     0,     0,   635,   636,   637,
     638,   639,  1018,   233,     0,   640,     0,   641,   642,   643,
       0,     0,   644,     0,     0,   645,   646,   647,   648,  1050,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   690,
     650,   651,    86,    87,    88,   666,    90,    91,    92,   667,
       0,   668,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   669,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   670,   671,     0,     0,     0,   672,   673,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,   676,     0,   677,   678,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,     0,
       0,     0,     0,     0,     0,     0,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   135,   136,     0,   138,   139,
       0,   430,   431,   432,   433,   434,     0,     0,  1040,   436,
    1014,   140,   437,     0,   438,   439,   440,   441,   144,     0,
     442,     0,   443,   444,   445,   446,     0,   447,     0,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   683,   459,   154,   155,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   163,   484,   485,
     486,   165,     0,   487,     0,   488,   167,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     171,     0,   496,     0,   497,   498,   685,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   174,     0,   511,   512,   513,     0,   175,
       0,   176,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   180,     0,   523,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   686,   532,   533,   687,   534,   535,  1044,   187,     0,
     189,   537,   538,   190,     0,   539,   540,     0,   541,     0,
     193,   542,   194,   543,   544,   545,     0,   546,     0,     0,
     547,   548,   549,     0,     0,   195,     0,     0,     0,   199,
     550,   551,   552,   553,   554,   555,   556,     0,   557,   200,
     558,   201,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,   568,   203,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     0,
     583,   584,     0,  1045,   586,   211,   587,   588,   589,  2381,
     591,   592,   688,   593,     0,   594,   595,   596,   597,  1539,
       0,   599,   216,   600,   601,     0,   602,   219,     0,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   221,
       0,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,  1048,   224,     0,     0,  1049,   225,   623,   226,     0,
     624,   625,   626,   627,   628,   629,     0,     0,   630,   631,
     632,   633,   634,     0,     0,   635,   636,   637,   638,   639,
    1018,   233,     0,   640,     0,   641,   642,   643,     0,     0,
     644,     0,     0,   645,   646,   647,   648,  1050,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   690,   650,   651,
      86,    87,    88,   666,    90,    91,    92,   667,     0,   668,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   669,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   670,
     671,     0,     0,     0,   672,   673,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,   675,
       0,   676,     0,   677,   678,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,     0,     0,     0,
       0,     0,     0,     0,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   135,   136,     0,   138,   139,     0,   430,
     431,   432,   433,   434,     0,     0,   435,   436,   680,   140,
     437,     0,   438,   439,   440,   441,   144,     0,   442,     0,
     443,   444,   445,   446,     0,   447,   681,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   683,
     459,   154,   155,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   163,   484,   485,   486,   165,
       0,   487,     0,   488,   167,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   171,     0,
     496,     0,   497,   498,   685,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   174,     0,   511,   512,   513,     0,   175,     0,   176,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   180,     0,   523,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   686,
     532,   533,   687,   534,   535,   536,   187,     0,   189,   537,
     538,   190,     0,   539,   540,     0,   541,     0,   193,   542,
     194,   543,   544,   545,     0,   546,     0,     0,   547,   548,
     549,     0,     0,   195,     0,     0,     0,   199,   550,   551,
     552,   553,     0,   555,   556,     0,   557,   200,   558,   201,
     559,   560,   561,     0,   562,   563,   564,   565,   566,     0,
     568,   203,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     0,   583,   584,
       0,   585,   586,   211,     0,   588,   589,   590,   591,   592,
     688,   593,     0,   594,   595,   596,   597,   598,     0,   599,
     216,   600,   601,     0,   602,   219,     0,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   221,     0,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,   223,
     224,     0,     0,   622,   225,   623,   226,     0,   624,   625,
     626,   627,   628,   629,     0,     0,   630,   631,   632,   633,
     634,     0,     0,   635,   636,   637,   638,   639,   689,   233,
       0,   640,     0,   641,   642,   643,     0,     0,   644,     0,
       0,   645,   646,   647,   648,   649,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   690,   650,   651,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115, -2287,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,   127,    35,     0,   406,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,     0,     0,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   173,   174,
       0,     0,     0,     0,     0,   175,     0,   176,     0,     0,
     177,   178,     0,   179,     0,     0,     0,     0,     0,     0,
       0,     0,   180,   181,     0,   182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   187,   188,   189,     0,     0,   190,
       0,     0,     0,   192,     0,     0,   193,     0,   194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   195,   196,   197,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   209,     0,
       0,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   216,     0,
       0,   218,     0,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
       0,     0,   225,     0,   226,     0,     0,     0,     0,     0,
       0,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115, -2288,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
    1123,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,   171,     0,     0,     0,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   173,   174,     0,     0,     0,     0,     0,
     175,     0,   176,     0,     0,   177,   178,     0,   179,     0,
       0,     0,     0,     0,     0,     0,     0,   180,   181,     0,
     182,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
     188,   189,     0,     0,   190,     0,     0,     0,   192,     0,
       0,   193,     0,   194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   195,   196,   197,   198,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,     0,     0,   211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   216,     0,     0,   218,     0,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,     0,     0,   225,     0,   226,
       0,     0,     0,     0,     0,     0,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,     0,     0,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   173,   174,
       0,     0,     0,     0,     0,   175,     0,   176,     0,     0,
     177,   178,     0,   179,     0,     0,     0,     0,     0,     0,
       0,     0,   180,   181,     0,   182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   187,   188,   189,     0,     0,   190,
       0,     0,     0,   192,     0,     0,   193,     0,   194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   195,   196,   197,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   209,     0,
       0,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   216,     0,
       0,   218,     0,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
       0,     0,   225,     0,   226,     0,     0,     0,     0,     0,
       0,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,   171,     0,     0,     0,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   173,   174,     0,     0,     0,     0,     0,
     175,     0,   176,     0,     0,   177,   178,     0,   179,     0,
       0,     0,     0,     0,     0,     0,     0,   180,   181,     0,
     182,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
     188,   189,     0,     0,   190,     0,     0,     0,   192,     0,
       0,   193,     0,   194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   195,   196,   197,   198,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,     0,     0,   211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   216,     0,     0,   218,     0,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,     0,     0,   225,     0,   226,
       0,     0,     0,     0,     0,     0,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,     0,     0,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   173,   174,
       0,     0,     0,     0,     0,   175,     0,   176,     0,     0,
     177,   178,     0,   179,     0,     0,     0,     0,     0,     0,
       0,     0,   180,   181,     0,   182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   187,   188,   189,     0,     0,   190,
       0,     0,     0,   192,     0,     0,   193,     0,   194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   195,   196,   197,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   209,     0,
       0,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   216,     0,
       0,   218,     0,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
       0,     0,   225,     0,   226,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    35,   411,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,   135,   136,   137,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,     0,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,   147,   447,     0,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,     0,     0,     0,   151,
       0,     0,     0,   455,   456,   457,   458,     0,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,  1986,   487,
       0,   488,   167,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,     0,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,   180,   181,   523,   182,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,     0,   532,   533,
       0,   534,   535,   536,   187,   188,   189,   537,   538,   190,
       0,   539,   540,   192,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,  1987,     0,   547,   548,   549,     0,
       0,   195,   196,   197,   198,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,   211,   587,   588,   589,   590,   591,   592,     0,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,   218,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,  1988,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,     0,   233,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    35,   650,   651,     0,     0,     0,     0,
       0,    41,    42,   977,  1628,  4099,     0,     0,     0,     0,
       0,     0,  4100,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   130,   131,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,   135,   136,   137,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,     0,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,   147,   447,     0,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,     0,     0,     0,   151,
       0,     0,     0,   455,   456,   457,   458,     0,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,     0,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,   180,   181,   523,   182,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,     0,   532,   533,
       0,   534,   535,   536,   187,   188,   189,   537,   538,   190,
       0,   539,   540,   192,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,   196,   197,   198,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,   211,   587,   588,   589,   590,   591,   592,     0,   593,
     214,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,   218,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,   222,
     615,   616,   617,   618,   619,   620,     0,   223,   224,     0,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,   232,   233,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,   235,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   650,   651,    35,   411,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,   245,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   154,   155,   460,  2200,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,  1986,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,     0,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,  1987,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,  1988,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   650,   651,     0,
       0,     0,     0,     0,    35,   411,   977,  1628,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,     0,     0,     0,     0,
       0,     0,     0,   423,   424,     0,   425,   426,   133,   427,
     428,   429,   135,   136,   137,   138,   139,     0,   430,   431,
     432,   433,   434,     0,     0,   435,   436,     0,   140,   437,
       0,   438,   439,   440,   441,   144,     0,   442,     0,   443,
     444,   445,   446,   147,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,   150,   454,     0,     0,     0,     0,
     151,     0,     0,     0,   455,   456,   457,   458,     0,   459,
     154,   155,   460,  2205,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   163,   484,   485,   486,   165,  1986,
     487,     0,   488,   167,   489,     0,   490,     0,   491,   168,
       0,   169,   492,   493,   494,     0,   495,   171,     0,   496,
       0,   497,   498,     0,   499,   500,   172,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   173,
     174,     0,   511,   512,   513,     0,   175,     0,   176,     0,
     514,   177,   178,   515,   179,   516,   517,   518,   519,   520,
     521,   522,     0,   180,   181,   523,   182,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,     0,   532,
     533,     0,   534,   535,   536,   187,   188,   189,   537,   538,
     190,     0,   539,   540,   192,   541,     0,   193,   542,   194,
     543,   544,   545,     0,   546,  1987,     0,   547,   548,   549,
       0,     0,   195,   196,   197,   198,   199,   550,   551,   552,
     553,   554,   555,   556,     0,   557,   200,   558,   201,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,   568,
     203,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     0,   583,   584,   209,
     585,   586,   211,   587,   588,   589,   590,   591,   592,     0,
     593,     0,   594,   595,   596,   597,   598,     0,   599,   216,
     600,   601,   218,   602,   219,     0,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   221,     0,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,   223,   224,
       0,     0,   622,   225,   623,   226,  1988,   624,   625,   626,
     627,   628,   629,     0,     0,   630,   631,   632,   633,   634,
       0,     0,   635,   636,   637,   638,   639,     0,   233,     0,
     640,   234,   641,   642,   643,     0,     0,   644,     0,     0,
     645,   646,   647,   648,   649,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   650,   651,     0,     0,     0,
       0,     0,    35,   411,   977,  1628,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,     0,     0,     0,     0,     0,     0,
       0,   423,   424,     0,   425,   426,   133,   427,   428,   429,
     135,   136,   137,   138,   139,     0,   430,   431,   432,   433,
     434,     0,     0,   435,   436,     0,   140,   437,     0,   438,
     439,   440,   441,   144,     0,   442,     0,   443,   444,   445,
     446,   147,   447,     0,     0,   448,   449,   450,   451,   452,
     453,     0,   150,   454,     0,     0,     0,     0,   151,     0,
       0,     0,   455,   456,   457,   458,     0,   459,   154,   155,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   163,   484,   485,   486,   165,  1986,   487,     0,
     488,   167,   489,     0,   490,     0,   491,   168,     0,   169,
     492,   493,   494,     0,   495,   171,     0,   496,     0,   497,
     498,     0,   499,   500,   172,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   173,   174,     0,
     511,   512,   513,     0,   175,     0,   176,     0,   514,   177,
     178,   515,   179,   516,   517,   518,   519,   520,   521,   522,
       0,   180,   181,   523,   182,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,     0,   532,   533,     0,
     534,   535,   536,   187,   188,   189,   537,   538,   190,     0,
     539,   540,   192,   541,     0,   193,   542,   194,   543,   544,
     545,     0,   546,  1987,     0,   547,   548,   549,     0,     0,
     195,   196,   197,   198,   199,   550,   551,   552,   553,   554,
     555,   556,     0,   557,   200,   558,   201,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,   568,   203,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     0,   583,   584,   209,   585,   586,
     211,   587,   588,   589,   590,   591,   592,     0,   593,     0,
     594,   595,   596,   597,   598,     0,   599,   216,   600,   601,
     218,   602,   219,     0,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   221,     0,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,   223,   224,     0,     0,
     622,   225,   623,   226,  1988,   624,   625,   626,   627,   628,
     629,     0,     0,   630,   631,   632,   633,   634,     0,     0,
     635,   636,   637,   638,   639,     0,   233,     0,   640,   234,
     641,   642,   643,     0,     0,   644,     0,     0,   645,   646,
     647,   648,   649,   236,   237,   238,   239,   240,   241,   242,
     243,   244,     0,   650,   651,     0,     0,     0,     0,     0,
      35,     0,   977,  1628,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,     0,     0,     0,     0,     0,     0,     0,   423,
     424,     0,   425,   426,   133,   427,   428,   429,   135,   136,
     137,   138,   139,     0,   430,   431,   432,   433,   434,     0,
       0,   435,   436,     0,   140,   437,     0,   438,   439,   440,
     441,   144,     0,   442,     0,   443,   444,   445,   446,   147,
     447,     0,     0,   448,   449,   450,   451,   452,   453,     0,
     150,   454,     0,     0,     0,     0,   151,     0,     0,     0,
     455,   456,   457,   458,     0,   459,   154,   155,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     163,   484,   485,   486,   165,  1986,   487,     0,   488,   167,
     489,     0,   490,     0,   491,   168,     0,   169,   492,   493,
     494,     0,   495,   171,     0,   496,     0,   497,   498,     0,
     499,   500,   172,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   173,   174,     0,   511,   512,
     513,     0,   175,     0,   176,     0,   514,   177,   178,   515,
     179,   516,   517,   518,   519,   520,   521,   522,     0,   180,
     181,   523,   182,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,     0,   532,   533,     0,   534,   535,
     536,   187,   188,   189,   537,   538,   190,     0,   539,   540,
     192,   541,     0,   193,   542,   194,   543,   544,   545,     0,
     546,  1987,     0,   547,   548,   549,     0,     0,   195,   196,
     197,   198,   199,   550,   551,   552,   553,   554,   555,   556,
       0,   557,   200,   558,   201,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,   568,   203,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     0,   583,   584,   209,   585,   586,   211,   587,
     588,   589,   590,   591,   592,     0,   593,     0,   594,   595,
     596,   597,   598,     0,   599,   216,   600,   601,   218,   602,
     219,     0,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   221,     0,   613,   614,     0,   615,   616,   617,
     618,   619,   620,     0,   223,   224,     0,     0,   622,   225,
     623,   226,  1988,   624,   625,   626,   627,   628,   629,     0,
       0,   630,   631,   632,   633,   634,     0,     0,   635,   636,
     637,   638,   639,     0,   233,     0,   640,   234,   641,   642,
     643,     0,     0,   644,     0,     0,   645,   646,   647,   648,
     649,   236,   237,   238,   239,   240,   241,   242,   243,   244,
       0,   650,   651,    35,   411,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,     0,     0,     0,     0,     0,
       0,     0,   423,   424,     0,   425,   426,   133,   427,   428,
     429,   135,   136,   137,   138,   139,     0,   430,   431,   432,
     433,   434,     0,     0,   435,   436,     0,   140,   437,     0,
     438,   439,   440,   441,   144,     0,   442,     0,   443,   444,
     445,   446,   147,   447,     0,     0,   448,   449,   450,   451,
     452,   453,     0,   150,   454,     0,     0,     0,     0,   151,
       0,     0,     0,   455,   456,   457,   458,     0,   459,   154,
     155,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   163,   484,   485,   486,   165,     0,   487,
       0,   488,   167,   489,     0,   490,     0,   491,   168,     0,
     169,   492,   493,   494,     0,   495,   171,     0,   496,     0,
     497,   498,     0,   499,   500,   172,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   173,   174,
       0,   511,   512,   513,     0,   175,     0,   176,     0,   514,
     177,   178,   515,   179,   516,   517,   518,   519,   520,   521,
     522,     0,   180,   181,   523,   182,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,     0,   532,   533,
       0,   534,   535,   536,   187,   188,   189,   537,   538,   190,
       0,   539,   540,   192,   541,     0,   193,   542,   194,   543,
     544,   545,     0,   546,     0,     0,   547,   548,   549,     0,
       0,   195,   196,   197,   198,   199,   550,   551,   552,   553,
     554,   555,   556,     0,   557,   200,   558,   201,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,   568,   203,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     0,   583,   584,   209,   585,
     586,   211,   587,   588,   589,   590,   591,   592,     0,   593,
       0,   594,   595,   596,   597,   598,     0,   599,   216,   600,
     601,   218,   602,   219,     0,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   221,     0,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,   223,   224,   621,
       0,   622,   225,   623,   226,     0,   624,   625,   626,   627,
     628,   629,     0,     0,   630,   631,   632,   633,   634,     0,
       0,   635,   636,   637,   638,   639,     0,   233,     0,   640,
     234,   641,   642,   643,     0,     0,   644,     0,     0,   645,
     646,   647,   648,   649,   236,   237,   238,   239,   240,   241,
     242,   243,   244,     0,   650,   651,    35,   411,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,     0,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    35,   650,   651,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   154,   155,   460,  2186,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,     0,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    35,   650,   651,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,     0,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    35,   650,   651,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,     0,   499,  1966,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    35,   650,   651,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,  2485,   455,   456,   457,   458,
       0,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,     0,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,  2486,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    35,   650,   651,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   130,   131,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,     0,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    35,   650,   651,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
    3307,   496,     0,   497,   498,     0,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    35,   650,   651,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,     0,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    35,   650,   651,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,     0,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,  1205,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    35,   650,   651,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,     0,     0,
       0,     0,     0,     0,     0,   423,   424,     0,   425,   426,
     133,   427,   428,   429,   135,   136,   137,   138,   139,     0,
     430,   431,   432,   433,   434,     0,     0,   435,   436,     0,
     140,   437,     0,   438,   439,   440,   441,   144,     0,   442,
       0,   443,   444,   445,   446,   147,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   150,   454,     0,     0,
       0,     0,   151,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   154,   155,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   163,   484,   485,   486,
     165,     0,   487,     0,   488,   167,   489,     0,   490,     0,
     491,   168,     0,   169,   492,   493,   494,     0,   495,   171,
       0,   496,     0,   497,   498,     0,   499,   500,   172,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   173,   174,     0,   511,   512,   513,     0,   175,     0,
     176,     0,   514,   177,   178,   515,   179,   516,   517,   518,
     519,   520,   521,   522,     0,   180,   181,   523,   182,     0,
     524,   525,   526,     0,     0,   527,   528,  1278,   530,   531,
       0,   532,   533,     0,   534,   535,   536,   187,   188,   189,
     537,   538,   190,     0,   539,   540,   192,   541,     0,   193,
     542,   194,   543,   544,   545,     0,   546,     0,     0,   547,
     548,   549,     0,     0,   195,   196,   197,   198,   199,   550,
     551,   552,   553,   554,   555,   556,     0,   557,   200,   558,
     201,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,   568,   203,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     0,   583,
     584,   209,   585,   586,   211,   587,   588,   589,   590,   591,
     592,     0,   593,     0,   594,   595,   596,   597,   598,     0,
     599,   216,   600,   601,   218,   602,   219,     0,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   221,     0,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
     223,   224,     0,     0,   622,   225,   623,   226,     0,   624,
     625,   626,   627,   628,   629,     0,     0,   630,   631,   632,
     633,   634,     0,     0,   635,   636,   637,   638,   639,     0,
     233,     0,   640,   234,   641,   642,   643,     0,     0,   644,
       0,     0,   645,   646,   647,   648,   649,   236,   237,   238,
     239,   240,   241,   242,   243,   244,     0,   650,   651
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-4330))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2533))

static const yytype_int16 yycheck[] =
{
       2,   245,   166,   358,  1042,  1089,   877,  1313,  1320,    78,
     152,   208,   988,   989,    78,   153,  1359,   993,    78,    78,
    1094,  1408,   186,    78,  1390,  1721,   227,  1968,  1693,  1738,
    1196,  1057,  1199,  2024,  1215,  1867,  1159,  1268,   149,  1421,
    1206,  1566,   164,   837,  1851,  1250,  1277,  1975,  1725,  1477,
    3034,  2704,   914,   222,  2175,   159,   712,  2433,   170,   930,
    1725,   374,   374,  1049,   202,  2520,  1810,   132,  3263,  1907,
    1779,  1780,  1892,  1721,  2393,  2394,    78,  1869,  2851,  3007,
    1587,  1892,    84,   877,  1892,    78,  1117,    89,  1892,  1255,
    2857,    84,  1258,    96,  1892,   164,   208,  1263,  2224,  1304,
    1448,  1449,  1892,   106,  1270,  1622,  1623,  1624,  2061,  2476,
     346,   713,  3495,  1279,  3184,   117,    78,  3546,  3054,  1467,
    3056,  1136,    84,   914,   117,   360,  1964,  3171,  1136,   360,
    2684,  2855,  2914,   955,  2907,  3539,   930,  2853,  2854,   142,
    3184,  3766,  1768,  3447,  3448,  3742,  3729,  3442,  1179,  3788,
     152,  1676,  1729,   156,   215,  2790,  1617,  1618,  1372,   161,
    1680,  1352,  1167,  2267,  3761,   956,  1343,   166,   161,  1438,
    1439,  4179,  1916,  1351,  1175,   117,  1086,  3507,  1086,  2555,
    3999,    10,    21,  1045,  1131,  1132,    30,   186,  3188,  3189,
    3190,  3191,  3192,  3193,  1463,  3380,    72,  1774,  1198,    88,
    1200,  1206,  2306,   156,   108,   207,  2310,  1207,   121,    72,
      86,    72,   135,   215,    95,   217,   947,  4438,   819,   161,
     114,   114,   222,    86,    88,    95,    84,   229,   204,   180,
     149,   143,    75,    76,    77,    78,   229,   227,   128,    82,
      95,    75,    76,    77,    78,  2621,   902,  2623,    82,   113,
      75,    76,    77,    78,  1045,   128,   112,    82,    75,    76,
      77,    78,     2,   128,  4320,    82,    25,  3696,   233,    25,
     117,   227,  1248,    90,    78,    75,    76,    77,    78,   143,
     182,   182,    82,   199,   227,  2920,   236,   229,   102,   117,
     323,    29,   135,   175,  2126,   180,    99,   366,   160,   306,
     230,   135,   366,   106,   103,   104,   366,   366,    93,  4418,
     351,   366,   180,   173,   161,    72,   197,  1495,    75,    76,
      77,    78,   222,    78,    81,    82,  1352,   197,  1359,    86,
     117,   112,    78,   161,    75,    76,    77,    78,   825,   145,
      94,    82,   197,   395,   148,    72,   833,    95,    78,    75,
      76,    77,    78,    78,    81,   180,    82,   448,   240,    86,
     164,   184,  1233,    78,    99,   187,   137,  2358,   270,  1550,
     232,   106,   374,  1496,   161,    88,   145,   864,   132,   207,
     448,   374,   229,  1039,   268,   466,  3357,   215,   335,   217,
       0,    72,   185,   179,    14,   227,    99,  1520,   152,   153,
      81,   229,   227,   106,   228,    86,   308,   409,   162,   500,
    3381,   185,   374,   295,  4422,  4744,   409,    37,   371,   366,
     227,  4004,   503,   308,   209,  2529,  1854,   226,    99,   228,
     143,   918,   500,  1597,   173,  4431,   207,   470,   322,  1233,
     927,   245,   229,    14,   267,   313,   306,   409,   202,   197,
     502,   247,    72,   224,   356,    75,    76,    77,    78,   500,
     390,    81,    82,    83,    84,   335,    86,   137,   368,  4578,
      75,    76,    77,    78,  1336,   482,    38,    82,    40,   621,
     335,  3701,   372,   153,  4813,    90,   260,   173,   418,  1515,
      75,    76,    77,    78,  1842,  1843,   366,    82,   383,   372,
     500,  1849,   452,   262,   386,    90,   262,   372,   821,   821,
    1822,   373,  1818,   503,    75,    76,    77,    78,  1549,   438,
     258,    82,  1553,  1554,   500,   395,   664,   665,    88,  1555,
    1556,  1133,  1134,  3533,   427,  3605,   487,   207,   503,  1361,
     395,    75,    76,    77,    78,  1336,   462,   503,    82,   450,
     503,   409,  1153,  4774,   224,   369,   360,  4182,   414,   453,
     503,  3605,   366,  1425,  3993,   446,  4149,   381,  1359,  4625,
     173,  1840,  1841,    75,    76,    77,    78,   500,   349,  1848,
      82,  2388,    75,    76,    77,    78,   498,   500,    90,    82,
     502,   266,   453,  2969,   379,  2120,   500,    90,  1764,   402,
    1766,   503,   427,  1834,   466,  2397,  1773,   496,  1813,   448,
    1341,   366,   397,   503,  4197,   491,   492,   431,   366,   621,
     366,   427,  4731,   457,   453,  4734,   448,  1808,   491,   492,
     503,  3926,   496,   414,  1425,  3930,   366,   500,   503,   501,
    2165,   366,   504,   429,  2169,    75,    76,    77,    78,  3979,
    2016,   366,    82,   446,   498,   494,   410,   500,   427,   458,
    4668,   173,   487,  4772,  3849,  1831,   500,   402,   500,  3442,
     441,   342,   446,   229,   843,  1706,   500,   502,   417,   349,
    4676,  1712,   468,   500,  1546,   227,   828,  4506,  3143,  1636,
    3457,  3146,  3147,   500,  1604,  3150,  1604,  2393,   498,   402,
     500,    85,   502,    95,  1704,  3160,  3025,   503,  3027,   101,
    3710,    88,   956,    75,    76,    77,    78,   206,   322,  1720,
      82,   957,   266,  2400,  4732,  1756,   467,   869,  1759,  1760,
     182,   417,  4315,  1220,  1089,   492,    88,   173,  3462,  4322,
     107,   467,   151,  1230,   151,   486,   308,  2868,  1753,   420,
    1352,   422,   141,   180,   858,  1546,   151,    99,   209,   500,
     486,   113,  1553,  1554,   491,   492,   904,   111,   209,   321,
    3543,   441,  3148,  3149,   500,   264,    99,  2881,   109,   236,
     189,   923,   189,  1997,   379,   466,   266,   197,  1819,  2003,
    1981,   143,  2369,  4382,   189,  1972,  3009,   266,  1285,   295,
    2320,   227,   966,   208,   968,   197,   970,  2268,  4405,  2270,
     491,   492,   976,   180,   417,   817,   227,  2086,  2087,   821,
     160,   247,   128,   825,   817,   381,   100,   502,   821,   998,
     173,   833,   834,   306,   956,   999,  1000,   839,   173,   328,
     266,   952,    14,   248,  1079,   180,   848,   458,  1079,   306,
     192,   446,  3171,    75,    76,    77,    78,   188,   366,   821,
      82,   313,   864,  2756,  2757,  3184,   417,   621,  2761,   192,
    3798,   491,   492,   875,  2551,   817,  3511,   879,  1749,   435,
     392,   308,  2060,  2061,   180,   427,   955,   395,   890,   328,
     386,   268,   232,  2071,  1063,   500,  2074,  4117,  4118,  4119,
    4120,  4121,   246,  2599,  2082,  2083,   908,   235,  2801,  2802,
     664,   665,   914,   227,   121,   500,   918,  2095,  2096,    75,
      76,    77,    78,   457,  1093,   927,    82,   336,  2106,   336,
    2094,   185,   321,   493,   494,   495,   496,  1913,  4563,   500,
     324,   336,  3261,   335,  2108,   947,   397,  1069,   500,  4588,
     953,   440,  4541,  1979,   956,  1749,   397,  4554,   712,   503,
     370,  4390,  4266,  2589,   171,   968,   500,   970,   448,   968,
     817,   970,   383,   308,   366,  4270,  1041,   980,   266,   452,
    4275,   417,  1043,  4278,   227,   395,  1047,   261,  3201,   817,
    2028,  2029,  4514,  4515,  2117,   452,   999,  1000,   500,   119,
     999,  1000,  4197,   395,   247,  1174,   260,   500,    75,    76,
      77,    78,   421,     8,   421,    82,    11,    12,    75,    76,
      77,    78,   448,   266,   504,    82,   421,    22,    23,    24,
     817,    26,    27,   373,   503,  1037,    31,    32,    33,   230,
    2872,  1043,    88,  1045,  4669,  1047,   397,   504,   459,   377,
      71,    72,   259,    88,    75,    76,    77,    78,    79,    80,
      81,    82,  1064,   151,   503,    86,   372,   113,   379,  1071,
     500,  1064,   407,   266,   417,   410,    72,  1948,   504,    75,
      76,    77,    78,   322,    99,    81,    82,    83,    84,  4518,
      86,   221,   388,   184,  4677,   446,  4279,   143,  4281,   306,
    4504,   189,  1064,   487,   488,   489,   175,   491,   492,   493,
     494,   495,   496,   427,   491,   492,   493,   494,   495,   496,
     487,   417,   266,   243,   121,    97,   466,   247,   334,  1131,
    1132,   498,   147,   500,   501,   502,   503,   273,   500,   154,
     153,   493,   494,   495,   496,   117,   377,   326,   902,   219,
     904,   955,   956,  3926,  1948,   266,   335,  3930,   454,   180,
     448,   501,  1984,   283,   504,   500,   181,   180,   328,    85,
     466,   240,    88,   487,   171,   185,   267,   384,   173,  4701,
     434,  3948,   429,  2209,  1288,   318,  4481,   197,   502,   500,
    2538,  3958,   446,   151,  1985,  3977,   950,   236,   218,   390,
     954,   161,  3657,  4632,   500,   448,   175,   947,  3663,  3664,
    3665,  3666,  3667,  3668,   344,  1043,   447,  4153,  1220,  1047,
    3944,  2092,   268,  3939,   185,   385,   295,   418,  1230,   298,
    3022,   189,  3956,   268,    71,   305,   251,  3029,   500,   318,
     318,  2472,    79,    80,   265,   227,  4629,  4630,   336,   467,
    1252,  1495,   408,   409,  2285,   448,   174,   128,   172,   498,
     504,   504,   259,   502,   284,   247,   287,   306,   486,   229,
    4340,   240,    25,     5,  4703,  1079,   503,  3831,   500,   399,
     459,   175,    35,  1285,   266,  1039,  3605,  1041,    95,   261,
    2305,   229,  1361,    25,   101,   308,  4340,  2305,  2092,   260,
     320,  4484,   969,    35,   448,   300,   973,   974,   975,   306,
    2616,   506,  2624,  3304,    71,   152,   983,   386,    75,    76,
      77,    78,    79,    80,    85,    82,   295,    88,  3024,   298,
     236,  4323,   250,   421,  1336,    22,   346,   448,  1340,  1341,
    1576,  1343,  2573,  2574,  2575,  2576,   240,   498,   328,  1351,
     345,   502,   268,  1666,  1666,  1590,  1591,  1359,  1593,  1590,
    1591,  1364,  1593,  1366,  4793,   202,  1369,   500,  1371,   231,
    4753,  1374,  1375,  1376,   348,  2882,  3024,  1117,   336,  1981,
     294,   134,   296,  3336,  1387,    72,   324,   384,   381,   229,
     197,    85,  3518,  3760,    88,   410,  1136,  1400,  3218,  1402,
     306,   295,   134,  4395,   298,  2610,  1408,  3218,   324,   379,
    3218,   328,   481,   452,  3218,   252,  2447,   386,   175,   348,
    3218,   500,   500,  1425,  2455,   287,  2457,   388,  3218,   335,
    3806,   500,  3808,   500,  1436,   306,   406,  1606,   431,  1179,
     228,   436,   504,   500,  1931,   491,   492,   493,   494,   495,
     496,  3289,   183,  1940,   160,   429,   491,   492,   493,   494,
     495,   496,  1464,   421,   196,   182,   448,  1532,  1533,  3362,
     491,   492,  3365,  3366,  3367,  3368,  3369,  3370,  3371,  3372,
    3373,  3374,  4677,   240,   324,   446,   247,    41,  2359,   308,
    1492,  1493,   386,  1495,   468,   491,   492,  4270,   416,   417,
     429,   372,  4275,   340,   928,  4278,  1508,   268,   932,   262,
    1512,  4439,   481,   244,    85,  4507,   227,    88,   942,  4286,
    4287,   501,   504,   503,   395,  4517,   232,    14,   335,   427,
     262,  3424,  3425,   218,   105,   354,   247,  2024,   295,   468,
    3249,   298,   427,  4316,  1546,   115,   452,  1549,  2726,   337,
      37,  1553,  1554,   270,   381,   266,   240,  1361,   420,   366,
     422,  1563,  1564,   324,  4217,  2359,   136,   262,   182,  1634,
     410,  1564,   488,   489,   268,   491,   492,   493,   494,   495,
     496,   129,   444,  4567,   501,    72,   503,   481,   395,   137,
    1592,   308,  2756,  2757,  1596,  1597,  2774,  2761,  1702,   284,
    1340,  1341,   439,  1343,   431,   503,   500,   183,  2974,     2,
     447,   295,   400,   450,  1616,  1617,  1618,  4553,   503,  1359,
     368,    16,  1564,  1616,  1617,  1618,   228,  2805,  1432,   386,
     324,  4086,  4087,   427,  1636,  4011,  4012,  2801,  2802,   356,
     254,   182,    71,    72,  2300,    88,  2677,  1451,   229,   231,
     192,   429,   194,  1407,   256,  1617,  1618,  4310,  4431,  4312,
      95,  3178,  2840,   448,  1666,  4593,   101,  2441,   244,   271,
     113,  1673,  1674,  1666,   216,   448,   257,  1481,  1680,   281,
    1673,   222,  3030,  2995,   487,  1687,   183,  1680,   218,   335,
     468,  1495,   222,   487,   308,  1362,    89,   268,  1365,   502,
     143,  1368,   386,  1370,  1666,   287,  1373,   155,  4481,   247,
    1377,  1673,  1714,   254,   137,   500,  2490,  1564,   466,  1721,
     366,   192,   335,   194,   481,   351,   487,   488,   489,  4496,
     491,   492,   493,   494,   495,   496,  1564,   448,  1680,   287,
    2602,    75,    76,    77,    78,  1747,   194,   244,    82,    75,
      76,    77,    78,   324,   284,   503,    82,   180,   381,   152,
     145,    85,   197,   385,    88,   158,   308,   308,   153,  1616,
     172,   313,    14,  3565,   376,  2637,   318,  1564,  1532,  1533,
    2985,   105,   395,   192,   466,   194,  1590,  1591,   335,  1593,
     320,   184,  1794,   504,  1796,    37,  1938,   491,   492,   493,
     494,   495,   496,  3547,   309,   310,   335,   216,   431,  1549,
     222,  2602,  1814,  1553,  1554,    75,    76,    77,    78,   366,
     232,   503,    82,   498,   317,   268,   269,   466,   366,  3722,
     505,  1833,   370,  1680,   192,   247,   194,   366,   420,  3960,
     422,   370,  2873,  3010,   366,   370,  2637,   318,   395,  1851,
     252,   295,  1680,   388,   298,   356,  2053,   395,   274,  1687,
    2898,  3227,   444,  1985,   503,  2352,   395,  2036,   311,    34,
     395,  2358,  1874,   395,  3706,  3584,  3585,  1879,   460,  3404,
    1634,  1874,   417,   388,  2870,   308,  1714,   152,  1628,  1891,
     313,   433,   294,  1680,   296,   427,   397,  1321,   383,   335,
     442,   103,   104,  4676,   313,  1907,  2219,  2219,  4363,   318,
    4337,   500,   417,  1653,  1654,  1984,   487,   488,   489,   454,
     491,   492,   493,   494,   495,   496,   349,   355,   466,  1931,
     366,   466,  1874,  4360,   419,  1937,   201,   466,  1940,   362,
    2052,  3323,   386,    81,   268,   446,    51,   161,    86,   454,
     308,  2822,   380,   500,   227,  2059,  3384,  3385,   160,   395,
     318,   466,  1964,   375,    69,   500,  1706,   420,  1796,   422,
    1972,  1395,  1712,  1975,   247,  2044,    88,   179,   388,   313,
    2044,   466,   467,  1985,  2044,  2044,  1410,   313,   503,  2044,
     222,  1994,   507,  1996,  3519,   500,   368,  2000,  1422,  2002,
     324,   113,  2005,  3896,  3897,  2661,  2009,   417,   210,    97,
     242,   431,   277,   278,   228,   500,  1756,   222,   441,  1759,
    1760,  4340,  2024,  3329,   433,   290,  4402,  1874,  2822,   117,
    3196,   143,   498,   442,   500,  3422,   502,   242,    75,    76,
      77,    78,   256,   128,   454,    82,  1874,  4700,   491,   492,
     493,   494,   495,   496,  3982,   335,   385,   271,  2060,  2061,
     322,   146,  3894,   250,  3741,   327,  2068,   281,   389,  2071,
     335,   331,  2074,  2237,   366,   160,   467,  2079,   370,  1819,
    2082,  2083,  2873,   157,  3891,  3781,   366,  1874,  2090,   303,
     500,  2093,  2094,  2095,  2096,   486,   417,   467,  2892,  2221,
    3765,  2103,  2104,   395,  2106,   505,  2108,  2109,   322,   500,
    2112,  1890,    85,   389,  4433,   395,   486,    75,    76,    77,
      78,  2983,  3327,   161,    82,   210,  2128,  2129,  2130,  1908,
     500,    72,  2134,  2330,   503,  2332,  2138,  2130,   507,   460,
    2142,   417,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,
    2152,   498,  2154,   383,   419,   383,   421,   504,  2160,  1583,
     125,  2163,   376,   487,   488,   489,   207,   491,   492,   493,
     494,   495,   496,    72,   466,   385,   217,    89,  3544,  3545,
    1984,   134,   135,  2325,   460,   356,   388,    86,  2130,   419,
     228,   419,  2983,   335,   322,   420,   367,   422,  3362,   327,
    2259,  3365,  3366,  3367,  3368,  3369,  3370,  3371,  3372,  3373,
    3374,    85,   499,  3391,    88,   417,   503,  2219,   256,   242,
     391,  2708,  2224,   160,   366,  2712,  2219,   319,   621,  3577,
     322,  3395,  1972,   271,   448,  1975,   466,   467,   466,   467,
    2044,  3217,   179,   281,   499,   419,     7,   274,   503,    98,
     383,    85,   454,   395,    88,   506,   458,  2219,    19,    20,
    3424,  3425,   500,   335,   466,   303,  2268,    86,  2270,   335,
     500,   500,   500,   210,   126,  2268,   313,  2270,    39,   113,
     501,    42,   503,  2130,   503,   119,   419,  2289,    75,    76,
      77,    78,   466,   467,   366,    82,   145,  2439,   500,  3330,
     366,   322,  2130,  3484,   370,  2307,  2268,  2309,  2270,   143,
      75,    76,    77,    78,  2316,   503,   504,    82,  2320,  2321,
     172,   218,  2324,   395,   125,   222,   500,  2320,  3451,   395,
    3673,  2135,    71,   466,   467,  3197,  4229,  3199,   376,   115,
      79,    80,   495,  2130,  2346,  2347,   195,   500,  2110,   502,
    2352,  2113,   466,   467,    85,   313,  2358,    88,    75,    76,
      77,    78,  4255,  4256,  2851,    82,   498,   500,   500,    86,
    3454,  3455,   501,  2375,   503,   224,   495,  3171,  2320,  1252,
     229,   500,   113,   502,   466,   467,  2388,   284,   119,  4380,
    3184,  2393,  2394,   180,   268,   156,  2398,   249,  3260,   379,
     380,  2773,  2404,  2775,  2776,   483,  3197,   501,  3199,   270,
     504,   501,   143,   247,   504,  3940,    71,    72,  2420,  2421,
    2907,  2423,   502,   320,    79,    80,   275,  2420,   379,   380,
    2423,    86,   193,   325,   268,   269,   503,   504,  2440,  2441,
     325,  2443,   294,   322,   296,   493,   494,   495,  2559,  3974,
     324,   388,   206,   427,   306,  2259,   484,   485,  2460,  4218,
    4219,  4220,  4221,   180,   218,  2467,   859,  4299,   222,  3260,
     501,   322,   503,  2320,   205,   466,   467,   311,  2480,   222,
     417,  2423,   334,   483,  3676,  3652,  3678,  2489,  2490,  3681,
     324,  3683,  2320,   325,   491,   492,   493,   494,   495,   500,
    4196,   502,   483,   352,   501,  2860,   501,   115,   503,   274,
     264,   501,   243,   503,   270,  3902,   247,   454,  1942,   371,
     226,   914,   915,   501,   493,   503,  2528,  1951,  2530,   466,
     284,  1412,  1413,  2320,   383,  1408,   503,   268,   269,  1963,
     389,    75,    76,    77,    78,  2285,  2300,   501,    82,   503,
     500,  2553,   283,   405,   947,  2557,  2899,  2900,  3722,  3790,
     125,  2805,  4455,   500,   227,  2305,   320,  2307,   417,  2309,
     501,   501,   503,  2420,   328,   501,  2423,   503,   501,   501,
     311,   503,   501,   266,   503,  2587,   504,   436,  4529,   500,
    4531,   502,  2420,   324,   501,  2423,   503,  2599,  2022,   493,
    2602,  2025,   420,  2027,   422,   501,  2030,   503,   506,   500,
    1003,   460,   262,   487,   488,   489,   506,   491,   492,   493,
     494,   495,   496,    75,    76,    77,    78,   427,   427,   501,
      82,   503,   501,  2420,   503,  2637,  2423,   501,  1031,   503,
     203,   427,  3673,  2645,  2845,  2846,  2847,  1040,     2,   427,
     427,  1044,  1045,  1046,   501,   108,   503,   491,   492,   493,
     494,   495,   496,   501,   125,   503,  2910,   420,   399,   422,
      75,    76,    77,    78,   501,   268,   503,    82,   262,   427,
    2682,   491,   492,   493,   494,   495,   440,   502,   501,   499,
     503,  1083,  2694,  1085,   500,  2094,    75,    76,    77,    78,
    3878,   395,  2704,    82,   500,   469,  2708,  2447,   500,  2108,
    2712,    75,    76,    77,    78,  2455,   222,  2457,    82,   502,
      75,    76,    77,    78,  2726,  2727,   153,    82,   180,   310,
     504,   282,  3896,  3897,    75,    76,    77,    78,  1131,  1132,
     322,    82,  4108,  1136,   498,   182,   448,   501,   502,   385,
     501,  4416,   503,   322,  2756,  2757,   500,  4100,  2157,  2761,
     491,   492,   493,   494,   495,   496,   501,   501,   503,   503,
     274,  2773,  2774,  2775,  2776,   180,   501,   317,   503,  2781,
     501,   501,   503,   503,  2786,  2787,   500,  2789,  2781,  2791,
     137,   501,  3823,   503,  2787,    75,    76,    77,    78,  2801,
    2802,  1674,    82,  2805,   231,   108,   501,   388,   503,   466,
     308,  3605,   166,   501,   137,   503,  2818,  3304,  2820,  2888,
     143,   469,  2824,   250,  2888,   501,   500,   503,  2888,  2888,
     153,   115,   186,  2888,   115,   501,   417,   503,  2840,  2781,
     501,   501,   503,   503,   335,  2787,  4233,   436,   501,  2851,
     503,  2853,  2854,  2855,   222,   150,  1249,   180,   352,   182,
     287,    71,   501,   501,   503,   503,   501,   211,   503,    79,
      80,  2873,   505,   454,  1747,  2877,  3999,   501,   501,   503,
     503,   501,  3673,   503,   211,   466,    96,  2889,   501,   501,
     503,   503,  2894,  4589,   501,   501,   503,   503,   500,  2901,
     327,   501,   501,   503,   503,  2907,   501,  2661,   503,   501,
     501,   503,   503,   501,   501,   503,   503,   211,    85,   500,
     501,    88,   834,   504,   501,   469,   503,   839,   501,  4095,
     503,   254,   211,   501,  2781,   503,   848,  2677,   105,   211,
    2787,  1814,   152,  1336,  2946,   503,   113,  1340,  1341,  3975,
    1343,   211,   119,  2781,   501,  3442,   503,   211,   211,  2787,
    1833,   322,   501,   875,   503,  2967,  1359,   879,   501,   501,
     503,   503,   501,   211,   503,  2399,   143,   501,   890,   503,
     501,  2983,   503,   211,  2986,   308,   501,   501,   503,   503,
     313,   211,   202,   420,  2781,   422,  3931,   322,  3933,   211,
    2787,  2805,   211,   417,   431,   500,  1879,   108,  4374,   223,
     322,  1404,   282,   500,   441,  2819,   222,   444,   222,   500,
     500,   500,  3024,  3025,  4733,  3027,   349,   500,   345,   206,
     500,   500,  1425,   500,  2838,   500,   500,   247,   500,   362,
     500,   218,   252,    95,   500,   222,   500,  2851,   503,   101,
     500,   500,  3054,  3055,  3056,   500,  3543,   500,   500,   500,
     500,  3054,  3055,  3056,  1937,  4229,   500,   500,   500,  4456,
     500,  3073,   500,   332,  4238,  3077,   243,  3079,  3080,   500,
     247,   108,   163,   266,  2888,   282,   268,   264,   108,   141,
     222,  4255,  4256,   320,  3965,   222,   395,   493,  3236,   262,
     386,   268,   269,  2907,  1497,  4283,  2910,   284,   298,   503,
     179,   447,   503,   487,  1507,    14,   283,   503,   441,   500,
     500,  3123,   500,   427,  1517,   427,   383,  3269,   383,   502,
     340,   427,   383,  2873,  3272,  4522,  3138,   427,   190,  4526,
    4527,   308,  3144,   320,   311,   197,   322,   387,   200,   427,
     427,   328,    85,  1546,   427,    88,  1549,   324,   427,   427,
    1553,  1554,   313,   427,  3166,   447,   145,   377,  3170,  3171,
     322,  3965,   105,  3166,  4150,   252,   318,   427,  3237,   500,
     427,  3183,  3184,   153,   500,   503,   335,   448,  3432,   174,
    3183,   427,   448,  3252,   427,  3197,  4539,  3199,  3442,   125,
     252,   427,   125,   427,   427,   415,   326,  3054,  3055,  3056,
     427,   427,  4524,  3272,   114,   383,   114,  4523,   503,  1131,
    1132,   469,   427,   322,  3166,   427,  3054,  3055,  3056,   439,
     127,  4305,   399,  3434,  3435,  3436,  3437,   447,   427,   322,
     450,  3183,   268,  1636,   466,   108,  3248,   107,   500,  2673,
     457,   500,    97,   211,   306,  2128,   308,   500,  3260,  3261,
     308,   500,   159,   440,   180,   460,   318,  3054,  3055,  3056,
      85,   459,  3274,    88,   326,   448,   290,   318,   308,   108,
     222,   500,  4460,   335,   108,   274,   384,  3289,   448,   502,
     105,  4455,   211,   211,   448,    14,   211,   211,   317,   427,
     503,   312,  3304,   227,   500,  3307,   462,   425,   483,  4100,
     300,    88,   300,   395,   366,   425,   503,   214,   370,  3166,
     487,   488,   489,  3325,   491,   492,   493,   494,   495,   496,
     500,   500,   427,   227,   487,   268,  3183,  3339,  3166,   503,
    3342,   127,   429,   395,   503,   241,  3348,   264,   245,   241,
     323,   501,  3354,   500,  3356,  3183,   318,  2756,  2757,  3361,
    3362,   501,  2761,  3365,  3366,  3367,  3368,  3369,  3370,  3371,
    3372,  3373,  3374,   159,   503,   448,  3378,  3379,  1771,  3166,
     503,    34,   501,  4421,  3386,    10,   501,   427,   427,  3391,
     383,   324,   152,  3395,   500,  3397,  3183,  3399,   448,   451,
     383,   272,  2801,  2802,  3397,   272,   313,  3409,   313,   427,
    3412,  4495,  3414,   385,   500,   274,   322,   329,   313,   321,
    3422,  3423,  3424,  3425,   427,   503,   427,  3429,   214,   383,
    3432,  3171,   366,  3237,   356,   392,   427,   268,   335,  3926,
    3442,  4619,   108,  3930,  3184,   427,  4317,   268,  3252,   268,
    3452,   448,  4758,   268,   448,  3397,   268,  3621,  3460,   245,
    3462,   268,   500,   321,   487,   107,   498,   498,  3272,   366,
     487,   427,   427,   370,  4345,   211,   222,   374,   318,   392,
     224,   392,  3236,   380,   500,   211,   210,   108,   322,   322,
     387,   239,   494,   222,   239,   108,   211,   322,   395,   322,
    1893,   392,   222,   469,  3506,   500,   403,   247,   247,   324,
    3512,    98,   247,    96,   411,   233,  3518,   503,  3272,   297,
     322,   125,   503,  4317,   417,   317,   501,   274,   227,   503,
     501,  2404,   501,   501,   501,   483,   501,  2961,  2962,   339,
    2964,  3543,   501,   483,   131,   227,  4340,   427,   501,   501,
    3397,  4345,   501,   500,   487,   488,   489,   144,   491,   492,
     493,   494,   495,   496,   461,   501,  3568,   331,   500,  3397,
     157,   501,   501,   501,   501,   463,   501,    90,    90,  1972,
     463,   454,  1975,   373,   370,   322,   372,   284,   374,   250,
    3330,   501,   325,   947,   380,   504,   258,   487,  3600,   503,
     487,   387,  3604,  3605,  3606,   322,   313,  3600,   195,   395,
    3397,  3604,   966,  3606,   968,   501,   970,   403,   503,   500,
     469,   500,   976,   977,   978,   411,   121,   211,  3432,   427,
    3632,   211,   284,  3635,   340,   340,   445,   224,  3442,   427,
     427,   292,   229,   292,   292,   999,  1000,   427,   427,   383,
     211,   427,   383,   427,   427,  4631,   383,  2530,   383,   427,
     427,   114,  3604,   395,  3606,  3089,   268,   162,   268,   268,
     268,  3673,   487,   488,   489,   461,   491,   492,   493,   494,
     495,   496,   268,   268,   498,   501,  2079,   268,   298,   284,
     501,   186,   487,   326,   436,   368,   173,   501,   503,   500,
     503,   321,   501,   322,   427,   236,   201,   448,   222,   383,
     205,   383,   383,   325,   503,   209,   209,   268,   448,   203,
    3722,   227,   222,   498,  1636,    88,   135,   235,   223,   501,
     501,   501,   501,   487,   500,   227,   501,   324,   459,   500,
     503,   503,   108,   238,   501,   501,  3748,   500,  4539,   501,
     501,   323,   222,  3600,   108,   448,  4627,  3604,  3817,  3606,
     448,   127,   427,  1117,   427,   352,   436,   258,   436,   427,
     427,   487,  3600,   427,   383,   383,  3604,   222,  3606,  3781,
    3782,  3783,  1136,  4270,   108,  3209,   143,  3211,  4275,   501,
     501,  4278,   501,   159,  3991,   173,   383,   436,   501,   268,
    2193,   268,   389,   127,   499,   392,   500,   272,   500,   108,
     466,   222,   503,  3600,   469,   501,   503,  3604,   313,  3606,
     466,  2694,  3986,   253,  3826,  1179,   321,   148,   419,  4316,
     417,   466,    85,  4627,   503,   159,   423,   427,   392,   232,
    3842,   500,   227,   268,   268,   268,   268,   227,   214,   436,
     361,   501,   125,   464,   501,   500,   500,  4344,   501,   354,
     501,   464,   330,  4027,   271,  3605,   503,   501,   271,   500,
     125,   501,   237,   460,   501,   318,  3878,   427,  3302,   245,
     487,   227,  1794,   143,   466,   313,  3888,  3889,   436,  3891,
     214,   487,   313,  4380,  3896,  3897,  2289,   503,  3322,  3901,
    3902,   211,   503,   187,   268,  3907,  3908,   313,   274,  3911,
     499,   229,  2305,  3972,  2307,   227,  2309,   392,   448,   448,
     198,   245,   462,    85,  3926,   466,    88,  4282,  3930,   500,
     227,   500,   255,  3673,   325,   227,   500,  3939,   500,   271,
     404,   361,  3944,   453,  4431,   501,   501,   500,   500,  3689,
     274,   113,   338,   322,  3956,   501,   465,   119,   501,   501,
     362,  4125,   500,  3362,   500,   466,  3365,  3366,  3367,  3368,
    3369,  3370,  3371,  3372,  3373,  3374,   222,   108,   313,  1891,
    3982,   143,   293,   250,   500,   210,  1340,  1341,  2381,  1343,
     173,   380,  3994,   326,  4481,  1907,  3395,   501,   380,   137,
     325,   137,   487,   125,   370,  1359,   125,  4009,   374,   328,
     500,   500,   448,  3817,   380,   322,   217,   353,   419,   325,
     325,   387,   193,   452,    85,  3424,  3425,   361,  4030,   395,
      85,   503,   108,    88,   453,  4037,   227,   403,   222,   359,
    4042,   503,   198,   322,   108,   411,   370,  4049,   463,   466,
     374,   322,  1964,   466,   500,   125,   380,   501,   113,   500,
     185,   501,   379,   387,   119,   446,   500,    94,   105,   210,
     379,   395,   353,   500,  1797,   366,  2558,  1177,  4080,   403,
    1554,   243,  2873,  3823,  2477,   247,  2430,   411,   143,  3035,
    3604,  3165,  4366,  4098,  2484,   461,  4098,  4539,  4100,   465,
     466,  4160,  4411,  4170,  3769,  4098,   268,   269,  4416,  4143,
    4420,  2968,  4707,  2986,  2666,  4757,  4316,  4660,  4659,  2512,
    4564,   283,  3926,  4721,  2972,  3771,  3930,  2520,  1909,  3600,
    2549,  3733,  2549,  3055,  1894,  3741,  2544,   461,  3739,  4141,
    3229,   465,  4762,  4826,  4818,  3183,    78,  3170,  4728,   311,
     205,  4153,    84,  4347,  1886,  4640,  4098,    89,  4715,  4350,
    4153,   186,   324,  3826,  1396,  4503,  3779,  2394,  3972,  3781,
    4589,  3125,   915,  4739,  4820,  4403,  1058,  2221,  1985,  2572,
    4667,  2888,  2222,  3763,  3973,   117,  3516,  2649,   243,  4676,
    1582,  2889,   247,  1354,  4196,  1549,  1073,  2257,  1600,  1553,
    1554,  1599,  2901,  2596,  3077,  2895,  3079,  2256,  2240,  2602,
    2915,  2907,  1602,   268,   269,  4217,  3442,  4482,  3932,  1063,
    3960,  1606,  3517,  4710,  3407,  4458,  3399,  4229,   283,   161,
    4694,  4233,  4695,  4698,  2892,  2819,  4238,   399,  2728,  2817,
    3512,  3269,  3982,  2160,  2637,   621,  1292,  2603,  1925,  4685,
    3123,  4098,  1618,  4255,  4256,  2289,   311,  4259,   375,   949,
    1612,  2265,  1407,  2305,  1134,  1154,  1134,  2297,  4270,   324,
    4098,  3144,  1626,  4275,  1628,   207,  4278,  2867,  2298,  3959,
    3489,  4283,  4284,   215,  3524,   217,    89,  3523,  1529,  2662,
    1616,  2309,  1646,   408,     2,  2014,  1340,   229,  4301,  1653,
    1654,   979,    -1,    -1,    -1,    -1,  4153,    -1,  4310,    -1,
    4312,  4098,    -1,    -1,  4316,    -1,    95,    -1,    -1,    -1,
    3744,  3745,   101,  3722,    -1,  4153,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,  4822,    -1,    -1,  4340,    -1,
      -1,    -1,  4344,    -1,   399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1706,    -1,    -1,    -1,  4160,    -1,  1712,    -1,
      -1,    -1,   141,   166,    -1,    -1,  4153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3248,    -1,  2289,  4380,    -1,
      -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,  3818,  3819,  3820,    -1,    -1,    -1,
      -1,  3274,  1756,    -1,  2316,  1759,  1760,    -1,    -1,  2321,
      -1,   190,  2324,    -1,    -1,    -1,   113,    -1,   197,    -1,
      -1,   200,   119,    -1,    -1,    -1,    -1,    -1,    -1,  4431,
      -1,  4433,    -1,    -1,  2346,    -1,   491,   492,   493,   494,
     495,   496,   374,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,  4455,  4456,    -1,  4458,    -1,  4460,    -1,
      -1,    -1,    -1,  2375,    -1,  1819,  4270,    -1,    -1,  3342,
      -1,  4275,    -1,   252,  4278,  4477,    -1,   409,    -1,  4481,
    2873,    -1,    -1,    -1,  4486,    -1,  2398,    -1,  3361,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3896,  3897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,  2421,
      -1,    -1,    -1,  3386,    -1,    -1,    -1,    -1,    -1,    -1,
    4522,    -1,    -1,    -1,  4526,  4527,    -1,   306,  2440,   308,
      -1,  2443,  4776,    -1,    -1,    -1,    -1,  4539,    -1,   318,
      -1,    -1,    -1,    -1,    -1,    -1,   243,   326,  2460,  3422,
     247,  4553,    -1,    -1,  4294,  2467,   335,    -1,    -1,  4561,
    4553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2480,  1923,
      -1,   268,   269,    -1,    -1,    -1,    -1,  2489,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,  4589,    -1,    -1,
    2983,   370,    -1,    -1,  4596,    -1,    -1,    -1,    -1,    -1,
    4340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   311,    -1,   395,  4619,  1972,    -1,
      -1,  1975,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,
      -1,    -1,  4634,    -1,    -1,    -1,  4060,  4061,    -1,  4063,
      -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   127,    -1,    -1,    -1,  4667,    -1,  3060,    -1,    -1,
    4739,    -1,   451,    -1,  4676,  4739,    -1,  4481,    -1,  4739,
    4739,    -1,    -1,    -1,  4739,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   159,  3087,  4697,  4698,    -1,  4700,    -1,
      -1,    -1,   399,    -1,    78,    -1,  4553,  4776,  4710,    -1,
      84,    -1,  4776,    -1,    -1,    89,  4776,  4776,  2072,  2073,
      -1,  4776,    -1,    -1,    -1,  4553,  2080,    -1,    -1,    -1,
    2084,  2085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4744,   117,    -1,  2099,    -1,  2101,   214,    -1,
    3143,  4820,  4754,  3146,  3147,    -1,  4820,  3150,    -1,    -1,
    4820,  4820,    -1,    -1,    -1,  4820,  4553,  3160,  4770,  2123,
      -1,  2125,  3165,    -1,    -1,    -1,    -1,  4770,  3171,   245,
      -1,    -1,    -1,    -1,  3177,    -1,    -1,   161,    -1,    -1,
      -1,  3184,    -1,    -1,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,    -1,  3197,    -1,  3199,    -1,   274,    -1,
      -1,  4813,    -1,    -1,    -1,    -1,  4818,    -1,    -1,    -1,
    4822,  2175,    -1,    -1,  4826,  4818,    -1,    -1,  4770,    -1,
    4229,    -1,    -1,  4826,    -1,    -1,    -1,  3230,    -1,  4238,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   229,  4255,  4256,  1338,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3259,  3260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3748,  4818,    -1,    -1,    -1,
      -1,    -1,    -1,  2237,  4826,   817,    -1,    -1,    -1,   821,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   834,    -1,   370,    -1,    -1,   839,   374,    -1,
      -1,   105,    -1,    -1,   380,    -1,   848,    -1,    -1,   113,
      -1,   387,    -1,  4770,    -1,   119,    -1,    -1,    -1,   395,
      -1,  2285,    -1,    -1,    -1,  4739,    85,   403,    -1,    88,
      -1,    -1,  4770,   875,    -1,   411,    -1,   879,    -1,   143,
      -1,  2305,    -1,  2307,    -1,  2309,   105,    -1,   890,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,  4818,  4776,    -1,    -1,    -1,    -1,    -1,    -1,  4826,
      -1,    -1,   914,  4770,    -1,    -1,    -1,    -1,    -1,    -1,
    4818,    -1,    -1,    -1,   143,   461,    -1,    -1,  4826,   465,
     374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3408,  4820,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   956,    -1,    -1,    -1,    -1,  3902,
    4770,  4818,    -1,    -1,  2946,   409,    -1,    -1,    -1,  4826,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
    4474,    -1,    -1,   247,    -1,    -1,  4455,    -1,    -1,    -1,
    4484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3461,    -1,
      -1,    -1,    -1,    -1,   268,   269,    -1,    -1,  4818,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4826,    -1,    -1,   283,
      -1,    -1,    -1,  2447,   243,    -1,    -1,    -1,   247,    -1,
      -1,  2455,    -1,  2457,    -1,    -1,    -1,    -1,    -1,  4533,
      -1,  1043,    -1,  1045,   308,  1047,    -1,   311,    -1,   268,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   835,
     324,    -1,  1064,   327,   283,   841,  4009,    -1,    -1,    -1,
      -1,    -1,    -1,   849,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   857,    -1,    -1,    -1,    -1,   862,  4030,    -1,   308,
      -1,  3073,   311,   966,    -1,   968,    -1,   970,  3080,  4042,
      -1,    -1,    -1,   976,    -1,   324,    -1,    -1,   327,    -1,
      -1,    -1,  2536,    -1,    -1,    -1,  4610,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   999,  1000,    -1,  1131,
    1132,    -1,    -1,    -1,    -1,   399,    -1,  4080,    -1,    -1,
      -1,    -1,  3605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3138,    -1,    -1,  3622,
      -1,    -1,  3625,    -1,  3627,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     399,    -1,  3645,  3646,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,  3657,    -1,    -1,    -1,    -1,    -1,
    3663,  3664,  3665,  3666,  3667,  3668,    -1,   105,    -1,    -1,
    3673,    -1,    -1,    -1,  3677,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,   487,   488,   489,    -1,   491,   492,   493,
     494,   495,   496,    -1,  1010,   499,    -1,    -1,  3701,    -1,
      -1,   505,    -1,    -1,  1117,   143,    -1,    -1,    -1,  3712,
    3713,  3714,  3715,  2677,    -1,    -1,    -1,    -1,  1131,  1132,
      -1,    -1,    -1,  1136,    -1,    -1,  1042,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,   501,  1059,    71,    -1,    -1,    -1,    -1,    -1,
    4233,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,  1081,  1179,  3289,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3778,    85,    -1,   105,    88,
      -1,   108,    -1,    -1,    -1,  3307,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,  1336,    95,    89,    -1,    -1,    -1,
      -1,   101,    -1,  3325,   113,   243,    -1,    -1,    -1,   247,
     119,    -1,    -1,    -1,    -1,    -1,   143,  1359,    -1,    -1,
      -1,    -1,    -1,    -1,   117,    -1,    -1,    -1,    -1,    -1,
     268,   269,    -1,   817,   143,    -1,  3839,   821,    -1,    -1,
      -1,   141,  1932,    -1,    -1,   283,    -1,    -1,    -1,    -1,
     834,  1941,    -1,    -1,    -1,   839,    -1,    -1,    -1,  1949,
    1950,    -1,    -1,    -1,   848,    -1,    -1,    -1,   161,    -1,
     308,    -1,    -1,   311,    -1,    -1,    -1,  1967,    -1,    -1,
      -1,    -1,    -1,  1425,    -1,    -1,   324,    -1,    -1,   327,
     190,   875,    -1,    -1,    -1,   879,    -1,   197,    -1,    -1,
     200,    -1,    -1,    -1,  2868,    -1,   890,  2871,    -1,  2873,
      -1,    -1,    -1,    -1,   207,    -1,   243,    -1,    -1,    -1,
     247,    -1,   215,    -1,   217,    -1,    -1,    -1,    -1,    -1,
     914,    -1,    -1,    -1,   243,    -1,   229,    -1,   247,    -1,
      -1,   268,   269,    -1,  1260,    -1,  1359,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,    -1,   283,  3960,  3961,   268,
     269,   399,    -1,    -1,  1280,  1281,  1282,    -1,    -1,    -1,
      -1,    -1,   956,  4456,   283,    -1,    -1,    -1,    -1,  3982,
      -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,   308,
     327,    -1,   311,  4486,  1546,    -1,   306,    -1,   308,    -1,
      -1,  1553,  1554,    -1,    -1,   324,    -1,    -1,   318,    -1,
      -1,    -1,  1564,    -1,    -1,    -1,   326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,    -1,    -1,    -1,  4522,
      -1,    -1,    -1,  4526,  4527,    -1,  3568,    -1,    -1,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,    -1,
      -1,  1045,    -1,    -1,    -1,   503,   366,    -1,    -1,    -1,
     370,    -1,   399,    -1,  1616,  1617,  1618,    -1,  1394,    -1,
    1064,    -1,    -1,  4086,  4087,    -1,    -1,    -1,    -1,    -1,
     399,    -1,    -1,    -1,  1636,   395,    -1,  4100,    -1,    85,
      -1,  4104,    88,  4106,    -1,  1421,  4109,  4110,    -1,    -1,
    3632,    -1,    -1,  3635,  4117,  4118,  4119,  4120,  4121,   105,
      -1,    -1,    -1,    -1,  1666,    -1,    -1,   113,  2218,    -1,
      -1,  1673,    -1,   119,    -1,    -1,  1549,    -1,  1680,    -1,
    1553,  1554,    -1,    -1,    -1,  1687,    -1,  1131,  1132,    -1,
      -1,   451,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,
     487,   488,   489,  4166,   491,   492,   493,   494,   495,   496,
      -1,    -1,  1714,    -1,    -1,    -1,    -1,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,  4195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3171,    -1,    -1,
      -1,    -1,  3176,  3177,    -1,  4218,  4219,  4220,  4221,    -1,
    3184,    -1,    -1,  1636,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1560,    -1,    -1,    -1,  3212,    -1,
      -1,    -1,  1794,    -1,  1796,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1607,    -1,  1706,    -1,    85,    -1,   283,    88,  1712,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,   308,   113,    -1,   311,    -1,    -1,    -1,   119,
      -1,    -1,  1874,    -1,    -1,    -1,    -1,  4340,   324,    -1,
      -1,   327,    -1,  1756,    -1,    -1,  1759,  1760,    -1,  1891,
      -1,    -1,  1336,   143,    -1,    -1,    -1,    -1,    -1,    -1,
    4363,    -1,    -1,    -1,  4367,  1907,  3330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1819,    -1,    -1,    -1,
      -1,    -1,    -1,   399,    -1,  1731,    -1,    -1,    -1,    -1,
      -1,    -1,  1964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1425,    85,  1985,    -1,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,  1785,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,   268,   269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,    -1,    -1,  1812,    -1,    -1,    -1,
     143,   487,   488,   489,    -1,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,    -1,  4037,    -1,   503,   308,    -1,
      -1,   311,    -1,    -1,   817,  2615,    -1,  4049,    -1,    -1,
      -1,    -1,    -1,    -1,   324,    -1,  4539,   327,    -1,  2629,
    2630,   834,    -1,  2633,    -1,    -1,   839,    -1,    -1,  2639,
      -1,    -1,    -1,    -1,    -1,   848,  3520,    85,    -1,    -1,
      88,    -1,  1546,    -1,    -1,    -1,    -1,    -1,    -1,  1553,
    1554,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
    1564,    -1,   875,    -1,    -1,   113,   879,    -1,  2130,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,   890,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,   143,  2706,    -1,    -1,    -1,
      -1,   914,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,
      -1,    -1,  1616,  1617,  1618,    -1,    -1,  1953,    -1,    -1,
     283,  3605,    -1,    -1,    95,    -1,  1962,    -1,    -1,    -1,
     101,    -1,  1636,    -1,    -1,    -1,    -1,  3621,    -1,    -1,
      -1,    -1,    -1,   956,    -1,   308,  1982,    -1,   311,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2219,    -1,    -1,
      -1,   324,  1666,    -1,   327,    -1,    -1,    -1,    -1,  1673,
     141,    -1,    -1,    -1,    -1,    -1,  1680,   487,   488,   489,
      -1,   491,   492,   493,   494,   495,   496,    -1,    -1,  3673,
      -1,   501,  2028,  2029,    -1,   243,    -1,    95,    -1,   247,
      -1,    -1,    -1,   101,  3688,  3689,  2268,    -1,  2270,    -1,
      -1,    -1,    -1,  3697,    -1,    -1,    -1,  3701,    -1,   190,
     268,   269,    -1,    -1,    -1,    -1,   197,  2289,  3712,   200,
    1043,    -1,  1045,    -1,  1047,   283,   399,    -1,    -1,    -1,
      -1,    -1,    -1,   141,    -1,    -1,    -1,  4770,    -1,    -1,
      -1,    -1,    -1,    -1,  2316,    -1,    -1,    -1,  2320,  2321,
     308,    -1,  2324,   311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,
      -1,   252,    -1,    -1,  2346,    -1,    -1,    -1,    -1,    -1,
    1794,    -1,   190,    -1,    -1,  4818,    -1,    -1,    -1,   197,
      -1,    -1,   200,  4826,  2237,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2375,    -1,    -1,    -1,    -1,  1131,  1132,
      -1,    -1,    -1,  2159,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,    -1,   306,  2398,   308,   501,  3823,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,  2184,    -1,
      -1,   399,  2285,    -1,   252,   326,  2289,    -1,  2420,  2421,
      -1,  2423,    -1,    -1,   335,    -1,  2976,    -1,    85,    -1,
    1874,    88,  2305,    -1,    -1,    -1,    -1,    -1,  2440,    -1,
      -1,  2443,    -1,    -1,  2220,    -1,  2222,  1891,   105,    -1,
      -1,    -1,    -1,    -1,    -1,   366,   113,    -1,  2460,   370,
      -1,    -1,   119,  1907,    -1,  2467,    -1,    -1,   306,    -1,
     308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2480,    -1,
     318,    -1,    -1,    -1,   395,    -1,   143,  2489,   326,    -1,
      -1,    -1,  3042,    -1,  3044,    -1,    -1,   335,    -1,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,   501,    -1,    85,    -1,    -1,    88,    -1,
    1964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,
      -1,    -1,   370,    -1,    -1,   105,  3960,    -1,    -1,    -1,
     451,  1985,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,  3982,    -1,
      85,    -1,  3986,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3122,   143,  2447,    -1,    -1,  3127,    -1,    -1,
     105,    -1,  2455,  1336,  2457,    -1,   243,    -1,   113,    -1,
     247,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
    2602,    -1,    -1,  4027,   160,    -1,  1359,    -1,    -1,    -1,
      -1,   268,   269,   451,    -1,    -1,  4040,  4041,   143,    -1,
      -1,  4045,  4046,    -1,    -1,    -1,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2637,    -1,    -1,    -1,    -1,
      -1,  2417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     206,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   218,    -1,    -1,    -1,   222,   324,    -1,    -1,
     327,   227,  1425,   243,    -1,    -1,   232,   247,    -1,   235,
    2682,   237,    -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,
      -1,    -1,    -1,  4117,  4118,  4119,  4120,  4121,   268,   269,
      -1,  4125,  2704,    -1,    -1,    -1,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   283,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,  3273,    -1,    -1,    -1,  3277,   284,  3279,
      -1,  3281,  3282,    -1,    -1,    -1,    -1,    -1,   308,    -1,
    3290,   311,   399,   268,   269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,   327,   283,    -1,
      -1,    -1,    -1,    -1,   320,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,    -1,  3324,  2219,    -1,    -1,    -1,  2781,
    2556,    -1,    -1,   308,    -1,  2787,   311,    -1,    -1,    -1,
      -1,    -1,    -1,  1546,    -1,    -1,    -1,    -1,    -1,   324,
    1553,  1554,   327,    -1,  2677,    -1,    -1,    -1,    -1,    -1,
      -1,  1564,    -1,    -1,    -1,    -1,    -1,   373,    -1,    -1,
      -1,   346,    -1,    -1,  2268,    -1,  2270,    -1,    -1,   399,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,    -1,   501,  2289,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,  1616,    -1,    -1,    -1,    -1,    -1,    -1,
    4294,  2873,  2316,    -1,   399,    -1,  2320,  2321,    -1,    -1,
    2324,    -1,    -1,  1636,   440,    -1,    -1,   412,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2346,    -1,    -1,    -1,    -1,   463,    -1,   465,
     466,    -1,    -1,    -1,    -1,    -1,  4340,   487,   488,   489,
      -1,   491,   492,   493,   494,   495,   496,  1680,    -1,   499,
      -1,  2375,    -1,    -1,  1687,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   498,    -1,  2946,   501,   502,    -1,   504,    -1,
      -1,    -1,    -1,    -1,  2398,    -1,    -1,    -1,    -1,    -1,
      -1,  1714,   487,   488,   489,    -1,   491,   492,   493,   494,
     495,   496,    -1,    -1,    -1,    -1,  2420,  2421,    -1,  2423,
      -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2440,    -1,    -1,  2443,
    2873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,  2460,    -1,    -1,    -1,
       9,    -1,    -1,  2467,    13,    -1,    15,    -1,    17,    18,
      -1,    -1,    -1,    -1,    -1,    -1,  2480,    -1,    -1,    28,
      -1,  1794,    -1,  1796,    -1,  2489,    -1,    -1,    -1,    -1,
      -1,    -1,  3054,  3055,  3056,    -1,    45,    46,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2844,    -1,
      -1,  3073,    -1,    -1,    -1,    -1,    -1,    -1,  3080,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   101,    -1,   103,   104,    85,   119,    -1,    88,
      -1,  1874,  2898,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,    -1,    -1,    -1,  3138,    -1,  1891,    -1,
      -1,   143,    -1,    -1,   113,    -1,    -1,    -1,    -1,   138,
     119,   140,   141,    -1,  1907,    -1,    -1,   146,  2602,   148,
      -1,    -1,    -1,    -1,  3166,    -1,    -1,    -1,    -1,   158,
      -1,   160,  4596,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,  3183,    -1,    -1,    -1,   174,    -1,   176,    -1,    -1,
     179,    -1,    -1,  2637,    -1,  3197,    -1,  3199,    -1,    -1,
      -1,    -1,   191,    -1,   193,    -1,    -1,    -1,   197,    -1,
      -1,  1964,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,
      -1,   210,    -1,   212,    -1,    -1,    -1,    -1,    -1,   218,
      -1,    -1,  1985,    -1,    -1,    -1,    -1,    -1,  2682,    -1,
      -1,   243,    -1,   232,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3804,    -1,    -1,    -1,  3260,    -1,
    2704,  3811,  3812,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,   283,    -1,    -1,    -1,    -1,    -1,  3289,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   285,   286,  3171,   268,
     269,    -1,   291,    -1,    -1,  3307,   308,    -1,    -1,   311,
     299,  3184,    -1,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,   310,   324,  3325,    -1,   327,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2781,   160,    -1,
      -1,    -1,   311,  2787,    -1,    -1,  4770,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   347,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,
      -1,    -1,    -1,    -1,   363,    -1,   365,  2130,    -1,    -1,
      -1,   370,    -1,    -1,   206,    -1,   375,    -1,    -1,   378,
      -1,    -1,    -1,   382,  4818,  3397,   218,   399,   387,   388,
     222,    -1,  4826,    -1,    -1,   227,   395,    -1,    -1,   398,
     232,    -1,    -1,   235,    -1,   237,   405,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3203,   417,  2873,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   264,    -1,    -1,   434,    -1,   436,    -1,    -1,
      -1,    -1,  3228,    -1,   443,    -1,    -1,  3330,    -1,  3235,
     449,    -1,   284,  3239,    -1,   454,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,  3254,    -1,
      -1,  4031,  4032,    -1,    -1,   487,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,   320,   501,
      -1,    -1,  2946,    -1,    -1,    -1,   328,  3283,    -1,    -1,
    3286,   500,    -1,    -1,    -1,   504,  1252,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,  4081,  4082,    -1,    -1,    -1,  2289,    -1,    -1,  2983,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3323,    -1,    -1,
      -1,   373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,  2316,    -1,    88,  3568,  2320,  2321,    -1,
      -1,  2324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,  2346,    -1,   417,   119,    -1,  3600,    -1,
      -1,    -1,  3604,    -1,  3606,    -1,    -1,    -1,    -1,    -1,
    3054,  3055,  3056,    -1,    -1,    -1,    -1,    -1,   440,    -1,
     143,    -1,  2375,    -1,    -1,    -1,    -1,    -1,    -1,  3073,
    3632,    -1,    -1,  3635,    -1,    -1,  3080,    -1,    -1,    -1,
      -1,   463,    -1,   465,   466,  2398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4203,    -1,  4205,  4206,    -1,    -1,    -1,
      -1,    -1,    -1,  3439,  3440,  3441,  4216,  2420,  2421,    -1,
    2423,  3673,  1408,    -1,    -1,    -1,   498,    -1,    -1,   501,
     502,    -1,   504,    -1,    -1,    -1,    -1,  2440,    -1,    -1,
    2443,    -1,    -1,    -1,  3138,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2460,    -1,    -1,
      -1,    -1,    -1,    -1,  2467,    -1,    -1,    -1,    -1,    -1,
     243,    -1,  3166,    94,   247,    -1,    -1,  2480,    -1,    -1,
      -1,    -1,  3605,    -1,    -1,    -1,  2489,    -1,    -1,  3183,
      -1,    -1,    -1,    -1,    -1,   268,   269,    -1,  3621,    -1,
      -1,    -1,    -1,  3197,    -1,  3199,    -1,    -1,    -1,    -1,
     283,   132,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   152,    -1,   105,    -1,   308,    -1,    -1,   311,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,   170,
    3673,   324,    -1,    -1,   327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   183,    -1,    -1,    -1,  3260,    -1,    -1,    -1,
     191,   143,    -1,    -1,  3826,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,   206,    88,   208,    -1,    -1,
      -1,   212,    -1,    -1,    -1,  3289,    -1,    -1,    -1,  2602,
      -1,   222,    -1,   105,    -1,    -1,    -1,    -1,    -1,   230,
      -1,   113,    85,  3307,    -1,    88,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,    -1,    -1,
      -1,  3325,   105,    -1,  2637,    -1,    -1,    -1,    -1,    -1,
     113,   143,    -1,    -1,    -1,    -1,   119,    -1,    -1,  4449,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,  2682,
      -1,    -1,    -1,  3709,    -1,    -1,    -1,    -1,  1674,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
    3823,  2704,  3728,  3397,    -1,  4505,    -1,    -1,    -1,    -1,
      -1,   283,    -1,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,    -1,  3751,    -1,    -1,   501,    -1,
      -1,    -1,    -1,    -1,  4534,  1721,   308,    -1,    -1,   311,
      -1,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,   324,    -1,    -1,   327,    -1,    -1,    -1,    -1,
      -1,  1747,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,  2781,    -1,
      -1,   283,    -1,    -1,  2787,  4037,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,  4049,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   324,    -1,    -1,   327,    -1,   399,  1814,    -1,
      -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4098,  1833,  4100,    -1,
      -1,   324,    -1,    -1,   327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3986,    -1,  1851,    -1,    -1,    -1,    -1,
    2873,    -1,    -1,    -1,  3568,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3913,  3914,  3915,
    3916,    -1,    -1,  1879,    -1,    -1,    -1,   399,    -1,    -1,
      -1,  4153,    -1,    -1,  4027,    -1,  3600,    -1,    -1,    -1,
    3604,    -1,  3606,    -1,    -1,   487,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,    -1,   399,    -1,    -1,   501,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3632,    -1,
      -1,  3635,    -1,  2946,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1937,  4752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4217,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3673,
    2983,    -1,    -1,    -1,    -1,   487,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,   501,
     621,    -1,  4125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,    -1,   501,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3054,  3055,  3056,    -1,    -1,    -1,    -1,  4310,    -1,
    4312,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
    3073,    -1,    -1,    35,    36,    -1,    -1,  3080,    -1,    -1,
      -1,    43,    44,    -1,    -1,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3826,    -1,    -1,  3138,    -1,    -1,    -1,    -1,
      -1,    -1,  2128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   134,  4199,    -1,    -1,    -1,  2163,    -1,    -1,
    3183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3197,    -1,  3199,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   825,   826,   827,   828,    -1,   830,
     831,    -1,   833,    -1,   835,    -1,   837,  4340,    -1,    -1,
     841,    -1,   843,    -1,    -1,    -1,   847,    -1,   849,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   857,    -1,    -1,    -1,
      -1,   862,   204,   864,    -1,    -1,   867,    -1,   869,    -1,
     871,    -1,    -1,    -1,    -1,    -1,   877,  3260,   220,   880,
      -1,    -1,    -1,    -1,    -1,    -1,   887,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,   240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3289,  4539,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,   918,    -1,   113,
     262,  4553,   923,    -1,  3307,   119,   927,    -1,    -1,   930,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3325,    -1,   945,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,   295,    -1,    -1,   298,    -1,    -1,    -1,
      -1,    -1,    -1,  4037,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   313,    -1,    -1,    -1,  4049,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4389,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1010,
    1011,    -1,    -1,    -1,  3397,  4421,    -1,    -1,    -1,    -1,
      -1,    -1,  2388,    -1,  4098,    -1,  4100,  2393,  2394,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1037,    -1,  2404,    -1,
    1041,  1042,    -1,    -1,   386,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,  1059,    -1,
      -1,    -1,  1063,    -1,    -1,    -1,    -1,    -1,  4700,    -1,
    1071,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,  4153,
    1081,    -1,    -1,    -1,    -1,   427,    -1,    -1,    -1,   283,
      -1,    -1,  1093,  4596,    -1,    -1,    -1,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4516,    -1,    -1,   455,   308,    -1,    -1,   311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     324,    -1,    -1,   327,    -1,    -1,    -1,    -1,  4770,   481,
      -1,    -1,    -1,  4217,    -1,   487,    -1,    -1,    -1,   491,
     492,   493,   494,   495,    -1,    -1,   498,   499,   500,   501,
      -1,    -1,    -1,   505,  2530,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,  1174,    -1,    -1,    -1,    -1,    -1,    85,
    1181,  1182,    88,    -1,    -1,  3568,  4818,    -1,   105,    -1,
      -1,    -1,    -1,    -1,  4826,    -1,   113,    -1,    -1,   105,
      -1,    -1,   119,    -1,    -1,   399,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,  3600,    -1,  1220,
      -1,  3604,    -1,  3606,    -1,    -1,   143,    -1,    -1,  1230,
      -1,    -1,  1233,  2599,    -1,    -1,  4310,   143,  4312,    -1,
      -1,    -1,    -1,    -1,    -1,  1246,    -1,    -1,    -1,  3632,
      -1,    -1,  3635,    -1,    -1,    -1,    -1,    -1,    -1,  1260,
      -1,    -1,    -1,    -1,    -1,  1266,  1267,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1280,
    1281,  1282,  1283,    -1,  1285,    -1,    -1,    -1,  1289,    -1,
    3673,    -1,    -1,   487,   488,   489,    -1,   491,   492,   493,
     494,   495,   496,    -1,    -1,    -1,    -1,   501,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,  1317,  1318,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,  2694,    -1,
     247,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1351,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,   269,    -1,    -1,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1389,  1390,
      -1,   308,    -1,  1394,   311,  1396,    -1,    -1,    -1,    -1,
      -1,    -1,   308,    -1,    -1,   311,    -1,   324,    -1,    -1,
     327,    -1,    -1,    -1,    -1,    -1,    -1,  1418,   324,    -1,
    1421,   327,    -1,  1424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1436,    -1,    -1,   344,    -1,
      -1,    -1,    -1,  3826,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1464,    -1,  4539,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,   109,    -1,    -1,  4553,
     113,    85,   399,    -1,    88,    -1,   119,  2853,  2854,  2855,
      -1,  1492,  1493,   399,  1495,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     143,  1512,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1532,  1533,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   188,    -1,    -1,    -1,  1560,
      -1,    -1,  1563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,   487,   488,   489,   501,   491,   492,   493,   494,   495,
     496,  1592,    -1,    -1,    -1,  1596,  1597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1606,  1607,  1608,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,   222,    -1,
    2986,    -1,    -1,   227,    -1,    -1,  4700,    -1,    -1,    -1,
      -1,    -1,    -1,  1634,    -1,   268,   269,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
     283,    -1,    -1,    -1,  4037,    -1,    -1,    -1,  3024,  3025,
      -1,  3027,    -1,    -1,   268,   269,  4049,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   324,    -1,    -1,   327,    -1,  4770,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,
      -1,  3077,    -1,  3079,    -1,  4098,    -1,  4100,    -1,    -1,
     324,    -1,    -1,   327,  1725,    -1,    -1,    -1,    -1,    -1,
    1731,    -1,    -1,  1734,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4818,    -1,    -1,    -1,  1749,    -1,
      -1,    -1,  4826,    -1,    -1,    -1,    -1,  3123,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,   399,    -1,    -1,    -1,
    4153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3144,    -1,
    1781,  1782,  1783,  1784,  1785,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3171,    -1,    85,    -1,  1810,
      88,  1812,    -1,    -1,    -1,   448,   143,    -1,  3184,  1820,
    1821,    -1,    -1,    -1,    -1,  1826,    -1,   105,    -1,    -1,
     108,    -1,    -1,    -1,  4217,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,  1873,    -1,    -1,    -1,    -1,    -1,   205,    -1,
      -1,    -1,  3248,   487,   488,   489,    -1,   491,   492,   493,
     494,   495,   496,    -1,    -1,  3261,  1897,  1898,  1899,  1900,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3274,    -1,
      -1,    -1,    -1,    -1,    -1,  1916,   243,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    -1,    -1,    -1,  4310,    -1,  4312,
    1931,    -1,    -1,    -1,    -1,    -1,    -1,  1938,    -1,  1940,
      -1,   268,   269,    -1,    -1,    -1,    -1,  1948,    -1,    -1,
      -1,    -1,  1953,    -1,    -1,    -1,   283,    -1,    -1,    -1,
      -1,  1962,    -1,    -1,    -1,   243,    -1,  1968,  1969,   247,
      -1,    -1,    -1,    -1,    -1,    -1,  3342,    -1,    -1,    -1,
      -1,  1982,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,
     268,   269,    -1,    -1,    -1,  3361,    -1,   324,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2016,    -1,    -1,    -1,    -1,
    3386,    -1,    -1,  2024,    -1,    -1,    -1,  2028,  2029,    -1,
     308,    -1,    -1,   311,    -1,  2036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,
      -1,  2052,  2053,    -1,    -1,  2056,  3422,    -1,    -1,  2060,
    2061,    -1,    -1,    -1,    -1,    -1,    -1,  2068,    -1,    -1,
    2071,    -1,   399,  2074,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2082,  2083,    -1,    85,    -1,    -1,    88,    -1,  2090,
      -1,  2092,  2093,  2094,  2095,  2096,  3462,    -1,    -1,    -1,
      -1,    -1,  2103,  2104,   105,  2106,    -1,  2108,  2109,    -1,
      -1,  2112,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,  2129,    -1,
      -1,    -1,  2133,  2134,    -1,    -1,    -1,  2138,    -1,    -1,
      -1,  2142,   143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,    -1,  2154,    85,    -1,  4539,    88,  2159,  2160,
      -1,    -1,  2163,    -1,   491,   492,   493,   494,   495,   496,
    4553,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,
      -1,    -1,   113,  2184,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   487,
     488,   489,   143,   491,   492,   493,   494,   495,   496,  2220,
      -1,  2222,    -1,  2224,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3605,
      -1,    -1,   243,    -1,    -1,    -1,   247,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,  2260,
      -1,  2262,   119,    85,    -1,    -1,    88,   268,   269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   283,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,
     311,    -1,   243,    -1,    -1,    -1,   247,  4700,    -1,    -1,
      -1,   143,    -1,   324,  2325,    -1,   327,    -1,    -1,  2330,
      -1,  2332,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,
     341,    -1,    -1,    -1,    -1,    -1,  2347,    -1,    -1,    -1,
      -1,  2352,   283,  2354,  2355,  2356,    -1,  2358,  2359,    -1,
    2361,    -1,  2363,    -1,  2365,  2366,    -1,    -1,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,
     311,    -1,  3748,   205,    -1,    -1,   243,  4770,    -1,    -1,
     247,    -1,    -1,   324,    -1,    -1,   327,    -1,   399,  2400,
      -1,    -1,    -1,    -1,    -1,  2406,    -1,    -1,    -1,    -1,
    2411,   268,   269,    -1,    -1,  3781,  2417,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,   247,   283,    -1,    -1,    -1,
      -1,  2432,  2433,    -1,    -1,  4818,    -1,    -1,  2439,    -1,
      -1,    -1,    -1,  4826,    -1,    -1,   268,   269,    -1,    -1,
      -1,   308,  2453,    -1,   311,    -1,    -1,    -1,    -1,    -1,
      -1,   283,    -1,    -1,    -1,    -1,    -1,   324,   399,    -1,
     327,    -1,    -1,    -1,    -1,  2476,    -1,  2478,  2479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   487,   488,   489,   311,
     491,   492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,
      -1,    -1,   324,    -1,  2505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2513,  2514,  2515,  2516,  2517,  2518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3891,    -1,  2528,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,
      -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2551,    -1,    -1,    -1,  2555,  2556,   487,   488,   489,  2560,
     491,   492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3939,    -1,    -1,    -1,   399,  3944,    -1,
      -1,    -1,    -1,    -1,  2585,    -1,    -1,    -1,    -1,    -1,
    3956,  2592,  2593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2620,
    2621,  2622,  2623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,  4009,  2645,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4030,  2666,    -1,    -1,    -1,   491,
     492,   493,   494,   495,   496,    -1,  4042,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,  2708,    -1,    -1,
      -1,  2712,    -1,    -1,  4080,    -1,    -1,    -1,    -1,  2720,
     105,    -1,    -1,   108,    -1,  2726,  2727,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2756,  2757,    -1,   143,    -1,
    2761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2773,  2774,  2775,  2776,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,  2786,    -1,    -1,  2789,    -1,
    2791,  2792,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
    2801,  2802,    -1,    -1,  2805,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,  2818,    -1,  2820,
      -1,  2822,    -1,  2824,    -1,    -1,    -1,    -1,    -1,    -1,
    4196,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,  2840,
      -1,    -1,    -1,  2844,    -1,    -1,    -1,    -1,    -1,    -1,
    2851,    -1,  2853,  2854,  2855,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,  4233,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2877,    -1,    -1,    -1,
      -1,    -1,    -1,   268,   269,    -1,    -1,    -1,  2889,    -1,
      -1,    -1,    -1,  2894,    -1,    -1,    -1,  2898,   283,    -1,
    2901,    -1,    -1,    -1,    -1,    -1,  2907,    -1,    -1,  2910,
      -1,    -1,   117,  2914,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,   324,
     247,    -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,   268,   269,    -1,    -1,    -1,  2967,    -1,  2969,    -1,
      -1,    -1,    -1,  2974,  4340,    85,   283,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2991,    -1,  2993,  2994,    -1,    -1,    -1,    -1,     5,    -1,
      -1,   308,   207,   113,   311,    -1,    -1,    -1,    -1,   119,
     215,    -1,   217,    -1,   399,    -1,    -1,   324,    25,    -1,
     327,    -1,    -1,    -1,   229,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,   143,    41,    -1,    43,    44,    -1,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,  4433,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4456,    -1,   399,    -1,    -1,   205,    -1,    -1,    -1,    -1,
      -1,    -1,   487,   488,   489,    -1,   491,   492,   493,   494,
     495,   496,    -1,    -1,    -1,    -1,    -1,   424,    -1,    -1,
    4486,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3148,  3149,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4522,    -1,   268,   269,
    4526,  4527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,    -1,    -1,  3177,    -1,    -1,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,   311,  3203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   220,   324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4589,    -1,    -1,  3227,  3228,    -1,    -1,
      -1,    -1,    -1,   240,  3235,    -1,    -1,    -1,  3239,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3254,    -1,   262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3283,    -1,    -1,  3286,    -1,    -1,   295,   399,
      -1,   298,  3293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3304,    -1,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3348,    -1,    -1,
      -1,    -1,    -1,  3354,    -1,  3356,    -1,    -1,    -1,    -1,
      -1,  3362,    -1,    -1,  3365,  3366,  3367,  3368,  3369,  3370,
    3371,  3372,  3373,  3374,    -1,    -1,    -1,  3378,  3379,   386,
      -1,   491,   492,   493,   494,   495,   496,    -1,    -1,    -1,
    3391,    -1,    -1,    -1,  3395,    -1,    -1,    -1,  3399,    -1,
      -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,  3409,    -1,
      -1,  3412,    -1,  3414,    -1,    -1,    -1,    -1,    -1,    -1,
     427,    -1,  3423,  3424,  3425,    -1,    -1,    -1,  3429,    -1,
      -1,  3432,    -1,   440,    -1,    -1,    -1,    -1,  3439,  3440,
    3441,  3442,  3443,    -1,    -1,    -1,  3447,  3448,   455,    85,
     206,  3452,    88,    -1,    -1,    -1,    -1,  3458,    -1,  3460,
      -1,  3462,   218,    -1,    -1,    -1,   222,    -1,    -1,   105,
      -1,   227,   108,    -1,   481,    -1,   232,   113,    -1,   235,
     487,   237,    -1,   119,   491,   492,   493,   494,   495,    -1,
      -1,   498,   499,   500,   501,    -1,   503,   504,   505,   506,
     507,    -1,    -1,    -1,    -1,  3506,    -1,   143,   264,    -1,
      -1,  3512,    -1,    -1,    -1,  3516,    -1,  3518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3543,  3544,  3545,    -1,  3547,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3559,  3560,
    3561,  3562,    -1,    -1,   320,    -1,    -1,    -1,    -1,    -1,
      -1,    85,   328,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3590,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,   243,    -1,    -1,
      -1,   247,   817,    -1,    -1,    -1,    -1,   373,    -1,    -1,
     825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   833,   143,
      -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,  3649,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   864,
      -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,   324,    -1,
      -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3701,    -1,    -1,    -1,    -1,    -1,    -1,   463,  3709,   465,
     466,    -1,    -1,   918,    -1,    -1,    -1,    -1,    -1,  3720,
      -1,  3722,   927,    -1,    -1,    -1,    -1,  3728,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
    3741,    -1,   498,    -1,    -1,   501,   502,    -1,   504,    -1,
    3751,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,  3760,
      -1,    -1,    -1,   399,  3765,    -1,    -1,    -1,  3769,   283,
    3771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3782,  3783,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3806,    -1,  3808,    -1,    -1,
     324,    -1,    -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1037,    -1,    -1,    -1,    -1,    -1,  1043,    -1,
      -1,  3842,  1047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   487,   488,   489,    -1,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,    -1,    -1,  1071,    -1,    -1,    -1,
      -1,    98,    -1,    -1,    -1,    -1,    -1,  3878,    -1,    -1,
      -1,    -1,    -1,   110,    -1,   399,    -1,  3888,  3889,    -1,
      -1,    -1,    -1,    -1,    -1,  3896,  3897,    -1,    -1,    -1,
    3901,    -1,    -1,    -1,   131,    -1,  3907,  3908,    -1,    -1,
    3911,    -1,  3913,  3914,  3915,  3916,    -1,   144,    -1,  3920,
      -1,    -1,  3923,    -1,    -1,  3926,   153,    -1,    -1,  3930,
     157,    -1,    -1,    -1,    -1,  3936,    -1,    -1,  3939,    -1,
      -1,    -1,    -1,  3944,    -1,    -1,    -1,   174,    -1,  3950,
      -1,    -1,    -1,   180,    -1,  3956,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3965,    -1,    -1,    -1,   195,    -1,
      -1,    -1,  3973,   487,   488,   489,  3977,   491,   492,   493,
     494,   495,   496,    -1,    -1,    -1,   213,    -1,    -1,    -1,
    3991,    -1,    -1,  3994,    -1,    -1,    -1,   224,    -1,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,   235,    -1,
    4011,  4012,    -1,    -1,    -1,  1220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   250,    -1,  1230,    -1,  4028,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    98,    -1,  1252,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     287,  4062,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,
      -1,    -1,    -1,    -1,    -1,  4076,    -1,    -1,   131,    -1,
    1285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   144,    -1,   126,    -1,    -1,    -1,   324,    -1,    -1,
     327,    -1,    -1,    -1,   157,    -1,    -1,  4108,   141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4117,  4118,  4119,  4120,
    4121,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,
    4141,    -1,   195,    -1,    -1,    -1,  1351,    -1,    -1,    -1,
     377,    -1,    -1,    -1,    -1,    -1,   383,   190,    -1,    -1,
     213,    -1,   389,    -1,   197,   392,    -1,   200,  4169,  4170,
      -1,   224,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,   419,   420,    -1,   422,   423,   250,  4199,    -1,
    4201,    -1,    -1,  1408,   431,    -1,    -1,    -1,    -1,   436,
      -1,    -1,    -1,    -1,   441,    -1,   249,   444,    -1,   252,
     447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4229,    -1,
      -1,  1436,    -1,   460,    -1,    -1,    -1,  4238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4255,  4256,    -1,    -1,  4259,  1464,
      -1,   294,    -1,   296,    -1,  4266,    -1,    -1,    -1,  4270,
      -1,   324,    -1,   306,  4275,   308,    -1,  4278,  4279,    -1,
    4281,   334,  4283,  4284,    -1,   318,    -1,  1492,  1493,    -1,
    1495,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,   352,
      -1,   334,   335,    -1,   826,   827,    -1,  1512,   830,   831,
      -1,    -1,    -1,    -1,    -1,  4316,  4317,  4318,  4319,  4320,
      -1,    -1,    -1,    -1,   377,   847,    -1,    -1,   381,    -1,
     383,    -1,    -1,   366,    -1,    -1,   389,   370,   371,   392,
      -1,    -1,    -1,  4344,  4345,   867,    -1,    -1,    -1,   871,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1563,  1564,
      -1,    -1,   395,    -1,   417,   887,   419,    -1,    -1,    -1,
     423,    -1,   405,  4374,    -1,    -1,    -1,    -1,   431,  4380,
      -1,    -1,    -1,   436,    -1,    -1,    -1,  1592,  4389,    -1,
      -1,  1596,  1597,    -1,   447,    -1,    -1,    -1,    -1,    -1,
      -1,  4402,    -1,  4404,    -1,    -1,    -1,   460,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4416,    -1,    -1,   451,    -1,
    4421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4430,
    4431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4455,    -1,    -1,  4458,    -1,  4460,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1674,
      -1,    -1,    -1,    -1,    -1,  1680,  4477,    -1,    -1,   131,
    4481,    -1,  1687,  4484,    -1,    -1,    -1,    -1,    -1,  4490,
      -1,    -1,   144,   145,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,   157,    -1,    -1,    -1,  1714,
      -1,  4512,    -1,    -1,    -1,  4516,  1721,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    98,    -1,    -1,    -1,  4529,  4530,
    4531,  4532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1747,   195,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4561,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     144,    -1,   224,    -1,    -1,    -1,    -1,   229,    -1,    -1,
      -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1796,    -1,    -1,    -1,    -1,    -1,    -1,   250,    -1,
     174,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,  1814,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4619,    -1,
      -1,   195,    -1,   275,  4625,    -1,  4627,    -1,  1833,    -1,
      -1,    -1,    -1,  4634,    -1,    -1,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    -1,    -1,  1851,    -1,    -1,    -1,
     224,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,  1181,
    1182,   235,    -1,  4664,    -1,    -1,  4667,    -1,    -1,  1874,
      -1,    -1,   324,    -1,  1879,  4676,   250,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4685,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4694,    -1,    -1,  4697,  4698,    -1,    -1,
     352,   275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4710,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4718,    -1,    -1,
      -1,    -1,    -1,    -1,  1246,   377,  1931,    -1,    -1,   381,
      -1,   383,  1937,    -1,    -1,  1940,    -1,   389,    -1,    -1,
     392,    -1,    -1,  4744,  1266,  1267,    -1,    -1,    -1,    -1,
     324,    -1,    -1,  4754,    -1,    -1,    -1,    -1,  4759,    -1,
      -1,  1283,    -1,    -1,    -1,   417,    -1,   419,    -1,    -1,
      -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,   352,   431,
      -1,    -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1317,  1318,    -1,    -1,    -1,
      -1,    -1,    -1,   377,    -1,    -1,    -1,    -1,   460,   383,
      -1,    -1,  4813,    -1,    -1,   389,    -1,    -1,   392,  2024,
      -1,  4822,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,   419,    -1,    -1,    -1,   423,
      -1,    -1,    -1,    -1,    -1,  2060,  2061,   431,    -1,    -1,
      -1,    -1,   436,  2068,    -1,    -1,  2071,    -1,    -1,  2074,
      -1,    -1,    -1,   447,    -1,    -1,    -1,  2082,  2083,    -1,
      -1,    -1,    -1,    -1,    -1,  2090,   460,    -1,  2093,  2094,
    2095,  2096,  1252,    -1,    -1,    -1,    -1,    -1,  2103,  2104,
      -1,  2106,    -1,  2108,  2109,    -1,    -1,  2112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2128,  2129,  2130,    -1,    -1,    -1,  2134,
       5,    -1,    -1,  2138,    -1,    -1,    -1,  2142,    -1,  2144,
    2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,    -1,  2154,
      25,    -1,    -1,    -1,    -1,  2160,    -1,    -1,  2163,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1408,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2320,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2347,    -1,    -1,   220,    -1,  2352,    -1,    -1,
      -1,    -1,    -1,  2358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2388,    -1,    -1,    -1,   262,  2393,  2394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2404,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1734,    -1,    -1,  2420,    -1,    -1,  2423,    -1,
     295,    -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1781,
    1782,  1783,  1784,    -1,    -1,    -1,   207,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   215,    -1,   217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1820,  1821,
      -1,    -1,    -1,    -1,  1826,    -1,    -1,    -1,    -1,    -1,
      -1,   386,    -1,    -1,  1674,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2528,    -1,  2530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1873,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1721,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1897,  1898,  1899,  1900,    -1,
     455,    -1,    -1,    -1,    -1,    -1,    -1,  1747,    -1,    -1,
      -1,    -1,    -1,    -1,  2599,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   481,    -1,    -1,    -1,
      -1,    -1,   487,    -1,    -1,    -1,   491,   492,   493,   494,
     495,    -1,    -1,   498,   499,   500,    -1,    -1,    -1,    -1,
     505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2645,    -1,    -1,    -1,    -1,    -1,    -1,  1969,    -1,    -1,
      -1,    -1,    -1,    -1,  1814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1833,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2694,
      -1,  1851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2708,    -1,    -1,    -1,  2712,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1879,
      -1,  2726,  2727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2756,  2757,    -1,    -1,    -1,  2761,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2773,  2774,
    2775,  2776,    -1,    -1,    -1,    -1,  2781,  1937,    -1,    -1,
      -1,  2786,  2787,    -1,  2789,    -1,  2791,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2801,  2802,    -1,    -1,
    2805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2133,    -1,  2818,    -1,  2820,    -1,    -1,    -1,  2824,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2840,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2851,    -1,  2853,  2854,
    2855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2889,    -1,    -1,    -1,    -1,  2894,
      -1,    -1,    -1,    -1,    -1,    -1,  2901,    -1,    -1,    -1,
      -1,    -1,  2907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2967,    -1,    -1,    -1,    -1,    -1,  2128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3024,
    3025,    -1,  3027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2354,  2355,  2356,    -1,    -1,    -1,    -1,  2361,
      -1,  2363,    -1,  2365,  2366,    -1,    -1,    -1,    -1,  3054,
    3055,  3056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3077,    -1,  3079,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   825,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3123,    -1,
      -1,    -1,    -1,   864,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3166,    -1,    -1,    -1,    -1,  3171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   918,  3183,  3184,
      -1,    -1,    -1,  2505,    -1,    -1,   927,    -1,    -1,    -1,
      -1,  2513,  2514,  2515,  2516,  2517,  2518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2388,    -1,
      -1,    -1,    -1,  2393,  2394,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3248,  2404,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3274,
    2592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1037,    -1,  2620,  3304,
    2622,    -1,  1043,    -1,    -1,    -1,  1047,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1071,    -1,    -1,    -1,  3339,    -1,    -1,  3342,    -1,    -1,
      -1,    -1,    -1,  3348,    -1,    -1,    -1,    -1,    -1,  3354,
      -1,  3356,    -1,    -1,    -1,    -1,  3361,  3362,    -1,    -1,
    3365,  3366,  3367,  3368,  3369,  3370,  3371,  3372,  3373,  3374,
    2530,    -1,    -1,  3378,  3379,    -1,    -1,    -1,    -1,    -1,
      -1,  3386,    -1,    -1,    -1,    -1,  3391,    -1,    -1,    -1,
    3395,    -1,  3397,    -1,  3399,    -1,    -1,    -1,  2720,    -1,
      -1,    -1,    -1,    -1,  3409,    -1,    -1,  3412,    -1,  3414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3422,  3423,  3424,
    3425,    -1,    -1,    -1,  3429,    -1,    -1,  3432,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3442,    -1,  2599,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3452,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3460,    -1,  3462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3506,    -1,    -1,    -1,    -1,    -1,  3512,    -1,    -1,
      -1,  1252,    -1,  3518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2694,    -1,    -1,    -1,  3543,    -1,
      -1,    -1,    -1,    -1,  1285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3600,    -1,    -1,    -1,  3604,
    3605,  3606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1408,    -1,  2991,
      -1,  2993,  2994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1252,    -1,    -1,    -1,  1436,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3722,    -1,    -1,
      -1,    -1,    -1,  1464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3748,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1492,  1493,    -1,  1495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1512,    -1,    -1,    -1,    -1,  3781,  3782,  3783,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1563,    -1,    -1,    -1,  2986,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3842,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1408,    -1,    -1,
      -1,  1592,    -1,    -1,    -1,  1596,  1597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3024,  3025,    -1,  3027,    -1,    -1,
      -1,    -1,    -1,  3878,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3888,  3889,    -1,  3891,    -1,    -1,    -1,
      -1,  3896,  3897,    -1,    -1,    -1,  3901,  3902,    -1,    -1,
      -1,    -1,  3907,  3908,    -1,    -1,  3911,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3077,    -1,  3079,
      -1,  3926,    -1,    -1,    -1,  3930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1674,  3939,    -1,    -1,    -1,    -1,  3944,
      -1,    -1,    -1,    -1,    -1,    -1,  1687,    -1,    -1,    -1,
      -1,  3956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1714,    -1,    -1,    -1,    -1,    -1,    -1,
    1721,    -1,    -1,    -1,  3144,    -1,    -1,    -1,  1549,  3994,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4009,    -1,  1747,    -1,    -1,  3331,
      -1,  3171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3184,  4030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4042,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1796,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1814,    -1,  4080,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3248,    -1,
      -1,    -1,  1833,  4098,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1851,    -1,    -1,  1674,  3274,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4141,    -1,  1879,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3342,    -1,    -1,    -1,  1747,    -1,    -1,    -1,
    1931,  4196,    -1,    -1,    -1,    -1,  1937,    -1,    -1,  1940,
      -1,  3361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4229,    -1,  3386,    -1,  4233,    -1,
      -1,    -1,    -1,  4238,    -1,    -1,    -1,  3559,  3560,  3561,
    3562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4255,  4256,    -1,  1814,  4259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3422,    -1,    -1,  4270,    -1,    -1,    -1,    -1,
    4275,    -1,  1833,  4278,    -1,    -1,    -1,    -1,  4283,  4284,
      -1,    -1,    -1,  2024,    -1,    -1,    -1,    -1,    -1,    -1,
    1851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4316,    -1,    -1,    -1,    -1,    -1,    -1,  1879,  2060,
    2061,    -1,    -1,    -1,    -1,    -1,    -1,  2068,    -1,    -1,
    2071,    -1,    -1,  2074,    -1,  4340,    -1,    -1,    -1,  4344,
      -1,  2082,  2083,    -1,    -1,    -1,    -1,    -1,    -1,  2090,
      -1,    -1,  2093,  2094,  2095,  2096,    -1,    -1,    -1,    -1,
      -1,    -1,  2103,  2104,    -1,  2106,    -1,  2108,  2109,    -1,
      -1,  2112,    -1,    -1,    -1,  4380,  1937,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,  2129,    -1,
      -1,    -1,    -1,  2134,    -1,    -1,    -1,  2138,  3720,    -1,
      -1,  2142,    -1,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,    -1,  2154,    -1,    -1,    -1,    -1,    -1,  2160,
      -1,    -1,  2163,    -1,    -1,    -1,  4431,    -1,  4433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3605,    -1,    -1,    -1,    -1,
    4455,  4456,    -1,  4458,    -1,  4460,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4477,    -1,    -1,    -1,  4481,    -1,    -1,    -1,
      -1,  4486,    -1,  2224,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4522,    -1,    -1,
      -1,  4526,  4527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4553,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4561,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4589,    -1,    -1,    -1,  3748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2347,    -1,    -1,    -1,
      -1,  2352,    -1,    -1,  4619,    -1,    -1,  2358,    -1,    -1,
      -1,  3781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4634,
      -1,    -1,  1252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2388,    -1,    -1,
      -1,    -1,  2393,  2394,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4667,  2404,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4697,  4698,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4710,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4744,
    4062,    -1,  3902,    -1,    -1,    -1,    -1,    -1,    -1,  4754,
      -1,    -1,    -1,    -1,  4076,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4770,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2528,  1408,  2530,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4813,    -1,
      -1,    -1,    -1,  4818,    -1,    -1,    -1,  4822,    -1,    -1,
      -1,  4826,    -1,    -1,    -1,    -1,    -1,  2388,    -1,    -1,
      -1,    -1,  2393,  2394,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2404,    -1,    -1,    -1,  4169,    -1,  4009,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2599,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2645,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2694,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2708,    -1,  2530,
      -1,  2712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2726,  2727,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4318,  4319,  4320,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2756,  2757,    -1,    -1,    -1,
    2761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2773,  2774,  2775,  2776,    -1,    -1,  2599,    -1,
      -1,    -1,    -1,    -1,    -1,  2786,    -1,    -1,  2789,    -1,
    2791,    -1,    -1,    -1,  1674,    -1,    -1,    -1,    -1,    -1,
    2801,  2802,    -1,    -1,  2805,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4233,    -1,    -1,    -1,  2818,    -1,  2820,
      96,    -1,    -1,  2824,    -1,    -1,    -1,    -1,    -1,    -1,
     106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2840,
      -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,  4430,    -1,
    2851,    -1,  2853,  2854,  2855,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,  1747,    -1,    -1,
      -1,    -1,    -1,  2694,    -1,    -1,  2877,   153,    -1,    -1,
     156,    -1,    -1,    -1,    -1,    -1,   162,    -1,  2889,    -1,
     166,    -1,    -1,  2894,    -1,    -1,    -1,    -1,    -1,    -1,
    2901,    -1,    -1,    -1,    -1,    -1,  2907,    -1,    -1,    -1,
     186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4340,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,    -1,
    4512,    -1,    -1,    -1,  1814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4530,    -1,
    4532,    -1,    -1,  1833,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,  2967,    -1,    -1,    -1,
      -1,  1851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2986,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1879,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4433,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3024,  3025,    -1,  3027,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4456,    -1,    -1,    -1,
      -1,    -1,    -1,  4625,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1937,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3077,    -1,  3079,    -1,
      -1,    -1,  4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4522,    -1,    -1,    -1,  4526,  4527,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   410,    -1,  4718,    -1,    -1,    -1,
      -1,    -1,    -1,  3144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2986,    -1,    -1,    -1,    -1,
    3171,    -1,    -1,    -1,    -1,    -1,    -1,  4759,    -1,    -1,
      -1,    -1,    -1,  3184,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3024,  3025,    -1,  3027,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3248,  2128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3077,    -1,  3079,    -1,
    3261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3274,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3123,  3304,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3339,    -1,
      -1,  3342,    -1,    -1,    -1,    -1,    -1,  3348,    -1,    -1,
    3171,    -1,    -1,  3354,    -1,  3356,    -1,    -1,    -1,    -1,
    3361,  3362,    -1,  3184,  3365,  3366,  3367,  3368,  3369,  3370,
    3371,  3372,  3373,  3374,    -1,    -1,    -1,  3378,  3379,    -1,
      -1,    -1,    -1,    -1,    -1,  3386,    -1,    -1,   664,   665,
    3391,    -1,    -1,    -1,  3395,    -1,    -1,    -1,  3399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3409,    -1,
      -1,  3412,    -1,  3414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3422,  3423,  3424,  3425,    -1,    -1,  3248,  3429,    -1,
      -1,  3432,    -1,    -1,    -1,    -1,   712,    -1,    -1,    -1,
    3261,  3442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3452,    -1,  3274,    -1,    -1,    -1,    -1,    -1,  3460,
      -1,  3462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3506,    -1,    -1,  2388,    -1,
      -1,  3512,    -1,  2393,  2394,    -1,    -1,  3518,    -1,    -1,
      -1,  3342,    -1,    -1,  2404,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3361,    -1,  3543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   831,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   840,  3386,   842,    -1,   844,    -1,
     846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   865,
      -1,    -1,    -1,    -1,    -1,    -1,   872,    -1,    -1,    -1,
      -1,  3422,    -1,    -1,  3605,   881,   882,    -1,    -1,    -1,
     886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   902,    -1,   904,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   919,    -1,    -1,    -1,    -1,    -1,    -1,
    2530,    -1,    -1,    -1,    -1,    -1,    -1,   933,    -1,    -1,
     936,    -1,   938,    -1,   940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   953,   954,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   968,    -1,   970,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   980,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2599,
      -1,  3722,    -1,   999,  1000,    -1,    -1,    -1,    -1,    -1,
    1006,    -1,  1008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3748,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1039,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3781,  3782,  3783,    -1,  3605,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1073,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2694,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1144,    -1,
    1146,    -1,    -1,    -1,  1150,    -1,    -1,  3878,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3888,  3889,    -1,
    3891,    -1,    -1,    -1,    -1,  3896,  3897,    -1,    -1,    -1,
    3901,  3902,    -1,    -1,    -1,    -1,  3907,  3908,    -1,    -1,
    3911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3926,    -1,  3748,    -1,  3930,
      -1,    -1,  1208,    -1,    -1,    -1,    -1,    -1,  3939,    -1,
      -1,    -1,    -1,  3944,    -1,    -1,    -1,    -1,  1224,    -1,
      -1,    -1,    -1,    -1,    -1,  3956,    -1,    -1,    -1,  1235,
    3781,    -1,    -1,    89,    -1,    -1,  1242,    -1,    94,    -1,
      96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1254,    -1,
     106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3994,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,  4009,    -1,
    1286,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   152,   153,    -1,  4030,
     156,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,
     166,  4042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3891,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,  4080,
      -1,  3902,    -1,    -1,    -1,    -1,    -1,    -1,  1364,    -1,
    1366,    -1,    -1,  1369,    -1,  1371,    -1,    -1,  1374,  1375,
    1376,    -1,    -1,    -1,    -1,    -1,  2986,    -1,    -1,    -1,
      -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1400,    -1,  1402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4141,    -1,    -1,    -1,  3024,  3025,    -1,  3027,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4009,    -1,
      -1,    -1,    -1,    -1,    -1,  4196,    -1,  3077,    -1,  3079,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4030,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4042,    -1,    -1,    -1,    -1,    -1,    -1,  4229,    -1,
      -1,    -1,  4233,    -1,    -1,    -1,    -1,  4238,    -1,    -1,
      -1,    -1,    -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4255,  4256,    -1,    -1,  4259,  4080,
      -1,    -1,    -1,    -1,  3144,    -1,    -1,    -1,    -1,  4270,
      -1,    -1,    -1,    -1,  4275,    -1,    -1,  4278,    -1,    -1,
      -1,    -1,  4283,  4284,   410,    -1,    -1,    -1,    -1,    -1,
      -1,  3171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3184,    -1,  1582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4340,
      -1,    -1,    -1,  4344,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1639,    -1,    -1,  1642,    -1,  3248,    -1,
      -1,    -1,    -1,    -1,  1650,    -1,    -1,    -1,    -1,  4380,
      -1,  3261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1668,    -1,  3274,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1703,    -1,    -1,
    4431,    -1,  4433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4455,  4456,    -1,  4458,    -1,  4460,
      -1,    -1,  3342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4477,    -1,    -1,    -1,
    4481,  3361,    -1,    -1,    -1,  4486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   621,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3386,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4340,
      -1,  4522,    -1,    -1,    -1,  4526,  4527,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   664,   665,
      -1,    -1,  3422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   712,    -1,  4589,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1882,    -1,    -1,    -1,
      -1,    -1,  4433,    -1,    -1,    -1,    -1,    -1,  4619,  1895,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4634,    -1,  4456,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1939,    -1,  4486,  4667,  1943,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4676,  1952,    -1,  1954,    -1,
    1956,    -1,    -1,    -1,    -1,  1961,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4697,  4698,    -1,    -1,
      -1,  4522,    -1,    -1,    -1,  4526,  4527,    -1,    -1,  4710,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1994,    -1,
    1996,    -1,    -1,    -1,  2000,  3605,  2002,    -1,    -1,  2005,
      -1,    -1,    -1,  2009,  2010,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4744,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4754,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   901,   902,    -1,   904,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4822,    -1,    -1,   950,    -1,    -1,   953,   954,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     966,    -1,   968,    -1,   970,    -1,    -1,    -1,    -1,    -1,
     976,    -1,    -1,    -1,   980,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3748,    -1,
      -1,    -1,    -1,   999,  1000,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,
      -1,  3781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,  1039,    -1,  1041,    -1,    43,    44,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1131,  1132,    -1,   134,  1135,
      -1,  3891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3902,    -1,  2300,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2317,  2318,    -1,    -1,    -1,  2322,  2323,    -1,    -1,
    2326,    -1,    -1,  1179,    -1,    -1,    -1,    -1,    -1,    -1,
    2336,    -1,    -1,    -1,    -1,    -1,    -1,  2343,    -1,    -1,
      -1,    -1,    -1,  2349,  2350,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,  2360,    -1,  2362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
    2376,    -1,    -1,    -1,    -1,  2381,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4009,
      -1,  2407,  2408,  2409,  2410,    -1,   262,    -1,  2414,  2415,
      -1,    -1,    -1,    -1,    -1,    -1,  2422,    -1,    -1,  2425,
    4030,    -1,    -1,  2429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4042,    -1,    -1,    -1,    -1,    -1,  2444,   295,
      -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,  2454,    -1,
    2456,    -1,    -1,    -1,    -1,    -1,    -1,   313,  2464,  2465,
    2466,    -1,  2468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4080,    -1,    -1,    -1,    -1,  2481,  2482,  2483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2491,  2492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1359,    -1,    -1,    -1,    -1,  1364,    -1,
    1366,    -1,    -1,  1369,    -1,  1371,    -1,    -1,  1374,  1375,
    1376,    -1,    -1,    -1,  1380,    -1,    -1,    -1,    -1,    -1,
     386,  1387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2547,    -1,    -1,  1400,    -1,  1402,    -1,    -1,    -1,
      -1,  1407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4233,    -1,   481,    -1,    -1,    -1,    -1,
      -1,   487,    -1,    -1,    -1,   491,   492,   493,   494,   495,
      -1,    -1,   498,   499,   500,   501,    -1,    -1,    -1,   505,
     825,    -1,    -1,    -1,    -1,  2661,    -1,    -1,   833,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1523,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1532,  1533,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   864,
      -1,    -1,    -1,  1549,  2700,    -1,    -1,  1553,  1554,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   918,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   927,    -1,    -1,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,  1634,    -1,
    1636,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
    1646,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,  4433,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4456,    -1,    -1,    -1,
    1706,    -1,    -1,    -1,    -1,    -1,  1712,    -1,    -1,    -1,
      -1,    -1,  1037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1071,    -1,    -1,    -1,
    1756,    -1,    -1,  1759,  1760,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4522,    -1,    -1,    -1,  4526,  4527,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2947,  2948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1819,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   240,    -1,    -1,    -1,    -1,    -1,  3003,  3004,    -1,
      -1,  3007,    -1,    -1,    -1,  3011,  3012,  3013,    -1,    -1,
      -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1037,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3045,
    3046,  3047,  3048,    -1,    -1,  1220,   295,    -1,    -1,   298,
      -1,    -1,    -1,    -1,    -1,  1230,    -1,    -1,    -1,  1071,
      -1,    -1,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3081,    -1,  1252,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3134,    -1,
      -1,    -1,    -1,  3139,    -1,    -1,    -1,   386,  1994,    -1,
    1996,    -1,    -1,    -1,  2000,    -1,  2002,    -1,    -1,  2005,
      -1,    -1,    -1,  2009,    -1,    -1,    -1,    -1,  2014,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1351,    -1,   427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   440,  3198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3208,    -1,    -1,    -1,   455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,
    3236,    -1,   481,  1408,    -1,    -1,    -1,    -1,   487,    -1,
      -1,    -1,   491,   492,   493,   494,   495,    -1,    -1,   498,
     499,   500,    -1,    -1,    -1,    -1,   505,    -1,    -1,    -1,
      -1,  1436,    -1,    -1,    -1,    -1,  3272,    -1,    -1,  3275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3288,    -1,    -1,    -1,    -1,    -1,    -1,  1464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2159,    -1,    -1,    -1,    -1,    -1,    -1,
    2166,    -1,    -1,    -1,    -1,    -1,    -1,  1492,  1493,  2175,
    1495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2237,    -1,    -1,    -1,    -1,    -1,    -1,  1563,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1592,    -1,    -1,
      -1,  1596,  1597,    -1,  1436,    -1,    -1,    -1,    -1,  2285,
      -1,    -1,    -1,  2289,    -1,    -1,    -1,    -1,    -1,  2295,
      -1,  2297,    -1,    -1,  2300,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1492,  1493,    -1,  1495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1674,
    1512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1721,    -1,  3554,    -1,
      -1,  1563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1592,    -1,  3588,    -1,  1596,  1597,    -1,    -1,    -1,    -1,
      -1,  2447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2455,
      -1,  2457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3628,    -1,    -1,    -1,    -1,  3633,  3634,    -1,
    3636,  3637,  3638,  3639,  3640,  3641,  3642,    -1,    -1,  1814,
      -1,    -1,    -1,    -1,    -1,  3651,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1851,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1879,    -1,    -1,    -1,    -1,    -1,
    3716,  3717,  3718,    -1,    -1,  3721,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1931,    -1,    -1,    -1,
      -1,    -1,  1937,    -1,    -1,  1940,    -1,    -1,    -1,    -1,
    1252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2661,  2662,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2677,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2024,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2060,  2061,    -1,    -1,    -1,
      -1,    -1,    -1,  2068,    -1,    -1,  2071,    -1,    -1,  2074,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2082,  2083,    -1,
      -1,    -1,    -1,    -1,    -1,  2090,    -1,    -1,  2093,  2094,
    2095,  2096,    -1,    -1,    -1,    -1,  1408,    -1,  2103,  2104,
      -1,  2106,    -1,  2108,  2109,    -1,    -1,  2112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2128,  2129,    -1,    -1,    -1,    -1,  2134,
      -1,    -1,    -1,  2138,    -1,    -1,    -1,  2142,    -1,  2144,
    2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,    -1,  2154,
      -1,    -1,    -1,    -1,    -1,  2160,    -1,    -1,  2163,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2868,  4019,    -1,    -1,    -1,  2873,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4038,  4039,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4050,  4051,    -1,    -1,    -1,  2224,
      -1,    -1,    -1,    -1,    -1,    -1,  2068,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2090,    -1,
      -1,  2093,    -1,    -1,  2096,    -1,    -1,    -1,    -1,    -1,
      -1,  2103,  2104,    -1,    -1,    -1,    -1,  2109,    -1,    -1,
    2112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2129,    -1,    -1,
      -1,    -1,  2134,    -1,    -1,    -1,  2138,    -1,    -1,    -1,
    2142,    -1,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,
    2152,    -1,  2154,    -1,    -1,    -1,    -1,    -1,  2160,    -1,
      -1,  2163,    -1,    -1,    -1,    -1,  4162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2347,    -1,    -1,    -1,    -1,  2352,    -1,    -1,
    4186,    -1,    -1,  2358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2224,  2388,    -1,    -1,    -1,    -1,  2393,  2394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2404,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1721,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1747,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3184,    -1,
      -1,    -1,  1814,    -1,    -1,  2347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1833,    -1,  2528,    -1,  2530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1851,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4401,    -1,  1879,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3272,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2599,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4439,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1937,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2645,    -1,    -1,    -1,  3330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2528,    -1,    -1,  2694,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2708,    -1,    -1,    -1,  2712,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2726,  2727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2756,  2757,    -1,    -1,    -1,  2761,  4593,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2773,  2774,
    2775,  2776,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2786,    -1,    -1,  2789,    -1,  2791,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2801,  2802,    -1,    -1,
    2805,    -1,    -1,  2645,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2818,    -1,  2820,  2128,    -1,    -1,  2824,
      -1,    -1,    -1,    -1,    -1,  4661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2840,    -1,  3523,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2851,    -1,  2853,  2854,
    2855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2889,  2727,    -1,    -1,    -1,  2894,
      -1,    -1,    -1,    -1,    -1,    -1,  2901,    -1,    -1,    -1,
      -1,    -1,  2907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3605,
      -1,    -1,    -1,  1508,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2773,    -1,  2775,  2776,  3621,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2786,    -1,    -1,  2789,    -1,  2791,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2818,    -1,  2820,    -1,
      -1,  2986,  2824,    -1,    -1,    -1,    -1,  3673,    -1,    -1,
      -1,    -1,    -1,  1578,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2853,  2854,  2855,    -1,    -1,    -1,    -1,    -1,  3024,
    3025,    -1,  3027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2877,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2889,    -1,    -1,
      -1,    -1,  2894,    -1,    -1,    -1,    -1,    -1,    -1,  2901,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3077,    -1,  3079,    -1,  2388,    -1,    -1,    -1,
      -1,  2393,  2394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2404,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1252,  3123,    -1,
      -1,    -1,    -1,    -1,    -1,  2967,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3823,    -1,  3144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1252,    -1,    -1,    -1,    -1,    -1,  3171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3274,
      -1,    -1,    -1,  1408,  3960,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3304,
    3986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3339,    -1,    -1,  3342,    -1,    -1,
      -1,  4027,    -1,  3348,    -1,    -1,    -1,    -1,    -1,  3354,
      -1,  3356,    -1,    -1,    -1,    -1,  3361,  3362,    -1,    -1,
    3365,  3366,  3367,  3368,  3369,  3370,  3371,  3372,  3373,  3374,
      -1,    -1,    -1,  3378,  3379,    -1,    -1,    -1,    -1,    -1,
      -1,  3386,  2694,    -1,    -1,    -1,  3391,    -1,    -1,    -1,
    3395,    -1,  1977,    -1,  3399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3409,    -1,    -1,  3412,    -1,  3414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3422,  3423,  3424,
    3425,    -1,    -1,    -1,  3429,    -1,    -1,  3432,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3442,    -1,  4125,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3452,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3460,    -1,  3462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3339,    -1,    -1,
      -1,  3506,    -1,    -1,  2089,    -1,  3348,  3512,    -1,  2094,
      -1,    -1,  3354,  3518,  3356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2114,
    2115,    -1,    -1,  2118,    -1,    -1,  3378,  3379,  3543,  1674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3409,    -1,    -1,
    3412,    -1,  3414,  2158,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3423,  1674,    -1,    -1,    -1,  1721,  3429,    -1,    -1,
    3432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3452,    -1,  1747,    -1,    -1,  4301,    -1,    -1,  3460,    -1,
    3462,    -1,    -1,    -1,    -1,    -1,  2211,    -1,    -1,  1721,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2233,    -1,
      -1,    -1,    -1,    -1,  4340,  1747,    -1,    -1,  2243,    -1,
      -1,  2246,    -1,    -1,  3506,    -1,    -1,    -1,    -1,    -1,
    3512,    -1,    -1,    -1,  2986,    -1,  3518,    -1,    -1,  1814,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1252,    -1,    -1,    -1,
      -1,    -1,  3024,  3025,    -1,  3027,  1851,  3722,    -1,    -1,
      -1,    -1,  1814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1833,    -1,  3748,  1879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1851,
      -1,    -1,    -1,    -1,    -1,  3077,    -1,  3079,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3781,  3782,  3783,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1879,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3144,    -1,    -1,    -1,    -1,  3842,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1937,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3171,
      -1,    -1,  1408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3184,  3878,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3888,  3889,    -1,  3891,    -1,    -1,    -1,
      -1,  3896,  3897,    -1,    -1,    -1,  3901,  3902,    -1,    -1,
      -1,    -1,  3907,  3908,    -1,    -1,  3911,    -1,    -1,    -1,
    4596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3926,    -1,    -1,    -1,  3930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3939,    -1,  3248,    -1,    -1,  3944,
    3782,  3783,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3261,
      -1,  3956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3994,
      -1,    -1,    -1,  2128,    -1,    -1,    -1,    -1,    -1,    -1,
    3842,    -1,    -1,    -1,  4009,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,
    3342,    -1,    -1,    -1,    -1,    -1,  2128,  4042,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3888,  3889,    -1,  3361,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3901,
      -1,    -1,    -1,    -1,    -1,  3907,  3908,    -1,    -1,  3911,
      -1,    -1,    -1,    -1,  3386,  4080,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3939,    -1,    -1,
      -1,    -1,  3944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3422,    -1,    -1,    -1,  3956,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1674,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4141,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2730,    -1,    -1,    -1,    -1,
      -1,    -1,  3994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2752,    -1,  2754,
      -1,  2756,  2757,  2758,    -1,  1721,  2761,    -1,    -1,    -1,
    2765,    -1,    -1,    -1,    -1,    -1,    -1,  2772,    -1,    -1,
      -1,  4196,  2777,    -1,    -1,    -1,    -1,    -1,  2783,    -1,
      -1,  1747,    -1,  2788,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2797,    -1,    -1,    -1,  2801,  2802,    -1,  2804,
      -1,    -1,    -1,    -1,  4229,    -1,    -1,    -1,  4233,    -1,
      -1,  2816,    -1,  4238,    -1,    -1,    -1,    -1,  2823,    -1,
    2825,  2826,  2827,  2828,  2829,  2830,  2831,  2832,  2833,  2834,
    4255,  4256,    -1,  2388,  4259,    -1,    -1,    -1,  2393,  2394,
      -1,    -1,    -1,    -1,    -1,  4270,    -1,    -1,  1814,  2404,
    4275,    -1,    -1,  4278,  2859,    -1,    -1,    -1,  4283,  4284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,    -1,
      -1,    -1,    -1,  3605,    -1,    -1,  2388,    -1,    -1,  4141,
      -1,  2393,  2394,    -1,    -1,  1851,    -1,    -1,    -1,    -1,
      -1,  4316,  2404,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1879,    -1,  4340,    -1,    -1,    -1,  4344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1937,    -1,    -1,  2979,  2530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4431,    -1,  4433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3748,    -1,  2530,    -1,
      -1,    -1,  4284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4455,  4456,    -1,  4458,    -1,  4460,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2599,    -1,    -1,    -1,    -1,  3781,
      -1,    -1,  4477,    -1,    -1,    -1,  4481,    -1,    -1,    -1,
      -1,  4486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4522,    -1,    -1,
      -1,  4526,  4527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4561,    -1,    -1,  2694,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3891,
      -1,    -1,  2128,    -1,  4589,    -1,    -1,  3172,    -1,    -1,
    3902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4619,    -1,  4458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4634,
      -1,    -1,    -1,    -1,    -1,  4477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4697,  4698,    -1,    -1,    -1,  4009,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4710,    -1,  3292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4030,  4561,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4744,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4754,
      -1,    -1,    -1,  3338,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4080,    -1,
      -1,    -1,    -1,    -1,  3359,  3360,    -1,  3362,    -1,    -1,
    3365,  3366,  3367,  3368,  3369,  3370,  3371,  3372,  3373,  3374,
    3375,    -1,  4634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4813,    -1,
      -1,    -1,    -1,    -1,    -1,  3400,    -1,  4822,  3403,    -1,
    3405,    -1,    -1,    -1,    -1,  3410,  3411,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3424,
    3425,  3426,  2388,  3428,    -1,    -1,  3431,  2393,  2394,    -1,
      -1,  2986,    -1,    -1,    -1,  4697,  4698,    -1,  2404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3024,
    3025,    -1,  3027,    -1,  2986,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4744,  3488,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4754,    -1,  3499,    -1,    -1,    -1,    -1,    -1,
      -1,  4233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3024,  3025,    -1,  3027,    -1,    -1,    -1,    -1,
      -1,    -1,  3077,    -1,  3079,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3540,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2530,  3077,    -1,  3079,  3123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4340,    -1,
      -1,  3123,    -1,    -1,    -1,    -1,  3171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3184,
      -1,    -1,  3144,  2599,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3171,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4433,    -1,    -1,    -1,    -1,  3261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3722,    -1,  3274,
      -1,    -1,    -1,    -1,  4456,    -1,    -1,    -1,  2694,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3261,
      -1,    -1,    -1,    -1,  4486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,    -1,    -1,
    4522,    -1,    -1,    -1,  4526,  4527,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3342,  3386,    -1,    -1,    -1,    -1,    -1,    -1,  3843,    -1,
      -1,  3846,  3847,  3848,    -1,    -1,  3851,    -1,    -1,  3361,
      -1,  3856,  3857,  3858,  3859,  3860,  3861,  3862,  3863,  3864,
    3865,  3866,  3867,    -1,    -1,    -1,    -1,  3422,    -1,    -1,
      -1,    -1,    -1,    -1,  3386,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3895,  3896,  3897,  3898,    -1,  3900,    -1,    -1,    -1,  3904,
    3905,  3906,    -1,    -1,  3909,    -1,    -1,  3912,    -1,    -1,
    3422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3941,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3970,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3024,  3025,
      -1,  3027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3605,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3077,    -1,  3079,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4193,  4194,
      -1,    -1,    -1,  3748,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3184,    -1,
    4225,    -1,    -1,    -1,  4229,    -1,  3781,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3748,    -1,  4243,    -1,
    4245,    -1,    -1,    -1,    -1,  4250,  4251,  4252,    -1,    -1,
    4255,  4256,  4257,  4258,    -1,  4260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3274,  4314,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3902,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3342,    -1,    -1,  3891,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4392,    -1,    -1,
    3902,    -1,    -1,    -1,    -1,  3361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4454,
    4455,    -1,    -1,    -1,  4009,    -1,  3422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4470,  4471,  4472,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4489,    -1,    -1,  4042,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4009,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4030,    -1,
      -1,    -1,    -1,    -1,    -1,  4080,    -1,    -1,    -1,    -1,
    4042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4080,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4599,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4609,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3605,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4709,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3748,    -1,    -1,  4340,    -1,  4792,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3781,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4340,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,  4433,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,    -1,
      -1,  4456,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4433,    -1,    -1,    -1,  3891,    -1,    -1,    -1,    -1,
      -1,  4486,    -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,
      -1,   115,    -1,    -1,  4456,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,  4522,   142,    -1,
      -1,  4526,  4527,    -1,  4486,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
    4522,    -1,    -1,    -1,  4526,  4527,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
      -1,   215,    -1,  4009,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,  4042,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   280,   281,    -1,   283,
      -1,    -1,    -1,    -1,  4080,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,   303,
     304,    -1,    -1,   307,    -1,    -1,    -1,   311,    -1,    -1,
     314,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,   330,   331,   332,   333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,
      -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,    -1,    -1,   399,    -1,   401,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,   426,    -1,    -1,    -1,   430,    -1,   432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   440,  4233,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4340,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
    4456,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
    4486,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,  4522,    -1,    -1,    -1,
    4526,  4527,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     3,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,   506,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   101,    -1,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,   115,    -1,
      -1,   118,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,   138,    -1,   140,   141,   142,    -1,    -1,    -1,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   158,    -1,   160,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,   176,
     177,   178,   179,    -1,    -1,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    -1,    -1,   191,    -1,   193,    -1,    -1,    -1,
     197,    -1,    -1,    -1,    -1,    -1,   203,   204,    -1,    -1,
      -1,    -1,    -1,   210,   211,   212,    -1,    -1,   215,    -1,
      -1,   218,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,
      -1,   228,    -1,    -1,    -1,   232,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
     257,    -1,    -1,   260,    -1,    -1,   263,    -1,   265,    -1,
      -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   280,   281,    -1,   283,    -1,   285,   286,
      -1,    -1,    -1,    -1,   291,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   299,    -1,    -1,   302,   303,   304,    -1,    -1,
     307,    -1,    -1,   310,   311,    -1,    -1,   314,    -1,   316,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   329,   330,   331,   332,   333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   343,    -1,   345,    -1,
     347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     357,   358,    -1,    -1,    -1,    -1,   363,    -1,   365,    -1,
      -1,    -1,    -1,   370,    -1,    -1,    -1,    -1,   375,   376,
      -1,   378,   379,    -1,    -1,   382,    -1,    -1,    -1,    -1,
     387,   388,    -1,    -1,    -1,    -1,    -1,    -1,   395,   396,
      -1,   398,   399,    -1,   401,    -1,    -1,    -1,   405,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,   426,
      -1,    -1,    -1,   430,    -1,   432,    -1,   434,    -1,   436,
      -1,    -1,    -1,   440,    -1,    -1,   443,    -1,    -1,   446,
      -1,    -1,   449,    -1,    -1,    -1,    -1,   454,   455,    -1,
      -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,   500,    26,    27,    -1,   504,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,
      -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,
      -1,   263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,   281,
      -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     302,   303,   304,    -1,    -1,   307,    -1,    -1,    -1,   311,
      -1,    -1,   314,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,   330,   331,
     332,   333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   343,    -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   396,    -1,    -1,   399,    -1,   401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   425,   426,    -1,    -1,    -1,   430,    -1,
     432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   455,    -1,    -1,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,   507,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,   493,    -1,
      -1,    -1,    -1,    -1,    -1,   500,   501,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,   501,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,    -1,   309,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,    -1,   344,    -1,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     481,   482,   483,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     501,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
      -1,   309,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,    -1,   344,    -1,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   481,   482,   483,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   501,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,
      -1,    -1,    -1,    -1,    -1,   498,   499,   500,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   491,   492,   493,    -1,    -1,    -1,
      -1,    -1,    -1,   500,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   500,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   500,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
      -1,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,    -1,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
     323,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,    -1,
      -1,   464,    -1,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   500,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,   323,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   500,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   500,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   500,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   501,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   501,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
     499,   500,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   500,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   500,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   500,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   500,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   500,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   500,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   500,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,   429,    -1,   431,    -1,
     433,   434,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,   482,
     483,    -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,   487,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,   487,   488,   489,    -1,
     491,   492,   493,   494,   495,   496,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,   487,   488,   489,
      -1,   491,   492,   493,   494,   495,   496,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,   487,   488,   489,    -1,   491,   492,   493,   494,   495,
     496,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       5,     6,     7,     8,     9,    10,    11,    12,    13,   493,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,    -1,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,    -1,   309,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,    -1,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,    -1,   344,
      -1,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,    -1,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   481,   482,   483,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   493,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,   493,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   493,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,   227,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,   227,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
     227,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   491,   492,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,     4,   487,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,    -1,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,    -1,   309,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,    -1,   344,
      -1,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,    -1,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   481,   482,   483,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,    -1,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,    -1,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,    -1,   344,    -1,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,    -1,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   481,   482,   483,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,    -1,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,    -1,   344,    -1,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,    -1,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,    -1,   455,    -1,
     457,   458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   481,   482,   483,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,    -1,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,    -1,   344,    -1,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,    -1,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   481,   482,   483,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,    -1,
     309,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
      -1,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,    -1,   344,    -1,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,    -1,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,    -1,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   481,   482,   483,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,    -1,   309,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,    -1,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,    -1,   344,    -1,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,    -1,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   481,   482,   483,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,    -1,   309,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,    -1,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,    -1,   344,    -1,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,    -1,   455,    -1,   457,   458,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     481,   482,   483,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,    -1,   121,
      -1,    -1,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,    -1,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,    -1,    -1,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,    -1,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,    -1,   259,   260,   261,
      -1,    -1,    -1,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,    -1,   305,   306,    -1,    -1,   309,   310,   311,
     312,    -1,    -1,   315,    -1,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,    -1,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,    -1,   344,    -1,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,    -1,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,    -1,    -1,    -1,    -1,   429,    -1,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,    -1,    -1,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,    -1,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
      -1,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,   283,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,   232,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,   232,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,   323,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    74,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,    -1,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   280,   281,    -1,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   302,   303,   304,    -1,    -1,   307,
      -1,    -1,    -1,   311,    -1,    -1,   314,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   329,   330,   331,   332,   333,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   343,    -1,   345,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,
      -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,
      -1,   399,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,   426,    -1,
      -1,    -1,   430,    -1,   432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,
      -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,
     263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,   281,    -1,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,
     303,   304,    -1,    -1,   307,    -1,    -1,    -1,   311,    -1,
      -1,   314,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   329,   330,   331,   332,
     333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     343,    -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   396,    -1,    -1,   399,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,   426,    -1,    -1,    -1,   430,    -1,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   280,   281,    -1,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   302,   303,   304,    -1,    -1,   307,
      -1,    -1,    -1,   311,    -1,    -1,   314,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   329,   330,   331,   332,   333,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   343,    -1,   345,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,
      -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,
      -1,   399,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,   426,    -1,
      -1,    -1,   430,    -1,   432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,
      -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,
     263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,   281,    -1,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,
     303,   304,    -1,    -1,   307,    -1,    -1,    -1,   311,    -1,
      -1,   314,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   329,   330,   331,   332,
     333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     343,    -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   396,    -1,    -1,   399,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,   426,    -1,    -1,    -1,   430,    -1,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   280,   281,    -1,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   302,   303,   304,    -1,    -1,   307,
      -1,    -1,    -1,   311,    -1,    -1,   314,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   329,   330,   331,   332,   333,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   343,    -1,   345,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,
      -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,
      -1,   399,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,   426,    -1,
      -1,    -1,   430,    -1,   432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,    -1,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,    -1,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    71,   482,   483,    -1,    -1,    -1,    -1,
      -1,    79,    80,   491,   492,   493,    -1,    -1,    -1,    -1,
      -1,    -1,   500,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,   500,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,    -1,
      -1,    -1,    -1,    -1,    71,    72,   491,   492,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,    -1,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,    -1,   455,    -1,
     457,   458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,    -1,    -1,    -1,
      -1,    -1,    71,    72,   491,   492,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,    -1,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,    -1,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,    -1,    -1,    -1,    -1,    -1,
      71,    -1,   491,   492,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,    -1,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,    -1,   455,    -1,   457,   458,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,    -1,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,    -1,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    71,   482,   483,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    71,   482,   483,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    71,   482,   483,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    71,   482,   483,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    71,   482,   483,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    71,   482,   483,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    71,   482,   483,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    71,   482,   483,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    71,   482,   483,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   509,  1046,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   220,   240,
     262,   295,   298,   313,   386,   427,   440,   455,   481,   487,
     491,   492,   493,   494,   495,   498,   499,   500,   501,   503,
     504,   505,   506,   507,  1038,  1047,  1075,  1077,  1168,  1178,
    1179,  1181,  1187,  1188,  1076,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   146,   148,   150,   158,   160,
     161,   167,   174,   176,   177,   178,   179,   191,   193,   197,
     203,   204,   210,   211,   212,   215,   218,   220,   226,   228,
     232,   234,   243,   256,   257,   263,   265,   268,   269,   271,
     280,   281,   283,   285,   286,   291,   299,   302,   303,   304,
     307,   310,   311,   314,   316,   329,   330,   331,   332,   333,
     343,   345,   347,   357,   358,   363,   365,   370,   375,   376,
     378,   379,   382,   387,   388,   395,   396,   398,   399,   401,
     405,   413,   417,   425,   426,   430,   432,   434,   436,   440,
     443,   449,   454,   455,   458,   466,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   500,   510,   511,   517,   518,
     520,   521,   522,   523,   524,   525,   526,   528,   529,   533,
     543,   545,   546,   549,   550,   551,   562,   565,   566,   581,
     622,   623,   630,   636,   638,   640,   641,   644,   647,   648,
     652,   653,   662,   666,   667,   668,   672,   673,   675,   676,
     677,   690,   691,   692,   693,   704,   705,   712,   713,   716,
     717,   718,   719,   720,   725,   727,   730,   734,   738,   739,
     749,   750,   753,   758,   769,   788,   791,   792,   793,   796,
     799,   801,   803,   806,   809,   810,   811,   818,   819,   821,
     822,   823,   828,   830,   831,   835,   836,   839,   840,   841,
     843,   844,   845,   846,   848,   851,   852,   857,   863,   866,
     868,   873,   875,   879,   886,   890,   891,   892,   893,   894,
     895,   898,   925,  1043,  1044,  1048,  1050,  1051,  1068,  1069,
    1070,  1071,  1082,  1084,  1088,  1089,  1090,  1091,  1092,  1094,
    1096,  1098,  1099,  1100,  1101,  1103,  1108,  1109,  1113,  1114,
    1123,  1125,  1126,  1127,  1130,  1135,  1138,  1143,  1145,  1146,
    1149,  1151,  1154,  1163,  1181,  1189,    73,  1071,  1079,  1080,
      14,    72,    91,    92,    93,    94,    95,    96,    97,    98,
     100,   101,   102,   110,   111,   113,   114,   116,   117,   118,
     125,   126,   127,   128,   129,   132,   133,   136,   138,   139,
     140,   141,   144,   146,   147,   148,   149,   151,   154,   155,
     156,   157,   158,   159,   162,   171,   172,   173,   174,   176,
     179,   181,   183,   184,   185,   186,   187,   189,   190,   191,
     194,   195,   196,   197,   198,   200,   201,   202,   204,   205,
     207,   208,   209,   210,   212,   213,   214,   217,   219,   221,
     223,   225,   229,   230,   231,   233,   236,   238,   239,   241,
     242,   244,   245,   246,   248,   249,   250,   251,   252,   253,
     255,   259,   260,   261,   267,   270,   272,   273,   274,   275,
     276,   277,   278,   282,   285,   286,   287,   290,   291,   292,
     293,   294,   296,   297,   299,   300,   301,   305,   306,   309,
     310,   312,   315,   317,   318,   319,   321,   324,   325,   326,
     334,   335,   336,   337,   338,   339,   340,   342,   344,   346,
     347,   348,   350,   351,   352,   353,   354,   355,   356,   358,
     359,   360,   361,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   374,   375,   377,   378,   380,   381,   382,
     383,   384,   385,   387,   389,   390,   391,   392,   393,   395,
     397,   398,   400,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   415,   416,   418,   419,   420,   421,   422,
     423,   427,   429,   431,   434,   435,   436,   437,   438,   439,
     442,   443,   444,   445,   446,   449,   450,   451,   452,   453,
     457,   459,   460,   461,   464,   467,   468,   469,   470,   471,
     482,   483,  1039,  1041,  1042,  1043,  1044,  1061,  1062,  1173,
    1175,  1179,  1181,    29,   258,  1124,     9,    13,    15,    28,
      45,    46,    50,    51,    56,    65,    67,    69,    70,    99,
     134,   152,   163,   175,   180,   240,   295,   298,   386,   454,
     481,  1031,  1042,  1043,  1063,  1110,  1111,  1153,  1154,  1155,
    1159,  1164,  1165,  1166,  1175,  1181,    99,   887,  1030,  1063,
    1159,  1172,    14,   887,     5,    25,    29,    35,    36,    43,
      44,    99,   103,   104,   105,   106,   107,   108,   109,   112,
     124,   130,   131,   134,   137,   143,   145,   152,   153,   160,
     163,   164,   165,   166,   168,   169,   170,   180,   182,   188,
     192,   193,   199,   203,   206,   216,   218,   222,   224,   227,
     232,   235,   237,   247,   254,   258,   262,   264,   266,   279,
     284,   288,   289,   308,   313,   320,   322,   323,   327,   328,
     341,   349,   362,   373,   388,   394,   402,   414,   417,   424,
     427,   428,   433,   440,   441,   447,   448,   454,   456,   462,
     463,   465,   466,  1042,  1045,  1155,  1156,  1157,  1161,  1162,
    1163,  1164,  1166,    25,    35,   134,   262,  1150,    38,    40,
     308,  1083,   429,   468,   824,    98,   144,   157,   174,   180,
     195,   213,   224,   229,   235,   250,   275,   324,   352,   377,
     383,   389,   392,   417,   419,   423,   431,   436,   447,   460,
     637,  1111,   179,   824,    99,   887,   458,   853,   322,   348,
     824,   121,   572,   891,    98,   110,   131,   144,   153,   174,
     180,   195,   213,   224,   231,   235,   287,   324,   327,   377,
     383,   392,   419,   420,   422,   423,   431,   436,   441,   444,
     447,   582,   708,   759,   770,  1031,  1052,  1053,  1054,  1063,
    1179,  1181,    14,    99,   347,  1030,  1063,  1067,   406,   887,
      99,   342,   420,   422,   274,   797,   798,  1179,    98,   110,
     131,   144,   157,   174,   195,   213,   224,   229,   235,   250,
     324,   334,   377,   381,   383,   389,   392,   417,   419,   423,
     431,   436,   447,   460,   637,   721,   824,   506,  1093,  1157,
     244,  1067,   160,   179,   210,   458,   500,   852,   858,   866,
     868,   873,   879,   886,   890,  1048,    92,    99,   116,   219,
     225,   227,   247,   276,   305,   350,   364,   491,   492,   735,
     736,   887,  1038,  1040,  1173,  1175,    99,   160,   362,   388,
     740,   741,   742,  1159,  1159,  1035,  1179,   417,   901,   116,
     225,   735,  1159,   429,  1067,   334,   174,   250,   416,   417,
     804,   382,  1159,    99,   134,   393,   425,   429,   454,   535,
    1042,  1043,  1153,  1158,  1164,  1166,  1181,    96,   232,   740,
     741,   348,   824,  1159,   273,    99,   192,   903,     4,    14,
     132,   152,   154,   287,   301,   377,   383,   393,   425,   429,
     471,   534,   535,    99,   393,   425,   429,   535,   429,   323,
     934,  1028,  1159,   901,  1147,  1157,   493,  1159,   228,   500,
     854,   500,  1024,   360,   896,   897,  1030,   891,   892,   895,
     504,   853,   206,   264,   328,   440,   904,   905,   891,   893,
     894,   185,   260,   446,   503,   118,   510,  1091,  1094,  1090,
    1086,   504,  1095,  1097,     5,    25,    35,   134,   196,   262,
    1102,   175,   240,   295,   298,   386,   481,   500,   965,   966,
    1074,  1078,  1168,    73,  1071,  1030,  1063,  1182,   180,  1052,
      21,   448,   494,  1067,  1067,  1182,   448,  1115,  1116,  1117,
      25,   262,   262,  1161,     7,    19,    20,    39,    42,   156,
     193,  1152,  1152,    16,  1091,  1036,  1044,  1153,  1156,  1159,
    1160,  1164,  1165,  1181,   723,  1159,   723,  1031,   351,   723,
     723,  1030,  1159,   173,   417,   748,  1036,  1039,  1028,   317,
      85,   139,   217,   487,   488,   489,   491,   492,   493,   494,
     495,   496,   795,   991,   992,  1159,  1039,  1030,  1028,  1030,
     934,  1030,   385,  1030,   723,   292,  1039,  1028,   274,    34,
     182,   270,   308,   356,   825,   826,   827,  1028,  1034,  1159,
      98,   131,   144,   145,   153,   157,   174,   195,   213,   224,
     229,   250,   275,   324,   377,   381,   383,   389,   392,   417,
     419,   423,   431,   436,   460,   637,   728,  1179,  1028,   427,
    1036,  1030,   500,   723,   431,  1031,   723,   242,  1030,   173,
     417,   420,   422,  1039,   420,   422,   139,   217,   795,   368,
    1039,   530,  1159,  1030,  1030,   385,  1030,   723,   292,  1039,
     389,   417,   460,   157,   250,   229,   381,   435,   631,    85,
    1055,  1056,   505,  1175,  1182,    99,  1067,  1181,   888,   542,
    1041,  1179,   798,   242,  1036,  1030,   242,   802,   242,  1031,
     173,   417,   242,  1036,   242,  1029,  1030,   139,   217,   242,
     795,   125,   242,  1029,   242,  1030,   242,  1030,   242,  1030,
     385,   242,  1030,   242,   292,  1029,   274,   242,   722,   723,
     500,   506,  1183,  1184,  1185,  1186,  1188,  1093,    71,  1063,
    1112,   500,   867,   582,   887,   858,   852,   859,   860,   861,
    1041,   853,  1040,   736,   737,    99,   736,   887,  1040,   737,
      99,   736,   887,  1040,   737,   737,   737,  1040,  1038,  1038,
     266,   448,  1117,  1118,  1192,  1193,   887,   737,   351,   500,
     500,   600,   600,   600,   322,   427,   503,   600,   934,   935,
     736,   887,   736,   887,   503,   820,  1179,   227,   500,   864,
     125,  1030,  1030,  1028,  1159,   115,   483,   270,   502,   325,
     325,   322,   227,  1179,   427,   222,   731,   322,    83,    84,
      85,    87,   107,   120,   122,   123,   130,   131,   134,   135,
     142,   164,   165,   166,   167,   168,   169,   170,   177,   178,
     196,   211,   215,   216,   220,   234,   262,   263,   265,   280,
     288,   289,   302,   304,   308,   313,   314,   316,   324,   333,
     343,   357,   379,   394,   401,   413,   425,   426,   430,   432,
     433,   441,   447,   455,   473,   474,   475,   476,   477,   478,
     479,   480,   491,   492,   493,   500,   891,   946,   949,   952,
     953,   954,   956,   957,   958,   959,   962,   963,   967,   969,
     970,   989,   993,  1012,  1017,  1025,  1026,  1036,  1037,  1038,
    1159,  1171,  1173,  1175,  1176,  1177,  1178,  1179,   427,   487,
    1182,  1179,   427,   487,  1111,    99,   547,  1027,  1028,   393,
     534,   180,   541,  1179,   542,  1179,   115,   136,   534,   483,
     826,   325,   227,   427,   487,   115,   483,   270,  1192,   827,
     500,  1028,   493,   498,   502,  1018,  1019,   935,  1163,   226,
     228,   458,   849,   850,   852,   226,   855,   180,   967,  1022,
    1023,   896,   503,   500,   856,   501,   501,  1028,    99,   192,
     902,   902,   125,   902,   218,   222,   284,   320,   908,   910,
     911,   920,   922,   923,   904,   905,   227,   266,   934,   936,
    1024,   504,  1085,   493,  1104,  1105,  1107,   506,   506,    25,
     262,   262,   427,   427,   427,   427,   500,   427,   492,   628,
    1040,  1072,  1178,   203,   108,  1059,   125,  1062,  1062,   266,
    1117,  1119,   266,  1117,  1118,  1119,   453,  1128,  1129,  1175,
      14,    37,    84,   491,   492,  1038,  1120,  1121,  1122,  1171,
    1173,  1177,  1178,  1179,  1180,   262,   268,  1030,   427,  1030,
       6,  1030,  1152,  1107,   500,   698,  1019,   335,   366,   395,
     502,   724,   335,   366,   395,   335,   366,   395,   466,   512,
     543,   544,   754,    95,   197,   335,   395,   554,   395,    95,
     197,   446,   527,   469,   934,   127,   159,   214,   245,   335,
     366,   374,   380,   387,   395,   403,   411,   461,   544,   782,
     789,   500,   771,   366,   527,    95,   101,   141,   190,   197,
     200,   252,   306,   308,   318,   326,   335,   366,   370,   395,
     451,   552,   553,   656,   628,   723,   723,   500,   794,   502,
     247,   366,   512,   519,   335,   366,   126,   172,   249,   294,
     296,   306,   334,   366,   371,   395,   405,   552,   625,   626,
     335,   459,   656,   664,   366,   395,   552,   335,   366,   370,
     395,   151,   189,   336,   421,   322,    95,   101,   197,   335,
     366,   395,   563,   564,   222,   366,   395,   512,   544,   366,
     395,   552,  1030,   504,   282,   182,   323,   470,   503,   825,
     448,   847,   322,  1036,   500,  1030,   173,   417,  1036,   317,
     139,   217,   795,  1030,   385,  1030,   274,   723,   600,   408,
     409,   568,  1179,   500,   698,   699,   137,   120,   122,   123,
     134,   135,   177,   178,   220,   263,   265,   302,   304,   316,
     357,   396,   401,   425,   426,   455,   943,   945,   947,   949,
     951,   953,   954,   955,   957,   958,   962,   963,  1153,  1160,
    1164,  1165,  1181,   227,   500,   694,  1030,   512,   108,   842,
     308,   512,   469,   242,  1028,   512,   723,   723,   694,   582,
     512,   115,   531,   436,   663,   335,   639,   151,   189,   336,
     421,    97,   117,   261,   678,   108,   694,   222,   512,  1028,
     242,   617,  1028,  1028,   723,   150,   760,  1036,  1030,   637,
      74,  1057,  1159,   505,  1058,  1055,   121,   171,   259,   306,
     384,   211,   698,   128,   372,   555,   211,   500,   211,   469,
     211,   771,   211,   503,   242,   723,   242,   723,   211,   794,
    1029,   211,   211,   322,   211,   555,   211,   151,   189,   336,
     421,   211,   322,   211,   222,   242,   242,   542,   211,   503,
     555,   501,  1184,  1185,  1183,   503,   507,   967,   996,  1116,
    1191,  1192,   417,   888,   501,   503,   216,   322,   433,   539,
     542,   628,   862,   858,   737,   887,   737,   887,  1193,  1194,
     737,   887,   737,   887,  1194,   737,   887,   887,   887,   737,
      14,    37,  1167,  1170,  1175,   887,   500,   601,   602,  1159,
     601,    99,   174,   224,   229,   274,   275,   383,   389,   417,
     419,   743,  1027,  1029,   742,   247,   503,   876,   887,   887,
    1179,  1112,   943,   999,   108,  1029,   223,   805,   805,   805,
     282,  1159,   222,   222,   743,  1029,   382,  1159,   542,   322,
     500,   498,   891,  1000,   457,   960,   967,  1016,   500,   960,
     960,   500,   500,   500,   500,   948,   948,   345,   891,   500,
     500,   950,   500,   500,   500,   500,   134,   135,   960,   967,
     500,   948,   500,   500,   500,   500,   500,   467,   486,   500,
     964,   500,   964,   500,   500,   891,   500,   500,   500,   500,
     500,   500,   500,   500,   967,   967,   454,   891,   967,   996,
    1019,  1179,   135,   500,   961,   500,  1179,    85,    88,   105,
     108,   113,   119,   143,   243,   247,   268,   269,   283,   308,
     311,   324,   327,   399,   487,   488,   489,   491,   492,   493,
     494,   495,   496,   991,   993,   995,  1181,   332,   967,   266,
     503,   899,  1192,   500,  1179,  1019,    22,  1174,  1175,  1020,
     319,   322,  1144,  1144,    10,   453,  1131,  1132,  1134,  1111,
    1111,   183,   244,   548,   503,   136,   180,   542,   108,   180,
     287,   540,   628,   963,  1179,  1181,   155,   194,   976,   163,
     180,   536,   537,   539,   628,   180,   536,  1192,  1192,   282,
    1028,   967,   493,  1033,  1161,  1018,   156,   371,   726,   268,
     501,   503,   853,   501,   503,   897,  1029,   108,   856,   893,
     893,   906,   907,   967,   893,   219,   305,   917,   356,   397,
     446,    99,   912,   967,   913,   915,   967,   969,   920,   921,
     911,   910,   908,   909,   222,   923,   908,   920,   936,  1028,
     108,  1159,   395,  1104,   493,   503,   504,  1162,  1081,  1084,
    1081,   262,   175,   240,   295,   966,   295,   966,   966,   298,
    1038,   295,   298,   386,  1178,   503,  1073,   179,  1111,   447,
    1060,  1062,  1030,    37,  1038,  1133,  1175,   503,   487,  1030,
      14,  1038,  1178,  1038,  1178,   503,  1091,   500,  1030,   500,
    1163,   493,   999,   335,   366,   395,   427,   427,   383,  1033,
     502,   427,   427,   383,   427,   427,   419,   534,   837,   222,
     232,   247,   375,   755,   756,   137,   153,   207,   224,   349,
     441,   598,   599,   153,   180,   308,   427,   180,   308,   383,
     383,   645,    98,   131,   144,   157,   195,   224,   229,   324,
     383,   389,   392,   417,   423,   436,   460,   637,  1030,   366,
     395,   552,   322,   628,   387,   427,   427,   313,   628,   184,
     267,   383,   372,   782,   790,   247,   257,   329,   396,   456,
     501,   772,   775,   776,   777,   779,   943,  1160,   427,   447,
     145,   207,   589,   598,  1159,   145,   807,   322,   381,   431,
     153,   807,   102,   369,   381,   431,  1028,   252,   318,   723,
     500,   427,   427,   500,   558,   419,   466,   467,   558,   153,
     503,   335,   448,   448,   307,   943,   335,   395,   795,   174,
     427,   514,   544,   427,   427,   628,   125,   627,   628,   628,
     172,   294,   296,   125,   427,   512,   383,   512,   306,   626,
     427,   313,  1179,   656,   427,   807,   383,   427,   427,   558,
     558,   723,   723,   723,   723,  1028,   114,   453,   114,   114,
     427,   114,   427,   383,   503,   170,   447,   674,  1039,   427,
     514,   427,   383,   335,   366,   356,   367,   391,   538,   825,
    1034,  1159,  1028,   698,   943,   322,   469,   771,   628,   723,
     723,   794,   268,   322,   151,   189,   336,   421,   322,   723,
     268,   466,   573,   512,   700,   701,  1181,   694,   500,   945,
     108,   107,   944,   175,   298,   481,   500,   965,   724,   948,
     723,   695,   696,  1161,    97,   832,   943,   211,   642,  1030,
     308,   500,   669,   513,   708,   448,   460,   513,  1039,   160,
     232,   532,   581,   622,   677,   738,   758,   828,  1179,   664,
     665,  1030,   290,   723,   723,   723,   723,   318,   185,   260,
     434,   446,   679,   680,   204,   500,   674,   513,   624,   625,
     308,   108,   318,   500,   618,   600,   222,   761,  1034,   500,
     773,   108,   274,   502,  1038,  1058,   466,   467,   889,   384,
    1036,   555,   943,  1031,   242,  1030,  1036,   555,  1029,  1030,
     211,   448,   211,   448,   795,   555,   555,  1029,  1030,  1028,
    1030,  1030,  1030,  1028,  1029,   674,   211,   211,   555,   722,
     723,   501,   507,  1186,   501,   503,  1192,  1116,  1028,   171,
     858,   860,   887,   887,  1194,   887,   887,  1194,   887,   887,
    1030,    14,   503,  1174,   601,   501,   503,   501,   230,   390,
     418,  1029,   173,   392,   747,   748,  1029,   317,  1029,  1027,
    1027,  1029,   427,   466,   751,    93,   209,   379,   397,   877,
     934,   312,   878,   501,   503,   865,   868,   873,   879,   890,
     427,   741,   740,   741,   227,   233,   752,  1159,    98,   145,
     195,   224,   229,   275,   383,   389,   417,   436,   460,   637,
     732,   996,   499,   996,  1000,  1001,   500,   462,  1013,  1014,
     967,   996,  1038,  1038,   996,   175,   240,   295,   298,   386,
     481,  1002,  1003,  1179,  1181,  1038,   996,   996,  1038,  1038,
     960,   960,   967,   795,   967,  1004,   491,   492,   968,   969,
     989,   993,  1006,   501,   996,   967,   996,  1007,   425,   483,
    1038,  1038,   967,   124,   227,   279,   428,   967,   996,  1010,
     996,   300,   969,   967,   974,   975,   976,   300,   967,   976,
     501,   503,   395,  1038,  1038,   965,   943,   967,  1161,   425,
     112,   414,  1021,   723,   967,   500,   891,  1011,   192,   194,
     216,   308,   313,   318,   433,   442,   967,   119,   243,   247,
     283,   399,   500,   967,   427,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,    99,   106,   402,   990,   379,
     500,   989,   231,   287,   417,   420,   422,   444,   900,  1028,
    1026,   227,   926,    99,   192,   456,   493,   501,   777,   967,
     997,   998,  1160,  1030,  1175,  1018,  1133,   503,   487,  1028,
     429,   500,  1179,   503,  1192,   501,   499,   505,   241,   241,
     555,  1091,  1028,   850,   851,  1028,  1022,   501,   500,   503,
     109,   188,   448,   767,   500,   914,  1040,   323,   318,   924,
     924,   503,   379,   380,   916,   921,   909,   448,   874,   180,
     500,   869,   890,  1159,   500,   880,   881,   882,   883,   884,
    1159,   504,  1105,   944,   507,  1084,   507,   501,   628,   501,
      34,  1061,  1136,  1137,  1175,  1129,  1134,  1182,  1120,   944,
    1169,  1185,  1169,   944,   501,   501,   427,   427,   383,  1039,
    1030,  1030,  1033,  1039,  1030,  1030,  1039,  1031,  1030,   152,
     838,   377,   447,   740,   383,   232,   740,   500,  1030,   448,
     762,   272,   272,   448,   500,   616,  1030,   313,  1039,   967,
     313,  1030,  1030,   427,   646,  1036,   500,   723,   723,   723,
     173,   417,   748,   139,   217,   795,  1030,   723,  1030,   723,
     385,   723,   723,   274,   236,   306,   335,   452,   649,   650,
     651,   427,   807,   383,   313,   184,   267,  1039,  1030,   322,
    1030,   329,  1160,   501,   503,   777,   779,   776,   779,  1160,
     724,  1039,  1029,   589,   943,  1159,  1030,  1030,    99,   447,
    1030,   242,  1030,   242,  1159,   381,   431,   381,   431,  1030,
      99,   447,  1030,  1028,    95,   197,   395,   657,   658,   659,
     660,  1161,  1039,  1030,   560,   561,  1161,  1030,   321,   141,
     321,  1030,   553,   427,  1032,  1159,  1032,   503,   501,   503,
     427,   383,  1031,  1039,   152,   202,   252,   340,   439,   447,
     450,   515,  1181,  1039,  1030,   628,   723,  1030,   628,  1030,
     628,  1039,  1030,  1030,  1030,  1039,  1030,    95,   101,   197,
     335,   366,   395,   335,   366,   395,   694,   366,   395,   366,
     395,   366,   942,  1159,  1179,  1159,   242,  1159,  1039,  1030,
    1030,  1030,    95,   564,   392,  1039,  1030,  1030,   427,   427,
     149,   438,   356,   268,   108,   723,   268,   268,   448,   448,
     268,   313,   729,  1179,   723,   723,   723,   723,   723,   723,
     268,   729,   321,   227,   427,   567,   500,   569,   570,   501,
     503,   487,   967,   107,   944,   943,   498,   498,   427,   427,
    1038,   948,   501,   503,   487,   679,   152,   201,   277,   278,
     290,   335,   419,   421,   833,   591,  1030,   227,   383,   459,
     643,   650,   651,   211,   501,   589,   670,   671,   392,    96,
     247,   377,   415,   515,   516,   222,  1032,  1028,   531,   327,
     582,   224,  1179,   694,   694,   694,   694,   318,   322,   327,
     500,   940,   941,   942,   392,   211,   210,  1049,   723,   283,
     583,   585,   587,   589,   595,   598,   619,   620,  1159,   466,
     467,   612,   108,  1179,   322,   501,   774,   775,   780,   108,
     274,   374,   465,   781,   782,   783,   322,   542,  1057,   494,
     239,   239,   222,   698,   108,   211,   555,   771,   723,  1032,
     723,  1032,   794,   322,   555,   555,   322,   555,   392,   222,
     542,   555,   967,   500,   889,  1182,  1170,   501,   602,   247,
     247,   247,   469,  1029,   503,   628,   629,   235,   744,   745,
    1039,    96,   752,   209,   397,   209,   397,   379,   446,   297,
     943,  1030,   227,   322,   744,   125,   555,  1036,   417,  1036,
     317,   274,   723,   501,   499,   499,   503,   996,   967,   199,
    1014,  1015,   108,   501,   501,   501,   501,   501,   227,   501,
     501,   501,   501,   501,   503,   501,   341,  1005,   501,   968,
     968,    88,   247,   268,   324,   487,   488,   489,   491,   492,
     493,   494,   495,   496,   993,   968,   501,   501,   222,   227,
    1008,  1009,   501,   483,   501,   501,   108,  1010,   996,  1010,
    1010,   227,   501,   501,  1161,   339,   978,   108,   501,   503,
     967,  1161,   503,   967,  1020,   967,  1159,   501,   501,   483,
     968,   968,   205,   996,   227,   192,   194,   216,   313,   318,
     433,   442,   500,   205,   414,  1021,   967,  1011,   967,   427,
     795,   967,   500,   891,   420,   422,   420,   422,  1028,   901,
     901,   901,   500,   891,   927,   928,   929,   934,   937,   970,
    1036,  1159,   463,   938,   997,   997,   998,   501,   331,   982,
      90,   501,   503,   905,     8,    11,    12,    22,    23,    24,
      26,    27,    31,    32,    33,   173,   300,   345,   436,  1139,
    1140,  1142,  1132,  1133,   826,  1038,   965,   537,   967,   944,
     856,   865,   907,   324,   991,   994,   484,   485,   768,   967,
     916,  1027,   878,   878,   913,   927,   463,   939,   454,   870,
     871,  1159,   373,   872,   884,   885,   503,   926,   487,  1020,
     505,  1087,   504,   503,   487,    30,  1148,   501,   501,   504,
    1039,  1030,  1030,   284,  1029,  1029,   322,  1029,   325,   322,
     967,   599,  1032,   500,   500,   500,   616,   250,   601,   688,
     555,   542,   698,   943,   469,   723,   723,   723,   794,   151,
     189,   336,   421,  1030,   632,  1030,   236,   452,   427,   632,
     649,   656,  1030,  1030,  1030,   258,   313,   724,   775,   779,
     779,   495,   591,   197,   370,   395,   554,   808,   211,   555,
     211,   555,  1030,  1030,  1030,  1030,   659,   660,   659,   501,
     503,   661,  1179,   501,   503,   487,   502,  1039,   335,   366,
     395,    95,   197,   335,   366,   395,   943,   307,   943,  1039,
    1030,   284,   340,   313,  1179,   340,  1029,   445,   427,   292,
     292,   292,   427,   427,   383,   427,   427,   383,   427,   383,
     427,   383,   427,   555,   943,    97,   117,   395,   808,   211,
     555,   427,  1030,  1039,  1030,   729,   943,   268,   729,   729,
    1032,  1032,   729,   268,   268,   268,   268,   268,   268,   729,
     568,   576,   577,  1161,   121,   162,   186,   201,   205,   223,
     238,   313,   321,   354,   571,   701,  1181,   324,   491,   492,
     628,   697,   779,   994,  1045,  1179,   501,   498,   501,  1038,
     499,   500,  1038,  1159,  1179,  1190,   501,   696,   697,   322,
     284,   487,   834,   834,   834,   834,   834,   834,   834,   137,
     143,   153,   180,   182,   254,   308,   313,   349,   362,   441,
     592,   593,   594,   512,   542,  1030,   542,   326,   654,  1028,
     501,   503,  1030,  1029,   235,   377,  1029,  1038,   436,   600,
     368,   417,   173,   601,  1028,   680,   702,   703,  1179,   501,
     503,  1030,  1028,  1067,   890,   500,   584,  1028,   501,   503,
     501,   503,   321,   558,   321,   322,   613,   890,   427,  1028,
     501,   503,   180,   487,   784,  1179,   542,   417,   778,   779,
     466,   783,   785,   185,   260,   388,   446,   816,   236,  1053,
     890,  1067,   555,   943,  1030,   555,   448,   555,   448,   555,
     555,  1028,  1028,  1030,   674,   555,  1159,   222,   383,   383,
     383,  1029,   748,   503,  1039,   466,   503,   746,   325,   209,
     209,  1029,   743,   555,  1039,   698,   771,   628,   723,   268,
    1000,   501,   424,   967,   203,   943,   967,   967,   967,  1008,
     943,   968,   192,   194,   308,   318,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   967,   967,  1009,  1008,
     964,   964,   943,   501,   501,   501,   996,   501,   503,   125,
     969,   501,  1161,   975,   346,   412,   977,   501,   503,   459,
     971,   108,   501,   961,  1179,   967,   105,   105,   967,   501,
     967,   227,   500,   999,   967,   968,   968,   205,   205,   967,
     501,   205,   967,   901,   901,   901,   901,  1028,  1028,  1028,
     891,   928,   929,   108,   930,  1159,   503,   161,   228,   256,
     271,   281,   303,   376,   931,   930,   108,   930,  1159,   500,
    1019,   967,   235,   918,   503,   904,   905,   904,   501,   982,
     500,   983,  1159,   967,   982,  1179,   456,   998,   501,   503,
     487,   501,   499,  1148,   501,   500,   768,   501,   323,   163,
     967,   872,   501,   503,  1020,  1025,   501,   503,   881,   939,
    1022,  1038,   487,  1106,  1137,  1142,   834,   230,   390,   418,
     757,   222,   757,   501,   500,   604,   605,   764,   970,  1159,
     601,   601,   688,  1034,   501,   182,   254,   308,   689,   108,
    1030,   448,   448,   723,   723,   723,   723,   724,  1039,   427,
     258,   495,   436,   308,   558,   173,   308,   407,   410,   558,
     436,  1030,  1159,   658,   561,   697,  1161,   427,   427,   383,
     229,   324,   410,   706,   707,   229,   324,   714,   715,   427,
     427,   383,   501,   501,   501,  1040,  1179,  1179,  1179,  1030,
     222,   222,   368,   222,   242,  1039,  1030,  1030,  1039,  1030,
    1030,  1030,  1030,  1030,  1030,  1030,   143,   556,  1179,  1179,
     436,  1159,  1030,   656,   501,   729,   268,   268,   729,   729,
     729,   729,   729,   729,   448,   574,   575,   501,   503,   493,
     500,   539,   578,   628,   842,  1179,   842,   308,   354,   842,
     842,   688,  1038,   466,   467,   499,  1190,   491,   492,   493,
     494,   495,   499,   965,  1028,   834,   180,  1038,  1179,   180,
    1179,   180,  1179,   180,  1179,   180,  1030,   180,  1030,   180,
    1030,   500,   723,  1030,   968,   183,   244,   182,   313,   272,
    1028,   785,   642,   500,   669,   671,   654,  1029,  1029,   943,
     108,  1028,   469,   222,   681,   501,   503,   942,   654,   318,
     500,   867,   466,   621,   586,   588,   590,   598,  1159,   612,
     596,   253,   611,   587,   620,   148,   419,   614,   466,   829,
    1179,   762,   780,   967,   967,   503,   500,   781,   694,   427,
     632,    85,  1064,   501,   555,  1032,  1032,   555,   555,   392,
    1029,  1029,  1029,   628,   232,   745,   752,   227,   268,   268,
     268,   268,   313,   733,  1179,   967,   501,   501,  1009,   227,
     192,   194,   318,   500,   501,   472,   973,   996,   361,   125,
     464,   464,   501,   967,   306,   967,   503,   972,   945,   965,
     968,   968,   967,   999,   501,   105,   105,   967,   967,   205,
     967,   501,  1028,  1028,  1028,  1028,   501,  1159,   500,   928,
     271,   330,   932,   928,   932,   271,   931,   932,   271,   500,
    1159,   500,   997,   125,   237,   919,   501,   501,   982,   984,
    1159,   998,   982,  1140,   492,  1133,  1141,  1178,  1179,  1179,
     795,   318,   890,   871,  1192,   487,   884,   872,  1186,  1040,
     427,   740,   227,   688,   967,   501,   503,   466,   143,   765,
     765,   501,   501,   785,   183,   244,   182,   450,   943,  1032,
    1032,  1030,   436,   313,   313,  1040,  1159,   943,   555,   555,
     487,  1039,  1030,  1030,  1038,  1038,   943,   503,  1038,  1038,
     503,  1039,  1030,  1030,  1029,  1029,   723,  1029,   211,   723,
     943,   555,   555,   268,   729,   729,   512,   187,   577,   539,
     579,   580,  1179,  1179,   313,   493,   601,  1179,  1179,   499,
     229,   257,   229,   501,  1190,  1190,  1190,  1190,  1190,   227,
     687,  1040,   967,   308,   593,   785,   600,   448,   615,   655,
     659,   392,   448,   890,   500,  1030,   198,   682,   462,   684,
    1179,   723,   583,   173,   306,   501,   503,   466,   613,   208,
     248,   500,   612,   185,   197,   346,  1030,   129,   137,   287,
     227,   500,  1179,   777,   786,   787,  1160,   785,  1028,   255,
     633,  1065,  1159,   555,   555,   555,  1030,   325,   555,   744,
     733,   733,   733,   733,   968,   227,   500,   999,   500,   501,
     503,   501,   969,   361,   501,   453,   404,   501,   501,   501,
     968,   968,   967,   930,   500,  1029,   928,   322,   448,   933,
     928,   271,   928,   941,   500,   941,  1159,   501,   996,   967,
     465,   979,   982,   982,   338,   985,   501,  1038,  1178,   965,
     501,   887,  1024,   744,   322,   744,   501,   785,   605,   324,
     795,   723,   448,   723,   766,   766,   362,   785,   615,   501,
     556,   697,   500,  1036,   795,   707,   500,   500,   715,   466,
     368,   466,   466,   222,   556,   729,   569,  1179,   501,   503,
     601,   748,   108,   800,   800,  1028,   688,   501,   615,   293,
     603,   250,   501,   503,  1030,  1032,   829,   654,   379,   406,
     683,   500,   210,   584,   501,   173,   588,   326,   614,    99,
     147,   154,   181,   251,   410,   597,   597,  1027,   613,   380,
     380,   137,   325,   137,   723,   763,   764,   779,   501,   503,
     938,   632,   306,   452,   634,   635,   487,  1066,   555,   968,
     999,   501,   974,   996,   125,   306,   482,  1029,   501,   967,
     500,   928,   933,   501,   941,   501,   980,   981,  1159,   125,
     904,   982,   746,   757,   555,   765,   615,   500,   723,   767,
     767,  1028,   615,   688,   448,   557,   999,   771,   222,   710,
     794,   999,   999,   722,   723,   722,   723,  1029,   555,   580,
     800,   111,   246,   222,   228,   337,   400,   322,   607,   608,
     609,   419,   659,   654,   217,   709,   967,   353,   612,   611,
     591,   501,   614,   325,   325,   501,   503,   781,   786,   193,
     452,   632,  1038,  1173,  1181,    85,   501,   501,   501,   361,
     453,   501,  1029,   501,   503,   108,   996,   355,   380,   986,
     227,   766,   463,   606,   795,   768,   768,   600,   688,   967,
     501,   328,   385,   359,   711,   710,   501,   501,   466,   198,
     185,   446,   322,   609,   322,   608,  1030,   723,   108,   501,
    1036,   613,   612,   466,   559,   764,   785,   100,   261,   817,
    1065,   501,   981,   983,   119,   163,   437,   967,   987,   988,
     987,   501,   744,   767,   500,   688,   501,   603,  1036,   125,
     711,   723,   379,   128,   306,   372,   395,   610,   610,   706,
     500,   614,   613,   558,   614,   309,   500,   812,   814,   819,
     868,   873,   879,   890,   988,   379,   221,   344,   221,   344,
     555,   768,   967,   607,   771,   723,   684,    94,   180,   313,
     685,   686,  1038,  1161,  1178,  1179,   614,   938,   813,   814,
     815,   891,   892,   105,   501,   688,   210,   501,   503,   501,
     504,   988,   353,   686,   815,  1036,   500,   685,   501
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1806 of yacc.c  */
#line 1368 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 1370 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 5:

/* Line 1806 of yacc.c  */
#line 1372 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 6:

/* Line 1806 of yacc.c  */
#line 1374 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 1376 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 1378 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 1380 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 1382 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 1384 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 1386 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 1388 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 1390 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 1392 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 1394 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 1396 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 1398 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 1400 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 1402 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 1404 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 1406 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 1408 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 24:

/* Line 1806 of yacc.c  */
#line 1410 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 1412 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 1414 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 1416 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 1418 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 1420 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	}
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 1438 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 1440 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 1442 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 1444 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 1446 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 1448 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 1450 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 1452 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 1454 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 1456 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 1458 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 1460 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 1462 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 1464 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 1466 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 1468 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 1470 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 1472 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 1474 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 1476 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 1478 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 1480 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 1482 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 1484 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 1486 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 1488 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 1490 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 1492 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 58:

/* Line 1806 of yacc.c  */
#line 1494 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 1498 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); }
    break;

  case 60:

/* Line 1806 of yacc.c  */
#line 1500 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 61:

/* Line 1806 of yacc.c  */
#line 1502 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 1504 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 63:

/* Line 1806 of yacc.c  */
#line 1506 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 1508 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 1510 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 1512 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 67:

/* Line 1806 of yacc.c  */
#line 1514 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 68:

/* Line 1806 of yacc.c  */
#line 1516 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 1518 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 1520 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 1522 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 1524 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 1526 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 1528 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 75:

/* Line 1806 of yacc.c  */
#line 1530 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 1532 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 77:

/* Line 1806 of yacc.c  */
#line 1534 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 78:

/* Line 1806 of yacc.c  */
#line 1536 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 79:

/* Line 1806 of yacc.c  */
#line 1538 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 1540 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 1542 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); }
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 1544 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 1546 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 1548 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 1550 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 86:

/* Line 1806 of yacc.c  */
#line 1552 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 1554 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 88:

/* Line 1806 of yacc.c  */
#line 1556 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 89:

/* Line 1806 of yacc.c  */
#line 1558 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 1560 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 1562 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 1564 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	}
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 1571 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 1573 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 95:

/* Line 1806 of yacc.c  */
#line 1575 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1577 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1579 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1581 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1583 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1585 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1587 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 102:

/* Line 1806 of yacc.c  */
#line 1589 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1591 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1593 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1599 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 1601 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1603 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 1605 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 1607 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 1609 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 1611 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 1613 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 1615 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 1621 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 1631 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 1635 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 1641 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 1645 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 1655 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 1664 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); }
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 1666 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (!strcmp((yyvsp[(1) - (1)].str), "all"))
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 1680 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 1687 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 1693 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 1704 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 1710 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 1719 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 1726 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 1732 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 1741 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 1748 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 1755 "preproc.y"
    { (yyval.str) = NULL; }
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 1761 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 1769 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 1773 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 1780 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 1784 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 1791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 1795 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 1802 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 1806 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
}
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 1810 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1814 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1818 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1822 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1826 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1830 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1834 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1846 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1850 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1854 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1858 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1862 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1870 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1878 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1886 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1889 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1897 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1905 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 1913 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 1921 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 1925 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 1933 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 1937 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 1945 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 1953 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 1961 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 1965 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 1973 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 1977 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 1985 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 1989 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 1997 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 2001 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 2008 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 2012 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 2019 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 2023 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 2027 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 2031 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 2035 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 2039 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 2047 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 2051 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 2055 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 2063 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 2067 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 2071 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 2075 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("= default"));
}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 2079 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
}
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 2083 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 2087 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
}
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 2091 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 2095 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 2100 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 2104 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
}
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 2108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 2112 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
}
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 2116 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 2120 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 2128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 2132 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 2140 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 2144 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 2152 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 2156 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 2170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 2174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 2178 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 2182 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 2190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 2194 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 2198 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 2202 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 2210 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 2214 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 2218 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 2222 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 2226 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 2230 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 2234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 2242 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 2246 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 2250 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 2257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 2261 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 2269 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 2273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset time zone");
}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 2277 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 2281 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset session authorization");
}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 2285 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset all");
}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 2293 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 2297 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 2305 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 2309 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 2313 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 2317 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 2321 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 2330 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 2338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 2342 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 2350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 2354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 2362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 2370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 2374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 2378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 2382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 2390 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 2394 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 2398 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 2402 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 2410 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 2414 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 2422 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 2426 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 2430 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 2434 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 2438 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 2442 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 2446 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 2450 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 2454 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 2458 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 2462 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 2466 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 2470 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 2474 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 2478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 2482 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 2486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 2490 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 2494 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 2498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 2502 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 2506 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 2510 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2514 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2518 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2522 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2530 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2534 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2538 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2542 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2546 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2550 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2554 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2558 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2566 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2570 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2574 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2578 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2582 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2590 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2602 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2606 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2610 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2617 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2621 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2628 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2632 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2639 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2647 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2651 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2658 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2662 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2670 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2674 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2678 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2682 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2690 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2698 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2702 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2710 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2714 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2718 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2722 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2730 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
}
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2743 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,mm_strdup("copy"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2754 "preproc.y"
    { 
			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,mm_strdup("copy"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2765 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2769 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2777 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2781 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2785 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2793 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2797 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2805 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2809 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2816 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2820 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2824 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2828 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2832 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2836 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2840 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2844 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2848 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2852 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
}
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2856 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2860 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
}
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2868 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2872 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2883 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2890 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2894 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2901 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 2905 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 2912 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 2916 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 2924 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 2932 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 2936 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 2940 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 2944 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 2948 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 2955 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 2959 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 2967 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 2975 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 2979 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 2983 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 2987 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 2995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 2999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 3003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 3007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
}
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 3011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 3015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 3019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 3023 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 3030 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 3034 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 3041 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 3045 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 3052 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 3056 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 3064 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 3068 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 3076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 3080 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 3084 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 3092 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 3096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 3104 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 3112 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 3120 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 3124 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 3131 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 3135 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 3139 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 3143 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 3151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 3155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 3159 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 3163 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 3167 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("check ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 3171 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
}
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 3175 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 3183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 3187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 3191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 3195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 3203 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 3211 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 3215 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
}
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 3219 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 3226 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 3230 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 3234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 3238 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 3242 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 3246 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 3254 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 3258 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 3266 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 3270 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 3274 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 3278 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 3282 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 3286 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3290 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3298 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3302 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3309 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3313 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3321 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3329 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
}
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3333 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
}
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3342 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3349 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3353 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3361 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3365 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3373 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3377 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3384 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3388 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3392 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3396 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3400 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3407 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
}
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3415 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
}
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
}
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3447 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3451 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3458 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
}
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3470 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3477 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3481 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3485 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3489 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3496 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3500 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3507 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
}
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3511 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3518 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3526 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3534 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3538 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3545 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3549 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3557 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3565 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3569 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3573 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3580 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3588 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3596 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3600 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3607 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3611 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3619 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3631 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3635 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3639 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3651 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3655 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3663 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3675 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3682 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3686 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3690 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3698 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3702 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3710 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3714 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3722 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3726 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3733 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3737 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3745 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3749 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3756 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3760 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3768 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3772 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3779 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3783 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3795 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3802 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("location"),(yyvsp[(6) - (6)].str));
}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3810 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3814 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3821 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3825 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3833 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3837 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3845 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3849 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3856 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3860 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3864 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3872 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3880 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3884 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3891 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3899 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3903 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3907 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3911 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3915 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3919 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 3923 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 3927 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 3931 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 3935 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 3939 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 3943 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 3947 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 3951 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 3955 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
}
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 3959 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 3963 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 3967 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 3971 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
}
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 3975 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 3979 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 3983 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
}
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 3991 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 3999 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 4003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 4007 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 4011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 4019 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 4023 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 4031 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 4035 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 4042 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 4046 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 4054 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 4058 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 4066 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 4070 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 4077 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 4081 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 4089 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 4097 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 4101 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 4109 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 4113 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 4117 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 4121 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 4129 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 4137 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 4145 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 4153 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 4161 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 4165 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 4172 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 4176 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4184 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4188 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4195 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4199 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4207 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4211 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4215 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4223 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4227 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("server"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4235 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4247 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4251 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4259 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4267 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4275 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4299 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4303 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4311 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4319 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4323 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
}
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4347 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4351 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4371 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4383 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4387 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4398 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4405 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4409 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4417 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4421 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4428 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4432 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4436 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4443 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4447 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4451 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4455 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4463 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4467 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4474 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4477 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4485 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4497 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4501 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4509 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4513 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4521 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4530 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4539 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4543 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4547 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4551 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4555 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4559 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4563 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4567 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4571 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4575 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4579 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4583 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4587 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4595 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4603 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4607 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4615 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4619 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4627 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4631 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4635 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4639 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4643 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4651 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
}
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4663 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4671 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4675 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4683 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4691 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4695 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4702 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4706 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4714 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("add value"),(yyvsp[(6) - (6)].str));
}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4718 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("before"),(yyvsp[(8) - (8)].str));
}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4722 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("after"),(yyvsp[(8) - (8)].str));
}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4730 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4738 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4742 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4750 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4754 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4758 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4762 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4766 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4778 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4785 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4789 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4796 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4800 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4804 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4811 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4816 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4823 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
}
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4831 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4835 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4843 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4847 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4855 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4859 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4867 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4871 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4879 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4883 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4891 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4899 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4907 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4911 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 4931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 4935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 4939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 4943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 4947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 4951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 4955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 4959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 4963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 4967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 4971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 4975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 4983 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 4987 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 4995 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 4999 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5007 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5011 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5019 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5035 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5042 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5046 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5050 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5054 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5058 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5062 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5066 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5070 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5074 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5078 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5082 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5086 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5090 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5094 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search parser"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5098 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search dictionary"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5102 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search template"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5106 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search configuration"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5142 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5146 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5150 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5154 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5158 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5162 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5166 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5178 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5186 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5198 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5202 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5206 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5210 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5214 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5226 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5233 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5237 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5241 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5245 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5249 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5253 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5257 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5261 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5269 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5281 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5289 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5293 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5299 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5305 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5311 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5317 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5323 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5329 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5335 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5345 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5356 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5367 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5378 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5389 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5400 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5411 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5427 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5443 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5459 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5470 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5486 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5497 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5513 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5540 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5544 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5551 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5559 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5563 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5571 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5583 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5587 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5595 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5599 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5607 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5611 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5615 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
}
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5619 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5627 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5631 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5635 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5639 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5643 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5647 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5651 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5655 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5659 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5663 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5667 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5671 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5675 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5679 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5687 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5691 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5699 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5703 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5715 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5722 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5726 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5742 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5750 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5754 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5762 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5766 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5773 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5777 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5784 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5792 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5796 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5803 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5807 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5811 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5819 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5823 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5827 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5851 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5863 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5870 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5874 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5881 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5885 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5892 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5896 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5903 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5907 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5915 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5919 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5923 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5931 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5935 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5946 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 5950 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 5957 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 5961 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 5965 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 5972 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 5976 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
}
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 5980 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 5987 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 5991 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 5995 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6007 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6014 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6018 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6026 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6030 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6038 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6050 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6054 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6062 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6066 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6070 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6074 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6078 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6086 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6090 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6094 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6098 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6102 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6110 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6118 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6126 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6130 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6134 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
}
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6142 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6146 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6150 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6158 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6162 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6178 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6182 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6186 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6194 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6198 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6202 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6206 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6210 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6214 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6218 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6226 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6230 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6238 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6246 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6250 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6258 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6262 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6269 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6277 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6281 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6289 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6297 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6301 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6309 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6313 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6320 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6324 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6332 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6336 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6344 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6348 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6356 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6360 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6364 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6368 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6376 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6380 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6388 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6396 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6400 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6408 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6412 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6420 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6424 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6428 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6436 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6440 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6444 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6451 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6463 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6470 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6474 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6490 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6502 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6509 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6513 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6517 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6521 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6525 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6529 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6533 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6537 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6541 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6545 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6549 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6553 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6557 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6561 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6565 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6569 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6573 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6577 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6581 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6585 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6589 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6593 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6597 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6601 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6605 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6609 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6613 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6617 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6621 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6633 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6644 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6651 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6655 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6659 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6663 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6667 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6671 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6675 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6679 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6683 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6687 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6691 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6695 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6699 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6703 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6707 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6711 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6715 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6719 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6727 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6731 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6735 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6739 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6743 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6747 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6751 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6755 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6759 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6763 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6767 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6771 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6775 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6779 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6783 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6787 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6791 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 6795 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 6803 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 6811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 6815 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 6819 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 6827 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 6831 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 6839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 6843 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 6847 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 6851 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 6855 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 6863 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 6867 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 6874 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 6878 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 6882 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 6886 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 6894 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 6898 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 6902 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 6909 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 6913 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 6921 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 6929 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 6933 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 6940 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 6948 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 6952 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 6960 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 6964 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 6968 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 6972 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 6976 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 6980 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 6984 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 6988 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 6992 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 6996 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7000 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7004 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7008 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7012 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7020 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7024 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7028 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7035 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7059 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7063 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7067 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7075 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7079 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7086 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("view"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),mm_strdup("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7090 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create or replace"),(yyvsp[(4) - (10)].str),mm_strdup("view"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7098 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
}
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7103 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7108 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7113 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7120 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7128 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7136 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7140 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7147 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7151 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7155 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7159 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7163 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7167 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7171 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7175 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7179 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7183 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7187 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7191 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7195 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7199 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7203 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7207 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7219 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7226 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7230 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7238 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7246 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7250 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7257 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7265 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7269 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7277 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7285 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7289 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7293 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7297 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7301 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7309 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7313 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7320 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7328 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7332 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7336 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7340 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7344 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7348 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7356 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7364 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7368 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7372 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7380 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7384 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7391 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7395 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7399 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7403 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7407 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7415 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7419 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7427 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7447 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7451 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7475 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7482 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7486 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7497 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7504 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7508 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7515 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7519 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7523 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7527 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7535 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7539 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7543 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7547 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7551 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7555 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7559 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7567 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7571 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7579 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7587 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7591 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7599 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7603 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7607 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7614 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7620 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7630 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7634 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7641 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7645 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7649 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7653 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7661 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); }
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7663 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("table"),(yyvsp[(4) - (8)].str),mm_strdup("as execute"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7671 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7675 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7682 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7690 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7694 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 7698 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
}
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 7706 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 7710 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 7718 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 7726 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 7730 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 7737 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 7745 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 7749 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 7756 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 7764 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 7768 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 7775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 7779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 7783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 7787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 7791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 7795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 7799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 7803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 7811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 7815 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 7822 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 7830 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 7834 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 7842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 7846 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 7854 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 7862 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 7870 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 7878 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 7882 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 7890 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[(2) - (7)].str)[0] == ':' || (yyvsp[(2) - (7)].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
                                else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 7943 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 7947 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 7959 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 7962 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 7966 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
}
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 7970 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
}
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 7974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 7982 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 7989 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 7993 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 8001 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 8005 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 8013 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8017 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8025 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8029 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8033 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8037 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8041 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8045 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8049 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8053 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8061 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8065 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8073 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8077 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8081 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8085 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8089 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8093 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8101 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8105 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8113 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8117 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8125 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8133 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8137 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8144 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8148 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8150 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8157 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8161 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8165 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8169 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8173 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8177 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8181 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8185 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8189 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8197 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8201 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8208 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8212 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8216 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8227 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8235 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8242 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8246 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8253 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8261 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8265 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8273 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8277 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8289 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8293 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8297 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8305 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8309 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8316 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8320 "preproc.y"
    {
                mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
                (yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
        }
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8325 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
}
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8333 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8337 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8345 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8349 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8357 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8365 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8369 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8373 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8380 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8388 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8392 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8400 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8404 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8412 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8416 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8423 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8427 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8434 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
}
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8446 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8450 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8457 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8461 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8469 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8473 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8481 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8485 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8492 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8496 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8504 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8508 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8515 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8519 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8527 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 8531 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 8535 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 8539 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 8543 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("as ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 8547 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("as"),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 8551 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 8555 "preproc.y"
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 8561 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 8565 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 8569 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 8577 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 8581 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 8585 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 8589 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 8593 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 8597 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 8605 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 8609 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 8613 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 8617 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 8625 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 8629 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 8633 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 8637 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 8645 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 8649 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 8656 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 8660 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 8668 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 8672 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 8676 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 8680 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 8688 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 8692 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 8700 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 8704 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 8708 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 8716 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 8724 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 8728 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 8735 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 8739 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 8744 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 8751 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 8755 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 8762 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 8766 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 8774 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 8782 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); }
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 8784 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); }
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 8786 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 8790 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 8794 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 8798 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
}
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 8806 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 8816 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	}
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 8826 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 8836 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 8840 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 8844 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 8848 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 8852 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 8856 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 8860 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 8868 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 8872 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 8876 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 8880 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 8888 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 8892 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 8900 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 8904 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 8911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
}
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 8915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 8919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 8923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 8927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 8931 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 8935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 8939 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 8943 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 8947 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 8951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 8959 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 8963 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 8970 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 8974 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 8982 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 8986 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 8994 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9002 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9010 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9014 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9022 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9026 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9034 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9042 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9050 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9054 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9058 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9062 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9066 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9070 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9078 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9082 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9089 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9093 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9100 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9104 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9108 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9112 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9120 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9128 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9132 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9136 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9163 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9179 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9187 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9191 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9195 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9202 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9206 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9214 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9218 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9222 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9226 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9230 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9234 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9238 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9242 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9246 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9250 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9254 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9258 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9262 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9266 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9270 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9274 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9278 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9282 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9286 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9290 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9294 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9298 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9302 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9306 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9310 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9314 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9318 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9322 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 9326 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 9330 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 9334 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 9338 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 9342 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 9346 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
}
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 9350 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 9354 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
}
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 9358 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
}
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 9362 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 9366 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
}
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 9370 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
}
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 9374 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 9378 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
}
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 9382 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
}
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 9386 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
}
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 9390 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 9394 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 9398 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 9402 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 9406 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 9410 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 9414 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 9418 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 9422 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 9426 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 9430 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 9434 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 9438 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 9443 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 9447 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 9455 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 9459 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 9463 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 9467 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 9471 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 9475 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 9479 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 9483 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 9487 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 9491 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 9495 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 9499 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 9503 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 9507 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 9511 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 9515 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 9519 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 9523 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 9527 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 9531 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 9535 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 9539 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 9547 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 9551 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 9555 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 9559 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 9563 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 9567 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 9571 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 9575 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 9579 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 9583 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 9587 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 9591 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 9599 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("( )"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 9603 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 9607 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 9611 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 9615 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 9619 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 9623 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 9627 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("( * )"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 9631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 9635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 9639 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 9643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 9647 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 9651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 9655 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 9659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 9663 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 9667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 9671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 9675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 9679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 9683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 9687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 9691 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 9695 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 9699 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 9703 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 9707 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 9711 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 9715 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 9719 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 9723 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 9727 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 9731 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 9735 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 9739 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 9743 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 9747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 9751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 9755 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 9759 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 9763 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 9767 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 9771 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 9775 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 9779 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 9783 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 9787 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 9791 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 9799 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 9803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 9811 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 9815 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 9819 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 9823 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 9830 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 9838 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 9842 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 9850 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 9854 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 9862 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 9866 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 9874 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 9878 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 9882 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 9889 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 9893 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 9897 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 9901 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 9909 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 9913 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 9920 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 9924 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 9932 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 9940 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 9944 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 9948 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 9955 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 9963 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 9967 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 9974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 9978 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 9985 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 9990 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 9994 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 10001 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 10005 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 10013 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 10017 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 10021 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 10025 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
}
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 10029 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
}
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 10037 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 10041 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
}
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 10045 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 10053 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 10057 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 10061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 10069 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 10073 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 10081 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 10085 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 10089 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 10093 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 10097 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 10101 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 10105 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 10109 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 10113 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 10121 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 10125 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 10133 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 10137 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 10145 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 10149 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 10153 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 10157 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
}
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 10161 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 10165 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
}
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 10173 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 10177 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 10185 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 10189 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 10197 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 10201 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 10209 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 10213 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 10221 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 10225 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 10229 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 10237 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 10241 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 10249 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 10253 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 10260 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 10264 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 10268 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 10272 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 10276 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 10280 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 10284 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 10288 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 10296 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 10300 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 10308 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 10316 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 10320 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 10327 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 10331 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 10335 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 10339 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 10343 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 10347 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 10354 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 10362 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 10370 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 10374 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 10378 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 10386 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 10390 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 10398 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
}
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 10406 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 10410 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 10418 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 10426 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 10430 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 10437 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 10441 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 10448 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 10452 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 10460 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 10464 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
}
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 10468 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 10472 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 10480 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 10484 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 10492 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 10495 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 10503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 10507 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 10514 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 10518 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 10526 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 10530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 10538 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 10546 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 10550 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 10558 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 10562 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 10566 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 10570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 10578 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 10582 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 10590 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 10594 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 10602 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 10606 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 10614 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 10622 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 10630 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 10638 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 10646 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 10654 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 10662 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 10666 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 10674 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 10678 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 10682 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 10686 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 10690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
}
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 10694 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 10698 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 10702 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 10706 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 10710 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 10714 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 10718 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 10722 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 10725 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 10726 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 10732 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 10738 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 10746 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 10749 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 10751 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 10755 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 10763 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 10767 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 10771 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 10775 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 10783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 10787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 10791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 10795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 10799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 10803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 10807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 10811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
}
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 10815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 10819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 10823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
}
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 10827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
}
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 10831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
}
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 10835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
}
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 10839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
}
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 10843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
}
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 10847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 10851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
}
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 10855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 10859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
}
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 10863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
}
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 10867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 10871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
}
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 10875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 10879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
}
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 10883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
}
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 10887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 10891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
}
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 10895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
}
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 10899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
}
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 10903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 10907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 10911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 10915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
}
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 10919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
}
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 10923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
}
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 10927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 10931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 10935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
}
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 10939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 10943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
}
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 10947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
}
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 10951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 10955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
}
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 10959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 10963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
}
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 10967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 10971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
}
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 10975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
}
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 10979 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 10983 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 10987 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 10991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 10995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 10999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
}
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 11003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
}
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 11007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 11011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
}
    break;

  case 1895:

/* Line 1806 of yacc.c  */
#line 11015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 1896:

/* Line 1806 of yacc.c  */
#line 11019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 1897:

/* Line 1806 of yacc.c  */
#line 11023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
}
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 11027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 11031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 11035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 11039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
}
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 11043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
}
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 11047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
}
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 11051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
}
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 11055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
}
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 11059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
}
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 11063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 11067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 11071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 11075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 11079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
}
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 11083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
}
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 11087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 11091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
}
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 11095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 11099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
}
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 11103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
}
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 11107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 11111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
}
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 11115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
}
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 11119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
}
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 11123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 11127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
}
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 11131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 11135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
}
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 11139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 11143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 11147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 11151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 11155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 11159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 11163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 11167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 11171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 11175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 11179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 11183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 11187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 11191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
}
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 11195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
}
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 11199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
}
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 11203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
}
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 11207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
}
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 11211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
}
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 11215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
}
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 11219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 11223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 11227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
}
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 11231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
}
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 11235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
}
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 11239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 11243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
}
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 11247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
}
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 11251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
}
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 11255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
}
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 11259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 11263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
}
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 11267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
}
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 11271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
}
    break;

  case 1960:

/* Line 1806 of yacc.c  */
#line 11275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
}
    break;

  case 1961:

/* Line 1806 of yacc.c  */
#line 11279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
}
    break;

  case 1962:

/* Line 1806 of yacc.c  */
#line 11283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 1963:

/* Line 1806 of yacc.c  */
#line 11287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
}
    break;

  case 1964:

/* Line 1806 of yacc.c  */
#line 11291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 1965:

/* Line 1806 of yacc.c  */
#line 11295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
}
    break;

  case 1966:

/* Line 1806 of yacc.c  */
#line 11299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 1967:

/* Line 1806 of yacc.c  */
#line 11303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
}
    break;

  case 1968:

/* Line 1806 of yacc.c  */
#line 11307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
}
    break;

  case 1969:

/* Line 1806 of yacc.c  */
#line 11311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
}
    break;

  case 1970:

/* Line 1806 of yacc.c  */
#line 11315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
}
    break;

  case 1971:

/* Line 1806 of yacc.c  */
#line 11319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 1972:

/* Line 1806 of yacc.c  */
#line 11323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
}
    break;

  case 1973:

/* Line 1806 of yacc.c  */
#line 11327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
}
    break;

  case 1974:

/* Line 1806 of yacc.c  */
#line 11331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
}
    break;

  case 1975:

/* Line 1806 of yacc.c  */
#line 11335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
}
    break;

  case 1976:

/* Line 1806 of yacc.c  */
#line 11339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
}
    break;

  case 1977:

/* Line 1806 of yacc.c  */
#line 11343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
}
    break;

  case 1978:

/* Line 1806 of yacc.c  */
#line 11347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
}
    break;

  case 1979:

/* Line 1806 of yacc.c  */
#line 11351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
}
    break;

  case 1980:

/* Line 1806 of yacc.c  */
#line 11355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
}
    break;

  case 1981:

/* Line 1806 of yacc.c  */
#line 11359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
}
    break;

  case 1982:

/* Line 1806 of yacc.c  */
#line 11363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
}
    break;

  case 1983:

/* Line 1806 of yacc.c  */
#line 11367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
}
    break;

  case 1984:

/* Line 1806 of yacc.c  */
#line 11371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
}
    break;

  case 1985:

/* Line 1806 of yacc.c  */
#line 11375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
}
    break;

  case 1986:

/* Line 1806 of yacc.c  */
#line 11379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
}
    break;

  case 1987:

/* Line 1806 of yacc.c  */
#line 11383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
}
    break;

  case 1988:

/* Line 1806 of yacc.c  */
#line 11387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
}
    break;

  case 1989:

/* Line 1806 of yacc.c  */
#line 11391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 1990:

/* Line 1806 of yacc.c  */
#line 11395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
}
    break;

  case 1991:

/* Line 1806 of yacc.c  */
#line 11399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
}
    break;

  case 1992:

/* Line 1806 of yacc.c  */
#line 11403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
}
    break;

  case 1993:

/* Line 1806 of yacc.c  */
#line 11407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
}
    break;

  case 1994:

/* Line 1806 of yacc.c  */
#line 11411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
}
    break;

  case 1995:

/* Line 1806 of yacc.c  */
#line 11415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 1996:

/* Line 1806 of yacc.c  */
#line 11419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
}
    break;

  case 1997:

/* Line 1806 of yacc.c  */
#line 11423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
}
    break;

  case 1998:

/* Line 1806 of yacc.c  */
#line 11427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
}
    break;

  case 1999:

/* Line 1806 of yacc.c  */
#line 11431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
}
    break;

  case 2000:

/* Line 1806 of yacc.c  */
#line 11435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
}
    break;

  case 2001:

/* Line 1806 of yacc.c  */
#line 11439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
}
    break;

  case 2002:

/* Line 1806 of yacc.c  */
#line 11443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
}
    break;

  case 2003:

/* Line 1806 of yacc.c  */
#line 11447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
}
    break;

  case 2004:

/* Line 1806 of yacc.c  */
#line 11451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
}
    break;

  case 2005:

/* Line 1806 of yacc.c  */
#line 11455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
}
    break;

  case 2006:

/* Line 1806 of yacc.c  */
#line 11459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 2007:

/* Line 1806 of yacc.c  */
#line 11463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 2008:

/* Line 1806 of yacc.c  */
#line 11467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
}
    break;

  case 2009:

/* Line 1806 of yacc.c  */
#line 11471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
}
    break;

  case 2010:

/* Line 1806 of yacc.c  */
#line 11475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 2011:

/* Line 1806 of yacc.c  */
#line 11479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
}
    break;

  case 2012:

/* Line 1806 of yacc.c  */
#line 11483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 2013:

/* Line 1806 of yacc.c  */
#line 11487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
}
    break;

  case 2014:

/* Line 1806 of yacc.c  */
#line 11491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
}
    break;

  case 2015:

/* Line 1806 of yacc.c  */
#line 11495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 2016:

/* Line 1806 of yacc.c  */
#line 11499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
}
    break;

  case 2017:

/* Line 1806 of yacc.c  */
#line 11503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
}
    break;

  case 2018:

/* Line 1806 of yacc.c  */
#line 11507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
}
    break;

  case 2019:

/* Line 1806 of yacc.c  */
#line 11511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 2020:

/* Line 1806 of yacc.c  */
#line 11515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 2021:

/* Line 1806 of yacc.c  */
#line 11519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 2022:

/* Line 1806 of yacc.c  */
#line 11523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 2023:

/* Line 1806 of yacc.c  */
#line 11527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
}
    break;

  case 2024:

/* Line 1806 of yacc.c  */
#line 11531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
}
    break;

  case 2025:

/* Line 1806 of yacc.c  */
#line 11535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 2026:

/* Line 1806 of yacc.c  */
#line 11539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
}
    break;

  case 2027:

/* Line 1806 of yacc.c  */
#line 11543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
}
    break;

  case 2028:

/* Line 1806 of yacc.c  */
#line 11547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 2029:

/* Line 1806 of yacc.c  */
#line 11551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
}
    break;

  case 2030:

/* Line 1806 of yacc.c  */
#line 11555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
}
    break;

  case 2031:

/* Line 1806 of yacc.c  */
#line 11559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 2032:

/* Line 1806 of yacc.c  */
#line 11563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
}
    break;

  case 2033:

/* Line 1806 of yacc.c  */
#line 11567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 2034:

/* Line 1806 of yacc.c  */
#line 11571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 2035:

/* Line 1806 of yacc.c  */
#line 11575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 2036:

/* Line 1806 of yacc.c  */
#line 11579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 2037:

/* Line 1806 of yacc.c  */
#line 11583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
}
    break;

  case 2038:

/* Line 1806 of yacc.c  */
#line 11587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
}
    break;

  case 2039:

/* Line 1806 of yacc.c  */
#line 11591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
}
    break;

  case 2040:

/* Line 1806 of yacc.c  */
#line 11595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 2041:

/* Line 1806 of yacc.c  */
#line 11599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 2042:

/* Line 1806 of yacc.c  */
#line 11603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 2043:

/* Line 1806 of yacc.c  */
#line 11607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
}
    break;

  case 2044:

/* Line 1806 of yacc.c  */
#line 11611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 2045:

/* Line 1806 of yacc.c  */
#line 11615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
}
    break;

  case 2046:

/* Line 1806 of yacc.c  */
#line 11619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 2047:

/* Line 1806 of yacc.c  */
#line 11623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
}
    break;

  case 2048:

/* Line 1806 of yacc.c  */
#line 11627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 2049:

/* Line 1806 of yacc.c  */
#line 11631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 2050:

/* Line 1806 of yacc.c  */
#line 11635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 2051:

/* Line 1806 of yacc.c  */
#line 11639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
}
    break;

  case 2052:

/* Line 1806 of yacc.c  */
#line 11643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
    break;

  case 2053:

/* Line 1806 of yacc.c  */
#line 11647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
    break;

  case 2054:

/* Line 1806 of yacc.c  */
#line 11651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
}
    break;

  case 2055:

/* Line 1806 of yacc.c  */
#line 11655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
}
    break;

  case 2056:

/* Line 1806 of yacc.c  */
#line 11659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 2057:

/* Line 1806 of yacc.c  */
#line 11663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
}
    break;

  case 2058:

/* Line 1806 of yacc.c  */
#line 11667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 2059:

/* Line 1806 of yacc.c  */
#line 11671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
}
    break;

  case 2060:

/* Line 1806 of yacc.c  */
#line 11675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
}
    break;

  case 2061:

/* Line 1806 of yacc.c  */
#line 11679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
}
    break;

  case 2062:

/* Line 1806 of yacc.c  */
#line 11683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
}
    break;

  case 2063:

/* Line 1806 of yacc.c  */
#line 11687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
}
    break;

  case 2064:

/* Line 1806 of yacc.c  */
#line 11691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 2065:

/* Line 1806 of yacc.c  */
#line 11695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
}
    break;

  case 2066:

/* Line 1806 of yacc.c  */
#line 11699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 2067:

/* Line 1806 of yacc.c  */
#line 11703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 2068:

/* Line 1806 of yacc.c  */
#line 11707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
}
    break;

  case 2069:

/* Line 1806 of yacc.c  */
#line 11711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
}
    break;

  case 2070:

/* Line 1806 of yacc.c  */
#line 11715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 2071:

/* Line 1806 of yacc.c  */
#line 11719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
}
    break;

  case 2072:

/* Line 1806 of yacc.c  */
#line 11723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
}
    break;

  case 2073:

/* Line 1806 of yacc.c  */
#line 11727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
}
    break;

  case 2074:

/* Line 1806 of yacc.c  */
#line 11731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
}
    break;

  case 2075:

/* Line 1806 of yacc.c  */
#line 11735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
}
    break;

  case 2076:

/* Line 1806 of yacc.c  */
#line 11743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
}
    break;

  case 2077:

/* Line 1806 of yacc.c  */
#line 11747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 2078:

/* Line 1806 of yacc.c  */
#line 11751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
}
    break;

  case 2079:

/* Line 1806 of yacc.c  */
#line 11755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 2080:

/* Line 1806 of yacc.c  */
#line 11759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
}
    break;

  case 2081:

/* Line 1806 of yacc.c  */
#line 11763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
}
    break;

  case 2082:

/* Line 1806 of yacc.c  */
#line 11767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
}
    break;

  case 2083:

/* Line 1806 of yacc.c  */
#line 11771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
}
    break;

  case 2084:

/* Line 1806 of yacc.c  */
#line 11775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
}
    break;

  case 2085:

/* Line 1806 of yacc.c  */
#line 11779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
}
    break;

  case 2086:

/* Line 1806 of yacc.c  */
#line 11783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
}
    break;

  case 2087:

/* Line 1806 of yacc.c  */
#line 11787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
}
    break;

  case 2088:

/* Line 1806 of yacc.c  */
#line 11791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 2089:

/* Line 1806 of yacc.c  */
#line 11795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 2090:

/* Line 1806 of yacc.c  */
#line 11799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 2091:

/* Line 1806 of yacc.c  */
#line 11803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
}
    break;

  case 2092:

/* Line 1806 of yacc.c  */
#line 11807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
}
    break;

  case 2093:

/* Line 1806 of yacc.c  */
#line 11811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
}
    break;

  case 2094:

/* Line 1806 of yacc.c  */
#line 11815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
}
    break;

  case 2095:

/* Line 1806 of yacc.c  */
#line 11819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
}
    break;

  case 2096:

/* Line 1806 of yacc.c  */
#line 11823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
}
    break;

  case 2097:

/* Line 1806 of yacc.c  */
#line 11827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 2098:

/* Line 1806 of yacc.c  */
#line 11831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
}
    break;

  case 2099:

/* Line 1806 of yacc.c  */
#line 11835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
}
    break;

  case 2100:

/* Line 1806 of yacc.c  */
#line 11839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
}
    break;

  case 2101:

/* Line 1806 of yacc.c  */
#line 11843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 2102:

/* Line 1806 of yacc.c  */
#line 11847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 2103:

/* Line 1806 of yacc.c  */
#line 11851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
}
    break;

  case 2104:

/* Line 1806 of yacc.c  */
#line 11855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 2105:

/* Line 1806 of yacc.c  */
#line 11859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
}
    break;

  case 2106:

/* Line 1806 of yacc.c  */
#line 11863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
}
    break;

  case 2107:

/* Line 1806 of yacc.c  */
#line 11867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
}
    break;

  case 2108:

/* Line 1806 of yacc.c  */
#line 11871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
}
    break;

  case 2109:

/* Line 1806 of yacc.c  */
#line 11875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
}
    break;

  case 2110:

/* Line 1806 of yacc.c  */
#line 11879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 2111:

/* Line 1806 of yacc.c  */
#line 11883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
    break;

  case 2112:

/* Line 1806 of yacc.c  */
#line 11887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
    break;

  case 2113:

/* Line 1806 of yacc.c  */
#line 11891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
    break;

  case 2114:

/* Line 1806 of yacc.c  */
#line 11895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
    break;

  case 2115:

/* Line 1806 of yacc.c  */
#line 11899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
    break;

  case 2116:

/* Line 1806 of yacc.c  */
#line 11903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
    break;

  case 2117:

/* Line 1806 of yacc.c  */
#line 11907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
    break;

  case 2118:

/* Line 1806 of yacc.c  */
#line 11911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
    break;

  case 2119:

/* Line 1806 of yacc.c  */
#line 11915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
    break;

  case 2120:

/* Line 1806 of yacc.c  */
#line 11923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
}
    break;

  case 2121:

/* Line 1806 of yacc.c  */
#line 11927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 2122:

/* Line 1806 of yacc.c  */
#line 11931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 2123:

/* Line 1806 of yacc.c  */
#line 11935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
}
    break;

  case 2124:

/* Line 1806 of yacc.c  */
#line 11939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 2125:

/* Line 1806 of yacc.c  */
#line 11943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 2126:

/* Line 1806 of yacc.c  */
#line 11947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 2127:

/* Line 1806 of yacc.c  */
#line 11951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 2128:

/* Line 1806 of yacc.c  */
#line 11955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 2129:

/* Line 1806 of yacc.c  */
#line 11959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
}
    break;

  case 2130:

/* Line 1806 of yacc.c  */
#line 11963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
}
    break;

  case 2131:

/* Line 1806 of yacc.c  */
#line 11967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
}
    break;

  case 2132:

/* Line 1806 of yacc.c  */
#line 11971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
}
    break;

  case 2133:

/* Line 1806 of yacc.c  */
#line 11975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 2134:

/* Line 1806 of yacc.c  */
#line 11979 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
}
    break;

  case 2135:

/* Line 1806 of yacc.c  */
#line 11983 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
}
    break;

  case 2136:

/* Line 1806 of yacc.c  */
#line 11987 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 2137:

/* Line 1806 of yacc.c  */
#line 11991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
}
    break;

  case 2138:

/* Line 1806 of yacc.c  */
#line 11995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
}
    break;

  case 2139:

/* Line 1806 of yacc.c  */
#line 11999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
}
    break;

  case 2140:

/* Line 1806 of yacc.c  */
#line 12003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
}
    break;

  case 2141:

/* Line 1806 of yacc.c  */
#line 12007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 2142:

/* Line 1806 of yacc.c  */
#line 12015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 2143:

/* Line 1806 of yacc.c  */
#line 12019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 2144:

/* Line 1806 of yacc.c  */
#line 12023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 2145:

/* Line 1806 of yacc.c  */
#line 12027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
}
    break;

  case 2146:

/* Line 1806 of yacc.c  */
#line 12031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 2147:

/* Line 1806 of yacc.c  */
#line 12035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
}
    break;

  case 2148:

/* Line 1806 of yacc.c  */
#line 12039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 2149:

/* Line 1806 of yacc.c  */
#line 12043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 2150:

/* Line 1806 of yacc.c  */
#line 12047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 2151:

/* Line 1806 of yacc.c  */
#line 12051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
}
    break;

  case 2152:

/* Line 1806 of yacc.c  */
#line 12055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
}
    break;

  case 2153:

/* Line 1806 of yacc.c  */
#line 12059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
}
    break;

  case 2154:

/* Line 1806 of yacc.c  */
#line 12063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
}
    break;

  case 2155:

/* Line 1806 of yacc.c  */
#line 12067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
}
    break;

  case 2156:

/* Line 1806 of yacc.c  */
#line 12071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 2157:

/* Line 1806 of yacc.c  */
#line 12075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
}
    break;

  case 2158:

/* Line 1806 of yacc.c  */
#line 12079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
}
    break;

  case 2159:

/* Line 1806 of yacc.c  */
#line 12083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 2160:

/* Line 1806 of yacc.c  */
#line 12087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 2161:

/* Line 1806 of yacc.c  */
#line 12091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 2162:

/* Line 1806 of yacc.c  */
#line 12095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 2163:

/* Line 1806 of yacc.c  */
#line 12099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 2164:

/* Line 1806 of yacc.c  */
#line 12103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 2165:

/* Line 1806 of yacc.c  */
#line 12107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 2166:

/* Line 1806 of yacc.c  */
#line 12111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 2167:

/* Line 1806 of yacc.c  */
#line 12115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 2168:

/* Line 1806 of yacc.c  */
#line 12119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 2169:

/* Line 1806 of yacc.c  */
#line 12123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
}
    break;

  case 2170:

/* Line 1806 of yacc.c  */
#line 12127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
}
    break;

  case 2171:

/* Line 1806 of yacc.c  */
#line 12131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
}
    break;

  case 2172:

/* Line 1806 of yacc.c  */
#line 12135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
}
    break;

  case 2173:

/* Line 1806 of yacc.c  */
#line 12139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 2174:

/* Line 1806 of yacc.c  */
#line 12143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
}
    break;

  case 2175:

/* Line 1806 of yacc.c  */
#line 12147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
}
    break;

  case 2176:

/* Line 1806 of yacc.c  */
#line 12151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
}
    break;

  case 2177:

/* Line 1806 of yacc.c  */
#line 12155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 2178:

/* Line 1806 of yacc.c  */
#line 12159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
}
    break;

  case 2179:

/* Line 1806 of yacc.c  */
#line 12163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
}
    break;

  case 2180:

/* Line 1806 of yacc.c  */
#line 12167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
}
    break;

  case 2181:

/* Line 1806 of yacc.c  */
#line 12171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 2182:

/* Line 1806 of yacc.c  */
#line 12175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
}
    break;

  case 2183:

/* Line 1806 of yacc.c  */
#line 12179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
}
    break;

  case 2184:

/* Line 1806 of yacc.c  */
#line 12183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
}
    break;

  case 2185:

/* Line 1806 of yacc.c  */
#line 12187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
}
    break;

  case 2186:

/* Line 1806 of yacc.c  */
#line 12191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
}
    break;

  case 2187:

/* Line 1806 of yacc.c  */
#line 12195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 2188:

/* Line 1806 of yacc.c  */
#line 12199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 2189:

/* Line 1806 of yacc.c  */
#line 12203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
}
    break;

  case 2190:

/* Line 1806 of yacc.c  */
#line 12207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 2191:

/* Line 1806 of yacc.c  */
#line 12211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
}
    break;

  case 2192:

/* Line 1806 of yacc.c  */
#line 12215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 2193:

/* Line 1806 of yacc.c  */
#line 12219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
}
    break;

  case 2194:

/* Line 1806 of yacc.c  */
#line 12223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
}
    break;

  case 2195:

/* Line 1806 of yacc.c  */
#line 12227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
}
    break;

  case 2196:

/* Line 1806 of yacc.c  */
#line 12231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
}
    break;

  case 2197:

/* Line 1806 of yacc.c  */
#line 12235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
}
    break;

  case 2198:

/* Line 1806 of yacc.c  */
#line 12239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
}
    break;

  case 2199:

/* Line 1806 of yacc.c  */
#line 12243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
}
    break;

  case 2200:

/* Line 1806 of yacc.c  */
#line 12247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 2201:

/* Line 1806 of yacc.c  */
#line 12251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 2202:

/* Line 1806 of yacc.c  */
#line 12255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 2203:

/* Line 1806 of yacc.c  */
#line 12259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
}
    break;

  case 2204:

/* Line 1806 of yacc.c  */
#line 12263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 2205:

/* Line 1806 of yacc.c  */
#line 12267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
}
    break;

  case 2206:

/* Line 1806 of yacc.c  */
#line 12271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
}
    break;

  case 2207:

/* Line 1806 of yacc.c  */
#line 12275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 2208:

/* Line 1806 of yacc.c  */
#line 12279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 2209:

/* Line 1806 of yacc.c  */
#line 12283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 2210:

/* Line 1806 of yacc.c  */
#line 12287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 2211:

/* Line 1806 of yacc.c  */
#line 12291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 2212:

/* Line 1806 of yacc.c  */
#line 12295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
}
    break;

  case 2213:

/* Line 1806 of yacc.c  */
#line 12299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
}
    break;

  case 2214:

/* Line 1806 of yacc.c  */
#line 12303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 2215:

/* Line 1806 of yacc.c  */
#line 12307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 2218:

/* Line 1806 of yacc.c  */
#line 12320 "preproc.y"
    { connection = NULL; }
    break;

  case 2220:

/* Line 1806 of yacc.c  */
#line 12323 "preproc.y"
    {
                        fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
                        free((yyvsp[(2) - (2)].str));
                        output_line_number();
                }
    break;

  case 2222:

/* Line 1806 of yacc.c  */
#line 12329 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2223:

/* Line 1806 of yacc.c  */
#line 12330 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2224:

/* Line 1806 of yacc.c  */
#line 12331 "preproc.y"
    { braces_open++; fputs("{", yyout); }
    break;

  case 2225:

/* Line 1806 of yacc.c  */
#line 12333 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
    break;

  case 2226:

/* Line 1806 of yacc.c  */
#line 12345 "preproc.y"
    {FoundInto = 0;}
    break;

  case 2227:

/* Line 1806 of yacc.c  */
#line 12346 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		}
    break;

  case 2228:

/* Line 1806 of yacc.c  */
#line 12355 "preproc.y"
    {
                        connection = (yyvsp[(2) - (2)].str);
                        /*
                         *      Do we have a variable as connection target?
                         *      Remove the variable from the variable
                         *      list or else it will be used twice
                         */
                        if (argsinsert != NULL)
                                argsinsert = NULL;
                }
    break;

  case 2229:

/* Line 1806 of yacc.c  */
#line 12371 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); }
    break;

  case 2230:

/* Line 1806 of yacc.c  */
#line 12373 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
    break;

  case 2231:

/* Line 1806 of yacc.c  */
#line 12376 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); }
    break;

  case 2232:

/* Line 1806 of yacc.c  */
#line 12378 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); }
    break;

  case 2233:

/* Line 1806 of yacc.c  */
#line 12382 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		}
    break;

  case 2234:

/* Line 1806 of yacc.c  */
#line 12394 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), mm_strdup("\"")));
		}
    break;

  case 2235:

/* Line 1806 of yacc.c  */
#line 12410 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2236:

/* Line 1806 of yacc.c  */
#line 12414 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2237:

/* Line 1806 of yacc.c  */
#line 12424 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2238:

/* Line 1806 of yacc.c  */
#line 12425 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2239:

/* Line 1806 of yacc.c  */
#line 12429 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2240:

/* Line 1806 of yacc.c  */
#line 12441 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2241:

/* Line 1806 of yacc.c  */
#line 12449 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2242:

/* Line 1806 of yacc.c  */
#line 12450 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2243:

/* Line 1806 of yacc.c  */
#line 12453 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2244:

/* Line 1806 of yacc.c  */
#line 12454 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); }
    break;

  case 2245:

/* Line 1806 of yacc.c  */
#line 12455 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2246:

/* Line 1806 of yacc.c  */
#line 12458 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2247:

/* Line 1806 of yacc.c  */
#line 12459 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2248:

/* Line 1806 of yacc.c  */
#line 12462 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2249:

/* Line 1806 of yacc.c  */
#line 12463 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2250:

/* Line 1806 of yacc.c  */
#line 12466 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2251:

/* Line 1806 of yacc.c  */
#line 12467 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); }
    break;

  case 2252:

/* Line 1806 of yacc.c  */
#line 12471 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); }
    break;

  case 2253:

/* Line 1806 of yacc.c  */
#line 12473 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2254:

/* Line 1806 of yacc.c  */
#line 12475 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); }
    break;

  case 2255:

/* Line 1806 of yacc.c  */
#line 12477 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2256:

/* Line 1806 of yacc.c  */
#line 12481 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2257:

/* Line 1806 of yacc.c  */
#line 12488 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2258:

/* Line 1806 of yacc.c  */
#line 12495 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
    break;

  case 2259:

/* Line 1806 of yacc.c  */
#line 12511 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		}
    break;

  case 2260:

/* Line 1806 of yacc.c  */
#line 12545 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2261:

/* Line 1806 of yacc.c  */
#line 12554 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2262:

/* Line 1806 of yacc.c  */
#line 12558 "preproc.y"
    { (yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2263:

/* Line 1806 of yacc.c  */
#line 12560 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			}
    break;

  case 2264:

/* Line 1806 of yacc.c  */
#line 12572 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2265:

/* Line 1806 of yacc.c  */
#line 12574 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2266:

/* Line 1806 of yacc.c  */
#line 12576 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2267:

/* Line 1806 of yacc.c  */
#line 12578 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2268:

/* Line 1806 of yacc.c  */
#line 12581 "preproc.y"
    {
                                        if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
                                                (yyval.str) = (yyvsp[(1) - (1)].str);
                                        else /* not quoted => convert to lowercase */
                                        {
                                                size_t i;

                                                for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
                                                        (yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

                                                (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
                                        }
                                }
    break;

  case 2269:

/* Line 1806 of yacc.c  */
#line 12594 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2270:

/* Line 1806 of yacc.c  */
#line 12602 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[(2) - (7)].str)[0] == ':' || (yyvsp[(2) - (7)].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
	                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
        	                        else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
    break;

  case 2271:

/* Line 1806 of yacc.c  */
#line 12663 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			}
    break;

  case 2273:

/* Line 1806 of yacc.c  */
#line 12673 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2274:

/* Line 1806 of yacc.c  */
#line 12674 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2275:

/* Line 1806 of yacc.c  */
#line 12677 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2276:

/* Line 1806 of yacc.c  */
#line 12679 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2277:

/* Line 1806 of yacc.c  */
#line 12680 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2278:

/* Line 1806 of yacc.c  */
#line 12683 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2279:

/* Line 1806 of yacc.c  */
#line 12684 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); }
    break;

  case 2280:

/* Line 1806 of yacc.c  */
#line 12685 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); }
    break;

  case 2281:

/* Line 1806 of yacc.c  */
#line 12686 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); }
    break;

  case 2282:

/* Line 1806 of yacc.c  */
#line 12687 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); }
    break;

  case 2283:

/* Line 1806 of yacc.c  */
#line 12694 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); }
    break;

  case 2284:

/* Line 1806 of yacc.c  */
#line 12696 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		}
    break;

  case 2285:

/* Line 1806 of yacc.c  */
#line 12703 "preproc.y"
    {}
    break;

  case 2286:

/* Line 1806 of yacc.c  */
#line 12705 "preproc.y"
    {}
    break;

  case 2287:

/* Line 1806 of yacc.c  */
#line 12707 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2288:

/* Line 1806 of yacc.c  */
#line 12708 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2289:

/* Line 1806 of yacc.c  */
#line 12711 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2290:

/* Line 1806 of yacc.c  */
#line 12712 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2291:

/* Line 1806 of yacc.c  */
#line 12713 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2292:

/* Line 1806 of yacc.c  */
#line 12714 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2293:

/* Line 1806 of yacc.c  */
#line 12717 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2294:

/* Line 1806 of yacc.c  */
#line 12718 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2295:

/* Line 1806 of yacc.c  */
#line 12722 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
    break;

  case 2296:

/* Line 1806 of yacc.c  */
#line 12728 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
    break;

  case 2297:

/* Line 1806 of yacc.c  */
#line 12738 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2298:

/* Line 1806 of yacc.c  */
#line 12748 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		}
    break;

  case 2299:

/* Line 1806 of yacc.c  */
#line 12752 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2300:

/* Line 1806 of yacc.c  */
#line 12762 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		}
    break;

  case 2301:

/* Line 1806 of yacc.c  */
#line 12766 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		}
    break;

  case 2302:

/* Line 1806 of yacc.c  */
#line 12771 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2303:

/* Line 1806 of yacc.c  */
#line 12772 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2304:

/* Line 1806 of yacc.c  */
#line 12776 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2305:

/* Line 1806 of yacc.c  */
#line 12777 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2306:

/* Line 1806 of yacc.c  */
#line 12778 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2307:

/* Line 1806 of yacc.c  */
#line 12781 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2308:

/* Line 1806 of yacc.c  */
#line 12782 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2309:

/* Line 1806 of yacc.c  */
#line 12783 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2310:

/* Line 1806 of yacc.c  */
#line 12784 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2311:

/* Line 1806 of yacc.c  */
#line 12787 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2312:

/* Line 1806 of yacc.c  */
#line 12788 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2313:

/* Line 1806 of yacc.c  */
#line 12792 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2314:

/* Line 1806 of yacc.c  */
#line 12800 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
    break;

  case 2315:

/* Line 1806 of yacc.c  */
#line 12817 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2316:

/* Line 1806 of yacc.c  */
#line 12825 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2317:

/* Line 1806 of yacc.c  */
#line 12848 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
    break;

  case 2318:

/* Line 1806 of yacc.c  */
#line 12954 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
    break;

  case 2319:

/* Line 1806 of yacc.c  */
#line 12988 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 2320:

/* Line 1806 of yacc.c  */
#line 12990 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2321:

/* Line 1806 of yacc.c  */
#line 12992 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2322:

/* Line 1806 of yacc.c  */
#line 12996 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2323:

/* Line 1806 of yacc.c  */
#line 12999 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		}
    break;

  case 2324:

/* Line 1806 of yacc.c  */
#line 13006 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2325:

/* Line 1806 of yacc.c  */
#line 13049 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2326:

/* Line 1806 of yacc.c  */
#line 13051 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
    break;

  case 2327:

/* Line 1806 of yacc.c  */
#line 13057 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2328:

/* Line 1806 of yacc.c  */
#line 13066 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
    break;

  case 2329:

/* Line 1806 of yacc.c  */
#line 13072 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		}
    break;

  case 2330:

/* Line 1806 of yacc.c  */
#line 13079 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
    break;

  case 2331:

/* Line 1806 of yacc.c  */
#line 13083 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2332:

/* Line 1806 of yacc.c  */
#line 13086 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); }
    break;

  case 2333:

/* Line 1806 of yacc.c  */
#line 13087 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); }
    break;

  case 2334:

/* Line 1806 of yacc.c  */
#line 13090 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2335:

/* Line 1806 of yacc.c  */
#line 13091 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2336:

/* Line 1806 of yacc.c  */
#line 13092 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2337:

/* Line 1806 of yacc.c  */
#line 13093 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2338:

/* Line 1806 of yacc.c  */
#line 13094 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2339:

/* Line 1806 of yacc.c  */
#line 13095 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2340:

/* Line 1806 of yacc.c  */
#line 13097 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2341:

/* Line 1806 of yacc.c  */
#line 13105 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2342:

/* Line 1806 of yacc.c  */
#line 13112 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; }
    break;

  case 2343:

/* Line 1806 of yacc.c  */
#line 13115 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2344:

/* Line 1806 of yacc.c  */
#line 13116 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2345:

/* Line 1806 of yacc.c  */
#line 13117 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; }
    break;

  case 2346:

/* Line 1806 of yacc.c  */
#line 13118 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2347:

/* Line 1806 of yacc.c  */
#line 13119 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2348:

/* Line 1806 of yacc.c  */
#line 13121 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2349:

/* Line 1806 of yacc.c  */
#line 13129 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2350:

/* Line 1806 of yacc.c  */
#line 13136 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; }
    break;

  case 2351:

/* Line 1806 of yacc.c  */
#line 13137 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; }
    break;

  case 2352:

/* Line 1806 of yacc.c  */
#line 13138 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; }
    break;

  case 2355:

/* Line 1806 of yacc.c  */
#line 13146 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2356:

/* Line 1806 of yacc.c  */
#line 13148 "preproc.y"
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(";"), (yyvsp[(3) - (3)].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2357:

/* Line 1806 of yacc.c  */
#line 13157 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1; /* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;    /* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		}
    break;

  case 2358:

/* Line 1806 of yacc.c  */
#line 13244 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2359:

/* Line 1806 of yacc.c  */
#line 13246 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2360:

/* Line 1806 of yacc.c  */
#line 13252 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2361:

/* Line 1806 of yacc.c  */
#line 13253 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2362:

/* Line 1806 of yacc.c  */
#line 13254 "preproc.y"
    { (yyval.str) = mm_strdup("**"); }
    break;

  case 2363:

/* Line 1806 of yacc.c  */
#line 13261 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		}
    break;

  case 2364:

/* Line 1806 of yacc.c  */
#line 13269 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2365:

/* Line 1806 of yacc.c  */
#line 13272 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2366:

/* Line 1806 of yacc.c  */
#line 13273 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2367:

/* Line 1806 of yacc.c  */
#line 13274 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); }
    break;

  case 2368:

/* Line 1806 of yacc.c  */
#line 13275 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2369:

/* Line 1806 of yacc.c  */
#line 13278 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2370:

/* Line 1806 of yacc.c  */
#line 13279 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
    break;

  case 2371:

/* Line 1806 of yacc.c  */
#line 13280 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2372:

/* Line 1806 of yacc.c  */
#line 13284 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2373:

/* Line 1806 of yacc.c  */
#line 13286 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2374:

/* Line 1806 of yacc.c  */
#line 13293 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2375:

/* Line 1806 of yacc.c  */
#line 13294 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2376:

/* Line 1806 of yacc.c  */
#line 13301 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		}
    break;

  case 2377:

/* Line 1806 of yacc.c  */
#line 13308 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2378:

/* Line 1806 of yacc.c  */
#line 13309 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2379:

/* Line 1806 of yacc.c  */
#line 13312 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2380:

/* Line 1806 of yacc.c  */
#line 13313 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2381:

/* Line 1806 of yacc.c  */
#line 13317 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2382:

/* Line 1806 of yacc.c  */
#line 13322 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2383:

/* Line 1806 of yacc.c  */
#line 13329 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2384:

/* Line 1806 of yacc.c  */
#line 13334 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2385:

/* Line 1806 of yacc.c  */
#line 13341 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2388:

/* Line 1806 of yacc.c  */
#line 13350 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
    break;

  case 2389:

/* Line 1806 of yacc.c  */
#line 13356 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2390:

/* Line 1806 of yacc.c  */
#line 13357 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2391:

/* Line 1806 of yacc.c  */
#line 13360 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2392:

/* Line 1806 of yacc.c  */
#line 13361 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2393:

/* Line 1806 of yacc.c  */
#line 13362 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2394:

/* Line 1806 of yacc.c  */
#line 13363 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2395:

/* Line 1806 of yacc.c  */
#line 13364 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2396:

/* Line 1806 of yacc.c  */
#line 13365 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2397:

/* Line 1806 of yacc.c  */
#line 13366 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2398:

/* Line 1806 of yacc.c  */
#line 13367 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2399:

/* Line 1806 of yacc.c  */
#line 13368 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2400:

/* Line 1806 of yacc.c  */
#line 13375 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2401:

/* Line 1806 of yacc.c  */
#line 13382 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2402:

/* Line 1806 of yacc.c  */
#line 13394 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2403:

/* Line 1806 of yacc.c  */
#line 13400 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2404:

/* Line 1806 of yacc.c  */
#line 13407 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2405:

/* Line 1806 of yacc.c  */
#line 13414 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2406:

/* Line 1806 of yacc.c  */
#line 13415 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2407:

/* Line 1806 of yacc.c  */
#line 13428 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2408:

/* Line 1806 of yacc.c  */
#line 13439 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2409:

/* Line 1806 of yacc.c  */
#line 13450 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2412:

/* Line 1806 of yacc.c  */
#line 13458 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2413:

/* Line 1806 of yacc.c  */
#line 13463 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2416:

/* Line 1806 of yacc.c  */
#line 13471 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2417:

/* Line 1806 of yacc.c  */
#line 13477 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                }
    break;

  case 2418:

/* Line 1806 of yacc.c  */
#line 13484 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2419:

/* Line 1806 of yacc.c  */
#line 13487 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; }
    break;

  case 2420:

/* Line 1806 of yacc.c  */
#line 13495 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2423:

/* Line 1806 of yacc.c  */
#line 13502 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2424:

/* Line 1806 of yacc.c  */
#line 13506 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2427:

/* Line 1806 of yacc.c  */
#line 13514 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2428:

/* Line 1806 of yacc.c  */
#line 13520 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                }
    break;

  case 2429:

/* Line 1806 of yacc.c  */
#line 13527 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2430:

/* Line 1806 of yacc.c  */
#line 13529 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
    break;

  case 2431:

/* Line 1806 of yacc.c  */
#line 13538 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
    break;

  case 2432:

/* Line 1806 of yacc.c  */
#line 13547 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = (yyvsp[(1) - (1)].str) + 1;

                        var[strlen(var) - 1] = '\0';
                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
    break;

  case 2433:

/* Line 1806 of yacc.c  */
#line 13558 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; }
    break;

  case 2434:

/* Line 1806 of yacc.c  */
#line 13559 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; }
    break;

  case 2435:

/* Line 1806 of yacc.c  */
#line 13560 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; }
    break;

  case 2436:

/* Line 1806 of yacc.c  */
#line 13561 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; }
    break;

  case 2437:

/* Line 1806 of yacc.c  */
#line 13562 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; }
    break;

  case 2438:

/* Line 1806 of yacc.c  */
#line 13563 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; }
    break;

  case 2439:

/* Line 1806 of yacc.c  */
#line 13564 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2440:

/* Line 1806 of yacc.c  */
#line 13565 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; }
    break;

  case 2441:

/* Line 1806 of yacc.c  */
#line 13566 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; }
    break;

  case 2442:

/* Line 1806 of yacc.c  */
#line 13567 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; }
    break;

  case 2443:

/* Line 1806 of yacc.c  */
#line 13568 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; }
    break;

  case 2444:

/* Line 1806 of yacc.c  */
#line 13569 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2445:

/* Line 1806 of yacc.c  */
#line 13570 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
    break;

  case 2446:

/* Line 1806 of yacc.c  */
#line 13571 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; }
    break;

  case 2447:

/* Line 1806 of yacc.c  */
#line 13572 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; }
    break;

  case 2448:

/* Line 1806 of yacc.c  */
#line 13579 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2449:

/* Line 1806 of yacc.c  */
#line 13580 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2450:

/* Line 1806 of yacc.c  */
#line 13583 "preproc.y"
    { (yyval.str) = mm_strdup("on"); }
    break;

  case 2451:

/* Line 1806 of yacc.c  */
#line 13584 "preproc.y"
    { (yyval.str) = mm_strdup("off"); }
    break;

  case 2452:

/* Line 1806 of yacc.c  */
#line 13591 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2453:

/* Line 1806 of yacc.c  */
#line 13592 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2454:

/* Line 1806 of yacc.c  */
#line 13593 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2455:

/* Line 1806 of yacc.c  */
#line 13600 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2456:

/* Line 1806 of yacc.c  */
#line 13606 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		}
    break;

  case 2457:

/* Line 1806 of yacc.c  */
#line 13616 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); }
    break;

  case 2458:

/* Line 1806 of yacc.c  */
#line 13617 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2459:

/* Line 1806 of yacc.c  */
#line 13624 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2460:

/* Line 1806 of yacc.c  */
#line 13630 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		}
    break;

  case 2461:

/* Line 1806 of yacc.c  */
#line 13694 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2462:

/* Line 1806 of yacc.c  */
#line 13700 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		}
    break;

  case 2463:

/* Line 1806 of yacc.c  */
#line 13706 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2464:

/* Line 1806 of yacc.c  */
#line 13714 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
    break;

  case 2465:

/* Line 1806 of yacc.c  */
#line 13720 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
    break;

  case 2466:

/* Line 1806 of yacc.c  */
#line 13726 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
    break;

  case 2467:

/* Line 1806 of yacc.c  */
#line 13732 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2468:

/* Line 1806 of yacc.c  */
#line 13738 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2469:

/* Line 1806 of yacc.c  */
#line 13744 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
    break;

  case 2470:

/* Line 1806 of yacc.c  */
#line 13750 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
    break;

  case 2471:

/* Line 1806 of yacc.c  */
#line 13756 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2472:

/* Line 1806 of yacc.c  */
#line 13762 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2473:

/* Line 1806 of yacc.c  */
#line 13772 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2474:

/* Line 1806 of yacc.c  */
#line 13773 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2475:

/* Line 1806 of yacc.c  */
#line 13776 "preproc.y"
    { (yyval.str) = mm_strdup("break"); }
    break;

  case 2476:

/* Line 1806 of yacc.c  */
#line 13777 "preproc.y"
    { (yyval.str) = mm_strdup("call"); }
    break;

  case 2477:

/* Line 1806 of yacc.c  */
#line 13778 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); }
    break;

  case 2478:

/* Line 1806 of yacc.c  */
#line 13779 "preproc.y"
    { (yyval.str) = mm_strdup("count"); }
    break;

  case 2479:

/* Line 1806 of yacc.c  */
#line 13780 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
    break;

  case 2480:

/* Line 1806 of yacc.c  */
#line 13781 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
    break;

  case 2481:

/* Line 1806 of yacc.c  */
#line 13782 "preproc.y"
    { (yyval.str) = mm_strdup("found"); }
    break;

  case 2482:

/* Line 1806 of yacc.c  */
#line 13783 "preproc.y"
    { (yyval.str) = mm_strdup("go"); }
    break;

  case 2483:

/* Line 1806 of yacc.c  */
#line 13784 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); }
    break;

  case 2484:

/* Line 1806 of yacc.c  */
#line 13785 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); }
    break;

  case 2485:

/* Line 1806 of yacc.c  */
#line 13786 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); }
    break;

  case 2486:

/* Line 1806 of yacc.c  */
#line 13787 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); }
    break;

  case 2487:

/* Line 1806 of yacc.c  */
#line 13788 "preproc.y"
    { (yyval.str) = mm_strdup("length"); }
    break;

  case 2488:

/* Line 1806 of yacc.c  */
#line 13789 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); }
    break;

  case 2489:

/* Line 1806 of yacc.c  */
#line 13790 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); }
    break;

  case 2490:

/* Line 1806 of yacc.c  */
#line 13791 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); }
    break;

  case 2491:

/* Line 1806 of yacc.c  */
#line 13792 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); }
    break;

  case 2492:

/* Line 1806 of yacc.c  */
#line 13793 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); }
    break;

  case 2493:

/* Line 1806 of yacc.c  */
#line 13794 "preproc.y"
    { (yyval.str) = mm_strdup("section"); }
    break;

  case 2494:

/* Line 1806 of yacc.c  */
#line 13795 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); }
    break;

  case 2495:

/* Line 1806 of yacc.c  */
#line 13796 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); }
    break;

  case 2496:

/* Line 1806 of yacc.c  */
#line 13797 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); }
    break;

  case 2497:

/* Line 1806 of yacc.c  */
#line 13798 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); }
    break;

  case 2498:

/* Line 1806 of yacc.c  */
#line 13799 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); }
    break;

  case 2499:

/* Line 1806 of yacc.c  */
#line 13802 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); }
    break;

  case 2500:

/* Line 1806 of yacc.c  */
#line 13803 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); }
    break;

  case 2501:

/* Line 1806 of yacc.c  */
#line 13804 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); }
    break;

  case 2502:

/* Line 1806 of yacc.c  */
#line 13805 "preproc.y"
    { (yyval.str) = mm_strdup("open"); }
    break;

  case 2503:

/* Line 1806 of yacc.c  */
#line 13806 "preproc.y"
    { (yyval.str) = mm_strdup("var"); }
    break;

  case 2504:

/* Line 1806 of yacc.c  */
#line 13807 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); }
    break;

  case 2505:

/* Line 1806 of yacc.c  */
#line 13811 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2506:

/* Line 1806 of yacc.c  */
#line 13812 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2507:

/* Line 1806 of yacc.c  */
#line 13813 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2508:

/* Line 1806 of yacc.c  */
#line 13814 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2509:

/* Line 1806 of yacc.c  */
#line 13815 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2510:

/* Line 1806 of yacc.c  */
#line 13816 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2511:

/* Line 1806 of yacc.c  */
#line 13817 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2512:

/* Line 1806 of yacc.c  */
#line 13820 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2513:

/* Line 1806 of yacc.c  */
#line 13823 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2514:

/* Line 1806 of yacc.c  */
#line 13824 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2515:

/* Line 1806 of yacc.c  */
#line 13825 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2516:

/* Line 1806 of yacc.c  */
#line 13826 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2517:

/* Line 1806 of yacc.c  */
#line 13827 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2518:

/* Line 1806 of yacc.c  */
#line 13828 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2519:

/* Line 1806 of yacc.c  */
#line 13829 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2520:

/* Line 1806 of yacc.c  */
#line 13830 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2521:

/* Line 1806 of yacc.c  */
#line 13843 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2522:

/* Line 1806 of yacc.c  */
#line 13844 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2523:

/* Line 1806 of yacc.c  */
#line 13845 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2524:

/* Line 1806 of yacc.c  */
#line 13846 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2525:

/* Line 1806 of yacc.c  */
#line 13847 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2526:

/* Line 1806 of yacc.c  */
#line 13848 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2527:

/* Line 1806 of yacc.c  */
#line 13849 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2528:

/* Line 1806 of yacc.c  */
#line 13854 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2529:

/* Line 1806 of yacc.c  */
#line 13855 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2530:

/* Line 1806 of yacc.c  */
#line 13856 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2531:

/* Line 1806 of yacc.c  */
#line 13857 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2532:

/* Line 1806 of yacc.c  */
#line 13858 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2533:

/* Line 1806 of yacc.c  */
#line 13859 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2534:

/* Line 1806 of yacc.c  */
#line 13865 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2535:

/* Line 1806 of yacc.c  */
#line 13866 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2536:

/* Line 1806 of yacc.c  */
#line 13867 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2537:

/* Line 1806 of yacc.c  */
#line 13868 "preproc.y"
    { (yyval.str) = mm_strdup("current"); }
    break;

  case 2538:

/* Line 1806 of yacc.c  */
#line 13869 "preproc.y"
    { (yyval.str) = mm_strdup("input"); }
    break;

  case 2539:

/* Line 1806 of yacc.c  */
#line 13870 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2540:

/* Line 1806 of yacc.c  */
#line 13871 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2541:

/* Line 1806 of yacc.c  */
#line 13872 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2542:

/* Line 1806 of yacc.c  */
#line 13873 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2543:

/* Line 1806 of yacc.c  */
#line 13874 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2544:

/* Line 1806 of yacc.c  */
#line 13875 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2545:

/* Line 1806 of yacc.c  */
#line 13878 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2546:

/* Line 1806 of yacc.c  */
#line 13879 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2547:

/* Line 1806 of yacc.c  */
#line 13880 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2548:

/* Line 1806 of yacc.c  */
#line 13881 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2549:

/* Line 1806 of yacc.c  */
#line 13882 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2550:

/* Line 1806 of yacc.c  */
#line 13885 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2551:

/* Line 1806 of yacc.c  */
#line 13886 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2552:

/* Line 1806 of yacc.c  */
#line 13887 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2553:

/* Line 1806 of yacc.c  */
#line 13888 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2554:

/* Line 1806 of yacc.c  */
#line 13891 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2555:

/* Line 1806 of yacc.c  */
#line 13892 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2556:

/* Line 1806 of yacc.c  */
#line 13893 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2557:

/* Line 1806 of yacc.c  */
#line 13894 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2558:

/* Line 1806 of yacc.c  */
#line 13895 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2559:

/* Line 1806 of yacc.c  */
#line 13896 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2560:

/* Line 1806 of yacc.c  */
#line 13897 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2561:

/* Line 1806 of yacc.c  */
#line 13914 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2562:

/* Line 1806 of yacc.c  */
#line 13915 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2563:

/* Line 1806 of yacc.c  */
#line 13916 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2564:

/* Line 1806 of yacc.c  */
#line 13919 "preproc.y"
    { (yyval.str) = mm_strdup("day"); }
    break;

  case 2565:

/* Line 1806 of yacc.c  */
#line 13920 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2566:

/* Line 1806 of yacc.c  */
#line 13921 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2567:

/* Line 1806 of yacc.c  */
#line 13922 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2568:

/* Line 1806 of yacc.c  */
#line 13923 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2569:

/* Line 1806 of yacc.c  */
#line 13924 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2572:

/* Line 1806 of yacc.c  */
#line 13931 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			}
    break;

  case 2573:

/* Line 1806 of yacc.c  */
#line 13937 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2574:

/* Line 1806 of yacc.c  */
#line 13938 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2575:

/* Line 1806 of yacc.c  */
#line 13942 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); }
    break;

  case 2576:

/* Line 1806 of yacc.c  */
#line 13944 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); }
    break;

  case 2577:

/* Line 1806 of yacc.c  */
#line 13949 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		}
    break;

  case 2578:

/* Line 1806 of yacc.c  */
#line 13959 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2579:

/* Line 1806 of yacc.c  */
#line 13970 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		}
    break;

  case 2580:

/* Line 1806 of yacc.c  */
#line 13976 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2581:

/* Line 1806 of yacc.c  */
#line 13977 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2582:

/* Line 1806 of yacc.c  */
#line 13978 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2583:

/* Line 1806 of yacc.c  */
#line 13982 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2584:

/* Line 1806 of yacc.c  */
#line 14014 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2585:

/* Line 1806 of yacc.c  */
#line 14016 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2586:

/* Line 1806 of yacc.c  */
#line 14018 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2587:

/* Line 1806 of yacc.c  */
#line 14022 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2588:

/* Line 1806 of yacc.c  */
#line 14032 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2589:

/* Line 1806 of yacc.c  */
#line 14042 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2590:

/* Line 1806 of yacc.c  */
#line 14051 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2591:

/* Line 1806 of yacc.c  */
#line 14052 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2592:

/* Line 1806 of yacc.c  */
#line 14055 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2593:

/* Line 1806 of yacc.c  */
#line 14057 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2594:

/* Line 1806 of yacc.c  */
#line 14058 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2595:

/* Line 1806 of yacc.c  */
#line 14059 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2596:

/* Line 1806 of yacc.c  */
#line 14063 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2597:

/* Line 1806 of yacc.c  */
#line 14065 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); }
    break;

  case 2598:

/* Line 1806 of yacc.c  */
#line 14072 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2599:

/* Line 1806 of yacc.c  */
#line 14073 "preproc.y"
    { (yyval.str) = mm_strdup("()"); }
    break;

  case 2600:

/* Line 1806 of yacc.c  */
#line 14075 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2601:

/* Line 1806 of yacc.c  */
#line 14078 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2602:

/* Line 1806 of yacc.c  */
#line 14080 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2603:

/* Line 1806 of yacc.c  */
#line 14083 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2604:

/* Line 1806 of yacc.c  */
#line 14084 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2605:

/* Line 1806 of yacc.c  */
#line 14087 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2606:

/* Line 1806 of yacc.c  */
#line 14088 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2607:

/* Line 1806 of yacc.c  */
#line 14091 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2608:

/* Line 1806 of yacc.c  */
#line 14092 "preproc.y"
    { (yyval.str) = mm_strdup("("); }
    break;

  case 2609:

/* Line 1806 of yacc.c  */
#line 14093 "preproc.y"
    { (yyval.str) = mm_strdup(")"); }
    break;

  case 2610:

/* Line 1806 of yacc.c  */
#line 14094 "preproc.y"
    { (yyval.str) = mm_strdup(","); }
    break;

  case 2611:

/* Line 1806 of yacc.c  */
#line 14095 "preproc.y"
    { (yyval.str) = mm_strdup(";"); }
    break;

  case 2612:

/* Line 1806 of yacc.c  */
#line 14098 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2613:

/* Line 1806 of yacc.c  */
#line 14099 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2614:

/* Line 1806 of yacc.c  */
#line 14100 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2615:

/* Line 1806 of yacc.c  */
#line 14101 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2616:

/* Line 1806 of yacc.c  */
#line 14102 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2617:

/* Line 1806 of yacc.c  */
#line 14103 "preproc.y"
    { (yyval.str) = mm_strdup("+"); }
    break;

  case 2618:

/* Line 1806 of yacc.c  */
#line 14104 "preproc.y"
    { (yyval.str) = mm_strdup("-"); }
    break;

  case 2619:

/* Line 1806 of yacc.c  */
#line 14105 "preproc.y"
    { (yyval.str) = mm_strdup("/"); }
    break;

  case 2620:

/* Line 1806 of yacc.c  */
#line 14106 "preproc.y"
    { (yyval.str) = mm_strdup("%"); }
    break;

  case 2621:

/* Line 1806 of yacc.c  */
#line 14107 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2622:

/* Line 1806 of yacc.c  */
#line 14108 "preproc.y"
    { (yyval.str) = mm_strdup("+="); }
    break;

  case 2623:

/* Line 1806 of yacc.c  */
#line 14109 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); }
    break;

  case 2624:

/* Line 1806 of yacc.c  */
#line 14110 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2625:

/* Line 1806 of yacc.c  */
#line 14111 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2626:

/* Line 1806 of yacc.c  */
#line 14112 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2627:

/* Line 1806 of yacc.c  */
#line 14113 "preproc.y"
    { (yyval.str) = mm_strdup("--"); }
    break;

  case 2628:

/* Line 1806 of yacc.c  */
#line 14114 "preproc.y"
    { (yyval.str) = mm_strdup("/="); }
    break;

  case 2629:

/* Line 1806 of yacc.c  */
#line 14115 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); }
    break;

  case 2630:

/* Line 1806 of yacc.c  */
#line 14116 "preproc.y"
    { (yyval.str) = mm_strdup("=="); }
    break;

  case 2631:

/* Line 1806 of yacc.c  */
#line 14117 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2632:

/* Line 1806 of yacc.c  */
#line 14118 "preproc.y"
    { (yyval.str) = mm_strdup("++"); }
    break;

  case 2633:

/* Line 1806 of yacc.c  */
#line 14119 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); }
    break;

  case 2634:

/* Line 1806 of yacc.c  */
#line 14120 "preproc.y"
    { (yyval.str) = mm_strdup("->"); }
    break;

  case 2635:

/* Line 1806 of yacc.c  */
#line 14121 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); }
    break;

  case 2636:

/* Line 1806 of yacc.c  */
#line 14122 "preproc.y"
    { (yyval.str) = mm_strdup("%="); }
    break;

  case 2637:

/* Line 1806 of yacc.c  */
#line 14123 "preproc.y"
    { (yyval.str) = mm_strdup("*="); }
    break;

  case 2638:

/* Line 1806 of yacc.c  */
#line 14124 "preproc.y"
    { (yyval.str) = mm_strdup("!="); }
    break;

  case 2639:

/* Line 1806 of yacc.c  */
#line 14125 "preproc.y"
    { (yyval.str) = mm_strdup("||"); }
    break;

  case 2640:

/* Line 1806 of yacc.c  */
#line 14126 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2641:

/* Line 1806 of yacc.c  */
#line 14127 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); }
    break;

  case 2642:

/* Line 1806 of yacc.c  */
#line 14128 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2643:

/* Line 1806 of yacc.c  */
#line 14129 "preproc.y"
    { (yyval.str) = mm_strdup("-="); }
    break;

  case 2644:

/* Line 1806 of yacc.c  */
#line 14130 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2645:

/* Line 1806 of yacc.c  */
#line 14131 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2646:

/* Line 1806 of yacc.c  */
#line 14132 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2647:

/* Line 1806 of yacc.c  */
#line 14133 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); }
    break;

  case 2648:

/* Line 1806 of yacc.c  */
#line 14134 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2649:

/* Line 1806 of yacc.c  */
#line 14135 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2650:

/* Line 1806 of yacc.c  */
#line 14136 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2651:

/* Line 1806 of yacc.c  */
#line 14137 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2652:

/* Line 1806 of yacc.c  */
#line 14138 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2653:

/* Line 1806 of yacc.c  */
#line 14139 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2654:

/* Line 1806 of yacc.c  */
#line 14140 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2655:

/* Line 1806 of yacc.c  */
#line 14141 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2656:

/* Line 1806 of yacc.c  */
#line 14142 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2657:

/* Line 1806 of yacc.c  */
#line 14143 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2658:

/* Line 1806 of yacc.c  */
#line 14144 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2659:

/* Line 1806 of yacc.c  */
#line 14145 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2660:

/* Line 1806 of yacc.c  */
#line 14146 "preproc.y"
    { (yyval.str) = mm_strdup("float"); }
    break;

  case 2661:

/* Line 1806 of yacc.c  */
#line 14147 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2662:

/* Line 1806 of yacc.c  */
#line 14148 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2663:

/* Line 1806 of yacc.c  */
#line 14149 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); }
    break;

  case 2664:

/* Line 1806 of yacc.c  */
#line 14150 "preproc.y"
    { (yyval.str) = mm_strdup("["); }
    break;

  case 2665:

/* Line 1806 of yacc.c  */
#line 14151 "preproc.y"
    { (yyval.str) = mm_strdup("]"); }
    break;

  case 2666:

/* Line 1806 of yacc.c  */
#line 14152 "preproc.y"
    { (yyval.str) = mm_strdup("="); }
    break;

  case 2667:

/* Line 1806 of yacc.c  */
#line 14153 "preproc.y"
    { (yyval.str) = mm_strdup(":"); }
    break;

  case 2668:

/* Line 1806 of yacc.c  */
#line 14156 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2669:

/* Line 1806 of yacc.c  */
#line 14157 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2670:

/* Line 1806 of yacc.c  */
#line 14158 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2671:

/* Line 1806 of yacc.c  */
#line 14159 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2672:

/* Line 1806 of yacc.c  */
#line 14162 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2673:

/* Line 1806 of yacc.c  */
#line 14163 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2674:

/* Line 1806 of yacc.c  */
#line 14164 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2675:

/* Line 1806 of yacc.c  */
#line 14165 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2676:

/* Line 1806 of yacc.c  */
#line 14166 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2677:

/* Line 1806 of yacc.c  */
#line 14167 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2678:

/* Line 1806 of yacc.c  */
#line 14168 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2679:

/* Line 1806 of yacc.c  */
#line 14169 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2680:

/* Line 1806 of yacc.c  */
#line 14170 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2681:

/* Line 1806 of yacc.c  */
#line 14173 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2682:

/* Line 1806 of yacc.c  */
#line 14174 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2683:

/* Line 1806 of yacc.c  */
#line 14175 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2684:

/* Line 1806 of yacc.c  */
#line 14176 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2685:

/* Line 1806 of yacc.c  */
#line 14177 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2686:

/* Line 1806 of yacc.c  */
#line 14180 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2687:

/* Line 1806 of yacc.c  */
#line 14181 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2688:

/* Line 1806 of yacc.c  */
#line 14184 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2689:

/* Line 1806 of yacc.c  */
#line 14186 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	}
    break;

  case 2690:

/* Line 1806 of yacc.c  */
#line 14196 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2691:

/* Line 1806 of yacc.c  */
#line 14197 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;



/* Line 1806 of yacc.c  */
#line 50470 "preproc.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 14200 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

